import{S as Jr,i as Qr,s as Xr,e as a,k as h,w as b,t as l,M as Yr,c as r,d as o,m,a as n,x as $,h as i,b as c,G as t,g as u,y,q as N,o as T,B as R,v as Zr,L as co}from"../../chunks/vendor-hf-doc-builder.js";import{T as Bo}from"../../chunks/Tip-hf-doc-builder.js";import{D as Z}from"../../chunks/Docstring-hf-doc-builder.js";import{C as po}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Re}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as io}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as en}from"../../chunks/PipelineTag-hf-doc-builder.js";function tn(k){let d,w,_,g,v;return g=new po({props:{code:`from transformers import RegNetConfig, RegNetModel

# Initializing a RegNet regnet-y-40 style configuration
configuration = RegNetConfig()
# Initializing a model from the regnet-y-40 style configuration
model = RegNetModel(configuration)
# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> RegNetConfig, RegNetModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a RegNet regnet-y-40 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = RegNetConfig()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model from the regnet-y-40 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RegNetModel(configuration)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=a("p"),w=l("Example:"),_=h(),b(g.$$.fragment)},l(s){d=r(s,"P",{});var f=n(d);w=i(f,"Example:"),f.forEach(o),_=m(s),$(g.$$.fragment,s)},m(s,f){u(s,d,f),t(d,w),u(s,_,f),y(g,s,f),v=!0},p:co,i(s){v||(N(g.$$.fragment,s),v=!0)},o(s){T(g.$$.fragment,s),v=!1},d(s){s&&o(d),s&&o(_),R(g,s)}}}function on(k){let d,w,_,g,v;return{c(){d=a("p"),w=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),g=l("Module"),v=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){d=r(s,"P",{});var f=n(d);w=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(f,"CODE",{});var F=n(_);g=i(F,"Module"),F.forEach(o),v=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(s,f){u(s,d,f),t(d,w),t(d,_),t(_,g),t(d,v)},d(s){s&&o(d)}}}function sn(k){let d,w,_,g,v;return g=new po({props:{code:`from transformers import AutoImageProcessor, RegNetModel
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/regnet-y-040")
model = RegNetModel.from_pretrained("facebook/regnet-y-040")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, RegNetModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RegNetModel.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">1088</span>, <span class="hljs-number">7</span>, <span class="hljs-number">7</span>]`}}),{c(){d=a("p"),w=l("Example:"),_=h(),b(g.$$.fragment)},l(s){d=r(s,"P",{});var f=n(d);w=i(f,"Example:"),f.forEach(o),_=m(s),$(g.$$.fragment,s)},m(s,f){u(s,d,f),t(d,w),u(s,_,f),y(g,s,f),v=!0},p:co,i(s){v||(N(g.$$.fragment,s),v=!0)},o(s){T(g.$$.fragment,s),v=!1},d(s){s&&o(d),s&&o(_),R(g,s)}}}function an(k){let d,w,_,g,v;return{c(){d=a("p"),w=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),g=l("Module"),v=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){d=r(s,"P",{});var f=n(d);w=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(f,"CODE",{});var F=n(_);g=i(F,"Module"),F.forEach(o),v=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(s,f){u(s,d,f),t(d,w),t(d,_),t(_,g),t(d,v)},d(s){s&&o(d)}}}function rn(k){let d,w,_,g,v;return g=new po({props:{code:`from transformers import AutoImageProcessor, RegNetForImageClassification
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/regnet-y-040")
model = RegNetForImageClassification.from_pretrained("facebook/regnet-y-040")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = logits.argmax(-1).item()
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, RegNetForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RegNetForImageClassification.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = logits.argmax(-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tabby, tabby cat`}}),{c(){d=a("p"),w=l("Example:"),_=h(),b(g.$$.fragment)},l(s){d=r(s,"P",{});var f=n(d);w=i(f,"Example:"),f.forEach(o),_=m(s),$(g.$$.fragment,s)},m(s,f){u(s,d,f),t(d,w),u(s,_,f),y(g,s,f),v=!0},p:co,i(s){v||(N(g.$$.fragment,s),v=!0)},o(s){T(g.$$.fragment,s),v=!1},d(s){s&&o(d),s&&o(_),R(g,s)}}}function nn(k){let d,w,_,g,v;return{c(){d=a("p"),w=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),g=l("Module"),v=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){d=r(s,"P",{});var f=n(d);w=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(f,"CODE",{});var F=n(_);g=i(F,"Module"),F.forEach(o),v=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(s,f){u(s,d,f),t(d,w),t(d,_),t(_,g),t(d,v)},d(s){s&&o(d)}}}function ln(k){let d,w,_,g,v;return g=new po({props:{code:`from transformers import AutoImageProcessor, TFRegNetModel
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/regnet-y-040")
model = TFRegNetModel.from_pretrained("facebook/regnet-y-040")

inputs = image_processor(image, return_tensors="tf")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, TFRegNetModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFRegNetModel.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">1088</span>, <span class="hljs-number">7</span>, <span class="hljs-number">7</span>]`}}),{c(){d=a("p"),w=l("Example:"),_=h(),b(g.$$.fragment)},l(s){d=r(s,"P",{});var f=n(d);w=i(f,"Example:"),f.forEach(o),_=m(s),$(g.$$.fragment,s)},m(s,f){u(s,d,f),t(d,w),u(s,_,f),y(g,s,f),v=!0},p:co,i(s){v||(N(g.$$.fragment,s),v=!0)},o(s){T(g.$$.fragment,s),v=!1},d(s){s&&o(d),s&&o(_),R(g,s)}}}function dn(k){let d,w,_,g,v;return{c(){d=a("p"),w=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),g=l("Module"),v=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){d=r(s,"P",{});var f=n(d);w=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(f,"CODE",{});var F=n(_);g=i(F,"Module"),F.forEach(o),v=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(s,f){u(s,d,f),t(d,w),t(d,_),t(_,g),t(d,v)},d(s){s&&o(d)}}}function cn(k){let d,w,_,g,v;return g=new po({props:{code:`from transformers import AutoImageProcessor, TFRegNetForImageClassification
import tensorflow as tf
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/regnet-y-040")
model = TFRegNetForImageClassification.from_pretrained("facebook/regnet-y-040")

inputs = image_processor(image, return_tensors="tf")
logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = int(tf.math.argmax(logits, axis=-1))
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, TFRegNetForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFRegNetForImageClassification.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = <span class="hljs-built_in">int</span>(tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tabby, tabby cat`}}),{c(){d=a("p"),w=l("Example:"),_=h(),b(g.$$.fragment)},l(s){d=r(s,"P",{});var f=n(d);w=i(f,"Example:"),f.forEach(o),_=m(s),$(g.$$.fragment,s)},m(s,f){u(s,d,f),t(d,w),u(s,_,f),y(g,s,f),v=!0},p:co,i(s){v||(N(g.$$.fragment,s),v=!0)},o(s){T(g.$$.fragment,s),v=!1},d(s){s&&o(d),s&&o(_),R(g,s)}}}function pn(k){let d,w,_,g,v,s,f,F,Go,fo,D,ee,Pt,ke,Ko,At,Jo,go,te,Qo,Fe,Xo,Yo,ho,it,Zo,mo,dt,es,uo,ct,Mt,ts,_o,pt,os,vo,oe,je,ss,ft,as,rs,ns,se,ls,xe,is,ds,Ee,cs,wo,j,ps,Ie,fs,gs,Ce,hs,ms,Pe,us,_s,Ae,vs,ws,bo,L,ae,qt,Me,bs,zt,$s,$o,gt,ys,yo,qe,No,ht,O,mt,Ns,Ts,ze,Rs,ks,Oe,Fs,js,To,ut,xs,Ro,W,re,Ot,Se,Es,St,Is,ko,x,De,Cs,H,Ps,_t,As,Ms,Le,qs,zs,Os,U,Ss,vt,Ds,Ls,wt,Ws,Hs,Us,ne,Fo,V,le,Dt,We,Vs,Lt,Bs,jo,M,He,Gs,Ue,Ks,Ve,Js,Qs,Xs,I,Be,Ys,B,Zs,bt,ea,ta,Wt,oa,sa,aa,ie,ra,de,xo,G,ce,Ht,Ge,na,Ut,la,Eo,E,Ke,ia,Vt,da,ca,Je,pa,Qe,fa,ga,ha,C,Xe,ma,K,ua,$t,_a,va,Bt,wa,ba,$a,pe,ya,fe,Io,J,ge,Gt,Ye,Na,Kt,Ta,Co,q,Ze,Ra,Jt,ka,Fa,P,et,ja,Q,xa,yt,Ea,Ia,Qt,Ca,Pa,Aa,he,Ma,me,Po,X,ue,Xt,tt,qa,Yt,za,Ao,z,ot,Oa,Zt,Sa,Da,A,st,La,Y,Wa,Nt,Ha,Ua,eo,Va,Ba,Ga,_e,Ka,ve,Mo;return s=new Re({}),ke=new Re({}),Me=new Re({}),qe=new en({props:{pipeline:"image-classification"}}),Se=new Re({}),De=new Z({props:{name:"class transformers.RegNetConfig",anchor:"transformers.RegNetConfig",parameters:[{name:"num_channels",val:" = 3"},{name:"embedding_size",val:" = 32"},{name:"hidden_sizes",val:" = [128, 192, 512, 1088]"},{name:"depths",val:" = [2, 6, 12, 2]"},{name:"groups_width",val:" = 64"},{name:"layer_type",val:" = 'y'"},{name:"hidden_act",val:" = 'relu'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.RegNetConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.RegNetConfig.embedding_size",description:`<strong>embedding_size</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Dimensionality (hidden size) for the embedding layer.`,name:"embedding_size"},{anchor:"transformers.RegNetConfig.hidden_sizes",description:`<strong>hidden_sizes</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[256, 512, 1024, 2048]</code>) &#x2014;
Dimensionality (hidden size) at each stage.`,name:"hidden_sizes"},{anchor:"transformers.RegNetConfig.depths",description:`<strong>depths</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[3, 4, 6, 3]</code>) &#x2014;
Depth (number of layers) for each stage.`,name:"depths"},{anchor:"transformers.RegNetConfig.layer_type",description:`<strong>layer_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;y&quot;</code>) &#x2014;
The layer to use, it can be either <code>&quot;x&quot; or </code>&#x201C;y&#x201D;<code>. An </code>x<code>layer is a ResNet&apos;s BottleNeck layer with</code>reduction<code>fixed to</code>1<code>. While a </code>y<code>layer is a</code>x\` but with squeeze and excitation. Please refer to the
paper for a detailed explanation of how these layers were constructed.`,name:"layer_type"},{anchor:"transformers.RegNetConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;relu&quot;</code>) &#x2014;
The non-linear activation function in each block. If string, <code>&quot;gelu&quot;</code>, <code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code>
are supported.`,name:"hidden_act"},{anchor:"transformers.RegNetConfig.downsample_in_first_stage",description:`<strong>downsample_in_first_stage</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, the first stage will downsample the inputs using a <code>stride</code> of 2.`,name:"downsample_in_first_stage"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/regnet/configuration_regnet.py#L28"}}),ne=new io({props:{anchor:"transformers.RegNetConfig.example",$$slots:{default:[tn]},$$scope:{ctx:k}}}),We=new Re({}),He=new Z({props:{name:"class transformers.RegNetModel",anchor:"transformers.RegNetModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.RegNetModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/regnet#transformers.RegNetConfig">RegNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/regnet/modeling_regnet.py#L331"}}),Be=new Z({props:{name:"forward",anchor:"transformers.RegNetModel.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.RegNetModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/v4.26.0/en/model_doc/poolformer#transformers.PoolFormerFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.RegNetModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.RegNetModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/regnet/modeling_regnet.py#L341",returnDescription:`
<p>A <code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/regnet#transformers.RegNetConfig"
>RegNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state after a pooling operation on the spatial dimensions.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ie=new Bo({props:{$$slots:{default:[on]},$$scope:{ctx:k}}}),de=new io({props:{anchor:"transformers.RegNetModel.forward.example",$$slots:{default:[sn]},$$scope:{ctx:k}}}),Ge=new Re({}),Ke=new Z({props:{name:"class transformers.RegNetForImageClassification",anchor:"transformers.RegNetForImageClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.RegNetForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/regnet#transformers.RegNetConfig">RegNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/regnet/modeling_regnet.py#L385"}}),Xe=new Z({props:{name:"forward",anchor:"transformers.RegNetForImageClassification.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.RegNetForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/v4.26.0/en/model_doc/poolformer#transformers.PoolFormerFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.RegNetForImageClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.RegNetForImageClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.RegNetForImageClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/regnet/modeling_regnet.py#L398",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/regnet#transformers.RegNetConfig"
>RegNetConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each stage) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also
called feature maps) of the model at the output of each stage.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),pe=new Bo({props:{$$slots:{default:[an]},$$scope:{ctx:k}}}),fe=new io({props:{anchor:"transformers.RegNetForImageClassification.forward.example",$$slots:{default:[rn]},$$scope:{ctx:k}}}),Ye=new Re({}),Ze=new Z({props:{name:"class transformers.TFRegNetModel",anchor:"transformers.TFRegNetModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFRegNetModel.This",description:`<strong>This</strong> model is a Tensorflow &#x2014;
[tf.keras.layers.Layer](https &#x2014;//<a href="http://www.tensorflow.org/api_docs/python/tf/keras/layers/Layer" rel="nofollow">www.tensorflow.org/api_docs/python/tf/keras/layers/Layer</a>) sub-class. Use it as a`,name:"This"},{anchor:"transformers.TFRegNetModel.regular",description:`<strong>regular</strong> Tensorflow Module and refer to the Tensorflow documentation for all matter related to general usage and &#x2014;
behavior. &#x2014;
config (<a href="/docs/transformers/v4.26.0/en/model_doc/regnet#transformers.RegNetConfig">RegNetConfig</a>): Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"regular"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/regnet/modeling_tf_regnet.py#L405"}}),et=new Z({props:{name:"call",anchor:"transformers.TFRegNetModel.call",parameters:[{name:"pixel_values",val:": Tensor"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:" = False"}],parametersDescription:[{anchor:"transformers.TFRegNetModel.call.pixel_values",description:`<strong>pixel_values</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<code>ConveNextImageProcessor.__call__</code> for details.`,name:"pixel_values"},{anchor:"transformers.TFRegNetModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFRegNetModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/regnet/modeling_tf_regnet.py#L410",returnDescription:`
<p>A <code>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndNoAttention</code> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/regnet#transformers.RegNetConfig"
>RegNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state after a pooling operation on the spatial dimensions.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings, if the model has an embedding layer, + one for
the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndNoAttention</code> or <code>tuple(tf.Tensor)</code></p>
`}}),he=new Bo({props:{$$slots:{default:[nn]},$$scope:{ctx:k}}}),me=new io({props:{anchor:"transformers.TFRegNetModel.call.example",$$slots:{default:[ln]},$$scope:{ctx:k}}}),tt=new Re({}),ot=new Z({props:{name:"class transformers.TFRegNetForImageClassification",anchor:"transformers.TFRegNetForImageClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFRegNetForImageClassification.This",description:`<strong>This</strong> model is a Tensorflow &#x2014;
[tf.keras.layers.Layer](https &#x2014;//<a href="http://www.tensorflow.org/api_docs/python/tf/keras/layers/Layer" rel="nofollow">www.tensorflow.org/api_docs/python/tf/keras/layers/Layer</a>) sub-class. Use it as a`,name:"This"},{anchor:"transformers.TFRegNetForImageClassification.regular",description:`<strong>regular</strong> Tensorflow Module and refer to the Tensorflow documentation for all matter related to general usage and &#x2014;
behavior. &#x2014;
config (<a href="/docs/transformers/v4.26.0/en/model_doc/regnet#transformers.RegNetConfig">RegNetConfig</a>): Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"regular"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/regnet/modeling_tf_regnet.py#L464"}}),st=new Z({props:{name:"call",anchor:"transformers.TFRegNetForImageClassification.call",parameters:[{name:"pixel_values",val:": Tensor = None"},{name:"labels",val:": Tensor = None"},{name:"output_hidden_states",val:": bool = None"},{name:"return_dict",val:": bool = None"},{name:"training",val:" = False"}],parametersDescription:[{anchor:"transformers.TFRegNetForImageClassification.call.pixel_values",description:`<strong>pixel_values</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<code>ConveNextImageProcessor.__call__</code> for details.`,name:"pixel_values"},{anchor:"transformers.TFRegNetForImageClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFRegNetForImageClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.TFRegNetForImageClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/regnet/modeling_tf_regnet.py#L475",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/regnet#transformers.RegNetConfig"
>RegNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),_e=new Bo({props:{$$slots:{default:[dn]},$$scope:{ctx:k}}}),ve=new io({props:{anchor:"transformers.TFRegNetForImageClassification.call.example",$$slots:{default:[cn]},$$scope:{ctx:k}}}),{c(){d=a("meta"),w=h(),_=a("h1"),g=a("a"),v=a("span"),b(s.$$.fragment),f=h(),F=a("span"),Go=l("RegNet"),fo=h(),D=a("h2"),ee=a("a"),Pt=a("span"),b(ke.$$.fragment),Ko=h(),At=a("span"),Jo=l("Overview"),go=h(),te=a("p"),Qo=l("The RegNet model was proposed in "),Fe=a("a"),Xo=l("Designing Network Design Spaces"),Yo=l(" by Ilija Radosavovic, Raj Prateek Kosaraju, Ross Girshick, Kaiming He, Piotr Doll\xE1r."),ho=h(),it=a("p"),Zo=l("The authors design search spaces to perform Neural Architecture Search (NAS). They first start from a high dimensional search space and iteratively reduce the search space by empirically applying constraints based on the best-performing models sampled by the current search space."),mo=h(),dt=a("p"),es=l("The abstract from the paper is the following:"),uo=h(),ct=a("p"),Mt=a("em"),ts=l("In this work, we present a new network design paradigm. Our goal is to help advance the understanding of network design and discover design principles that generalize across settings. Instead of focusing on designing individual network instances, we design network design spaces that parametrize populations of networks. The overall process is analogous to classic manual design of networks, but elevated to the design space level. Using our methodology we explore the structure aspect of network design and arrive at a low-dimensional design space consisting of simple, regular networks that we call RegNet. The core insight of the RegNet parametrization is surprisingly simple: widths and depths of good networks can be explained by a quantized linear function. We analyze the RegNet design space and arrive at interesting findings that do not match the current practice of network design. The RegNet design space provides simple and fast networks that work well across a wide range of flop regimes. Under comparable training settings and flops, the RegNet models outperform the popular EfficientNet models while being up to 5x faster on GPUs."),_o=h(),pt=a("p"),os=l("Tips:"),vo=h(),oe=a("ul"),je=a("li"),ss=l("One can use "),ft=a("a"),as=l("AutoImageProcessor"),rs=l(" to prepare images for the model."),ns=h(),se=a("li"),ls=l("The huge 10B model from "),xe=a("a"),is=l("Self-supervised Pretraining of Visual Features in the Wild"),ds=l(", trained on one billion Instagram images, is available on the "),Ee=a("a"),cs=l("hub"),wo=h(),j=a("p"),ps=l("This model was contributed by "),Ie=a("a"),fs=l("Francesco"),gs=l(`. The TensorFlow version of the model
was contributed by `),Ce=a("a"),hs=l("sayakpaul"),ms=l(" and "),Pe=a("a"),us=l("ariG23498"),_s=l(`.
The original code can be found `),Ae=a("a"),vs=l("here"),ws=l("."),bo=h(),L=a("h2"),ae=a("a"),qt=a("span"),b(Me.$$.fragment),bs=h(),zt=a("span"),$s=l("Resources"),$o=h(),gt=a("p"),ys=l("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with RegNet."),yo=h(),b(qe.$$.fragment),No=h(),ht=a("ul"),O=a("li"),mt=a("a"),Ns=l("RegNetForImageClassification"),Ts=l(" is supported by this "),ze=a("a"),Rs=l("example script"),ks=l(" and "),Oe=a("a"),Fs=l("notebook"),js=l("."),To=h(),ut=a("p"),xs=l("If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Ro=h(),W=a("h2"),re=a("a"),Ot=a("span"),b(Se.$$.fragment),Es=h(),St=a("span"),Is=l("RegNetConfig"),ko=h(),x=a("div"),b(De.$$.fragment),Cs=h(),H=a("p"),Ps=l("This is the configuration class to store the configuration of a "),_t=a("a"),As=l("RegNetModel"),Ms=l(`. It is used to instantiate a RegNet
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the RegNet
`),Le=a("a"),qs=l("facebook/regnet-y-040"),zs=l(" architecture."),Os=h(),U=a("p"),Ss=l("Configuration objects inherit from "),vt=a("a"),Ds=l("PretrainedConfig"),Ls=l(` and can be used to control the model outputs. Read the
documentation from `),wt=a("a"),Ws=l("PretrainedConfig"),Hs=l(" for more information."),Us=h(),b(ne.$$.fragment),Fo=h(),V=a("h2"),le=a("a"),Dt=a("span"),b(We.$$.fragment),Vs=h(),Lt=a("span"),Bs=l("RegNetModel"),jo=h(),M=a("div"),b(He.$$.fragment),Gs=h(),Ue=a("p"),Ks=l(`The bare RegNet model outputting raw features without any specific head on top.
This model is a PyTorch `),Ve=a("a"),Js=l("torch.nn.Module"),Qs=l(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Xs=h(),I=a("div"),b(Be.$$.fragment),Ys=h(),B=a("p"),Zs=l("The "),bt=a("a"),ea=l("RegNetModel"),ta=l(" forward method, overrides the "),Wt=a("code"),oa=l("__call__"),sa=l(" special method."),aa=h(),b(ie.$$.fragment),ra=h(),b(de.$$.fragment),xo=h(),G=a("h2"),ce=a("a"),Ht=a("span"),b(Ge.$$.fragment),na=h(),Ut=a("span"),la=l("RegNetForImageClassification"),Eo=h(),E=a("div"),b(Ke.$$.fragment),ia=h(),Vt=a("p"),da=l(`RegNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),ca=h(),Je=a("p"),pa=l("This model is a PyTorch "),Qe=a("a"),fa=l("torch.nn.Module"),ga=l(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ha=h(),C=a("div"),b(Xe.$$.fragment),ma=h(),K=a("p"),ua=l("The "),$t=a("a"),_a=l("RegNetForImageClassification"),va=l(" forward method, overrides the "),Bt=a("code"),wa=l("__call__"),ba=l(" special method."),$a=h(),b(pe.$$.fragment),ya=h(),b(fe.$$.fragment),Io=h(),J=a("h2"),ge=a("a"),Gt=a("span"),b(Ye.$$.fragment),Na=h(),Kt=a("span"),Ta=l("TFRegNetModel"),Co=h(),q=a("div"),b(Ze.$$.fragment),Ra=h(),Jt=a("p"),ka=l("The bare RegNet model outputting raw features without any specific head on top."),Fa=h(),P=a("div"),b(et.$$.fragment),ja=h(),Q=a("p"),xa=l("The "),yt=a("a"),Ea=l("TFRegNetModel"),Ia=l(" forward method, overrides the "),Qt=a("code"),Ca=l("__call__"),Pa=l(" special method."),Aa=h(),b(he.$$.fragment),Ma=h(),b(me.$$.fragment),Po=h(),X=a("h2"),ue=a("a"),Xt=a("span"),b(tt.$$.fragment),qa=h(),Yt=a("span"),za=l("TFRegNetForImageClassification"),Ao=h(),z=a("div"),b(ot.$$.fragment),Oa=h(),Zt=a("p"),Sa=l(`RegNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),Da=h(),A=a("div"),b(st.$$.fragment),La=h(),Y=a("p"),Wa=l("The "),Nt=a("a"),Ha=l("TFRegNetForImageClassification"),Ua=l(" forward method, overrides the "),eo=a("code"),Va=l("__call__"),Ba=l(" special method."),Ga=h(),b(_e.$$.fragment),Ka=h(),b(ve.$$.fragment),this.h()},l(e){const p=Yr('[data-svelte="svelte-1phssyn"]',document.head);d=r(p,"META",{name:!0,content:!0}),p.forEach(o),w=m(e),_=r(e,"H1",{class:!0});var at=n(_);g=r(at,"A",{id:!0,class:!0,href:!0});var to=n(g);v=r(to,"SPAN",{});var oo=n(v);$(s.$$.fragment,oo),oo.forEach(o),to.forEach(o),f=m(at),F=r(at,"SPAN",{});var so=n(F);Go=i(so,"RegNet"),so.forEach(o),at.forEach(o),fo=m(e),D=r(e,"H2",{class:!0});var rt=n(D);ee=r(rt,"A",{id:!0,class:!0,href:!0});var ao=n(ee);Pt=r(ao,"SPAN",{});var ro=n(Pt);$(ke.$$.fragment,ro),ro.forEach(o),ao.forEach(o),Ko=m(rt),At=r(rt,"SPAN",{});var no=n(At);Jo=i(no,"Overview"),no.forEach(o),rt.forEach(o),go=m(e),te=r(e,"P",{});var nt=n(te);Qo=i(nt,"The RegNet model was proposed in "),Fe=r(nt,"A",{href:!0,rel:!0});var Ja=n(Fe);Xo=i(Ja,"Designing Network Design Spaces"),Ja.forEach(o),Yo=i(nt," by Ilija Radosavovic, Raj Prateek Kosaraju, Ross Girshick, Kaiming He, Piotr Doll\xE1r."),nt.forEach(o),ho=m(e),it=r(e,"P",{});var Qa=n(it);Zo=i(Qa,"The authors design search spaces to perform Neural Architecture Search (NAS). They first start from a high dimensional search space and iteratively reduce the search space by empirically applying constraints based on the best-performing models sampled by the current search space."),Qa.forEach(o),mo=m(e),dt=r(e,"P",{});var Xa=n(dt);es=i(Xa,"The abstract from the paper is the following:"),Xa.forEach(o),uo=m(e),ct=r(e,"P",{});var Ya=n(ct);Mt=r(Ya,"EM",{});var Za=n(Mt);ts=i(Za,"In this work, we present a new network design paradigm. Our goal is to help advance the understanding of network design and discover design principles that generalize across settings. Instead of focusing on designing individual network instances, we design network design spaces that parametrize populations of networks. The overall process is analogous to classic manual design of networks, but elevated to the design space level. Using our methodology we explore the structure aspect of network design and arrive at a low-dimensional design space consisting of simple, regular networks that we call RegNet. The core insight of the RegNet parametrization is surprisingly simple: widths and depths of good networks can be explained by a quantized linear function. We analyze the RegNet design space and arrive at interesting findings that do not match the current practice of network design. The RegNet design space provides simple and fast networks that work well across a wide range of flop regimes. Under comparable training settings and flops, the RegNet models outperform the popular EfficientNet models while being up to 5x faster on GPUs."),Za.forEach(o),Ya.forEach(o),_o=m(e),pt=r(e,"P",{});var er=n(pt);os=i(er,"Tips:"),er.forEach(o),vo=m(e),oe=r(e,"UL",{});var qo=n(oe);je=r(qo,"LI",{});var zo=n(je);ss=i(zo,"One can use "),ft=r(zo,"A",{href:!0});var tr=n(ft);as=i(tr,"AutoImageProcessor"),tr.forEach(o),rs=i(zo," to prepare images for the model."),zo.forEach(o),ns=m(qo),se=r(qo,"LI",{});var lo=n(se);ls=i(lo,"The huge 10B model from "),xe=r(lo,"A",{href:!0,rel:!0});var or=n(xe);is=i(or,"Self-supervised Pretraining of Visual Features in the Wild"),or.forEach(o),ds=i(lo,", trained on one billion Instagram images, is available on the "),Ee=r(lo,"A",{href:!0,rel:!0});var sr=n(Ee);cs=i(sr,"hub"),sr.forEach(o),lo.forEach(o),qo.forEach(o),wo=m(e),j=r(e,"P",{});var S=n(j);ps=i(S,"This model was contributed by "),Ie=r(S,"A",{href:!0,rel:!0});var ar=n(Ie);fs=i(ar,"Francesco"),ar.forEach(o),gs=i(S,`. The TensorFlow version of the model
was contributed by `),Ce=r(S,"A",{href:!0,rel:!0});var rr=n(Ce);hs=i(rr,"sayakpaul"),rr.forEach(o),ms=i(S," and "),Pe=r(S,"A",{href:!0,rel:!0});var nr=n(Pe);us=i(nr,"ariG23498"),nr.forEach(o),_s=i(S,`.
The original code can be found `),Ae=r(S,"A",{href:!0,rel:!0});var lr=n(Ae);vs=i(lr,"here"),lr.forEach(o),ws=i(S,"."),S.forEach(o),bo=m(e),L=r(e,"H2",{class:!0});var Oo=n(L);ae=r(Oo,"A",{id:!0,class:!0,href:!0});var ir=n(ae);qt=r(ir,"SPAN",{});var dr=n(qt);$(Me.$$.fragment,dr),dr.forEach(o),ir.forEach(o),bs=m(Oo),zt=r(Oo,"SPAN",{});var cr=n(zt);$s=i(cr,"Resources"),cr.forEach(o),Oo.forEach(o),$o=m(e),gt=r(e,"P",{});var pr=n(gt);ys=i(pr,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with RegNet."),pr.forEach(o),yo=m(e),$(qe.$$.fragment,e),No=m(e),ht=r(e,"UL",{});var fr=n(ht);O=r(fr,"LI",{});var lt=n(O);mt=r(lt,"A",{href:!0});var gr=n(mt);Ns=i(gr,"RegNetForImageClassification"),gr.forEach(o),Ts=i(lt," is supported by this "),ze=r(lt,"A",{href:!0,rel:!0});var hr=n(ze);Rs=i(hr,"example script"),hr.forEach(o),ks=i(lt," and "),Oe=r(lt,"A",{href:!0,rel:!0});var mr=n(Oe);Fs=i(mr,"notebook"),mr.forEach(o),js=i(lt,"."),lt.forEach(o),fr.forEach(o),To=m(e),ut=r(e,"P",{});var ur=n(ut);xs=i(ur,"If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),ur.forEach(o),Ro=m(e),W=r(e,"H2",{class:!0});var So=n(W);re=r(So,"A",{id:!0,class:!0,href:!0});var _r=n(re);Ot=r(_r,"SPAN",{});var vr=n(Ot);$(Se.$$.fragment,vr),vr.forEach(o),_r.forEach(o),Es=m(So),St=r(So,"SPAN",{});var wr=n(St);Is=i(wr,"RegNetConfig"),wr.forEach(o),So.forEach(o),ko=m(e),x=r(e,"DIV",{class:!0});var we=n(x);$(De.$$.fragment,we),Cs=m(we),H=r(we,"P",{});var Tt=n(H);Ps=i(Tt,"This is the configuration class to store the configuration of a "),_t=r(Tt,"A",{href:!0});var br=n(_t);As=i(br,"RegNetModel"),br.forEach(o),Ms=i(Tt,`. It is used to instantiate a RegNet
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the RegNet
`),Le=r(Tt,"A",{href:!0,rel:!0});var $r=n(Le);qs=i($r,"facebook/regnet-y-040"),$r.forEach(o),zs=i(Tt," architecture."),Tt.forEach(o),Os=m(we),U=r(we,"P",{});var Rt=n(U);Ss=i(Rt,"Configuration objects inherit from "),vt=r(Rt,"A",{href:!0});var yr=n(vt);Ds=i(yr,"PretrainedConfig"),yr.forEach(o),Ls=i(Rt,` and can be used to control the model outputs. Read the
documentation from `),wt=r(Rt,"A",{href:!0});var Nr=n(wt);Ws=i(Nr,"PretrainedConfig"),Nr.forEach(o),Hs=i(Rt," for more information."),Rt.forEach(o),Us=m(we),$(ne.$$.fragment,we),we.forEach(o),Fo=m(e),V=r(e,"H2",{class:!0});var Do=n(V);le=r(Do,"A",{id:!0,class:!0,href:!0});var Tr=n(le);Dt=r(Tr,"SPAN",{});var Rr=n(Dt);$(We.$$.fragment,Rr),Rr.forEach(o),Tr.forEach(o),Vs=m(Do),Lt=r(Do,"SPAN",{});var kr=n(Lt);Bs=i(kr,"RegNetModel"),kr.forEach(o),Do.forEach(o),jo=m(e),M=r(e,"DIV",{class:!0});var kt=n(M);$(He.$$.fragment,kt),Gs=m(kt),Ue=r(kt,"P",{});var Lo=n(Ue);Ks=i(Lo,`The bare RegNet model outputting raw features without any specific head on top.
This model is a PyTorch `),Ve=r(Lo,"A",{href:!0,rel:!0});var Fr=n(Ve);Js=i(Fr,"torch.nn.Module"),Fr.forEach(o),Qs=i(Lo,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Lo.forEach(o),Xs=m(kt),I=r(kt,"DIV",{class:!0});var be=n(I);$(Be.$$.fragment,be),Ys=m(be),B=r(be,"P",{});var Ft=n(B);Zs=i(Ft,"The "),bt=r(Ft,"A",{href:!0});var jr=n(bt);ea=i(jr,"RegNetModel"),jr.forEach(o),ta=i(Ft," forward method, overrides the "),Wt=r(Ft,"CODE",{});var xr=n(Wt);oa=i(xr,"__call__"),xr.forEach(o),sa=i(Ft," special method."),Ft.forEach(o),aa=m(be),$(ie.$$.fragment,be),ra=m(be),$(de.$$.fragment,be),be.forEach(o),kt.forEach(o),xo=m(e),G=r(e,"H2",{class:!0});var Wo=n(G);ce=r(Wo,"A",{id:!0,class:!0,href:!0});var Er=n(ce);Ht=r(Er,"SPAN",{});var Ir=n(Ht);$(Ge.$$.fragment,Ir),Ir.forEach(o),Er.forEach(o),na=m(Wo),Ut=r(Wo,"SPAN",{});var Cr=n(Ut);la=i(Cr,"RegNetForImageClassification"),Cr.forEach(o),Wo.forEach(o),Eo=m(e),E=r(e,"DIV",{class:!0});var $e=n(E);$(Ke.$$.fragment,$e),ia=m($e),Vt=r($e,"P",{});var Pr=n(Vt);da=i(Pr,`RegNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),Pr.forEach(o),ca=m($e),Je=r($e,"P",{});var Ho=n(Je);pa=i(Ho,"This model is a PyTorch "),Qe=r(Ho,"A",{href:!0,rel:!0});var Ar=n(Qe);fa=i(Ar,"torch.nn.Module"),Ar.forEach(o),ga=i(Ho,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Ho.forEach(o),ha=m($e),C=r($e,"DIV",{class:!0});var ye=n(C);$(Xe.$$.fragment,ye),ma=m(ye),K=r(ye,"P",{});var jt=n(K);ua=i(jt,"The "),$t=r(jt,"A",{href:!0});var Mr=n($t);_a=i(Mr,"RegNetForImageClassification"),Mr.forEach(o),va=i(jt," forward method, overrides the "),Bt=r(jt,"CODE",{});var qr=n(Bt);wa=i(qr,"__call__"),qr.forEach(o),ba=i(jt," special method."),jt.forEach(o),$a=m(ye),$(pe.$$.fragment,ye),ya=m(ye),$(fe.$$.fragment,ye),ye.forEach(o),$e.forEach(o),Io=m(e),J=r(e,"H2",{class:!0});var Uo=n(J);ge=r(Uo,"A",{id:!0,class:!0,href:!0});var zr=n(ge);Gt=r(zr,"SPAN",{});var Or=n(Gt);$(Ye.$$.fragment,Or),Or.forEach(o),zr.forEach(o),Na=m(Uo),Kt=r(Uo,"SPAN",{});var Sr=n(Kt);Ta=i(Sr,"TFRegNetModel"),Sr.forEach(o),Uo.forEach(o),Co=m(e),q=r(e,"DIV",{class:!0});var xt=n(q);$(Ze.$$.fragment,xt),Ra=m(xt),Jt=r(xt,"P",{});var Dr=n(Jt);ka=i(Dr,"The bare RegNet model outputting raw features without any specific head on top."),Dr.forEach(o),Fa=m(xt),P=r(xt,"DIV",{class:!0});var Ne=n(P);$(et.$$.fragment,Ne),ja=m(Ne),Q=r(Ne,"P",{});var Et=n(Q);xa=i(Et,"The "),yt=r(Et,"A",{href:!0});var Lr=n(yt);Ea=i(Lr,"TFRegNetModel"),Lr.forEach(o),Ia=i(Et," forward method, overrides the "),Qt=r(Et,"CODE",{});var Wr=n(Qt);Ca=i(Wr,"__call__"),Wr.forEach(o),Pa=i(Et," special method."),Et.forEach(o),Aa=m(Ne),$(he.$$.fragment,Ne),Ma=m(Ne),$(me.$$.fragment,Ne),Ne.forEach(o),xt.forEach(o),Po=m(e),X=r(e,"H2",{class:!0});var Vo=n(X);ue=r(Vo,"A",{id:!0,class:!0,href:!0});var Hr=n(ue);Xt=r(Hr,"SPAN",{});var Ur=n(Xt);$(tt.$$.fragment,Ur),Ur.forEach(o),Hr.forEach(o),qa=m(Vo),Yt=r(Vo,"SPAN",{});var Vr=n(Yt);za=i(Vr,"TFRegNetForImageClassification"),Vr.forEach(o),Vo.forEach(o),Ao=m(e),z=r(e,"DIV",{class:!0});var It=n(z);$(ot.$$.fragment,It),Oa=m(It),Zt=r(It,"P",{});var Br=n(Zt);Sa=i(Br,`RegNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),Br.forEach(o),Da=m(It),A=r(It,"DIV",{class:!0});var Te=n(A);$(st.$$.fragment,Te),La=m(Te),Y=r(Te,"P",{});var Ct=n(Y);Wa=i(Ct,"The "),Nt=r(Ct,"A",{href:!0});var Gr=n(Nt);Ha=i(Gr,"TFRegNetForImageClassification"),Gr.forEach(o),Ua=i(Ct," forward method, overrides the "),eo=r(Ct,"CODE",{});var Kr=n(eo);Va=i(Kr,"__call__"),Kr.forEach(o),Ba=i(Ct," special method."),Ct.forEach(o),Ga=m(Te),$(_e.$$.fragment,Te),Ka=m(Te),$(ve.$$.fragment,Te),Te.forEach(o),It.forEach(o),this.h()},h(){c(d,"name","hf:doc:metadata"),c(d,"content",JSON.stringify(fn)),c(g,"id","regnet"),c(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(g,"href","#regnet"),c(_,"class","relative group"),c(ee,"id","overview"),c(ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ee,"href","#overview"),c(D,"class","relative group"),c(Fe,"href","https://arxiv.org/abs/2003.13678"),c(Fe,"rel","nofollow"),c(ft,"href","/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor"),c(xe,"href","https://arxiv.org/abs/2103.01988"),c(xe,"rel","nofollow"),c(Ee,"href","https://huggingface.co/facebook/regnet-y-10b-seer"),c(Ee,"rel","nofollow"),c(Ie,"href","https://huggingface.co/Francesco"),c(Ie,"rel","nofollow"),c(Ce,"href","https://huggingface.com/sayakpaul"),c(Ce,"rel","nofollow"),c(Pe,"href","https://huggingface.com/ariG23498"),c(Pe,"rel","nofollow"),c(Ae,"href","https://github.com/facebookresearch/pycls"),c(Ae,"rel","nofollow"),c(ae,"id","resources"),c(ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ae,"href","#resources"),c(L,"class","relative group"),c(mt,"href","/docs/transformers/v4.26.0/en/model_doc/regnet#transformers.RegNetForImageClassification"),c(ze,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/image-classification"),c(ze,"rel","nofollow"),c(Oe,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/image_classification.ipynb"),c(Oe,"rel","nofollow"),c(re,"id","transformers.RegNetConfig"),c(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(re,"href","#transformers.RegNetConfig"),c(W,"class","relative group"),c(_t,"href","/docs/transformers/v4.26.0/en/model_doc/regnet#transformers.RegNetModel"),c(Le,"href","https://huggingface.co/facebook/regnet-y-040"),c(Le,"rel","nofollow"),c(vt,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),c(wt,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),c(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(le,"id","transformers.RegNetModel"),c(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(le,"href","#transformers.RegNetModel"),c(V,"class","relative group"),c(Ve,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Ve,"rel","nofollow"),c(bt,"href","/docs/transformers/v4.26.0/en/model_doc/regnet#transformers.RegNetModel"),c(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ce,"id","transformers.RegNetForImageClassification"),c(ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ce,"href","#transformers.RegNetForImageClassification"),c(G,"class","relative group"),c(Qe,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Qe,"rel","nofollow"),c($t,"href","/docs/transformers/v4.26.0/en/model_doc/regnet#transformers.RegNetForImageClassification"),c(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ge,"id","transformers.TFRegNetModel"),c(ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ge,"href","#transformers.TFRegNetModel"),c(J,"class","relative group"),c(yt,"href","/docs/transformers/v4.26.0/en/model_doc/regnet#transformers.TFRegNetModel"),c(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ue,"id","transformers.TFRegNetForImageClassification"),c(ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ue,"href","#transformers.TFRegNetForImageClassification"),c(X,"class","relative group"),c(Nt,"href","/docs/transformers/v4.26.0/en/model_doc/regnet#transformers.TFRegNetForImageClassification"),c(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,p){t(document.head,d),u(e,w,p),u(e,_,p),t(_,g),t(g,v),y(s,v,null),t(_,f),t(_,F),t(F,Go),u(e,fo,p),u(e,D,p),t(D,ee),t(ee,Pt),y(ke,Pt,null),t(D,Ko),t(D,At),t(At,Jo),u(e,go,p),u(e,te,p),t(te,Qo),t(te,Fe),t(Fe,Xo),t(te,Yo),u(e,ho,p),u(e,it,p),t(it,Zo),u(e,mo,p),u(e,dt,p),t(dt,es),u(e,uo,p),u(e,ct,p),t(ct,Mt),t(Mt,ts),u(e,_o,p),u(e,pt,p),t(pt,os),u(e,vo,p),u(e,oe,p),t(oe,je),t(je,ss),t(je,ft),t(ft,as),t(je,rs),t(oe,ns),t(oe,se),t(se,ls),t(se,xe),t(xe,is),t(se,ds),t(se,Ee),t(Ee,cs),u(e,wo,p),u(e,j,p),t(j,ps),t(j,Ie),t(Ie,fs),t(j,gs),t(j,Ce),t(Ce,hs),t(j,ms),t(j,Pe),t(Pe,us),t(j,_s),t(j,Ae),t(Ae,vs),t(j,ws),u(e,bo,p),u(e,L,p),t(L,ae),t(ae,qt),y(Me,qt,null),t(L,bs),t(L,zt),t(zt,$s),u(e,$o,p),u(e,gt,p),t(gt,ys),u(e,yo,p),y(qe,e,p),u(e,No,p),u(e,ht,p),t(ht,O),t(O,mt),t(mt,Ns),t(O,Ts),t(O,ze),t(ze,Rs),t(O,ks),t(O,Oe),t(Oe,Fs),t(O,js),u(e,To,p),u(e,ut,p),t(ut,xs),u(e,Ro,p),u(e,W,p),t(W,re),t(re,Ot),y(Se,Ot,null),t(W,Es),t(W,St),t(St,Is),u(e,ko,p),u(e,x,p),y(De,x,null),t(x,Cs),t(x,H),t(H,Ps),t(H,_t),t(_t,As),t(H,Ms),t(H,Le),t(Le,qs),t(H,zs),t(x,Os),t(x,U),t(U,Ss),t(U,vt),t(vt,Ds),t(U,Ls),t(U,wt),t(wt,Ws),t(U,Hs),t(x,Us),y(ne,x,null),u(e,Fo,p),u(e,V,p),t(V,le),t(le,Dt),y(We,Dt,null),t(V,Vs),t(V,Lt),t(Lt,Bs),u(e,jo,p),u(e,M,p),y(He,M,null),t(M,Gs),t(M,Ue),t(Ue,Ks),t(Ue,Ve),t(Ve,Js),t(Ue,Qs),t(M,Xs),t(M,I),y(Be,I,null),t(I,Ys),t(I,B),t(B,Zs),t(B,bt),t(bt,ea),t(B,ta),t(B,Wt),t(Wt,oa),t(B,sa),t(I,aa),y(ie,I,null),t(I,ra),y(de,I,null),u(e,xo,p),u(e,G,p),t(G,ce),t(ce,Ht),y(Ge,Ht,null),t(G,na),t(G,Ut),t(Ut,la),u(e,Eo,p),u(e,E,p),y(Ke,E,null),t(E,ia),t(E,Vt),t(Vt,da),t(E,ca),t(E,Je),t(Je,pa),t(Je,Qe),t(Qe,fa),t(Je,ga),t(E,ha),t(E,C),y(Xe,C,null),t(C,ma),t(C,K),t(K,ua),t(K,$t),t($t,_a),t(K,va),t(K,Bt),t(Bt,wa),t(K,ba),t(C,$a),y(pe,C,null),t(C,ya),y(fe,C,null),u(e,Io,p),u(e,J,p),t(J,ge),t(ge,Gt),y(Ye,Gt,null),t(J,Na),t(J,Kt),t(Kt,Ta),u(e,Co,p),u(e,q,p),y(Ze,q,null),t(q,Ra),t(q,Jt),t(Jt,ka),t(q,Fa),t(q,P),y(et,P,null),t(P,ja),t(P,Q),t(Q,xa),t(Q,yt),t(yt,Ea),t(Q,Ia),t(Q,Qt),t(Qt,Ca),t(Q,Pa),t(P,Aa),y(he,P,null),t(P,Ma),y(me,P,null),u(e,Po,p),u(e,X,p),t(X,ue),t(ue,Xt),y(tt,Xt,null),t(X,qa),t(X,Yt),t(Yt,za),u(e,Ao,p),u(e,z,p),y(ot,z,null),t(z,Oa),t(z,Zt),t(Zt,Sa),t(z,Da),t(z,A),y(st,A,null),t(A,La),t(A,Y),t(Y,Wa),t(Y,Nt),t(Nt,Ha),t(Y,Ua),t(Y,eo),t(eo,Va),t(Y,Ba),t(A,Ga),y(_e,A,null),t(A,Ka),y(ve,A,null),Mo=!0},p(e,[p]){const at={};p&2&&(at.$$scope={dirty:p,ctx:e}),ne.$set(at);const to={};p&2&&(to.$$scope={dirty:p,ctx:e}),ie.$set(to);const oo={};p&2&&(oo.$$scope={dirty:p,ctx:e}),de.$set(oo);const so={};p&2&&(so.$$scope={dirty:p,ctx:e}),pe.$set(so);const rt={};p&2&&(rt.$$scope={dirty:p,ctx:e}),fe.$set(rt);const ao={};p&2&&(ao.$$scope={dirty:p,ctx:e}),he.$set(ao);const ro={};p&2&&(ro.$$scope={dirty:p,ctx:e}),me.$set(ro);const no={};p&2&&(no.$$scope={dirty:p,ctx:e}),_e.$set(no);const nt={};p&2&&(nt.$$scope={dirty:p,ctx:e}),ve.$set(nt)},i(e){Mo||(N(s.$$.fragment,e),N(ke.$$.fragment,e),N(Me.$$.fragment,e),N(qe.$$.fragment,e),N(Se.$$.fragment,e),N(De.$$.fragment,e),N(ne.$$.fragment,e),N(We.$$.fragment,e),N(He.$$.fragment,e),N(Be.$$.fragment,e),N(ie.$$.fragment,e),N(de.$$.fragment,e),N(Ge.$$.fragment,e),N(Ke.$$.fragment,e),N(Xe.$$.fragment,e),N(pe.$$.fragment,e),N(fe.$$.fragment,e),N(Ye.$$.fragment,e),N(Ze.$$.fragment,e),N(et.$$.fragment,e),N(he.$$.fragment,e),N(me.$$.fragment,e),N(tt.$$.fragment,e),N(ot.$$.fragment,e),N(st.$$.fragment,e),N(_e.$$.fragment,e),N(ve.$$.fragment,e),Mo=!0)},o(e){T(s.$$.fragment,e),T(ke.$$.fragment,e),T(Me.$$.fragment,e),T(qe.$$.fragment,e),T(Se.$$.fragment,e),T(De.$$.fragment,e),T(ne.$$.fragment,e),T(We.$$.fragment,e),T(He.$$.fragment,e),T(Be.$$.fragment,e),T(ie.$$.fragment,e),T(de.$$.fragment,e),T(Ge.$$.fragment,e),T(Ke.$$.fragment,e),T(Xe.$$.fragment,e),T(pe.$$.fragment,e),T(fe.$$.fragment,e),T(Ye.$$.fragment,e),T(Ze.$$.fragment,e),T(et.$$.fragment,e),T(he.$$.fragment,e),T(me.$$.fragment,e),T(tt.$$.fragment,e),T(ot.$$.fragment,e),T(st.$$.fragment,e),T(_e.$$.fragment,e),T(ve.$$.fragment,e),Mo=!1},d(e){o(d),e&&o(w),e&&o(_),R(s),e&&o(fo),e&&o(D),R(ke),e&&o(go),e&&o(te),e&&o(ho),e&&o(it),e&&o(mo),e&&o(dt),e&&o(uo),e&&o(ct),e&&o(_o),e&&o(pt),e&&o(vo),e&&o(oe),e&&o(wo),e&&o(j),e&&o(bo),e&&o(L),R(Me),e&&o($o),e&&o(gt),e&&o(yo),R(qe,e),e&&o(No),e&&o(ht),e&&o(To),e&&o(ut),e&&o(Ro),e&&o(W),R(Se),e&&o(ko),e&&o(x),R(De),R(ne),e&&o(Fo),e&&o(V),R(We),e&&o(jo),e&&o(M),R(He),R(Be),R(ie),R(de),e&&o(xo),e&&o(G),R(Ge),e&&o(Eo),e&&o(E),R(Ke),R(Xe),R(pe),R(fe),e&&o(Io),e&&o(J),R(Ye),e&&o(Co),e&&o(q),R(Ze),R(et),R(he),R(me),e&&o(Po),e&&o(X),R(tt),e&&o(Ao),e&&o(z),R(ot),R(st),R(_e),R(ve)}}}const fn={local:"regnet",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.RegNetConfig",title:"RegNetConfig"},{local:"transformers.RegNetModel",title:"RegNetModel"},{local:"transformers.RegNetForImageClassification",title:"RegNetForImageClassification"},{local:"transformers.TFRegNetModel",title:"TFRegNetModel"},{local:"transformers.TFRegNetForImageClassification",title:"TFRegNetForImageClassification"}],title:"RegNet"};function gn(k){return Zr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class $n extends Jr{constructor(d){super();Qr(this,d,gn,pn,Xr,{})}}export{$n as default,fn as metadata};
