import{S as uS,i as gS,s as _S,e as n,k as p,w as _,t as r,M as bS,c as a,d as s,m as c,a as o,x as b,h as i,b as d,G as e,g as h,y as v,q as w,o as x,B as k,v as vS,L as D}from"../../chunks/vendor-hf-doc-builder.js";import{T as fS}from"../../chunks/Tip-hf-doc-builder.js";import{D as $}from"../../chunks/Docstring-hf-doc-builder.js";import{C as E}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as q}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as C}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function wS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline, AutoModelForTokenClassification, AutoTokenizer

# Sentiment analysis pipeline
analyzer = pipeline("sentiment-analysis")

# Question answering pipeline, specifying the checkpoint identifier
oracle = pipeline(
    "question-answering", model="distilbert-base-cased-distilled-squad", tokenizer="bert-base-cased"
)

# Named entity recognition pipeline, passing in a specific model and tokenizer
model = AutoModelForTokenClassification.from_pretrained("dbmdz/bert-large-cased-finetuned-conll03-english")
tokenizer = AutoTokenizer.from_pretrained("bert-base-cased")
recognizer = pipeline("ner", model=model, tokenizer=tokenizer)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline, AutoModelForTokenClassification, AutoTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Sentiment analysis pipeline</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>analyzer = pipeline(<span class="hljs-string">&quot;sentiment-analysis&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Question answering pipeline, specifying the checkpoint identifier</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;question-answering&quot;</span>, model=<span class="hljs-string">&quot;distilbert-base-cased-distilled-squad&quot;</span>, tokenizer=<span class="hljs-string">&quot;bert-base-cased&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Named entity recognition pipeline, passing in a specific model and tokenizer</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;dbmdz/bert-large-cased-finetuned-conll03-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;bert-base-cased&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>recognizer = pipeline(<span class="hljs-string">&quot;ner&quot;</span>, model=model, tokenizer=tokenizer)`}}),{c(){u=n("p"),T=r("Examples:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Examples:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function xS(j){let u,T,P,f,y;return{c(){u=n("p"),T=r(`However, this is not automatically a win for performance. It can be either a 10x speedup or 5x slowdown depending
on hardware, data and the actual model being used.`),P=p(),f=n("p"),y=r("Example where it\u2019s mostly a speedup:")},l(l){u=a(l,"P",{});var g=o(u);T=i(g,`However, this is not automatically a win for performance. It can be either a 10x speedup or 5x slowdown depending
on hardware, data and the actual model being used.`),g.forEach(s),P=c(l),f=a(l,"P",{});var He=o(f);y=i(He,"Example where it\u2019s mostly a speedup:"),He.forEach(s)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),h(l,f,g),e(f,y)},d(l){l&&s(u),l&&s(P),l&&s(f)}}}function kS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

classifier = pipeline(model="superb/wav2vec2-base-superb-ks")
classifier("https://huggingface.co/datasets/Narsil/asr_dummy/resolve/main/1.flac")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier = pipeline(model=<span class="hljs-string">&quot;superb/wav2vec2-base-superb-ks&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/asr_dummy/resolve/main/1.flac&quot;</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.997</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;_unknown_&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.002</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;left&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.0</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;yes&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.0</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;down&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.0</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;stop&#x27;</span>}]`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function PS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

transcriber = pipeline(model="openai/whisper-base")
transcriber("https://huggingface.co/datasets/Narsil/asr_dummy/resolve/main/1.flac")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>transcriber = pipeline(model=<span class="hljs-string">&quot;openai/whisper-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>transcriber(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/asr_dummy/resolve/main/1.flac&quot;</span>)
{<span class="hljs-string">&#x27;text&#x27;</span>: <span class="hljs-string">&#x27; He hoped there would be stew for dinner, turnips and carrots and bruised potatoes and fat mutton pieces to be ladled out in thick, peppered flour-fatten sauce.&#x27;</span>}`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function yS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

depth_estimator = pipeline(task="depth-estimation", model="Intel/dpt-large")
output = depth_estimator("http://images.cocodataset.org/val2017/000000039769.jpg")
# This is a tensor with the values being the depth expressed in meters for each pixel
output["predicted_depth"].shape`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>depth_estimator = pipeline(task=<span class="hljs-string">&quot;depth-estimation&quot;</span>, model=<span class="hljs-string">&quot;Intel/dpt-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>output = depth_estimator(<span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># This is a tensor with the values being the depth expressed in meters for each pixel</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>output[<span class="hljs-string">&quot;predicted_depth&quot;</span>].shape
torch.Size([<span class="hljs-number">1</span>, <span class="hljs-number">384</span>, <span class="hljs-number">384</span>])`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function TS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

classifier = pipeline(model="microsoft/beit-base-patch16-224-pt22k-ft22k")
classifier("https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier = pipeline(model=<span class="hljs-string">&quot;microsoft/beit-base-patch16-224-pt22k-ft22k&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.442</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;macaw&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.088</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;popinjay&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.075</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;parrot&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.073</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;parodist, lampooner&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.046</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;poll, poll_parrot&#x27;</span>}]`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function $S(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

segmenter = pipeline(model="facebook/detr-resnet-50-panoptic")
segments = segmenter("https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png")
len(segments)

segments[0]["label"]

segments[1]["label"]

type(segments[0]["mask"])  # This is a black and white mask showing where is the bird on the original image.

segments[0]["mask"].size`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>segmenter = pipeline(model=<span class="hljs-string">&quot;facebook/detr-resnet-50-panoptic&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>segments = segmenter(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">len</span>(segments)
<span class="hljs-number">2</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>segments[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;label&quot;</span>]
<span class="hljs-string">&#x27;bird&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>segments[<span class="hljs-number">1</span>][<span class="hljs-string">&quot;label&quot;</span>]
<span class="hljs-string">&#x27;bird&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">type</span>(segments[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;mask&quot;</span>])  <span class="hljs-comment"># This is a black and white mask showing where is the bird on the original image.</span>
&lt;<span class="hljs-keyword">class</span> <span class="hljs-string">&#x27;PIL.Image.Image&#x27;</span>&gt;

<span class="hljs-meta">&gt;&gt;&gt; </span>segments[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;mask&quot;</span>].size
(<span class="hljs-number">768</span>, <span class="hljs-number">512</span>)`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function jS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

detector = pipeline(model="facebook/detr-resnet-50")
detector("https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png")

# x, y  are expressed relative to the top left hand corner.`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>detector = pipeline(model=<span class="hljs-string">&quot;facebook/detr-resnet-50&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>detector(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.997</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;bird&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">69</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">171</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">396</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">507</span>}}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;bird&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">398</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">105</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">767</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">507</span>}}]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># x, y  are expressed relative to the top left hand corner.</span>`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function ES(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

classifier = pipeline(model="openai/clip-vit-large-patch14")
classifier(
    "https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png",
    candidate_labels=["animals", "humans", "landscape"],
)

classifier(
    "https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png",
    candidate_labels=["black and white", "photorealist", "painting"],
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier = pipeline(model=<span class="hljs-string">&quot;openai/clip-vit-large-patch14&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;animals&quot;</span>, <span class="hljs-string">&quot;humans&quot;</span>, <span class="hljs-string">&quot;landscape&quot;</span>],
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.965</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;animals&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.03</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;humans&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.005</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;landscape&#x27;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;black and white&quot;</span>, <span class="hljs-string">&quot;photorealist&quot;</span>, <span class="hljs-string">&quot;painting&quot;</span>],
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.996</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;black and white&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.003</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;photorealist&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.0</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;painting&#x27;</span>}]`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function qS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

detector = pipeline(model="google/owlvit-base-patch32", task="zero-shot-object-detection")
detector(
    "http://images.cocodataset.org/val2017/000000039769.jpg",
    candidate_labels=["cat", "couch"],
)

detector(
    "https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png",
    candidate_labels=["head", "bird"],
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>detector = pipeline(model=<span class="hljs-string">&quot;google/owlvit-base-patch32&quot;</span>, task=<span class="hljs-string">&quot;zero-shot-object-detection&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>detector(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;cat&quot;</span>, <span class="hljs-string">&quot;couch&quot;</span>],
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.287</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;cat&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">324</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">20</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">640</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">373</span>}}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.254</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;cat&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">1</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">55</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">315</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">472</span>}}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.121</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;couch&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">4</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">0</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">642</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">476</span>}}]

<span class="hljs-meta">&gt;&gt;&gt; </span>detector(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;head&quot;</span>, <span class="hljs-string">&quot;bird&quot;</span>],
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.119</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;bird&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">71</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">170</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">410</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">508</span>}}]`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function AS(j){let u,T,P,f,y;return f=new E({props:{code:`conversation = Conversation("Going to the movies tonight - any suggestions?")

# Steps usually performed by the model when generating a response:
# 1. Mark the user input as processed (moved to the history)
conversation.mark_processed()
# 2. Append a mode response
conversation.append_response("The Big lebowski.")

conversation.add_user_input("Is it good?")`,highlighted:`conversation = Conversation(<span class="hljs-string">&quot;Going to the movies tonight - any suggestions?&quot;</span>)

<span class="hljs-comment"># Steps usually performed by the model when generating a response:</span>
<span class="hljs-comment"># 1. Mark the user input as processed (moved to the history)</span>
conversation.mark_processed()
<span class="hljs-comment"># 2. Append a mode response</span>
conversation.append_response(<span class="hljs-string">&quot;The Big lebowski.&quot;</span>)

conversation.add_user_input(<span class="hljs-string">&quot;Is it good?&quot;</span>)`}}),{c(){u=n("p"),T=r("Usage:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Usage:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function CS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline, Conversation

chatbot = pipeline(model="microsoft/DialoGPT-medium")
conversation = Conversation("Going to the movies tonight - any suggestions?")
conversation = chatbot(conversation)
conversation.generated_responses[-1]

conversation.add_user_input("Is it an action movie?")
conversation = chatbot(conversation)
conversation.generated_responses[-1]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline, Conversation

<span class="hljs-meta">&gt;&gt;&gt; </span>chatbot = pipeline(model=<span class="hljs-string">&quot;microsoft/DialoGPT-medium&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation = Conversation(<span class="hljs-string">&quot;Going to the movies tonight - any suggestions?&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation = chatbot(conversation)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation.generated_responses[-<span class="hljs-number">1</span>]
<span class="hljs-string">&#x27;The Big Lebowski&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>conversation.add_user_input(<span class="hljs-string">&quot;Is it an action movie?&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation = chatbot(conversation)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation.generated_responses[-<span class="hljs-number">1</span>]
<span class="hljs-string">&quot;It&#x27;s a comedy.&quot;</span>`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function DS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

fill_masker = pipeline(model="bert-base-uncased")
fill_masker("This is a simple [MASK].")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>fill_masker = pipeline(model=<span class="hljs-string">&quot;bert-base-uncased&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>fill_masker(<span class="hljs-string">&quot;This is a simple [MASK].&quot;</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.042</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">3291</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;problem&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple problem.&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.031</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">3160</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;question&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple question.&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.03</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">8522</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;equation&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple equation.&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.027</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">2028</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;one&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple one.&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.024</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">3627</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;rule&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple rule.&#x27;</span>}]`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function zS(j){let u,T,P,f,y;return{c(){u=n("p"),T=r(`This pipeline only works for inputs with exactly one token masked. Experimental: We added support for multiple
masks. The returned values are raw model output, and correspond to disjoint probabilities where one might expect
joint probabilities (See `),P=n("a"),f=r("discussion"),y=r(")."),this.h()},l(l){u=a(l,"P",{});var g=o(u);T=i(g,`This pipeline only works for inputs with exactly one token masked. Experimental: We added support for multiple
masks. The returned values are raw model output, and correspond to disjoint probabilities where one might expect
joint probabilities (See `),P=a(g,"A",{href:!0,rel:!0});var He=o(P);f=i(He,"discussion"),He.forEach(s),y=i(g,")."),g.forEach(s),this.h()},h(){d(P,"href","https://github.com/huggingface/transformers/pull/10222"),d(P,"rel","nofollow")},m(l,g){h(l,u,g),e(u,T),e(u,P),e(P,f),e(u,y)},d(l){l&&s(u)}}}function IS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

token_classifier = pipeline(model="Jean-Baptiste/camembert-ner", aggregation_strategy="simple")
sentence = "Je m'appelle jean-baptiste et je vis \xE0 montr\xE9al"
tokens = token_classifier(sentence)
tokens

token = tokens[0]
# Start and end provide an easy way to highlight words in the original text.
sentence[token["start"] : token["end"]]

# Some models use the same idea to do part of speech.
syntaxer = pipeline(model="vblagoje/bert-english-uncased-finetuned-pos", aggregation_strategy="simple")
syntaxer("My name is Sarah and I live in London")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>token_classifier = pipeline(model=<span class="hljs-string">&quot;Jean-Baptiste/camembert-ner&quot;</span>, aggregation_strategy=<span class="hljs-string">&quot;simple&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sentence = <span class="hljs-string">&quot;Je m&#x27;appelle jean-baptiste et je vis \xE0 montr\xE9al&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokens = token_classifier(sentence)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokens
[{<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PER&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9931</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;jean-baptiste&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">12</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">26</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.998</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;montr\xE9al&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">38</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">47</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>token = tokens[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Start and end provide an easy way to highlight words in the original text.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>sentence[token[<span class="hljs-string">&quot;start&quot;</span>] : token[<span class="hljs-string">&quot;end&quot;</span>]]
<span class="hljs-string">&#x27; jean-baptiste&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Some models use the same idea to do part of speech.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>syntaxer = pipeline(model=<span class="hljs-string">&quot;vblagoje/bert-english-uncased-finetuned-pos&quot;</span>, aggregation_strategy=<span class="hljs-string">&quot;simple&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>syntaxer(<span class="hljs-string">&quot;My name is Sarah and I live in London&quot;</span>)
[{<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PRON&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;my&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">0</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">2</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;NOUN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.997</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;name&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">3</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">7</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;AUX&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.994</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;is&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">8</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">10</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PROPN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;sarah&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">11</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">16</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;CCONJ&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;and&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">17</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">20</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PRON&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;i&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">21</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">22</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;VERB&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.998</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;live&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">23</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">27</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;ADP&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;in&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">28</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">30</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PROPN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;london&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">31</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">37</span>}]`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function SS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

oracle = pipeline(model="deepset/roberta-base-squad2")
oracle(question="Where do I live?", context="My name is Wolfgang and I live in Berlin")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(model=<span class="hljs-string">&quot;deepset/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;Where do I live?&quot;</span>, context=<span class="hljs-string">&quot;My name is Wolfgang and I live in Berlin&quot;</span>)
{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9191</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">34</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">40</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;Berlin&#x27;</span>}`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function MS(j){let u,T,P,f,y;return f=new E({props:{code:`# use bart in pytorch
summarizer = pipeline("summarization")
summarizer("An apple a day, keeps the doctor away", min_length=5, max_length=20)

# use t5 in tf
summarizer = pipeline("summarization", model="t5-base", tokenizer="t5-base", framework="tf")
summarizer("An apple a day, keeps the doctor away", min_length=5, max_length=20)`,highlighted:`<span class="hljs-comment"># use bart in pytorch</span>
summarizer = pipeline(<span class="hljs-string">&quot;summarization&quot;</span>)
summarizer(<span class="hljs-string">&quot;An apple a day, keeps the doctor away&quot;</span>, min_length=<span class="hljs-number">5</span>, max_length=<span class="hljs-number">20</span>)

<span class="hljs-comment"># use t5 in tf</span>
summarizer = pipeline(<span class="hljs-string">&quot;summarization&quot;</span>, model=<span class="hljs-string">&quot;t5-base&quot;</span>, tokenizer=<span class="hljs-string">&quot;t5-base&quot;</span>, framework=<span class="hljs-string">&quot;tf&quot;</span>)
summarizer(<span class="hljs-string">&quot;An apple a day, keeps the doctor away&quot;</span>, min_length=<span class="hljs-number">5</span>, max_length=<span class="hljs-number">20</span>)`}}),{c(){u=n("p"),T=r("Usage:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Usage:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function FS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

oracle = pipeline(model="google/tapas-base-finetuned-wtq")
table = {
    "Repository": ["Transformers", "Datasets", "Tokenizers"],
    "Stars": ["36542", "4512", "3934"],
    "Contributors": ["651", "77", "34"],
    "Programming language": ["Python", "Python", "Rust, Python and NodeJS"],
}
oracle(query="How many stars does the transformers repository have?", table=table)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(model=<span class="hljs-string">&quot;google/tapas-base-finetuned-wtq&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>table = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Repository&quot;</span>: [<span class="hljs-string">&quot;Transformers&quot;</span>, <span class="hljs-string">&quot;Datasets&quot;</span>, <span class="hljs-string">&quot;Tokenizers&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Stars&quot;</span>: [<span class="hljs-string">&quot;36542&quot;</span>, <span class="hljs-string">&quot;4512&quot;</span>, <span class="hljs-string">&quot;3934&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Contributors&quot;</span>: [<span class="hljs-string">&quot;651&quot;</span>, <span class="hljs-string">&quot;77&quot;</span>, <span class="hljs-string">&quot;34&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Programming language&quot;</span>: [<span class="hljs-string">&quot;Python&quot;</span>, <span class="hljs-string">&quot;Python&quot;</span>, <span class="hljs-string">&quot;Rust, Python and NodeJS&quot;</span>],
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(query=<span class="hljs-string">&quot;How many stars does the transformers repository have?&quot;</span>, table=table)
{<span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;AVERAGE &gt; 36542&#x27;</span>, <span class="hljs-string">&#x27;coordinates&#x27;</span>: [(<span class="hljs-number">0</span>, <span class="hljs-number">1</span>)], <span class="hljs-string">&#x27;cells&#x27;</span>: [<span class="hljs-string">&#x27;36542&#x27;</span>], <span class="hljs-string">&#x27;aggregator&#x27;</span>: <span class="hljs-string">&#x27;AVERAGE&#x27;</span>}`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function LS(j){let u,T,P,f,y;return f=new E({props:{code:`data = {
    "actors": ["brad pitt", "leonardo di caprio", "george clooney"],
    "age": ["56", "45", "59"],
    "number of movies": ["87", "53", "69"],
    "date of birth": ["7 february 1967", "10 june 1996", "28 november 1967"],
}`,highlighted:`data = {
    <span class="hljs-string">&quot;actors&quot;</span>: [<span class="hljs-string">&quot;brad pitt&quot;</span>, <span class="hljs-string">&quot;leonardo di caprio&quot;</span>, <span class="hljs-string">&quot;george clooney&quot;</span>],
    <span class="hljs-string">&quot;age&quot;</span>: [<span class="hljs-string">&quot;56&quot;</span>, <span class="hljs-string">&quot;45&quot;</span>, <span class="hljs-string">&quot;59&quot;</span>],
    <span class="hljs-string">&quot;number of movies&quot;</span>: [<span class="hljs-string">&quot;87&quot;</span>, <span class="hljs-string">&quot;53&quot;</span>, <span class="hljs-string">&quot;69&quot;</span>],
    <span class="hljs-string">&quot;date of birth&quot;</span>: [<span class="hljs-string">&quot;7 february 1967&quot;</span>, <span class="hljs-string">&quot;10 june 1996&quot;</span>, <span class="hljs-string">&quot;28 november 1967&quot;</span>],
}`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function NS(j){let u,T,P,f,y;return f=new E({props:{code:`import pandas as pd

table = pd.DataFrame.from_dict(data)`,highlighted:`<span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd

table = pd.DataFrame.from_dict(data)`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function OS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

classifier = pipeline(model="distilbert-base-uncased-finetuned-sst-2-english")
classifier("This movie is disgustingly good !")

classifier("Director tried too much.")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier = pipeline(model=<span class="hljs-string">&quot;distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(<span class="hljs-string">&quot;This movie is disgustingly good !&quot;</span>)
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;POSITIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">1.0</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(<span class="hljs-string">&quot;Director tried too much.&quot;</span>)
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;NEGATIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.996</span>}]`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function US(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

generator = pipeline(model="gpt2")
generator("I can't believe you did such a ", do_sample=False)

# These parameters will return suggestions, and only the newly created text making it easier for prompting suggestions.
outputs = generator("My tart needs some", num_return_sequences=4, return_full_text=False)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>generator = pipeline(model=<span class="hljs-string">&quot;gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>generator(<span class="hljs-string">&quot;I can&#x27;t believe you did such a &quot;</span>, do_sample=<span class="hljs-literal">False</span>)
[{<span class="hljs-string">&#x27;generated_text&#x27;</span>: <span class="hljs-string">&quot;I can&#x27;t believe you did such a icky thing to me. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&quot;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># These parameters will return suggestions, and only the newly created text making it easier for prompting suggestions.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = generator(<span class="hljs-string">&quot;My tart needs some&quot;</span>, num_return_sequences=<span class="hljs-number">4</span>, return_full_text=<span class="hljs-literal">False</span>)`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function GS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

generator = pipeline(model="mrm8488/t5-base-finetuned-question-generation-ap")
generator(
    "answer: Manuel context: Manuel has created RuPERTa-base with the support of HF-Transformers and Google"
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>generator = pipeline(model=<span class="hljs-string">&quot;mrm8488/t5-base-finetuned-question-generation-ap&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>generator(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;answer: Manuel context: Manuel has created RuPERTa-base with the support of HF-Transformers and Google&quot;</span>
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;generated_text&#x27;</span>: <span class="hljs-string">&#x27;question: Who created the RuPERTa-base?&#x27;</span>}]`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function RS(j){let u,T,P,f,y;return f=new E({props:{code:`text2text_generator = pipeline("text2text-generation")
text2text_generator("question: What is 42 ? context: 42 is the answer to life, the universe and everything")`,highlighted:`text2text_generator = pipeline(<span class="hljs-string">&quot;text2text-generation&quot;</span>)
text2text_generator(<span class="hljs-string">&quot;question: What is 42 ? context: 42 is the answer to life, the universe and everything&quot;</span>)`}}),{c(){u=n("p"),T=r("Usage:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Usage:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function VS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

token_classifier = pipeline(model="Jean-Baptiste/camembert-ner", aggregation_strategy="simple")
sentence = "Je m'appelle jean-baptiste et je vis \xE0 montr\xE9al"
tokens = token_classifier(sentence)
tokens

token = tokens[0]
# Start and end provide an easy way to highlight words in the original text.
sentence[token["start"] : token["end"]]

# Some models use the same idea to do part of speech.
syntaxer = pipeline(model="vblagoje/bert-english-uncased-finetuned-pos", aggregation_strategy="simple")
syntaxer("My name is Sarah and I live in London")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>token_classifier = pipeline(model=<span class="hljs-string">&quot;Jean-Baptiste/camembert-ner&quot;</span>, aggregation_strategy=<span class="hljs-string">&quot;simple&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sentence = <span class="hljs-string">&quot;Je m&#x27;appelle jean-baptiste et je vis \xE0 montr\xE9al&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokens = token_classifier(sentence)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokens
[{<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PER&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9931</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;jean-baptiste&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">12</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">26</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.998</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;montr\xE9al&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">38</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">47</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>token = tokens[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Start and end provide an easy way to highlight words in the original text.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>sentence[token[<span class="hljs-string">&quot;start&quot;</span>] : token[<span class="hljs-string">&quot;end&quot;</span>]]
<span class="hljs-string">&#x27; jean-baptiste&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Some models use the same idea to do part of speech.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>syntaxer = pipeline(model=<span class="hljs-string">&quot;vblagoje/bert-english-uncased-finetuned-pos&quot;</span>, aggregation_strategy=<span class="hljs-string">&quot;simple&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>syntaxer(<span class="hljs-string">&quot;My name is Sarah and I live in London&quot;</span>)
[{<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PRON&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;my&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">0</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">2</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;NOUN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.997</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;name&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">3</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">7</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;AUX&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.994</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;is&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">8</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">10</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PROPN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;sarah&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">11</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">16</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;CCONJ&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;and&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">17</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">20</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PRON&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;i&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">21</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">22</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;VERB&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.998</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;live&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">23</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">27</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;ADP&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;in&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">28</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">30</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PROPN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;london&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">31</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">37</span>}]`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function QS(j){let u,T,P,f,y;return f=new E({props:{code:`en_fr_translator = pipeline("translation_en_to_fr")
en_fr_translator("How old are you?")`,highlighted:`en_fr_translator = pipeline(<span class="hljs-string">&quot;translation_en_to_fr&quot;</span>)
en_fr_translator(<span class="hljs-string">&quot;How old are you?&quot;</span>)`}}),{c(){u=n("p"),T=r("Usage:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Usage:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function HS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

oracle = pipeline(model="facebook/bart-large-mnli")
oracle(
    "I have a problem with my iphone that needs to be resolved asap!!",
    candidate_labels=["urgent", "not urgent", "phone", "tablet", "computer"],
)

oracle(
    "I have a problem with my iphone that needs to be resolved asap!!",
    candidate_labels=["english", "german"],
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(model=<span class="hljs-string">&quot;facebook/bart-large-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;I have a problem with my iphone that needs to be resolved asap!!&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;urgent&quot;</span>, <span class="hljs-string">&quot;not urgent&quot;</span>, <span class="hljs-string">&quot;phone&quot;</span>, <span class="hljs-string">&quot;tablet&quot;</span>, <span class="hljs-string">&quot;computer&quot;</span>],
<span class="hljs-meta">... </span>)
{<span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;I have a problem with my iphone that needs to be resolved asap!!&#x27;</span>, <span class="hljs-string">&#x27;labels&#x27;</span>: [<span class="hljs-string">&#x27;urgent&#x27;</span>, <span class="hljs-string">&#x27;phone&#x27;</span>, <span class="hljs-string">&#x27;computer&#x27;</span>, <span class="hljs-string">&#x27;not urgent&#x27;</span>, <span class="hljs-string">&#x27;tablet&#x27;</span>], <span class="hljs-string">&#x27;scores&#x27;</span>: [<span class="hljs-number">0.504</span>, <span class="hljs-number">0.479</span>, <span class="hljs-number">0.013</span>, <span class="hljs-number">0.003</span>, <span class="hljs-number">0.002</span>]}

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;I have a problem with my iphone that needs to be resolved asap!!&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;english&quot;</span>, <span class="hljs-string">&quot;german&quot;</span>],
<span class="hljs-meta">... </span>)
{<span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;I have a problem with my iphone that needs to be resolved asap!!&#x27;</span>, <span class="hljs-string">&#x27;labels&#x27;</span>: [<span class="hljs-string">&#x27;english&#x27;</span>, <span class="hljs-string">&#x27;german&#x27;</span>], <span class="hljs-string">&#x27;scores&#x27;</span>: [<span class="hljs-number">0.814</span>, <span class="hljs-number">0.186</span>]}`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function WS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

document_qa = pipeline(model="impira/layoutlm-document-qa")
document_qa(
    image="https://huggingface.co/spaces/impira/docquery/resolve/2359223c1837a7587402bda0f2643382a6eefeab/invoice.png",
    question="What is the invoice number?",
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>document_qa = pipeline(model=<span class="hljs-string">&quot;impira/layoutlm-document-qa&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>document_qa(
<span class="hljs-meta">... </span>    image=<span class="hljs-string">&quot;https://huggingface.co/spaces/impira/docquery/resolve/2359223c1837a7587402bda0f2643382a6eefeab/invoice.png&quot;</span>,
<span class="hljs-meta">... </span>    question=<span class="hljs-string">&quot;What is the invoice number?&quot;</span>,
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.425</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;us-001&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">16</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">16</span>}]`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function BS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

extractor = pipeline(model="bert-base-uncased", task="feature-extraction")
result = extractor("This is a simple test.", return_tensors=True)
result.shape  # This is a tensor of shape [1, sequence_lenth, hidden_dimension] representing the input string.`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>extractor = pipeline(model=<span class="hljs-string">&quot;bert-base-uncased&quot;</span>, task=<span class="hljs-string">&quot;feature-extraction&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>result = extractor(<span class="hljs-string">&quot;This is a simple test.&quot;</span>, return_tensors=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>result.shape  <span class="hljs-comment"># This is a tensor of shape [1, sequence_lenth, hidden_dimension] representing the input string.</span>
torch.Size([<span class="hljs-number">1</span>, <span class="hljs-number">8</span>, <span class="hljs-number">768</span>])`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function ZS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

captioner = pipeline(model="ydshieh/vit-gpt2-coco-en")
captioner("https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>captioner = pipeline(model=<span class="hljs-string">&quot;ydshieh/vit-gpt2-coco-en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>captioner(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>)
[{<span class="hljs-string">&#x27;generated_text&#x27;</span>: <span class="hljs-string">&#x27;two birds are standing next to each other &#x27;</span>}]`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function YS(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

oracle = pipeline(model="dandelin/vilt-b32-finetuned-vqa")
image_url = "https://huggingface.co/datasets/Narsil/image_dummy/raw/main/lena.png"
oracle(question="What is she wearing ?", image=image_url)

oracle(question="What is she wearing ?", image=image_url, top_k=1)

oracle(question="Is this a person ?", image=image_url, top_k=1)

oracle(question="Is this a man ?", image=image_url, top_k=1)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(model=<span class="hljs-string">&quot;dandelin/vilt-b32-finetuned-vqa&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image_url = <span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/lena.png&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;What is she wearing ?&quot;</span>, image=image_url)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.948</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;hat&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.009</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;fedora&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.003</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;clothes&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.003</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;sun hat&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.002</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;nothing&#x27;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;What is she wearing ?&quot;</span>, image=image_url, top_k=<span class="hljs-number">1</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.948</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;hat&#x27;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;Is this a person ?&quot;</span>, image=image_url, top_k=<span class="hljs-number">1</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.993</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;yes&#x27;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;Is this a man ?&quot;</span>, image=image_url, top_k=<span class="hljs-number">1</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.996</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;no&#x27;</span>}]`}}),{c(){u=n("p"),T=r("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function KS(j){let u,T,P,f,y;return f=new E({props:{code:`# Explicitly ask for tensor allocation on CUDA device :0
pipe = pipeline(..., device=0)
with pipe.device_placement():
    # Every framework specific tensor allocation will be done on the request device
    output = pipe(...)`,highlighted:`<span class="hljs-comment"># Explicitly ask for tensor allocation on CUDA device :0</span>
pipe = pipeline(..., device=<span class="hljs-number">0</span>)
<span class="hljs-keyword">with</span> pipe.device_placement():
    <span class="hljs-comment"># Every framework specific tensor allocation will be done on the request device</span>
    output = pipe(...)`}}),{c(){u=n("p"),T=r("Examples:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=o(u);T=i(g,"Examples:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),v(f,l,g),y=!0},p:D,i(l){y||(w(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function XS(j){let u,T,P,f,y,l,g,He,Jv,Ng,Es,ew,Nl,tw,sw,Og,Ol,nw,Ug,qs,Ha,aw,Ul,ow,rw,iw,Se,lw,Gl,pw,cw,Rl,dw,mw,Vl,hw,fw,Ql,uw,gw,Gg,ht,As,yd,Wa,_w,Td,bw,Rg,Cs,vw,$d,ww,xw,Vg,Hl,kw,Qg,Ba,Hg,Ds,Pw,Za,yw,Tw,Wg,Ya,Bg,zs,$w,jd,jw,Ew,Zg,Ka,Yg,Is,qw,Ed,Aw,Cw,Kg,Xa,Xg,Wl,Dw,Jg,Ja,e_,ge,eo,zw,to,Iw,Bl,Sw,Mw,Fw,qd,Lw,Nw,ft,so,Ow,Zl,Uw,Gw,Rw,no,Vw,Yl,Qw,Hw,Ww,Ad,Bw,Zw,Ss,t_,ut,Ms,Cd,ao,Yw,Dd,Kw,s_,et,Xw,zd,Jw,ex,Id,tx,sx,n_,oo,a_,Fs,o_,ro,r_,io,i_,Kl,nx,l_,lo,p_,Ls,ax,Sd,ox,rx,c_,po,d_,Xl,ix,m_,Jl,lx,h_,be,Md,Fd,Ld,px,cx,Nd,Od,dx,mx,Ud,Gd,hx,fx,co,Rd,ux,gx,gt,Vd,_x,bx,Qd,vx,wx,Hd,xx,kx,Wd,Bd,Px,f_,_t,Ns,Zd,mo,yx,Yd,Tx,u_,We,Kd,$x,jx,Xd,Ex,qx,Jd,Ax,Cx,g_,tt,Dx,em,zx,Ix,tm,Sx,Mx,__,ho,b_,ep,Fx,v_,fo,w_,tp,Lx,x_,Os,Nx,sm,Ox,Ux,k_,bt,Us,nm,uo,Gx,am,Rx,P_,sp,Vx,y_,Gs,Qx,om,Hx,Wx,T_,np,Bx,$_,ap,rm,Zx,j_,go,E_,op,Yx,q_,vt,Rs,im,_o,Kx,lm,Xx,A_,rp,ip,Jx,C_,wt,Vs,pm,bo,e0,cm,t0,D_,lp,s0,z_,xt,Qs,dm,vo,n0,mm,a0,I_,V,wo,o0,xo,r0,hm,i0,l0,p0,Hs,c0,pp,d0,cp,m0,h0,kt,f0,dp,u0,g0,fm,_0,b0,v0,ko,w0,Po,x0,k0,P0,Ws,yo,y0,To,T0,mp,$0,j0,S_,Pt,Bs,um,$o,E0,gm,q0,M_,ie,jo,A0,_m,C0,D0,bm,z0,I0,Zs,S0,hp,M0,fp,F0,L0,Ys,Eo,N0,qo,O0,up,U0,G0,F_,yt,Ks,vm,Ao,R0,wm,V0,L_,gp,Q0,N_,Tt,Xs,xm,Co,H0,km,W0,O_,Q,Do,B0,zo,Z0,Pm,Y0,K0,X0,Js,J0,_p,e1,bp,t1,s1,$t,n1,vp,a1,o1,ym,r1,i1,l1,Io,p1,So,c1,d1,m1,en,Mo,h1,Tm,f1,U_,jt,tn,$m,Fo,u1,jm,g1,G_,H,Lo,_1,No,b1,Em,v1,w1,x1,sn,k1,wp,P1,xp,y1,T1,Et,$1,kp,j1,E1,qm,q1,A1,C1,Oo,D1,Uo,z1,I1,S1,nn,Go,M1,Am,F1,R_,qt,an,Cm,Ro,L1,Dm,N1,V_,le,Vo,O1,Qo,U1,zm,G1,R1,V1,on,Q1,At,H1,Pp,W1,B1,Im,Z1,Y1,K1,Ho,X1,Wo,J1,ek,tk,rn,Bo,sk,Sm,nk,Q_,Ct,ln,Mm,Zo,ak,Fm,ok,H_,W,Yo,rk,Ko,ik,Lm,lk,pk,ck,pn,dk,yp,mk,Tp,hk,fk,Dt,uk,$p,gk,_k,Nm,bk,vk,wk,Xo,xk,Jo,kk,Pk,yk,cn,er,Tk,Om,$k,W_,zt,dn,Um,tr,jk,Gm,Ek,B_,_e,sr,qk,nr,Ak,Rm,Ck,Dk,zk,It,Ik,jp,Sk,Mk,Vm,Fk,Lk,Nk,ar,Ok,or,Uk,Gk,Rk,mn,rr,Vk,Qm,Qk,Z_,St,hn,Hm,ir,Hk,Wm,Wk,Y_,B,lr,Bk,Mt,Zk,Bm,Yk,Kk,Zm,Xk,Jk,eP,fn,tP,Ep,sP,qp,nP,aP,Ft,oP,Ap,rP,iP,Ym,lP,pP,cP,pr,dP,cr,mP,hP,fP,un,dr,uP,Km,gP,K_,Lt,gn,Xm,mr,_P,Jm,bP,X_,Z,hr,vP,Nt,wP,eh,xP,kP,th,PP,yP,TP,_n,$P,Cp,jP,Dp,EP,qP,Ot,AP,zp,CP,DP,sh,zP,IP,SP,fr,MP,ur,FP,LP,NP,bn,gr,OP,nh,UP,J_,Ut,vn,ah,_r,GP,oh,RP,eb,Ip,VP,tb,Gt,wn,rh,br,QP,ih,HP,sb,Y,vr,WP,Be,BP,Sp,ZP,YP,Mp,KP,XP,lh,JP,ey,ty,xn,sy,kn,wr,ny,xr,ay,ph,oy,ry,iy,Pn,kr,ly,ch,py,cy,st,Pr,dy,dh,my,hy,Me,fy,mh,uy,gy,hh,_y,by,fh,vy,wy,uh,xy,ky,Py,yn,yr,yy,Ze,Ty,gh,$y,jy,_h,Ey,qy,bh,Ay,Cy,nb,K,Tr,Dy,vh,zy,Iy,Tn,Sy,Fp,My,Lp,Fy,Ly,Rt,Ny,Np,Oy,Uy,wh,Gy,Ry,Vy,Fe,Qy,xh,Hy,Wy,kh,By,Zy,Ph,Yy,Ky,$r,Xy,Jy,eT,$n,jr,tT,yh,sT,ab,Vt,jn,Th,Er,nT,$h,aT,ob,N,qr,oT,Qt,rT,jh,iT,lT,Op,pT,cT,dT,En,mT,Up,hT,Gp,fT,uT,Ht,gT,Rp,_T,bT,Eh,vT,wT,xT,Ar,kT,Cr,PT,yT,TT,qn,$T,An,Dr,jT,qh,ET,rb,Wt,Cn,Ah,zr,qT,Ch,AT,ib,S,Ir,CT,Bt,DT,Dh,zT,IT,Vp,ST,MT,FT,Dn,LT,Qp,NT,Hp,OT,UT,Zt,GT,Wp,RT,VT,zh,QT,HT,WT,Sr,BT,Mr,ZT,YT,KT,nt,Fr,XT,Ih,JT,e$,Sh,t$,s$,zn,Lr,n$,Mh,a$,o$,In,Nr,r$,Fh,i$,l$,Sn,Or,p$,Lh,c$,lb,Mn,d$,Bp,m$,h$,pb,Yt,Fn,Nh,Ur,f$,Oh,u$,cb,M,Gr,g$,Kt,_$,Uh,b$,v$,Zp,w$,x$,k$,Ln,P$,Yp,y$,Kp,T$,$$,Xt,j$,Xp,E$,q$,Gh,A$,C$,D$,Rr,z$,Vr,I$,S$,M$,Nn,Qr,F$,Rh,L$,N$,at,Hr,O$,Jt,U$,Vh,G$,R$,Qh,V$,Q$,H$,Hh,W$,B$,On,Wr,Z$,Wh,Y$,db,es,Un,Bh,Br,K$,Zh,X$,mb,pe,Zr,J$,Yh,e4,t4,ts,s4,Jp,n4,a4,Kh,o4,r4,i4,G,l4,Xh,p4,c4,Jh,d4,m4,ef,h4,f4,tf,u4,g4,sf,_4,b4,nf,v4,w4,Yr,x4,k4,Kr,P4,y4,Gn,T4,Rn,Xr,$4,af,j4,hb,ss,Vn,of,Jr,E4,rf,q4,fb,X,ei,A4,ti,C4,lf,D4,z4,I4,Qn,S4,ec,M4,tc,F4,L4,ns,N4,sc,O4,U4,pf,G4,R4,V4,si,Q4,ni,H4,W4,B4,ae,ai,Z4,cf,Y4,K4,ce,df,mf,X4,J4,hf,ff,e7,t7,uf,gf,s7,n7,_f,bf,a7,o7,vf,wf,r7,i7,xf,kf,l7,p7,Pf,yf,c7,d7,oi,m7,Tf,h7,f7,u7,Hn,g7,$f,_7,b7,Wn,ub,as,Bn,jf,ri,v7,Ef,w7,gb,O,ii,x7,os,k7,qf,P7,y7,nc,T7,$7,j7,Zn,E7,ac,q7,oc,A7,C7,rs,D7,rc,z7,I7,Af,S7,M7,F7,li,L7,Cf,N7,O7,U7,pi,G7,ci,R7,V7,Q7,Yn,di,H7,Df,W7,_b,is,Kn,zf,mi,B7,If,Z7,bb,J,hi,Y7,fi,K7,Sf,X7,J7,ej,Xn,tj,ic,sj,lc,nj,aj,ls,oj,pc,rj,ij,Mf,lj,pj,cj,ui,dj,gi,mj,hj,fj,Jn,_i,uj,Ff,gj,vb,ps,ea,Lf,bi,_j,Nf,bj,wb,F,vi,vj,Of,wj,xj,ta,kj,cc,Pj,dc,yj,Tj,cs,$j,mc,jj,Ej,Uf,qj,Aj,Cj,sa,Dj,wi,zj,Ij,xi,Sj,Mj,na,Fj,aa,ki,Lj,Gf,Nj,Oj,oa,Pi,Uj,Rf,Gj,xb,ds,ra,Vf,yi,Rj,Qf,Vj,kb,I,Ti,Qj,ms,Hj,Hf,Wj,Bj,hc,Zj,Yj,Kj,ia,Xj,fc,Jj,uc,e6,t6,hs,s6,gc,n6,a6,Wf,o6,r6,i6,$i,l6,ji,p6,c6,d6,la,Ei,m6,Bf,h6,f6,ot,qi,u6,Zf,g6,_6,Yf,b6,v6,pa,Ai,w6,Kf,x6,k6,ca,Ci,P6,Xf,y6,T6,da,Di,$6,Jf,j6,Pb,fs,ma,eu,zi,E6,tu,q6,yb,de,Ii,A6,su,C6,D6,us,z6,_c,I6,S6,nu,M6,F6,L6,ha,N6,Si,O6,U6,Mi,G6,R6,fa,V6,ua,Fi,Q6,au,H6,Tb,gs,ga,ou,Li,W6,ru,B6,$b,U,Ni,Z6,Ye,Y6,iu,K6,X6,lu,J6,eE,pu,tE,sE,nE,Ke,aE,cu,oE,rE,du,iE,lE,mu,pE,cE,dE,_a,mE,bc,hE,vc,fE,uE,_s,gE,wc,_E,bE,hu,vE,wE,xE,Oi,kE,Ui,PE,yE,TE,ba,Gi,$E,Ri,jE,xc,EE,qE,jb,bs,va,fu,Vi,AE,uu,CE,Eb,kc,DE,qb,vs,wa,gu,Qi,zE,_u,IE,Ab,ee,Hi,SE,Wi,ME,bu,FE,LE,NE,xa,OE,Pc,UE,yc,GE,RE,ws,VE,Tc,QE,HE,vu,WE,BE,ZE,Bi,YE,Zi,KE,XE,JE,Ue,Yi,eq,Ki,tq,wu,sq,nq,aq,xu,oq,rq,Xe,ku,Pu,iq,lq,yu,Tu,pq,cq,$u,ju,dq,mq,Eu,qu,hq,Cb,xs,ka,Au,Xi,fq,Cu,uq,Db,te,Ji,gq,Du,_q,bq,Pa,vq,$c,wq,jc,xq,kq,ks,Pq,Ec,yq,Tq,zu,$q,jq,Eq,el,qq,tl,Aq,Cq,Dq,ya,sl,zq,Iu,Iq,zb,Ps,Ta,Su,nl,Sq,Mu,Mq,Ib,se,al,Fq,ol,Lq,Fu,Nq,Oq,Uq,$a,Gq,qc,Rq,Ac,Vq,Qq,Lu,Hq,Wq,rl,Bq,il,Zq,Yq,Kq,ja,ll,Xq,Nu,Jq,Sb,ys,Ea,Ou,pl,e3,Uu,t3,Mb,ne,cl,s3,dl,n3,Gu,a3,o3,r3,qa,i3,Cc,l3,Dc,p3,c3,Ts,d3,zc,m3,h3,Ru,f3,u3,g3,ml,_3,hl,b3,v3,w3,rt,fl,x3,Vu,k3,P3,Je,Qu,Hu,y3,T3,Wu,Bu,$3,j3,Zu,Yu,E3,q3,Ku,Xu,A3,Fb,$s,Aa,Ju,ul,C3,Ic,D3,eg,z3,Lb,A,gl,I3,tg,S3,M3,sg,F3,L3,ng,N3,O3,ag,U3,G3,Le,R3,Sc,V3,Q3,og,H3,W3,rg,B3,Z3,ig,Y3,K3,X3,Ca,_l,J3,lg,e5,t5,it,bl,s5,pg,n5,a5,Da,o5,za,vl,r5,cg,i5,l5,Ia,wl,p5,xl,c5,dg,d5,m5,h5,Sa,kl,f5,Pl,u5,mg,g5,_5,b5,Ma,yl,v5,js,w5,hg,x5,k5,fg,P5,y5,T5,Fa,Tl,$5,ug,j5,E5,La,$l,q5,jl,A5,gg,C5,D5,Nb;return l=new q({}),Wa=new q({}),Ba=new E({props:{code:`pipe = pipeline("text-classification")
pipe("This restaurant is awesome")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe(<span class="hljs-string">&quot;This restaurant is awesome&quot;</span>)
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;POSITIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9998743534088135</span>}]`}}),Ya=new E({props:{code:`pipe = pipeline(model="roberta-large-mnli")
pipe("This restaurant is awesome")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipeline(model=<span class="hljs-string">&quot;roberta-large-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe(<span class="hljs-string">&quot;This restaurant is awesome&quot;</span>)
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;NEUTRAL&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.7313136458396912</span>}]`}}),Ka=new E({props:{code:`pipe = pipeline("text-classification")
pipe(["This restaurant is awesome", "This restaurant is awful"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe([<span class="hljs-string">&quot;This restaurant is awesome&quot;</span>, <span class="hljs-string">&quot;This restaurant is awful&quot;</span>])
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;POSITIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9998743534088135</span>},
 {<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;NEGATIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9996669292449951</span>}]`}}),Xa=new E({props:{code:`import datasets
from transformers import pipeline
from transformers.pipelines.pt_utils import KeyDataset
from tqdm.auto import tqdm

pipe = pipeline("automatic-speech-recognition", model="facebook/wav2vec2-base-960h", device=0)
dataset = datasets.load_dataset("superb", name="asr", split="test")

# KeyDataset (only *pt*) will simply return the item in the dict returned by the dataset item
# as we're not interested in the *target* part of the dataset. For sentence pair use KeyPairDataset
for out in tqdm(pipe(KeyDataset(dataset, "file"))):
    print(out)
    # {"text": "NUMBER TEN FRESH NELLY IS WAITING ON YOU GOOD NIGHT HUSBAND"}
    # {"text": ....}
    # ....`,highlighted:`<span class="hljs-keyword">import</span> datasets
<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline
<span class="hljs-keyword">from</span> transformers.pipelines.pt_utils <span class="hljs-keyword">import</span> KeyDataset
<span class="hljs-keyword">from</span> tqdm.auto <span class="hljs-keyword">import</span> tqdm

pipe = pipeline(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>, model=<span class="hljs-string">&quot;facebook/wav2vec2-base-960h&quot;</span>, device=<span class="hljs-number">0</span>)
dataset = datasets.load_dataset(<span class="hljs-string">&quot;superb&quot;</span>, name=<span class="hljs-string">&quot;asr&quot;</span>, split=<span class="hljs-string">&quot;test&quot;</span>)

<span class="hljs-comment"># KeyDataset (only *pt*) will simply return the item in the dict returned by the dataset item</span>
<span class="hljs-comment"># as we&#x27;re not interested in the *target* part of the dataset. For sentence pair use KeyPairDataset</span>
<span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> tqdm(pipe(KeyDataset(dataset, <span class="hljs-string">&quot;file&quot;</span>))):
    <span class="hljs-built_in">print</span>(out)
    <span class="hljs-comment"># {&quot;text&quot;: &quot;NUMBER TEN FRESH NELLY IS WAITING ON YOU GOOD NIGHT HUSBAND&quot;}</span>
    <span class="hljs-comment"># {&quot;text&quot;: ....}</span>
    <span class="hljs-comment"># ....</span>`}}),Ja=new E({props:{code:`from transformers import pipeline

pipe = pipeline("text-classification")


def data():
    while True:
        # This could come from a dataset, a database, a queue or HTTP request
        # in a server
        # Caveat: because this is iterative, you cannot use \`num_workers > 1\` variable
        # to use multiple threads to preprocess data. You can still have 1 thread that
        # does the preprocessing while the main runs the big inference
        yield "This is a test"


for out in pipe(data()):
    print(out)
    # {"text": "NUMBER TEN FRESH NELLY IS WAITING ON YOU GOOD NIGHT HUSBAND"}
    # {"text": ....}
    # ....`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>)


<span class="hljs-keyword">def</span> <span class="hljs-title function_">data</span>():
    <span class="hljs-keyword">while</span> <span class="hljs-literal">True</span>:
        <span class="hljs-comment"># This could come from a dataset, a database, a queue or HTTP request</span>
        <span class="hljs-comment"># in a server</span>
        <span class="hljs-comment"># Caveat: because this is iterative, you cannot use \`num_workers &gt; 1\` variable</span>
        <span class="hljs-comment"># to use multiple threads to preprocess data. You can still have 1 thread that</span>
        <span class="hljs-comment"># does the preprocessing while the main runs the big inference</span>
        <span class="hljs-keyword">yield</span> <span class="hljs-string">&quot;This is a test&quot;</span>


<span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> pipe(data()):
    <span class="hljs-built_in">print</span>(out)
    <span class="hljs-comment"># {&quot;text&quot;: &quot;NUMBER TEN FRESH NELLY IS WAITING ON YOU GOOD NIGHT HUSBAND&quot;}</span>
    <span class="hljs-comment"># {&quot;text&quot;: ....}</span>
    <span class="hljs-comment"># ....</span>`}}),eo=new $({props:{name:"transformers.pipeline",anchor:"transformers.pipeline",parameters:[{name:"task",val:": str = None"},{name:"model",val:": typing.Optional = None"},{name:"config",val:": typing.Union[str, transformers.configuration_utils.PretrainedConfig, NoneType] = None"},{name:"tokenizer",val:": typing.Union[str, transformers.tokenization_utils.PreTrainedTokenizer, transformers.tokenization_utils_fast.PreTrainedTokenizerFast, NoneType] = None"},{name:"feature_extractor",val:": typing.Union[str, ForwardRef('SequenceFeatureExtractor'), NoneType] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"revision",val:": typing.Optional[str] = None"},{name:"use_fast",val:": bool = True"},{name:"use_auth_token",val:": typing.Union[bool, str, NoneType] = None"},{name:"device",val:": typing.Union[int, str, ForwardRef('torch.device'), NoneType] = None"},{name:"device_map",val:" = None"},{name:"torch_dtype",val:" = None"},{name:"trust_remote_code",val:": typing.Optional[bool] = None"},{name:"model_kwargs",val:": typing.Dict[str, typing.Any] = None"},{name:"pipeline_class",val:": typing.Optional[typing.Any] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.pipeline.task",description:`<strong>task</strong> (<code>str</code>) &#x2014;
The task defining which pipeline will be returned. Currently accepted tasks are:</p>
<ul>
<li><code>&quot;audio-classification&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.AudioClassificationPipeline">AudioClassificationPipeline</a>.</li>
<li><code>&quot;automatic-speech-recognition&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.AutomaticSpeechRecognitionPipeline">AutomaticSpeechRecognitionPipeline</a>.</li>
<li><code>&quot;conversational&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.ConversationalPipeline">ConversationalPipeline</a>.</li>
<li><code>&quot;depth-estimation&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.DepthEstimationPipeline">DepthEstimationPipeline</a>.</li>
<li><code>&quot;document-question-answering&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.DocumentQuestionAnsweringPipeline">DocumentQuestionAnsweringPipeline</a>.</li>
<li><code>&quot;feature-extraction&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.FeatureExtractionPipeline">FeatureExtractionPipeline</a>.</li>
<li><code>&quot;fill-mask&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.FillMaskPipeline">FillMaskPipeline</a>:.</li>
<li><code>&quot;image-classification&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.ImageClassificationPipeline">ImageClassificationPipeline</a>.</li>
<li><code>&quot;image-segmentation&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.ImageSegmentationPipeline">ImageSegmentationPipeline</a>.</li>
<li><code>&quot;image-to-text&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.ImageToTextPipeline">ImageToTextPipeline</a>.</li>
<li><code>&quot;object-detection&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.ObjectDetectionPipeline">ObjectDetectionPipeline</a>.</li>
<li><code>&quot;question-answering&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.QuestionAnsweringPipeline">QuestionAnsweringPipeline</a>.</li>
<li><code>&quot;summarization&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.SummarizationPipeline">SummarizationPipeline</a>.</li>
<li><code>&quot;table-question-answering&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.TableQuestionAnsweringPipeline">TableQuestionAnsweringPipeline</a>.</li>
<li><code>&quot;text2text-generation&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.Text2TextGenerationPipeline">Text2TextGenerationPipeline</a>.</li>
<li><code>&quot;text-classification&quot;</code> (alias <code>&quot;sentiment-analysis&quot;</code> available): will return a
<a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.TextClassificationPipeline">TextClassificationPipeline</a>.</li>
<li><code>&quot;text-generation&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.TextGenerationPipeline">TextGenerationPipeline</a>:.</li>
<li><code>&quot;token-classification&quot;</code> (alias <code>&quot;ner&quot;</code> available): will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.TokenClassificationPipeline">TokenClassificationPipeline</a>.</li>
<li><code>&quot;translation&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.TranslationPipeline">TranslationPipeline</a>.</li>
<li><code>&quot;translation_xx_to_yy&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.TranslationPipeline">TranslationPipeline</a>.</li>
<li><code>&quot;video-classification&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.VideoClassificationPipeline">VideoClassificationPipeline</a>.</li>
<li><code>&quot;visual-question-answering&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.VisualQuestionAnsweringPipeline">VisualQuestionAnsweringPipeline</a>.</li>
<li><code>&quot;zero-shot-classification&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.ZeroShotClassificationPipeline">ZeroShotClassificationPipeline</a>.</li>
<li><code>&quot;zero-shot-image-classification&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.ZeroShotImageClassificationPipeline">ZeroShotImageClassificationPipeline</a>.</li>
<li><code>&quot;zero-shot-object-detection&quot;</code>: will return a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.ZeroShotObjectDetectionPipeline">ZeroShotObjectDetectionPipeline</a>.</li>
</ul>`,name:"task"},{anchor:"transformers.pipeline.model",description:`<strong>model</strong> (<code>str</code> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>, <em>optional</em>) &#x2014;
The model that will be used by the pipeline to make predictions. This can be a model identifier or an
actual instance of a pretrained model inheriting from <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> (for PyTorch) or
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> (for TensorFlow).</p>
<p>If not provided, the default for the <code>task</code> will be loaded.`,name:"model"},{anchor:"transformers.pipeline.config",description:`<strong>config</strong> (<code>str</code> or <a href="/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig">PretrainedConfig</a>, <em>optional</em>) &#x2014;
The configuration that will be used by the pipeline to instantiate the model. This can be a model
identifier or an actual pretrained model configuration inheriting from <a href="/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig">PretrainedConfig</a>.</p>
<p>If not provided, the default configuration file for the requested model will be used. That means that if
<code>model</code> is given, its default configuration will be used. However, if <code>model</code> is not supplied, this
<code>task</code>&#x2019;s default model&#x2019;s config is used instead.`,name:"config"},{anchor:"transformers.pipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>str</code> or <a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>, <em>optional</em>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This can be a model
identifier or an actual pretrained tokenizer inheriting from <a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.</p>
<p>If not provided, the default tokenizer for the given <code>model</code> will be loaded (if it is a string). If <code>model</code>
is not specified or not a string, then the default tokenizer for <code>config</code> is loaded (if it is a string).
However, if <code>config</code> is also not given or not a string, then the default tokenizer for the given <code>task</code>
will be loaded.`,name:"tokenizer"},{anchor:"transformers.pipeline.feature_extractor",description:`<strong>feature_extractor</strong> (<code>str</code> or <code>PreTrainedFeatureExtractor</code>, <em>optional</em>) &#x2014;
The feature extractor that will be used by the pipeline to encode data for the model. This can be a model
identifier or an actual pretrained feature extractor inheriting from <code>PreTrainedFeatureExtractor</code>.</p>
<p>Feature extractors are used for non-NLP models, such as Speech or Vision models as well as multi-modal
models. Multi-modal models will also require a tokenizer to be passed.</p>
<p>If not provided, the default feature extractor for the given <code>model</code> will be loaded (if it is a string). If
<code>model</code> is not specified or not a string, then the default feature extractor for <code>config</code> is loaded (if it
is a string). However, if <code>config</code> is also not given or not a string, then the default feature extractor
for the given <code>task</code> will be loaded.`,name:"feature_extractor"},{anchor:"transformers.pipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.pipeline.revision",description:`<strong>revision</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;main&quot;</code>) &#x2014;
When passing a task name or a string model identifier: The specific model version to use. It can be a
branch name, a tag name, or a commit id, since we use a git-based system for storing models and other
artifacts on huggingface.co, so <code>revision</code> can be any identifier allowed by git.`,name:"revision"},{anchor:"transformers.pipeline.use_fast",description:`<strong>use_fast</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to use a Fast tokenizer if possible (a <a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>).`,name:"use_fast"},{anchor:"transformers.pipeline.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <em>bool</em>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>huggingface-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"transformers.pipeline.device",description:`<strong>device</strong> (<code>int</code> or <code>str</code> or <code>torch.device</code>) &#x2014;
Defines the device (<em>e.g.</em>, <code>&quot;cpu&quot;</code>, <code>&quot;cuda:1&quot;</code>, <code>&quot;mps&quot;</code>, or a GPU ordinal rank like <code>1</code>) on which this
pipeline will be allocated.`,name:"device"},{anchor:"transformers.pipeline.device_map",description:`<strong>device_map</strong> (<code>str</code> or <code>Dict[str, Union[int, str, torch.device]</code>, <em>optional</em>) &#x2014;
Sent directly as <code>model_kwargs</code> (just a simpler shortcut). When <code>accelerate</code> library is present, set
<code>device_map=&quot;auto&quot;</code> to compute the most optimized <code>device_map</code> automatically (see
<a href="https://huggingface.co/docs/accelerate/main/en/package_reference/big_modeling#accelerate.cpu_offload" rel="nofollow">here</a>
for more information).</p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p>Do not use <code>device_map</code> AND <code>device</code> at the same time as they will conflict</p>

					</div>`,name:"device_map"},{anchor:"transformers.pipeline.torch_dtype",description:`<strong>torch_dtype</strong> (<code>str</code> or <code>torch.dtype</code>, <em>optional</em>) &#x2014;
Sent directly as <code>model_kwargs</code> (just a simpler shortcut) to use the available precision for this model
(<code>torch.float16</code>, <code>torch.bfloat16</code>, &#x2026; or <code>&quot;auto&quot;</code>).`,name:"torch_dtype"},{anchor:"transformers.pipeline.trust_remote_code",description:`<strong>trust_remote_code</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to allow for custom code defined on the Hub in their own modeling, configuration,
tokenization or even pipeline files. This option should only be set to <code>True</code> for repositories you trust
and in which you have read the code, as it will execute code present on the Hub on your local machine.
model_kwargs &#x2014;
Additional dictionary of keyword arguments passed along to the model&#x2019;s <code>from_pretrained(..., **model_kwargs)</code> function.
kwargs &#x2014;
Additional keyword arguments passed along to the specific pipeline init (see the documentation for the
corresponding pipeline class for possible values).`,name:"trust_remote_code"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/__init__.py#L479",returnDescription:`
<p>A suitable pipeline for the task.</p>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.Pipeline"
>Pipeline</a></p>
`}}),Ss=new C({props:{anchor:"transformers.pipeline.example",$$slots:{default:[wS]},$$scope:{ctx:j}}}),ao=new q({}),oo=new E({props:{code:`from transformers import pipeline
from transformers.pipelines.pt_utils import KeyDataset
import datasets

dataset = datasets.load_dataset("imdb", name="plain_text", split="unsupervised")
pipe = pipeline("text-classification", device=0)
for out in pipe(KeyDataset(dataset, "text"), batch_size=8, truncation="only_first"):
    print(out)
    # [{'label': 'POSITIVE', 'score': 0.9998743534088135}]
    # Exactly the same output as before, but the content are passed
    # as batches to the model`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline
<span class="hljs-keyword">from</span> transformers.pipelines.pt_utils <span class="hljs-keyword">import</span> KeyDataset
<span class="hljs-keyword">import</span> datasets

dataset = datasets.load_dataset(<span class="hljs-string">&quot;imdb&quot;</span>, name=<span class="hljs-string">&quot;plain_text&quot;</span>, split=<span class="hljs-string">&quot;unsupervised&quot;</span>)
pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, device=<span class="hljs-number">0</span>)
<span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> pipe(KeyDataset(dataset, <span class="hljs-string">&quot;text&quot;</span>), batch_size=<span class="hljs-number">8</span>, truncation=<span class="hljs-string">&quot;only_first&quot;</span>):
    <span class="hljs-built_in">print</span>(out)
    <span class="hljs-comment"># [{&#x27;label&#x27;: &#x27;POSITIVE&#x27;, &#x27;score&#x27;: 0.9998743534088135}]</span>
    <span class="hljs-comment"># Exactly the same output as before, but the content are passed</span>
    <span class="hljs-comment"># as batches to the model</span>`}}),Fs=new fS({props:{warning:!0,$$slots:{default:[xS]},$$scope:{ctx:j}}}),ro=new E({props:{code:`from transformers import pipeline
from torch.utils.data import Dataset
from tqdm.auto import tqdm

pipe = pipeline("text-classification", device=0)


class MyDataset(Dataset):
    def __len__(self):
        return 5000

    def __getitem__(self, i):
        return "This is a test"


dataset = MyDataset()

for batch_size in [1, 8, 64, 256]:
    print("-" * 30)
    print(f"Streaming batch_size={batch_size}")
    for out in tqdm(pipe(dataset, batch_size=batch_size), total=len(dataset)):
        pass`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline
<span class="hljs-keyword">from</span> torch.utils.data <span class="hljs-keyword">import</span> Dataset
<span class="hljs-keyword">from</span> tqdm.auto <span class="hljs-keyword">import</span> tqdm

pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, device=<span class="hljs-number">0</span>)


<span class="hljs-keyword">class</span> <span class="hljs-title class_">MyDataset</span>(<span class="hljs-title class_ inherited__">Dataset</span>):
    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__len__</span>(<span class="hljs-params">self</span>):
        <span class="hljs-keyword">return</span> <span class="hljs-number">5000</span>

    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__getitem__</span>(<span class="hljs-params">self, i</span>):
        <span class="hljs-keyword">return</span> <span class="hljs-string">&quot;This is a test&quot;</span>


dataset = MyDataset()

<span class="hljs-keyword">for</span> batch_size <span class="hljs-keyword">in</span> [<span class="hljs-number">1</span>, <span class="hljs-number">8</span>, <span class="hljs-number">64</span>, <span class="hljs-number">256</span>]:
    <span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;-&quot;</span> * <span class="hljs-number">30</span>)
    <span class="hljs-built_in">print</span>(<span class="hljs-string">f&quot;Streaming batch_size=<span class="hljs-subst">{batch_size}</span>&quot;</span>)
    <span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> tqdm(pipe(dataset, batch_size=batch_size), total=<span class="hljs-built_in">len</span>(dataset)):
        <span class="hljs-keyword">pass</span>`}}),io=new E({props:{code:`# On GTX 970
------------------------------
Streaming no batching
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:26<00:00, 187.52it/s]
------------------------------
Streaming batch_size=8
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:04<00:00, 1205.95it/s]
------------------------------
Streaming batch_size=64
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:02<00:00, 2478.24it/s]
------------------------------
Streaming batch_size=256
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:01<00:00, 2554.43it/s]
(diminishing returns, saturated the GPU)`,highlighted:`<span class="hljs-section"># On GTX 970
------------------------------</span>
Streaming no batching
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:26&lt;00:00, 187.52it/s]
<span class="hljs-code">------------------------------
Streaming batch_size=8
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:04&lt;00:00, 1205.95it/s]
------------------------------</span>
Streaming batch<span class="hljs-emphasis">_size=64
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:02&lt;00:00, 2478.24it/s]
------------------------------
Streaming batch_</span>size=256
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:01&lt;00:00, 2554.43it/s]
(diminishing returns, saturated the GPU)`}}),lo=new E({props:{code:`class MyDataset(Dataset):
    def __len__(self):
        return 5000

    def __getitem__(self, i):
        if i % 64 == 0:
            n = 100
        else:
            n = 1
        return "This is a test" * n`,highlighted:`<span class="hljs-keyword">class</span> <span class="hljs-title class_">MyDataset</span>(<span class="hljs-title class_ inherited__">Dataset</span>):
    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__len__</span>(<span class="hljs-params">self</span>):
        <span class="hljs-keyword">return</span> <span class="hljs-number">5000</span>

    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__getitem__</span>(<span class="hljs-params">self, i</span>):
        <span class="hljs-keyword">if</span> i % <span class="hljs-number">64</span> == <span class="hljs-number">0</span>:
            n = <span class="hljs-number">100</span>
        <span class="hljs-keyword">else</span>:
            n = <span class="hljs-number">1</span>
        <span class="hljs-keyword">return</span> <span class="hljs-string">&quot;This is a test&quot;</span> * n`}}),po=new E({props:{code:`------------------------------
Streaming no batching
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 1000/1000 [00:05<00:00, 183.69it/s]
------------------------------
Streaming batch_size=8
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 1000/1000 [00:03<00:00, 265.74it/s]
------------------------------
Streaming batch_size=64
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 1000/1000 [00:26<00:00, 37.80it/s]
------------------------------
Streaming batch_size=256
  0%|                                                                                 | 0/1000 [00:00<?, ?it/s]
Traceback (most recent call last):
  File "/home/nicolas/src/transformers/test.py", line 42, in <module>
    for out in tqdm(pipe(dataset, batch_size=256), total=len(dataset)):
....
    q = q / math.sqrt(dim_per_head)  # (bs, n_heads, q_length, dim_per_head)
RuntimeError: CUDA out of memory. Tried to allocate 376.00 MiB (GPU 0; 3.95 GiB total capacity; 1.72 GiB already allocated; 354.88 MiB free; 2.46 GiB reserved in total by PyTorch)`,highlighted:`<span class="hljs-comment">------------------------------</span>
Streaming no batching
<span class="hljs-number">100</span>%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| <span class="hljs-number">1000</span>/<span class="hljs-number">1000</span> [<span class="hljs-number">00</span>:<span class="hljs-number">05</span>&lt;<span class="hljs-number">00</span>:<span class="hljs-number">00</span>, <span class="hljs-number">183.69</span><span class="hljs-keyword">it</span>/s]
<span class="hljs-comment">------------------------------</span>
Streaming batch_size=<span class="hljs-number">8</span>
<span class="hljs-number">100</span>%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| <span class="hljs-number">1000</span>/<span class="hljs-number">1000</span> [<span class="hljs-number">00</span>:<span class="hljs-number">03</span>&lt;<span class="hljs-number">00</span>:<span class="hljs-number">00</span>, <span class="hljs-number">265.74</span><span class="hljs-keyword">it</span>/s]
<span class="hljs-comment">------------------------------</span>
Streaming batch_size=<span class="hljs-number">64</span>
<span class="hljs-number">100</span>%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| <span class="hljs-number">1000</span>/<span class="hljs-number">1000</span> [<span class="hljs-number">00</span>:<span class="hljs-number">26</span>&lt;<span class="hljs-number">00</span>:<span class="hljs-number">00</span>, <span class="hljs-number">37.80</span><span class="hljs-keyword">it</span>/s]
<span class="hljs-comment">------------------------------</span>
Streaming batch_size=<span class="hljs-number">256</span>
  <span class="hljs-number">0</span>%|                                                                                 | <span class="hljs-number">0</span>/<span class="hljs-number">1000</span> [<span class="hljs-number">00</span>:<span class="hljs-number">00</span><span class="hljs-meta">&lt;?</span>, ?<span class="hljs-keyword">it</span>/s]
Traceback (most recent call <span class="hljs-keyword">last</span>):
  File <span class="hljs-string">&quot;/home/nicolas/src/transformers/test.py&quot;</span>, <span class="hljs-built_in">line</span> <span class="hljs-number">42</span>, <span class="hljs-keyword">in</span> &lt;module&gt;
    <span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> tqdm(pipe(dataset, batch_size=<span class="hljs-number">256</span>), total=<span class="hljs-built_in">len</span>(dataset)):
....
    q = q / math.<span class="hljs-built_in">sqrt</span>(dim_per_head)  <span class="hljs-comment"># (bs, n_heads, q_length, dim_per_head)</span>
RuntimeError: CUDA out <span class="hljs-keyword">of</span> memory. Tried <span class="hljs-built_in">to</span> allocate <span class="hljs-number">376.00</span> MiB (GPU <span class="hljs-number">0</span>; <span class="hljs-number">3.95</span> GiB total capacity; <span class="hljs-number">1.72</span> GiB already allocated; <span class="hljs-number">354.88</span> MiB free; <span class="hljs-number">2.46</span> GiB reserved <span class="hljs-keyword">in</span> total <span class="hljs-keyword">by</span> PyTorch)`}}),mo=new q({}),ho=new E({props:{code:`preprocessed = pipe.preprocess(inputs)
model_outputs = pipe.forward(preprocessed)
outputs = pipe.postprocess(model_outputs)`,highlighted:`preprocessed = pipe.preprocess(inputs)
model_outputs = pipe.forward(preprocessed)
outputs = pipe.postprocess(model_outputs)`}}),fo=new E({props:{code:`all_model_outputs = []
for preprocessed in pipe.preprocess(inputs):
    model_outputs = pipe.forward(preprocessed)
    all_model_outputs.append(model_outputs)
outputs = pipe.postprocess(all_model_outputs)`,highlighted:`all_model_outputs = []
<span class="hljs-keyword">for</span> preprocessed <span class="hljs-keyword">in</span> pipe.preprocess(inputs):
    model_outputs = pipe.forward(preprocessed)
    all_model_outputs.append(model_outputs)
outputs = pipe.postprocess(all_model_outputs)`}}),uo=new q({}),go=new E({props:{code:`class MyPipeline(TextClassificationPipeline):
    def postprocess():
        # Your code goes here
        scores = scores * 100
        # And here


my_pipeline = MyPipeline(model=model, tokenizer=tokenizer, ...)
# or if you use *pipeline* function, then:
my_pipeline = pipeline(model="xxxx", pipeline_class=MyPipeline)`,highlighted:`<span class="hljs-keyword">class</span> <span class="hljs-title class_">MyPipeline</span>(<span class="hljs-title class_ inherited__">TextClassificationPipeline</span>):
    <span class="hljs-keyword">def</span> <span class="hljs-title function_">postprocess</span>():
        <span class="hljs-comment"># Your code goes here</span>
        scores = scores * <span class="hljs-number">100</span>
        <span class="hljs-comment"># And here</span>


my_pipeline = MyPipeline(model=model, tokenizer=tokenizer, ...)
<span class="hljs-comment"># or if you use *pipeline* function, then:</span>
my_pipeline = pipeline(model=<span class="hljs-string">&quot;xxxx&quot;</span>, pipeline_class=MyPipeline)`}}),_o=new q({}),bo=new q({}),vo=new q({}),wo=new $({props:{name:"class transformers.AudioClassificationPipeline",anchor:"transformers.AudioClassificationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AudioClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.AudioClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.AudioClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.AudioClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.AudioClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.AudioClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.AudioClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.AudioClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.AudioClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.AudioClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/audio_classification.py#L68"}}),Hs=new C({props:{anchor:"transformers.AudioClassificationPipeline.example",$$slots:{default:[kS]},$$scope:{ctx:j}}}),yo=new $({props:{name:"__call__",anchor:"transformers.AudioClassificationPipeline.__call__",parameters:[{name:"inputs",val:": typing.Union[numpy.ndarray, bytes, str]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AudioClassificationPipeline.__call__.inputs",description:`<strong>inputs</strong> (<code>np.ndarray</code> or <code>bytes</code> or <code>str</code>) &#x2014;
The inputs is either a raw waveform (<code>np.ndarray</code> of shape (n, ) of type <code>np.float32</code> or <code>np.float64</code>)
at the correct sampling rate (no further check will be done) or a <code>str</code> that is the filename of the
audio file, the file will be read at the correct sampling rate to get the waveform using <em>ffmpeg</em>. This
requires <em>ffmpeg</em> to be installed on the system. If <em>inputs</em> is <code>bytes</code> it is supposed to be the
content of an audio file and is interpreted by <em>ffmpeg</em> in the same way.`,name:"inputs"},{anchor:"transformers.AudioClassificationPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to None) &#x2014;
The number of top labels that will be returned by the pipeline. If the provided number is <code>None</code> or
higher than the number of labels available in the model configuration, it will default to the number of
labels.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/audio_classification.py#L104",returnDescription:`
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label predicted.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The corresponding probability.</li>
</ul>
`,returnType:`
<p>A list of <code>dict</code> with the following keys</p>
`}}),$o=new q({}),jo=new $({props:{name:"class transformers.AutomaticSpeechRecognitionPipeline",anchor:"transformers.AutomaticSpeechRecognitionPipeline",parameters:[{name:"feature_extractor",val:": typing.Union[ForwardRef('SequenceFeatureExtractor'), str]"},{name:"decoder",val:": typing.Union[ForwardRef('BeamSearchDecoderCTC'), str, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AutomaticSpeechRecognitionPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.feature_extractor",description:`<strong>feature_extractor</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/feature_extractor#transformers.SequenceFeatureExtractor">SequenceFeatureExtractor</a>) &#x2014;
The feature extractor that will be used by the pipeline to encode waveform for the model.`,name:"feature_extractor"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.chunk_length_s",description:`<strong>chunk_length_s</strong> (<code>float</code>, <em>optional</em>, defaults to 0) &#x2014;
The input length for in each chunk. If <code>chunk_length_s = 0</code> then chunking is disabled (default). Only
available for CTC models, e.g. <a href="/docs/transformers/v4.26.0/en/model_doc/wav2vec2#transformers.Wav2Vec2ForCTC">Wav2Vec2ForCTC</a>.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>For more information on how to effectively use <code>chunk_length_s</code>, please have a look at the <a href="https://huggingface.co/blog/asr-chunking" rel="nofollow">ASR chunking
blog post</a>.</p>

					</div>`,name:"chunk_length_s"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.stride_length_s",description:`<strong>stride_length_s</strong> (<code>float</code>, <em>optional</em>, defaults to <code>chunk_length_s / 6</code>) &#x2014;
The length of stride on the left and right of each chunk. Used only with <code>chunk_length_s &gt; 0</code>. This enables
the model to <em>see</em> more context and infer letters better than without this context but the pipeline
discards the stride bits at the end to make the final reconstitution as perfect as possible.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>For more information on how to effectively use <code>stride_length_s</code>, please have a look at the <a href="https://huggingface.co/blog/asr-chunking" rel="nofollow">ASR chunking
blog post</a>.</p>

					</div>`,name:"stride_length_s"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed. If no framework is specified, will default to the one currently installed. If no framework is
specified and both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if
no model is provided.`,name:"framework"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id.`,name:"device"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.decoder",description:`<strong>decoder</strong> (<code>pyctcdecode.BeamSearchDecoderCTC</code>, <em>optional</em>) &#x2014;
<a href="https://github.com/kensho-technologies/pyctcdecode/blob/2fd33dc37c4111417e08d89ccd23d28e9b308d19/pyctcdecode/decoder.py#L180" rel="nofollow">PyCTCDecode&#x2019;s
BeamSearchDecoderCTC</a>
can be passed for language model boosted decoding. See <a href="/docs/transformers/v4.26.0/en/model_doc/wav2vec2#transformers.Wav2Vec2ProcessorWithLM">Wav2Vec2ProcessorWithLM</a> for more information.`,name:"decoder"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/automatic_speech_recognition.py#L236"}}),Zs=new C({props:{anchor:"transformers.AutomaticSpeechRecognitionPipeline.example",$$slots:{default:[PS]},$$scope:{ctx:j}}}),Eo=new $({props:{name:"__call__",anchor:"transformers.AutomaticSpeechRecognitionPipeline.__call__",parameters:[{name:"inputs",val:": typing.Union[numpy.ndarray, bytes, str]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AutomaticSpeechRecognitionPipeline.__call__.inputs",description:`<strong>inputs</strong> (<code>np.ndarray</code> or <code>bytes</code> or <code>str</code> or <code>dict</code>) &#x2014;
The inputs is either :<ul>
<li><code>str</code> that is the filename of the audio file, the file will be read at the correct sampling rate
to get the waveform using <em>ffmpeg</em>. This requires <em>ffmpeg</em> to be installed on the system.</li>
<li><code>bytes</code> it is supposed to be the content of an audio file and is interpreted by <em>ffmpeg</em> in the
same way.</li>
<li>(<code>np.ndarray</code> of shape (n, ) of type <code>np.float32</code> or <code>np.float64</code>)
Raw audio at the correct sampling rate (no further check will be done)</li>
<li><code>dict</code> form can be used to pass raw audio sampled at arbitrary <code>sampling_rate</code> and let this
pipeline do the resampling. The dict must be in the format <code>{&quot;sampling_rate&quot;: int, &quot;raw&quot;: np.array}</code> with optionally a <code>&quot;stride&quot;: (left: int, right: int)</code> than can ask the pipeline to
treat the first <code>left</code> samples and last <code>right</code> samples to be ignored in decoding (but used at
inference to provide more context to the model). Only use <code>stride</code> with CTC models.</li>
</ul>`,name:"inputs"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.__call__.return_timestamps",description:`<strong>return_timestamps</strong> (<em>optional</em>, <code>str</code>) &#x2014;
Only available for pure CTC models. If set to <code>&quot;char&quot;</code>, the pipeline will return <code>timestamps</code> along the
text for every character in the text. For instance if you get <code>[{&quot;text&quot;: &quot;h&quot;, &quot;timestamps&quot;: (0.5,0.6), {&quot;text&quot;: &quot;i&quot;, &quot;timestamps&quot;: (0.7, .9)}]</code>, then it means the model predicts that the letter &#x201C;h&#x201D; was
pronounced after <code>0.5</code> and before <code>0.6</code> seconds. If set to <code>&quot;word&quot;</code>, the pipeline will return
<code>timestamps</code> along the text for every word in the text. For instance if you get <code>[{&quot;text&quot;: &quot;hi &quot;, &quot;timestamps&quot;: (0.5,0.9), {&quot;text&quot;: &quot;there&quot;, &quot;timestamps&quot;: (1.0, .1.5)}]</code>, then it means the model
predicts that the word &#x201C;hi&#x201D; was pronounced after <code>0.5</code> and before <code>0.9</code> seconds.`,name:"return_timestamps"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.__call__.generate_kwargs",description:`<strong>generate_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
The dictionary of ad-hoc parametrization of <code>generate_config</code> to be used for the generation call. For a
complete overview of generate, check the <a href="https://huggingface.co/docs/transformers/en/main_classes/text_generation" rel="nofollow">following
guide</a>.`,name:"generate_kwargs"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.__call__.max_new_tokens",description:`<strong>max_new_tokens</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The maximum numbers of tokens to generate, ignoring the number of tokens in the prompt.`,name:"max_new_tokens"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/automatic_speech_recognition.py#L331",returnDescription:`
<p>A dictionary with the following keys:</p>
<ul>
<li><strong>text</strong> (<code>str</code> ) \u2014 The recognized text.</li>
<li><strong>chunks</strong> (<em>optional(, <code>List[Dict]</code>)
When using <code>return_timestamps</code>, the <code>chunks</code> will become a list containing all the various text
chunks identified by the model, </em>e.g.* <code>[&#123;"text": "hi ", "timestamps": (0.5,0.9), &#123;"text": "there", "timestamps": (1.0, 1.5)&#125;]</code>. The original full text can roughly be recovered by doing
<code>"".join(chunk["text"] for chunk in output["chunks"])</code>.</li>
</ul>
`,returnType:`
<p><code>Dict</code></p>
`}}),Ao=new q({}),Co=new q({}),Do=new $({props:{name:"class transformers.DepthEstimationPipeline",anchor:"transformers.DepthEstimationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DepthEstimationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.DepthEstimationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.DepthEstimationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.DepthEstimationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.DepthEstimationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.DepthEstimationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.DepthEstimationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.DepthEstimationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.DepthEstimationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.DepthEstimationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/depth_estimation.py#L23"}}),Js=new C({props:{anchor:"transformers.DepthEstimationPipeline.example",$$slots:{default:[yS]},$$scope:{ctx:j}}}),Mo=new $({props:{name:"__call__",anchor:"transformers.DepthEstimationPipeline.__call__",parameters:[{name:"images",val:": typing.Union[str, typing.List[str], ForwardRef('Image.Image'), typing.List[ForwardRef('Image.Image')]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DepthEstimationPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images, which must then be passed as a string.
Images in a batch must all be in the same format: all as http links, all as local paths, or all as PIL
images.`,name:"images"},{anchor:"transformers.DepthEstimationPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to 5) &#x2014;
The number of top labels that will be returned by the pipeline. If the provided number is higher than
the number of labels available in the model configuration, it will default to the number of labels.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/depth_estimation.py#L53",returnDescription:`
<p>A dictionary or a list of dictionaries containing result. If the input is a single image, will return a
dictionary, if the input is a list of several images, will return a list of dictionaries corresponding to
the images.</p>
<p>The dictionaries contain the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model.</li>
<li><strong>score</strong> (<code>int</code>) \u2014 The score attributed by the model for that label.</li>
</ul>
`}}),Fo=new q({}),Lo=new $({props:{name:"class transformers.ImageClassificationPipeline",anchor:"transformers.ImageClassificationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ImageClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ImageClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ImageClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ImageClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ImageClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ImageClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ImageClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ImageClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ImageClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/image_classification.py#L32"}}),sn=new C({props:{anchor:"transformers.ImageClassificationPipeline.example",$$slots:{default:[TS]},$$scope:{ctx:j}}}),Go=new $({props:{name:"__call__",anchor:"transformers.ImageClassificationPipeline.__call__",parameters:[{name:"images",val:": typing.Union[str, typing.List[str], ForwardRef('Image.Image'), typing.List[ForwardRef('Image.Image')]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageClassificationPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images, which must then be passed as a string.
Images in a batch must all be in the same format: all as http links, all as local paths, or all as PIL
images.`,name:"images"},{anchor:"transformers.ImageClassificationPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to 5) &#x2014;
The number of top labels that will be returned by the pipeline. If the provided number is higher than
the number of labels available in the model configuration, it will default to the number of labels.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/image_classification.py#L71",returnDescription:`
<p>A dictionary or a list of dictionaries containing result. If the input is a single image, will return a
dictionary, if the input is a list of several images, will return a list of dictionaries corresponding to
the images.</p>
<p>The dictionaries contain the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model.</li>
<li><strong>score</strong> (<code>int</code>) \u2014 The score attributed by the model for that label.</li>
</ul>
`}}),Ro=new q({}),Vo=new $({props:{name:"class transformers.ImageSegmentationPipeline",anchor:"transformers.ImageSegmentationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageSegmentationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ImageSegmentationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ImageSegmentationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ImageSegmentationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ImageSegmentationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ImageSegmentationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ImageSegmentationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ImageSegmentationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ImageSegmentationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ImageSegmentationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/image_segmentation.py#L31"}}),on=new C({props:{anchor:"transformers.ImageSegmentationPipeline.example",$$slots:{default:[$S]},$$scope:{ctx:j}}}),Bo=new $({props:{name:"__call__",anchor:"transformers.ImageSegmentationPipeline.__call__",parameters:[{name:"images",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageSegmentationPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing an HTTP(S) link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images. Images in a batch must all be in the
same format: all as HTTP(S) links, all as local paths, or all as PIL images.`,name:"images"},{anchor:"transformers.ImageSegmentationPipeline.__call__.subtask",description:`<strong>subtask</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Segmentation task to be performed, choose [<code>semantic</code>, <code>instance</code> and <code>panoptic</code>] depending on model
capabilities. If not set, the pipeline will attempt tp resolve in the following order:
<code>panoptic</code>, <code>instance</code>, <code>semantic</code>.`,name:"subtask"},{anchor:"transformers.ImageSegmentationPipeline.__call__.threshold",description:`<strong>threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.9) &#x2014;
Probability threshold to filter out predicted masks.`,name:"threshold"},{anchor:"transformers.ImageSegmentationPipeline.__call__.mask_threshold",description:`<strong>mask_threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
Threshold to use when turning the predicted masks into binary values.`,name:"mask_threshold"},{anchor:"transformers.ImageSegmentationPipeline.__call__.overlap_mask_area_threshold",description:`<strong>overlap_mask_area_threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
Mask overlap threshold to eliminate small, disconnected segments.`,name:"overlap_mask_area_threshold"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/image_segmentation.py#L96",returnDescription:`
<p>A dictionary or a list of dictionaries containing the result. If the input is a single image, will return a
list of dictionaries, if the input is a list of several images, will return a list of list of dictionaries
corresponding to each image.</p>
<p>The dictionaries contain the mask, label and score (where applicable) of each detected object and contains
the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The class label identified by the model.</li>
<li><strong>mask</strong> (<code>PIL.Image</code>) \u2014 A binary mask of the detected object as a Pil Image of shape (width, height) of
the original image. Returns a mask filled with zeros if no object is found.</li>
<li><strong>score</strong> (<em>optional</em> <code>float</code>) \u2014 Optionally, when the model is capable of estimating a confidence of the
\u201Cobject\u201D described by the label and the mask.</li>
</ul>
`}}),Zo=new q({}),Yo=new $({props:{name:"class transformers.ObjectDetectionPipeline",anchor:"transformers.ObjectDetectionPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ObjectDetectionPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ObjectDetectionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ObjectDetectionPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ObjectDetectionPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ObjectDetectionPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ObjectDetectionPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ObjectDetectionPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ObjectDetectionPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ObjectDetectionPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ObjectDetectionPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/object_detection.py#L24"}}),pn=new C({props:{anchor:"transformers.ObjectDetectionPipeline.example",$$slots:{default:[jS]},$$scope:{ctx:j}}}),er=new $({props:{name:"__call__",anchor:"transformers.ObjectDetectionPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ObjectDetectionPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing an HTTP(S) link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images. Images in a batch must all be in the
same format: all as HTTP(S) links, all as local paths, or all as PIL images.`,name:"images"},{anchor:"transformers.ObjectDetectionPipeline.__call__.threshold",description:`<strong>threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.9) &#x2014;
The probability necessary to make a prediction.`,name:"threshold"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/object_detection.py#L66",returnDescription:`
<p>A list of dictionaries or a list of list of dictionaries containing the result. If the input is a single
image, will return a list of dictionaries, if the input is a list of several images, will return a list of
list of dictionaries corresponding to each image.</p>
<p>The dictionaries contain the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The class label identified by the model.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The score attributed by the model for that label.</li>
<li><strong>box</strong> (<code>List[Dict[str, int]]</code>) \u2014 The bounding box of detected object in image\u2019s original size.</li>
</ul>
`}}),tr=new q({}),sr=new $({props:{name:"class transformers.VideoClassificationPipeline",anchor:"transformers.VideoClassificationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VideoClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.VideoClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.VideoClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.VideoClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.VideoClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.VideoClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.VideoClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.VideoClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.VideoClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.VideoClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/video_classification.py#L23"}}),rr=new $({props:{name:"__call__",anchor:"transformers.VideoClassificationPipeline.__call__",parameters:[{name:"videos",val:": typing.Union[str, typing.List[str]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VideoClassificationPipeline.__call__.videos",description:`<strong>videos</strong> (<code>str</code>, <code>List[str]</code>) &#x2014;
The pipeline handles three types of videos:</p>
<ul>
<li>A string containing a http link pointing to a video</li>
<li>A string containing a local path to a video</li>
</ul>
<p>The pipeline accepts either a single video or a batch of videos, which must then be passed as a string.
Videos in a batch must all be in the same format: all as http links or all as local paths.`,name:"videos"},{anchor:"transformers.VideoClassificationPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to 5) &#x2014;
The number of top labels that will be returned by the pipeline. If the provided number is higher than
the number of labels available in the model configuration, it will default to the number of labels.`,name:"top_k"},{anchor:"transformers.VideoClassificationPipeline.__call__.num_frames",description:`<strong>num_frames</strong> (<code>int</code>, <em>optional</em>, defaults to <code>self.model.config.num_frames</code>) &#x2014;
The number of frames sampled from the video to run the classification on. If not provided, will default
to the number of frames specified in the model configuration.`,name:"num_frames"},{anchor:"transformers.VideoClassificationPipeline.__call__.frame_sampling_rate",description:`<strong>frame_sampling_rate</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The sampling rate used to select frames from the video. If not provided, will default to 1, i.e. every
frame will be used.`,name:"frame_sampling_rate"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/video_classification.py#L52",returnDescription:`
<p>A dictionary or a list of dictionaries containing result. If the input is a single video, will return a
dictionary, if the input is a list of several videos, will return a list of dictionaries corresponding to
the videos.</p>
<p>The dictionaries contain the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model.</li>
<li><strong>score</strong> (<code>int</code>) \u2014 The score attributed by the model for that label.</li>
</ul>
`}}),ir=new q({}),lr=new $({props:{name:"class transformers.ZeroShotImageClassificationPipeline",anchor:"transformers.ZeroShotImageClassificationPipeline",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotImageClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ZeroShotImageClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ZeroShotImageClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ZeroShotImageClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ZeroShotImageClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ZeroShotImageClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ZeroShotImageClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ZeroShotImageClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ZeroShotImageClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ZeroShotImageClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/zero_shot_image_classification.py#L31"}}),fn=new C({props:{anchor:"transformers.ZeroShotImageClassificationPipeline.example",$$slots:{default:[ES]},$$scope:{ctx:j}}}),dr=new $({props:{name:"__call__",anchor:"transformers.ZeroShotImageClassificationPipeline.__call__",parameters:[{name:"images",val:": typing.Union[str, typing.List[str], ForwardRef('Image'), typing.List[ForwardRef('Image')]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotImageClassificationPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>`,name:"images"},{anchor:"transformers.ZeroShotImageClassificationPipeline.__call__.candidate_labels",description:`<strong>candidate_labels</strong> (<code>List[str]</code>) &#x2014;
The candidate labels for this image`,name:"candidate_labels"},{anchor:"transformers.ZeroShotImageClassificationPipeline.__call__.hypothesis_template",description:`<strong>hypothesis_template</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;This is a photo of {}&quot;</code>) &#x2014;
The sentence used in cunjunction with <em>candidate_labels</em> to attempt the image classification by
replacing the placeholder with the candidate_labels. Then likelihood is estimated by using
logits_per_image`,name:"hypothesis_template"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/zero_shot_image_classification.py#L71",returnDescription:`
<p>A list of dictionaries containing result, one dictionary per proposed label. The dictionaries contain the
following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model. It is one of the suggested <code>candidate_label</code>.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The score attributed by the model for that label (between 0 and 1).</li>
</ul>
`}}),mr=new q({}),hr=new $({props:{name:"class transformers.ZeroShotObjectDetectionPipeline",anchor:"transformers.ZeroShotObjectDetectionPipeline",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotObjectDetectionPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/zero_shot_object_detection.py#L23"}}),_n=new C({props:{anchor:"transformers.ZeroShotObjectDetectionPipeline.example",$$slots:{default:[qS]},$$scope:{ctx:j}}}),gr=new $({props:{name:"__call__",anchor:"transformers.ZeroShotObjectDetectionPipeline.__call__",parameters:[{name:"image",val:": typing.Union[str, ForwardRef('Image.Image'), typing.List[typing.Dict[str, typing.Any]]]"},{name:"candidate_labels",val:": typing.Union[str, typing.List[str]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotObjectDetectionPipeline.__call__.image",description:`<strong>image</strong> (<code>str</code>, <code>PIL.Image</code> or <code>List[Dict[str, Any]]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing an http url pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>You can use this parameter to send directly a list of images, or a dataset or a generator like so:`,name:"image"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/zero_shot_object_detection.py#L65",returnDescription:`
<p>A list of lists containing prediction results, one list per input image. Each list contains dictionaries
with the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 Text query corresponding to the found object.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 Score corresponding to the object (between 0 and 1).</li>
<li><strong>box</strong> (<code>Dict[str,int]</code>) \u2014 Bounding box of the detected object in image\u2019s original size. It is a
dictionary with <code>x_min</code>, <code>x_max</code>, <code>y_min</code>, <code>y_max</code> keys.</li>
</ul>
`}}),_r=new q({}),br=new q({}),vr=new $({props:{name:"class transformers.Conversation",anchor:"transformers.Conversation",parameters:[{name:"text",val:": str = None"},{name:"conversation_id",val:": UUID = None"},{name:"past_user_inputs",val:" = None"},{name:"generated_responses",val:" = None"}],parametersDescription:[{anchor:"transformers.Conversation.text",description:`<strong>text</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The initial user input to start the conversation. If not provided, a user input needs to be provided
manually using the <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.Conversation.add_user_input">add_user_input()</a> method before the conversation can begin.`,name:"text"},{anchor:"transformers.Conversation.conversation_id",description:`<strong>conversation_id</strong> (<code>uuid.UUID</code>, <em>optional</em>) &#x2014;
Unique identifier for the conversation. If not provided, a random UUID4 id will be assigned to the
conversation.`,name:"conversation_id"},{anchor:"transformers.Conversation.past_user_inputs",description:`<strong>past_user_inputs</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
Eventual past history of the conversation of the user. You don&#x2019;t need to pass it manually if you use the
pipeline interactively but if you want to recreate history you need to set both <code>past_user_inputs</code> and
<code>generated_responses</code> with equal length lists of strings`,name:"past_user_inputs"},{anchor:"transformers.Conversation.generated_responses",description:`<strong>generated_responses</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
Eventual past history of the conversation of the model. You don&#x2019;t need to pass it manually if you use the
pipeline interactively but if you want to recreate history you need to set both <code>past_user_inputs</code> and
<code>generated_responses</code> with equal length lists of strings`,name:"generated_responses"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/conversational.py#L18"}}),xn=new C({props:{anchor:"transformers.Conversation.example",$$slots:{default:[AS]},$$scope:{ctx:j}}}),wr=new $({props:{name:"add_user_input",anchor:"transformers.Conversation.add_user_input",parameters:[{name:"text",val:": str"},{name:"overwrite",val:": bool = False"}],parametersDescription:[{anchor:"transformers.Conversation.add_user_input.text",description:"<strong>text</strong> (<code>str</code>) &#x2014; The user input for the next conversation round.",name:"text"},{anchor:"transformers.Conversation.add_user_input.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not existing and unprocessed user input should be overwritten when this function is called.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/conversational.py#L82"}}),kr=new $({props:{name:"append_response",anchor:"transformers.Conversation.append_response",parameters:[{name:"response",val:": str"}],parametersDescription:[{anchor:"transformers.Conversation.append_response.response",description:"<strong>response</strong> (<code>str</code>) &#x2014; The model generated response.",name:"response"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/conversational.py#L115"}}),Pr=new $({props:{name:"iter_texts",anchor:"transformers.Conversation.iter_texts",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/conversational.py#L124"}}),yr=new $({props:{name:"mark_processed",anchor:"transformers.Conversation.mark_processed",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/conversational.py#L106"}}),Tr=new $({props:{name:"class transformers.ConversationalPipeline",anchor:"transformers.ConversationalPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ConversationalPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ConversationalPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ConversationalPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ConversationalPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ConversationalPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ConversationalPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ConversationalPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ConversationalPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ConversationalPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ConversationalPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.ConversationalPipeline.min_length_for_response",description:`<strong>min_length_for_response</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
The minimum length (in number of tokens) for a response.`,name:"min_length_for_response"},{anchor:"transformers.ConversationalPipeline.minimum_tokens",description:`<strong>minimum_tokens</strong> (<code>int</code>, <em>optional</em>, defaults to 10) &#x2014;
The minimum length of tokens to leave for a response.`,name:"minimum_tokens"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/conversational.py#L163"}}),Tn=new C({props:{anchor:"transformers.ConversationalPipeline.example",$$slots:{default:[CS]},$$scope:{ctx:j}}}),jr=new $({props:{name:"__call__",anchor:"transformers.ConversationalPipeline.__call__",parameters:[{name:"conversations",val:": typing.Union[transformers.pipelines.conversational.Conversation, typing.List[transformers.pipelines.conversational.Conversation]]"},{name:"num_workers",val:" = 0"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ConversationalPipeline.__call__.conversations",description:`<strong>conversations</strong> (a <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.Conversation">Conversation</a> or a list of <a href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.Conversation">Conversation</a>) &#x2014;
Conversations to generate responses for.`,name:"conversations"},{anchor:"transformers.ConversationalPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.
generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"clean_up_tokenization_spaces"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/conversational.py#L222",returnDescription:`
<p>Conversation(s) with updated generated responses for those
containing a new user input.</p>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.Conversation"
>Conversation</a> or a list of <a
  href="/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.Conversation"
>Conversation</a></p>
`}}),Er=new q({}),qr=new $({props:{name:"class transformers.FillMaskPipeline",anchor:"transformers.FillMaskPipeline",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"tokenizer",val:": typing.Optional[transformers.tokenization_utils.PreTrainedTokenizer] = None"},{name:"feature_extractor",val:": typing.Optional[ForwardRef('SequenceFeatureExtractor')] = None"},{name:"modelcard",val:": typing.Optional[transformers.modelcard.ModelCard] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"task",val:": str = ''"},{name:"args_parser",val:": ArgumentHandler = None"},{name:"device",val:": typing.Union[int, str, ForwardRef('torch.device')] = -1"},{name:"torch_dtype",val:": typing.Union[str, ForwardRef('torch.dtype'), NoneType] = None"},{name:"binary_output",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FillMaskPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.FillMaskPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.FillMaskPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.FillMaskPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.FillMaskPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.FillMaskPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.FillMaskPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.FillMaskPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.FillMaskPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.FillMaskPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.FillMaskPipeline.top_k",description:`<strong>top_k</strong> (<code>int</code>, defaults to 5) &#x2014;
The number of predictions to return.`,name:"top_k"},{anchor:"transformers.FillMaskPipeline.targets",description:`<strong>targets</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
When passed, the model will limit the scores to the passed targets instead of looking up in the whole
vocab. If the provided targets are not in the model vocab, they will be tokenized and the first resulting
token will be used (with a warning, and that might be slower).`,name:"targets"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/fill_mask.py#L34"}}),En=new C({props:{anchor:"transformers.FillMaskPipeline.example",$$slots:{default:[DS]},$$scope:{ctx:j}}}),qn=new fS({props:{$$slots:{default:[zS]},$$scope:{ctx:j}}}),Dr=new $({props:{name:"__call__",anchor:"transformers.FillMaskPipeline.__call__",parameters:[{name:"inputs",val:""},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FillMaskPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several texts (or one list of prompts) with masked tokens.`,name:"args"},{anchor:"transformers.FillMaskPipeline.__call__.targets",description:`<strong>targets</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
When passed, the model will limit the scores to the passed targets instead of looking up in the whole
vocab. If the provided targets are not in the model vocab, they will be tokenized and the first
resulting token will be used (with a warning, and that might be slower).`,name:"targets"},{anchor:"transformers.FillMaskPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>) &#x2014;
When passed, overrides the number of predictions to return.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/fill_mask.py#L217",returnDescription:`
<p>Each result comes as list of dictionaries with the following keys:</p>
<ul>
<li><strong>sequence</strong> (<code>str</code>) \u2014 The corresponding input with the mask token prediction.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The corresponding probability.</li>
<li><strong>token</strong> (<code>int</code>) \u2014 The predicted token id (to replace the masked one).</li>
<li><strong>token</strong> (<code>str</code>) \u2014 The predicted token (to replace the masked one).</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),zr=new q({}),Ir=new $({props:{name:"class transformers.TokenClassificationPipeline",anchor:"transformers.TokenClassificationPipeline",parameters:[{name:"args_parser",val:" = <transformers.pipelines.token_classification.TokenClassificationArgumentHandler object at 0x7f83e3cb2460>"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TokenClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TokenClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TokenClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TokenClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TokenClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TokenClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TokenClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TokenClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TokenClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.TokenClassificationPipeline.ignore_labels",description:`<strong>ignore_labels</strong> (<code>List[str]</code>, defaults to <code>[&quot;O&quot;]</code>) &#x2014;
A list of labels to ignore.`,name:"ignore_labels"},{anchor:"transformers.TokenClassificationPipeline.grouped_entities",description:`<strong>grouped_entities</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
DEPRECATED, use <code>aggregation_strategy</code> instead. Whether or not to group the tokens corresponding to the
same entity together in the predictions or not.`,name:"grouped_entities"},{anchor:"transformers.TokenClassificationPipeline.aggregation_strategy",description:`<strong>aggregation_strategy</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;none&quot;</code>) &#x2014;
The strategy to fuse (or not) tokens based on the model prediction.</p>
<ul>
<li>&#x201C;none&#x201D; : Will simply not do any aggregation and simply return raw results from the model</li>
<li>&#x201C;simple&#x201D; : Will attempt to group entities following the default schema. (A, B-TAG), (B, I-TAG), (C,
I-TAG), (D, B-TAG2) (E, B-TAG2) will end up being [{&#x201C;word&#x201D;: ABC, &#x201C;entity&#x201D;: &#x201C;TAG&#x201D;}, {&#x201C;word&#x201D;: &#x201C;D&#x201D;,
&#x201C;entity&#x201D;: &#x201C;TAG2&#x201D;}, {&#x201C;word&#x201D;: &#x201C;E&#x201D;, &#x201C;entity&#x201D;: &#x201C;TAG2&#x201D;}] Notice that two consecutive B tags will end up as
different entities. On word based languages, we might end up splitting words undesirably : Imagine
Microsoft being tagged as [{&#x201C;word&#x201D;: &#x201C;Micro&#x201D;, &#x201C;entity&#x201D;: &#x201C;ENTERPRISE&#x201D;}, {&#x201C;word&#x201D;: &#x201C;soft&#x201D;, &#x201C;entity&#x201D;:
&#x201C;NAME&#x201D;}]. Look for FIRST, MAX, AVERAGE for ways to mitigate that and disambiguate words (on languages
that support that meaning, which is basically tokens separated by a space). These mitigations will
only work on real words, &#x201C;New york&#x201D; might still be tagged with two different entities.</li>
<li>&#x201C;first&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words, cannot
end up with different tags. Words will simply use the tag of the first token of the word when there
is ambiguity.</li>
<li>&#x201C;average&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words,
cannot end up with different tags. scores will be averaged first across tokens, and then the maximum
label is applied.</li>
<li>&#x201C;max&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words, cannot
end up with different tags. Word entity will simply be the token with the maximum score.</li>
</ul>`,name:"aggregation_strategy"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/token_classification.py#L86"}}),Dn=new C({props:{anchor:"transformers.TokenClassificationPipeline.example",$$slots:{default:[IS]},$$scope:{ctx:j}}}),Fr=new $({props:{name:"aggregate_words",anchor:"transformers.TokenClassificationPipeline.aggregate_words",parameters:[{name:"entities",val:": typing.List[dict]"},{name:"aggregation_strategy",val:": AggregationStrategy"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/token_classification.py#L393"}}),Lr=new $({props:{name:"gather_pre_entities",anchor:"transformers.TokenClassificationPipeline.gather_pre_entities",parameters:[{name:"sentence",val:": str"},{name:"input_ids",val:": ndarray"},{name:"scores",val:": ndarray"},{name:"offset_mapping",val:": typing.Union[typing.List[typing.Tuple[int, int]], NoneType]"},{name:"special_tokens_mask",val:": ndarray"},{name:"aggregation_strategy",val:": AggregationStrategy"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/token_classification.py#L282"}}),Nr=new $({props:{name:"group_entities",anchor:"transformers.TokenClassificationPipeline.group_entities",parameters:[{name:"entities",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.group_entities.entities",description:"<strong>entities</strong> (<code>dict</code>) &#x2014; The entities predicted by the pipeline.",name:"entities"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/token_classification.py#L455"}}),Or=new $({props:{name:"group_sub_entities",anchor:"transformers.TokenClassificationPipeline.group_sub_entities",parameters:[{name:"entities",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.group_sub_entities.entities",description:"<strong>entities</strong> (<code>dict</code>) &#x2014; The entities predicted by the pipeline.",name:"entities"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/token_classification.py#L420"}}),Ur=new q({}),Gr=new $({props:{name:"class transformers.QuestionAnsweringPipeline",anchor:"transformers.QuestionAnsweringPipeline",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"tokenizer",val:": PreTrainedTokenizer"},{name:"modelcard",val:": typing.Optional[transformers.modelcard.ModelCard] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"device",val:": int = -1"},{name:"task",val:": str = ''"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.QuestionAnsweringPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.QuestionAnsweringPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.QuestionAnsweringPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.QuestionAnsweringPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.QuestionAnsweringPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.QuestionAnsweringPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.QuestionAnsweringPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.QuestionAnsweringPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.QuestionAnsweringPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.QuestionAnsweringPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/question_answering.py#L224"}}),Ln=new C({props:{anchor:"transformers.QuestionAnsweringPipeline.example",$$slots:{default:[SS]},$$scope:{ctx:j}}}),Qr=new $({props:{name:"__call__",anchor:"transformers.QuestionAnsweringPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.QuestionAnsweringPipeline.__call__.args",description:`<strong>args</strong> (<code>SquadExample</code> or a list of <code>SquadExample</code>) &#x2014;
One or several <code>SquadExample</code> containing the question and context.`,name:"args"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.X",description:`<strong>X</strong> (<code>SquadExample</code> or a list of <code>SquadExample</code>, <em>optional</em>) &#x2014;
One or several <code>SquadExample</code> containing the question and context (will be treated the same way as if
passed as the first positional argument).`,name:"X"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.data",description:`<strong>data</strong> (<code>SquadExample</code> or a list of <code>SquadExample</code>, <em>optional</em>) &#x2014;
One or several <code>SquadExample</code> containing the question and context (will be treated the same way as if
passed as the first positional argument).`,name:"data"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.question",description:`<strong>question</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several question(s) (must be used in conjunction with the <code>context</code> argument).`,name:"question"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.context",description:`<strong>context</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several context(s) associated with the question(s) (must be used in conjunction with the
<code>question</code> argument).`,name:"context"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.topk",description:`<strong>topk</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of answers to return (will be chosen by order of likelihood). Note that we return less than
topk answers if there are not enough options available within the context.`,name:"topk"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.doc_stride",description:`<strong>doc_stride</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
If the context is too long to fit with the question for the model, it will be split in several chunks
with some overlap. This argument controls the size of that overlap.`,name:"doc_stride"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.max_answer_len",description:`<strong>max_answer_len</strong> (<code>int</code>, <em>optional</em>, defaults to 15) &#x2014;
The maximum length of predicted answers (e.g., only answers with a shorter length are considered).`,name:"max_answer_len"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.max_seq_len",description:`<strong>max_seq_len</strong> (<code>int</code>, <em>optional</em>, defaults to 384) &#x2014;
The maximum length of the total sentence (context + question) in tokens of each chunk passed to the
model. The context will be split in several chunks (using <code>doc_stride</code> as overlap) if needed.`,name:"max_seq_len"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.max_question_len",description:`<strong>max_question_len</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
The maximum length of the question after tokenization. It will be truncated if needed.`,name:"max_question_len"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.handle_impossible_answer",description:`<strong>handle_impossible_answer</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not we accept impossible as an answer.`,name:"handle_impossible_answer"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.align_to_words",description:`<strong>align_to_words</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Attempts to align the answer to real words. Improves quality on space separated langages. Might hurt on
non-space-separated languages (like Japanese or Chinese)`,name:"align_to_words"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/question_answering.py#L342",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>score</strong> (<code>float</code>) \u2014 The probability associated to the answer.</li>
<li><strong>start</strong> (<code>int</code>) \u2014 The character start index of the answer (in the tokenized version of the input).</li>
<li><strong>end</strong> (<code>int</code>) \u2014 The character end index of the answer (in the tokenized version of the input).</li>
<li><strong>answer</strong> (<code>str</code>) \u2014 The answer to the question.</li>
</ul>
`,returnType:`
<p>A <code>dict</code> or a list of <code>dict</code></p>
`}}),Hr=new $({props:{name:"create_sample",anchor:"transformers.QuestionAnsweringPipeline.create_sample",parameters:[{name:"question",val:": typing.Union[str, typing.List[str]]"},{name:"context",val:": typing.Union[str, typing.List[str]]"}],parametersDescription:[{anchor:"transformers.QuestionAnsweringPipeline.create_sample.question",description:"<strong>question</strong> (<code>str</code> or <code>List[str]</code>) &#x2014; The question(s) asked.",name:"question"},{anchor:"transformers.QuestionAnsweringPipeline.create_sample.context",description:"<strong>context</strong> (<code>str</code> or <code>List[str]</code>) &#x2014; The context(s) in which we will look for the answer.",name:"context"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/question_answering.py#L277",returnDescription:`
<p>The corresponding <code>SquadExample</code> grouping question and context.</p>
`,returnType:`
<p>One or a list of <code>SquadExample</code></p>
`}}),Wr=new $({props:{name:"span_to_answer",anchor:"transformers.QuestionAnsweringPipeline.span_to_answer",parameters:[{name:"text",val:": str"},{name:"start",val:": int"},{name:"end",val:": int"}],parametersDescription:[{anchor:"transformers.QuestionAnsweringPipeline.span_to_answer.text",description:"<strong>text</strong> (<code>str</code>) &#x2014; The actual context to extract the answer from.",name:"text"},{anchor:"transformers.QuestionAnsweringPipeline.span_to_answer.start",description:"<strong>start</strong> (<code>int</code>) &#x2014; The answer starting token index.",name:"start"},{anchor:"transformers.QuestionAnsweringPipeline.span_to_answer.end",description:"<strong>end</strong> (<code>int</code>) &#x2014; The answer end token index.",name:"end"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/question_answering.py#L622",returnDescription:`
<p>str, \u2018start\u2019: int, \u2018end\u2019: int}\`</p>
`,returnType:`
<p>Dictionary like \`{\u2018answer\u2019</p>
`}}),Br=new q({}),Zr=new $({props:{name:"class transformers.SummarizationPipeline",anchor:"transformers.SummarizationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.SummarizationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.SummarizationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.SummarizationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.SummarizationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.SummarizationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.SummarizationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.SummarizationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.SummarizationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.SummarizationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.SummarizationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/text2text_generation.py#L213"}}),Gn=new C({props:{anchor:"transformers.SummarizationPipeline.example",$$slots:{default:[MS]},$$scope:{ctx:j}}}),Xr=new $({props:{name:"__call__",anchor:"transformers.SummarizationPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.SummarizationPipeline.__call__.documents",description:`<strong>documents</strong> (<em>str</em> or <code>List[str]</code>) &#x2014;
One or several articles (or one list of articles) to summarize.`,name:"documents"},{anchor:"transformers.SummarizationPipeline.__call__.return_text",description:`<strong>return_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to include the decoded texts in the outputs`,name:"return_text"},{anchor:"transformers.SummarizationPipeline.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to include the tensors of predictions (as token indices) in the outputs.`,name:"return_tensors"},{anchor:"transformers.SummarizationPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.
generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"clean_up_tokenization_spaces"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/text2text_generation.py#L241",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>summary_text</strong> (<code>str</code>, present when <code>return_text=True</code>) \u2014 The summary of the corresponding input.</li>
<li><strong>summary_token_ids</strong> (<code>torch.Tensor</code> or <code>tf.Tensor</code>, present when <code>return_tensors=True</code>) \u2014 The token
ids of the summary.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),Jr=new q({}),ei=new $({props:{name:"class transformers.TableQuestionAnsweringPipeline",anchor:"transformers.TableQuestionAnsweringPipeline",parameters:[{name:"args_parser",val:" = <transformers.pipelines.table_question_answering.TableQuestionAnsweringArgumentHandler object at 0x7f83e3c9eb50>"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TableQuestionAnsweringPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TableQuestionAnsweringPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TableQuestionAnsweringPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TableQuestionAnsweringPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TableQuestionAnsweringPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TableQuestionAnsweringPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TableQuestionAnsweringPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TableQuestionAnsweringPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TableQuestionAnsweringPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TableQuestionAnsweringPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/table_question_answering.py#L89"}}),Qn=new C({props:{anchor:"transformers.TableQuestionAnsweringPipeline.example",$$slots:{default:[FS]},$$scope:{ctx:j}}}),ai=new $({props:{name:"__call__",anchor:"transformers.TableQuestionAnsweringPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.table",description:`<strong>table</strong> (<code>pd.DataFrame</code> or <code>Dict</code>) &#x2014;
Pandas DataFrame or dictionary that will be converted to a DataFrame containing all the table values.
See above for an example of dictionary.`,name:"table"},{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.query",description:`<strong>query</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
Query or list of queries that will be sent to the model alongside the table.`,name:"query"},{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.sequential",description:`<strong>sequential</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to do inference sequentially or as a batch. Batching is faster, but models like SQA require the
inference to be done sequentially to extract relations within sequences, given their conversational
nature.`,name:"sequential"},{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/v4.26.0/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Activates and controls padding. Accepts the following values:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code>: Pad to the longest sequence in the batch (or no padding if only a single
sequence if provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code> (default): No padding (i.e., can output a batch with sequences of different
lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.truncation",description:`<strong>truncation</strong> (<code>bool</code>, <code>str</code> or <code>TapasTruncationStrategy</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Activates and controls truncation. Accepts the following values:</p>
<ul>
<li><code>True</code> or <code>&apos;drop_rows_to_fit&apos;</code>: Truncate to a maximum length specified with the argument <code>max_length</code>
or to the maximum acceptable input length for the model if that argument is not provided. This will
truncate row by row, removing rows from the table.</li>
<li><code>False</code> or <code>&apos;do_not_truncate&apos;</code> (default): No truncation (i.e., can output batch with sequence lengths
greater than the model maximum admissible input size).</li>
</ul>`,name:"truncation"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/table_question_answering.py#L274",returnDescription:`
<p>Each result is a dictionary with the following
keys:</p>
<ul>
<li><strong>answer</strong> (<code>str</code>) \u2014 The answer of the query given the table. If there is an aggregator, the answer will
be preceded by <code>AGGREGATOR &gt;</code>.</li>
<li><strong>coordinates</strong> (<code>List[Tuple[int, int]]</code>) \u2014 Coordinates of the cells of the answers.</li>
<li><strong>cells</strong> (<code>List[str]</code>) \u2014 List of strings made up of the answer cell values.</li>
<li><strong>aggregator</strong> (<code>str</code>) \u2014 If the model has an aggregator, this returns the aggregator.</li>
</ul>
`,returnType:`
<p>A dictionary or a list of dictionaries containing results</p>
`}}),Hn=new C({props:{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.example",$$slots:{default:[LS]},$$scope:{ctx:j}}}),Wn=new C({props:{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.example-2",$$slots:{default:[NS]},$$scope:{ctx:j}}}),ri=new q({}),ii=new $({props:{name:"class transformers.TextClassificationPipeline",anchor:"transformers.TextClassificationPipeline",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TextClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TextClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TextClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TextClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TextClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TextClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TextClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TextClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TextClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TextClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.TextClassificationPipeline.return_all_scores",description:`<strong>return_all_scores</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to return all prediction scores or just the one of the predicted class.`,name:"return_all_scores"},{anchor:"transformers.TextClassificationPipeline.function_to_apply",description:`<strong>function_to_apply</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;default&quot;</code>) &#x2014;
The function to apply to the model outputs in order to retrieve the scores. Accepts four different values:</p>
<ul>
<li><code>&quot;default&quot;</code>: if the model has a single label, will apply the sigmoid function on the output. If the model
has several labels, will apply the softmax function on the output.</li>
<li><code>&quot;sigmoid&quot;</code>: Applies the sigmoid function on the output.</li>
<li><code>&quot;softmax&quot;</code>: Applies the softmax function on the output.</li>
<li><code>&quot;none&quot;</code>: Does not apply any function on the output.</li>
</ul>`,name:"function_to_apply"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/text_classification.py#L48"}}),Zn=new C({props:{anchor:"transformers.TextClassificationPipeline.example",$$slots:{default:[OS]},$$scope:{ctx:j}}}),di=new $({props:{name:"__call__",anchor:"transformers.TextClassificationPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TextClassificationPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code> or <code>Dict[str]</code>, or <code>List[Dict[str]]</code>) &#x2014;
One or several texts to classify. In order to use text pairs for your classification, you can send a
dictionary containing <code>{&quot;text&quot;, &quot;text_pair&quot;}</code> keys, or a list of those.`,name:"args"},{anchor:"transformers.TextClassificationPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to <code>1</code>) &#x2014;
How many results to return.`,name:"top_k"},{anchor:"transformers.TextClassificationPipeline.__call__.function_to_apply",description:`<strong>function_to_apply</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;default&quot;</code>) &#x2014;
The function to apply to the model outputs in order to retrieve the scores. Accepts four different
values:</p>
<p>If this argument is not specified, then it will apply the following functions according to the number
of labels:</p>
<ul>
<li>If the model has a single label, will apply the sigmoid function on the output.</li>
<li>If the model has several labels, will apply the softmax function on the output.</li>
</ul>
<p>Possible values are:</p>
<ul>
<li><code>&quot;sigmoid&quot;</code>: Applies the sigmoid function on the output.</li>
<li><code>&quot;softmax&quot;</code>: Applies the softmax function on the output.</li>
<li><code>&quot;none&quot;</code>: Does not apply any function on the output.</li>
</ul>`,name:"function_to_apply"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/text_classification.py#L121",returnDescription:`
<p>Each result comes as list of dictionaries with the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label predicted.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The corresponding probability.</li>
</ul>
<p>If <code>top_k</code> is used, one such dictionary is returned per label.</p>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),mi=new q({}),hi=new $({props:{name:"class transformers.TextGenerationPipeline",anchor:"transformers.TextGenerationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TextGenerationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TextGenerationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TextGenerationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TextGenerationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TextGenerationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TextGenerationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TextGenerationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TextGenerationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TextGenerationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TextGenerationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/text_generation.py#L21"}}),Xn=new C({props:{anchor:"transformers.TextGenerationPipeline.example",$$slots:{default:[US]},$$scope:{ctx:j}}}),_i=new $({props:{name:"__call__",anchor:"transformers.TextGenerationPipeline.__call__",parameters:[{name:"text_inputs",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TextGenerationPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several prompts (or one list of prompts) to complete.`,name:"args"},{anchor:"transformers.TextGenerationPipeline.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to return the tensors of predictions (as token indices) in the outputs. If set to
<code>True</code>, the decoded text is not returned.`,name:"return_tensors"},{anchor:"transformers.TextGenerationPipeline.__call__.return_text",description:`<strong>return_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return the decoded texts in the outputs.`,name:"return_text"},{anchor:"transformers.TextGenerationPipeline.__call__.return_full_text",description:`<strong>return_full_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>False</code> only added text is returned, otherwise the full text is returned. Only meaningful if
<em>return_text</em> is set to True.`,name:"return_full_text"},{anchor:"transformers.TextGenerationPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.`,name:"clean_up_tokenization_spaces"},{anchor:"transformers.TextGenerationPipeline.__call__.prefix",description:`<strong>prefix</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Prefix added to prompt.`,name:"prefix"},{anchor:"transformers.TextGenerationPipeline.__call__.handle_long_generation",description:`<strong>handle_long_generation</strong> (<code>str</code>, <em>optional</em>) &#x2014;
By default, this pipelines does not handle long generation (ones that exceed in one form or the other
the model maximum length). There is no perfect way to adress this (more info
:<a href="https://github.com/huggingface/transformers/issues/14033#issuecomment-948385227" rel="nofollow">https://github.com/huggingface/transformers/issues/14033#issuecomment-948385227</a>). This provides common
strategies to work around that problem depending on your use case.</p>
<ul>
<li><code>None</code> : default strategy where nothing in particular happens</li>
<li><code>&quot;hole&quot;</code>: Truncates left of input, and leaves a gap wide enough to let generation happen (might
truncate a lot of the prompt and not suitable when generation exceed the model capacity)</li>
</ul>
<p>generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"handle_long_generation"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/text_generation.py#L169",returnDescription:`
<p>Returns one of the following dictionaries (cannot return a combination
of both <code>generated_text</code> and <code>generated_token_ids</code>):</p>
<ul>
<li><strong>generated_text</strong> (<code>str</code>, present when <code>return_text=True</code>) \u2014 The generated text.</li>
<li><strong>generated_token_ids</strong> (<code>torch.Tensor</code> or <code>tf.Tensor</code>, present when <code>return_tensors=True</code>) \u2014 The token
ids of the generated text.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),bi=new q({}),vi=new $({props:{name:"class transformers.Text2TextGenerationPipeline",anchor:"transformers.Text2TextGenerationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Text2TextGenerationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.Text2TextGenerationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.Text2TextGenerationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.Text2TextGenerationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.Text2TextGenerationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.Text2TextGenerationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.Text2TextGenerationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.Text2TextGenerationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.Text2TextGenerationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.Text2TextGenerationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/text2text_generation.py#L26"}}),ta=new C({props:{anchor:"transformers.Text2TextGenerationPipeline.example",$$slots:{default:[GS]},$$scope:{ctx:j}}}),na=new C({props:{anchor:"transformers.Text2TextGenerationPipeline.example-2",$$slots:{default:[RS]},$$scope:{ctx:j}}}),ki=new $({props:{name:"__call__",anchor:"transformers.Text2TextGenerationPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Text2TextGenerationPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
Input text for the encoder.`,name:"args"},{anchor:"transformers.Text2TextGenerationPipeline.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to include the tensors of predictions (as token indices) in the outputs.`,name:"return_tensors"},{anchor:"transformers.Text2TextGenerationPipeline.__call__.return_text",description:`<strong>return_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to include the decoded texts in the outputs.`,name:"return_text"},{anchor:"transformers.Text2TextGenerationPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.`,name:"clean_up_tokenization_spaces"},{anchor:"transformers.Text2TextGenerationPipeline.__call__.truncation",description:`<strong>truncation</strong> (<code>TruncationStrategy</code>, <em>optional</em>, defaults to <code>TruncationStrategy.DO_NOT_TRUNCATE</code>) &#x2014;
The truncation strategy for the tokenization within the pipeline. <code>TruncationStrategy.DO_NOT_TRUNCATE</code>
(default) will never truncate, but it is sometimes desirable to truncate the input to fit the model&#x2019;s
max_length instead of throwing an error down the line.
generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"truncation"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/text2text_generation.py#L136",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>generated_text</strong> (<code>str</code>, present when <code>return_text=True</code>) \u2014 The generated text.</li>
<li><strong>generated_token_ids</strong> (<code>torch.Tensor</code> or <code>tf.Tensor</code>, present when <code>return_tensors=True</code>) \u2014 The token
ids of the generated text.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),Pi=new $({props:{name:"check_inputs",anchor:"transformers.Text2TextGenerationPipeline.check_inputs",parameters:[{name:"input_length",val:": int"},{name:"min_length",val:": int"},{name:"max_length",val:": int"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/text2text_generation.py#L109"}}),yi=new q({}),Ti=new $({props:{name:"class transformers.TokenClassificationPipeline",anchor:"transformers.TokenClassificationPipeline",parameters:[{name:"args_parser",val:" = <transformers.pipelines.token_classification.TokenClassificationArgumentHandler object at 0x7f83e3cb2460>"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TokenClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TokenClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TokenClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TokenClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TokenClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TokenClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TokenClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TokenClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TokenClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.TokenClassificationPipeline.ignore_labels",description:`<strong>ignore_labels</strong> (<code>List[str]</code>, defaults to <code>[&quot;O&quot;]</code>) &#x2014;
A list of labels to ignore.`,name:"ignore_labels"},{anchor:"transformers.TokenClassificationPipeline.grouped_entities",description:`<strong>grouped_entities</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
DEPRECATED, use <code>aggregation_strategy</code> instead. Whether or not to group the tokens corresponding to the
same entity together in the predictions or not.`,name:"grouped_entities"},{anchor:"transformers.TokenClassificationPipeline.aggregation_strategy",description:`<strong>aggregation_strategy</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;none&quot;</code>) &#x2014;
The strategy to fuse (or not) tokens based on the model prediction.</p>
<ul>
<li>&#x201C;none&#x201D; : Will simply not do any aggregation and simply return raw results from the model</li>
<li>&#x201C;simple&#x201D; : Will attempt to group entities following the default schema. (A, B-TAG), (B, I-TAG), (C,
I-TAG), (D, B-TAG2) (E, B-TAG2) will end up being [{&#x201C;word&#x201D;: ABC, &#x201C;entity&#x201D;: &#x201C;TAG&#x201D;}, {&#x201C;word&#x201D;: &#x201C;D&#x201D;,
&#x201C;entity&#x201D;: &#x201C;TAG2&#x201D;}, {&#x201C;word&#x201D;: &#x201C;E&#x201D;, &#x201C;entity&#x201D;: &#x201C;TAG2&#x201D;}] Notice that two consecutive B tags will end up as
different entities. On word based languages, we might end up splitting words undesirably : Imagine
Microsoft being tagged as [{&#x201C;word&#x201D;: &#x201C;Micro&#x201D;, &#x201C;entity&#x201D;: &#x201C;ENTERPRISE&#x201D;}, {&#x201C;word&#x201D;: &#x201C;soft&#x201D;, &#x201C;entity&#x201D;:
&#x201C;NAME&#x201D;}]. Look for FIRST, MAX, AVERAGE for ways to mitigate that and disambiguate words (on languages
that support that meaning, which is basically tokens separated by a space). These mitigations will
only work on real words, &#x201C;New york&#x201D; might still be tagged with two different entities.</li>
<li>&#x201C;first&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words, cannot
end up with different tags. Words will simply use the tag of the first token of the word when there
is ambiguity.</li>
<li>&#x201C;average&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words,
cannot end up with different tags. scores will be averaged first across tokens, and then the maximum
label is applied.</li>
<li>&#x201C;max&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words, cannot
end up with different tags. Word entity will simply be the token with the maximum score.</li>
</ul>`,name:"aggregation_strategy"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/token_classification.py#L86"}}),ia=new C({props:{anchor:"transformers.TokenClassificationPipeline.example",$$slots:{default:[VS]},$$scope:{ctx:j}}}),Ei=new $({props:{name:"__call__",anchor:"transformers.TokenClassificationPipeline.__call__",parameters:[{name:"inputs",val:": typing.Union[str, typing.List[str]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.__call__.inputs",description:`<strong>inputs</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several texts (or one list of texts) for token classification.`,name:"inputs"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/token_classification.py#L186",returnDescription:`
<p>Each result comes as a list of dictionaries (one for each token in the
corresponding input, or each entity if this pipeline was instantiated with an aggregation_strategy) with
the following keys:</p>
<ul>
<li><strong>word</strong> (<code>str</code>) \u2014 The token/word classified. This is obtained by decoding the selected tokens. If you
want to have the exact string in the original sentence, use <code>start</code> and <code>end</code>.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The corresponding probability for <code>entity</code>.</li>
<li><strong>entity</strong> (<code>str</code>) \u2014 The entity predicted for that token/word (it is named <em>entity_group</em> when
<em>aggregation_strategy</em> is not <code>"none"</code>.</li>
<li><strong>index</strong> (<code>int</code>, only present when <code>aggregation_strategy="none"</code>) \u2014 The index of the corresponding
token in the sentence.</li>
<li><strong>start</strong> (<code>int</code>, <em>optional</em>) \u2014 The index of the start of the corresponding entity in the sentence. Only
exists if the offsets are available within the tokenizer</li>
<li><strong>end</strong> (<code>int</code>, <em>optional</em>) \u2014 The index of the end of the corresponding entity in the sentence. Only
exists if the offsets are available within the tokenizer</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),qi=new $({props:{name:"aggregate_words",anchor:"transformers.TokenClassificationPipeline.aggregate_words",parameters:[{name:"entities",val:": typing.List[dict]"},{name:"aggregation_strategy",val:": AggregationStrategy"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/token_classification.py#L393"}}),Ai=new $({props:{name:"gather_pre_entities",anchor:"transformers.TokenClassificationPipeline.gather_pre_entities",parameters:[{name:"sentence",val:": str"},{name:"input_ids",val:": ndarray"},{name:"scores",val:": ndarray"},{name:"offset_mapping",val:": typing.Union[typing.List[typing.Tuple[int, int]], NoneType]"},{name:"special_tokens_mask",val:": ndarray"},{name:"aggregation_strategy",val:": AggregationStrategy"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/token_classification.py#L282"}}),Ci=new $({props:{name:"group_entities",anchor:"transformers.TokenClassificationPipeline.group_entities",parameters:[{name:"entities",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.group_entities.entities",description:"<strong>entities</strong> (<code>dict</code>) &#x2014; The entities predicted by the pipeline.",name:"entities"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/token_classification.py#L455"}}),Di=new $({props:{name:"group_sub_entities",anchor:"transformers.TokenClassificationPipeline.group_sub_entities",parameters:[{name:"entities",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.group_sub_entities.entities",description:"<strong>entities</strong> (<code>dict</code>) &#x2014; The entities predicted by the pipeline.",name:"entities"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/token_classification.py#L420"}}),zi=new q({}),Ii=new $({props:{name:"class transformers.TranslationPipeline",anchor:"transformers.TranslationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TranslationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TranslationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TranslationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TranslationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TranslationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TranslationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TranslationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TranslationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TranslationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TranslationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/text2text_generation.py#L282"}}),fa=new C({props:{anchor:"transformers.TranslationPipeline.example",$$slots:{default:[QS]},$$scope:{ctx:j}}}),Fi=new $({props:{name:"__call__",anchor:"transformers.TranslationPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TranslationPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
Texts to be translated.`,name:"args"},{anchor:"transformers.TranslationPipeline.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to include the tensors of predictions (as token indices) in the outputs.`,name:"return_tensors"},{anchor:"transformers.TranslationPipeline.__call__.return_text",description:`<strong>return_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to include the decoded texts in the outputs.`,name:"return_text"},{anchor:"transformers.TranslationPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.`,name:"clean_up_tokenization_spaces"},{anchor:"transformers.TranslationPipeline.__call__.src_lang",description:`<strong>src_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The language of the input. Might be required for multilingual models. Will not have any effect for
single pair translation models`,name:"src_lang"},{anchor:"transformers.TranslationPipeline.__call__.tgt_lang",description:`<strong>tgt_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The language of the desired output. Might be required for multilingual models. Will not have any effect
for single pair translation models
generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"tgt_lang"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/text2text_generation.py#L336",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>translation_text</strong> (<code>str</code>, present when <code>return_text=True</code>) \u2014 The translation.</li>
<li><strong>translation_token_ids</strong> (<code>torch.Tensor</code> or <code>tf.Tensor</code>, present when <code>return_tensors=True</code>) \u2014 The
token ids of the translation.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),Li=new q({}),Ni=new $({props:{name:"class transformers.ZeroShotClassificationPipeline",anchor:"transformers.ZeroShotClassificationPipeline",parameters:[{name:"args_parser",val:" = <transformers.pipelines.zero_shot_classification.ZeroShotClassificationArgumentHandler object at 0x7f83df0c2940>"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ZeroShotClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ZeroShotClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ZeroShotClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ZeroShotClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ZeroShotClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ZeroShotClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ZeroShotClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ZeroShotClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ZeroShotClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/zero_shot_classification.py#L46"}}),_a=new C({props:{anchor:"transformers.ZeroShotClassificationPipeline.example",$$slots:{default:[HS]},$$scope:{ctx:j}}}),Gi=new $({props:{name:"__call__",anchor:"transformers.ZeroShotClassificationPipeline.__call__",parameters:[{name:"sequences",val:": typing.Union[str, typing.List[str]]"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotClassificationPipeline.__call__.sequences",description:`<strong>sequences</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
The sequence(s) to classify, will be truncated if the model input is too large.`,name:"sequences"},{anchor:"transformers.ZeroShotClassificationPipeline.__call__.candidate_labels",description:`<strong>candidate_labels</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
The set of possible class labels to classify each sequence into. Can be a single label, a string of
comma-separated labels, or a list of labels.`,name:"candidate_labels"},{anchor:"transformers.ZeroShotClassificationPipeline.__call__.hypothesis_template",description:`<strong>hypothesis_template</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;This example is {}.&quot;</code>) &#x2014;
The template used to turn each label into an NLI-style hypothesis. This template must include a {} or
similar syntax for the candidate label to be inserted into the template. For example, the default
template is <code>&quot;This example is {}.&quot;</code> With the candidate label <code>&quot;sports&quot;</code>, this would be fed into the
model like <code>&quot;&lt;cls&gt; sequence to classify &lt;sep&gt; This example is sports . &lt;sep&gt;&quot;</code>. The default template
works well in many cases, but it may be worthwhile to experiment with different templates depending on
the task setting.`,name:"hypothesis_template"},{anchor:"transformers.ZeroShotClassificationPipeline.__call__.multi_label",description:`<strong>multi_label</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not multiple candidate labels can be true. If <code>False</code>, the scores are normalized such that
the sum of the label likelihoods for each sequence is 1. If <code>True</code>, the labels are considered
independent and probabilities are normalized for each candidate by doing a softmax of the entailment
score vs. the contradiction score.`,name:"multi_label"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/zero_shot_classification.py#L162",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>sequence</strong> (<code>str</code>) \u2014 The sequence for which this is the output.</li>
<li><strong>labels</strong> (<code>List[str]</code>) \u2014 The labels sorted by order of likelihood.</li>
<li><strong>scores</strong> (<code>List[float]</code>) \u2014 The probabilities for each of the labels.</li>
</ul>
`,returnType:`
<p>A <code>dict</code> or a list of <code>dict</code></p>
`}}),Vi=new q({}),Qi=new q({}),Hi=new $({props:{name:"class transformers.DocumentQuestionAnsweringPipeline",anchor:"transformers.DocumentQuestionAnsweringPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DocumentQuestionAnsweringPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/document_question_answering.py#L102"}}),xa=new C({props:{anchor:"transformers.DocumentQuestionAnsweringPipeline.example",$$slots:{default:[WS]},$$scope:{ctx:j}}}),Yi=new $({props:{name:"__call__",anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__",parameters:[{name:"image",val:": typing.Union[ForwardRef('Image.Image'), str]"},{name:"question",val:": typing.Optional[str] = None"},{name:"word_boxes",val:": typing.Tuple[str, typing.List[float]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.image",description:`<strong>image</strong> (<code>str</code> or <code>PIL.Image</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images. If given a single image, it can be
broadcasted to multiple questions.`,name:"image"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.question",description:`<strong>question</strong> (<code>str</code>) &#x2014;
A question to ask of the document.`,name:"question"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.word_boxes",description:`<strong>word_boxes</strong> (<code>List[str, Tuple[float, float, float, float]]</code>, <em>optional</em>) &#x2014;
A list of words and bounding boxes (normalized 0-&gt;1000). If you provide this optional input, then the
pipeline will use these words and boxes instead of running OCR on the image to derive them for models
that need them (e.g. LayoutLM). This allows you to reuse OCR&#x2019;d results across many invocations of the
pipeline without having to re-run it each time.`,name:"word_boxes"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of answers to return (will be chosen by order of likelihood). Note that we return less than
top_k answers if there are not enough options available within the context.`,name:"top_k"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.doc_stride",description:`<strong>doc_stride</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
If the words in the document are too long to fit with the question for the model, it will be split in
several chunks with some overlap. This argument controls the size of that overlap.`,name:"doc_stride"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.max_answer_len",description:`<strong>max_answer_len</strong> (<code>int</code>, <em>optional</em>, defaults to 15) &#x2014;
The maximum length of predicted answers (e.g., only answers with a shorter length are considered).`,name:"max_answer_len"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.max_seq_len",description:`<strong>max_seq_len</strong> (<code>int</code>, <em>optional</em>, defaults to 384) &#x2014;
The maximum length of the total sentence (context + question) in tokens of each chunk passed to the
model. The context will be split in several chunks (using <code>doc_stride</code> as overlap) if needed.`,name:"max_seq_len"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.max_question_len",description:`<strong>max_question_len</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
The maximum length of the question after tokenization. It will be truncated if needed.`,name:"max_question_len"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.handle_impossible_answer",description:`<strong>handle_impossible_answer</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not we accept impossible as an answer.`,name:"handle_impossible_answer"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.lang",description:`<strong>lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Language to use while running OCR. Defaults to english.`,name:"lang"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.tesseract_config",description:`<strong>tesseract_config</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Additional flags to pass to tesseract while running OCR.`,name:"tesseract_config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/document_question_answering.py#L186",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>score</strong> (<code>float</code>) \u2014 The probability associated to the answer.</li>
<li><strong>start</strong> (<code>int</code>) \u2014 The start word index of the answer (in the OCR\u2019d version of the input or provided
<code>word_boxes</code>).</li>
<li><strong>end</strong> (<code>int</code>) \u2014 The end word index of the answer (in the OCR\u2019d version of the input or provided
<code>word_boxes</code>).</li>
<li><strong>answer</strong> (<code>str</code>) \u2014 The answer to the question.</li>
<li><strong>words</strong> (<code>list[int]</code>) \u2014 The index of each word/box pair that is in the answer</li>
</ul>
`,returnType:`
<p>A <code>dict</code> or a list of <code>dict</code></p>
`}}),Xi=new q({}),Ji=new $({props:{name:"class transformers.FeatureExtractionPipeline",anchor:"transformers.FeatureExtractionPipeline",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"tokenizer",val:": typing.Optional[transformers.tokenization_utils.PreTrainedTokenizer] = None"},{name:"feature_extractor",val:": typing.Optional[ForwardRef('SequenceFeatureExtractor')] = None"},{name:"modelcard",val:": typing.Optional[transformers.modelcard.ModelCard] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"task",val:": str = ''"},{name:"args_parser",val:": ArgumentHandler = None"},{name:"device",val:": typing.Union[int, str, ForwardRef('torch.device')] = -1"},{name:"torch_dtype",val:": typing.Union[str, ForwardRef('torch.dtype'), NoneType] = None"},{name:"binary_output",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FeatureExtractionPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.FeatureExtractionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.FeatureExtractionPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.FeatureExtractionPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.FeatureExtractionPipeline.return_tensors",description:`<strong>return_tensors</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If <code>True</code>, returns a tensor according to the specified framework, otherwise returns a list.`,name:"return_tensors"},{anchor:"transformers.FeatureExtractionPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.FeatureExtractionPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.FeatureExtractionPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id.`,name:"device"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/feature_extraction.py#L7"}}),Pa=new C({props:{anchor:"transformers.FeatureExtractionPipeline.example",$$slots:{default:[BS]},$$scope:{ctx:j}}}),sl=new $({props:{name:"__call__",anchor:"transformers.FeatureExtractionPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FeatureExtractionPipeline.__call__.args",description:"<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014; One or several texts (or one list of texts) to get the features of.",name:"args"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/feature_extraction.py#L95",returnDescription:`
<p>The features computed by the model.</p>
`,returnType:`
<p>A nested list of <code>float</code></p>
`}}),nl=new q({}),al=new $({props:{name:"class transformers.ImageToTextPipeline",anchor:"transformers.ImageToTextPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageToTextPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ImageToTextPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ImageToTextPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ImageToTextPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ImageToTextPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ImageToTextPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ImageToTextPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ImageToTextPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ImageToTextPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ImageToTextPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/image_to_text.py#L29"}}),$a=new C({props:{anchor:"transformers.ImageToTextPipeline.example",$$slots:{default:[ZS]},$$scope:{ctx:j}}}),ll=new $({props:{name:"__call__",anchor:"transformers.ImageToTextPipeline.__call__",parameters:[{name:"images",val:": typing.Union[str, typing.List[str], ForwardRef('Image.Image'), typing.List[ForwardRef('Image.Image')]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageToTextPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a HTTP(s) link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images.`,name:"images"},{anchor:"transformers.ImageToTextPipeline.__call__.max_new_tokens",description:`<strong>max_new_tokens</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The amount of maximum tokens to generate. By default it will use <code>generate</code> default.`,name:"max_new_tokens"},{anchor:"transformers.ImageToTextPipeline.__call__.generate_kwargs",description:`<strong>generate_kwargs</strong> (<code>Dict</code>, <em>optional</em>) &#x2014;
Pass it to send all of these arguments directly to <code>generate</code> allowing full control of this function.`,name:"generate_kwargs"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/image_to_text.py#L74",returnDescription:`
<p>Each result comes as a dictionary with the following key:</p>
<ul>
<li><strong>generated_text</strong> (<code>str</code>) \u2014 The generated text.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),pl=new q({}),cl=new $({props:{name:"class transformers.VisualQuestionAnsweringPipeline",anchor:"transformers.VisualQuestionAnsweringPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VisualQuestionAnsweringPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.VisualQuestionAnsweringPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.VisualQuestionAnsweringPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.VisualQuestionAnsweringPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.VisualQuestionAnsweringPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.VisualQuestionAnsweringPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.VisualQuestionAnsweringPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.VisualQuestionAnsweringPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.VisualQuestionAnsweringPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.VisualQuestionAnsweringPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/visual_question_answering.py#L19"}}),qa=new C({props:{anchor:"transformers.VisualQuestionAnsweringPipeline.example",$$slots:{default:[YS]},$$scope:{ctx:j}}}),fl=new $({props:{name:"__call__",anchor:"transformers.VisualQuestionAnsweringPipeline.__call__",parameters:[{name:"image",val:": typing.Union[ForwardRef('Image.Image'), str]"},{name:"question",val:": str = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VisualQuestionAnsweringPipeline.__call__.image",description:`<strong>image</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images. If given a single image, it can be
broadcasted to multiple questions.`,name:"image"},{anchor:"transformers.VisualQuestionAnsweringPipeline.__call__.question",description:`<strong>question</strong> (<code>str</code>, <code>List[str]</code>) &#x2014;
The question(s) asked. If given a single question, it can be broadcasted to multiple images.`,name:"question"},{anchor:"transformers.VisualQuestionAnsweringPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to 5) &#x2014;
The number of top labels that will be returned by the pipeline. If the provided number is higher than
the number of labels available in the model configuration, it will default to the number of labels.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/visual_question_answering.py#L68",returnDescription:`
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model.</li>
<li><strong>score</strong> (<code>int</code>) \u2014 The score attributed by the model for that label.</li>
</ul>
`,returnType:`
<p>A dictionary or a list of dictionaries containing the result. The dictionaries contain the following keys</p>
`}}),ul=new q({}),gl=new $({props:{name:"class transformers.Pipeline",anchor:"transformers.Pipeline",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"tokenizer",val:": typing.Optional[transformers.tokenization_utils.PreTrainedTokenizer] = None"},{name:"feature_extractor",val:": typing.Optional[ForwardRef('SequenceFeatureExtractor')] = None"},{name:"modelcard",val:": typing.Optional[transformers.modelcard.ModelCard] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"task",val:": str = ''"},{name:"args_parser",val:": ArgumentHandler = None"},{name:"device",val:": typing.Union[int, str, ForwardRef('torch.device')] = -1"},{name:"torch_dtype",val:": typing.Union[str, ForwardRef('torch.dtype'), NoneType] = None"},{name:"binary_output",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Pipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.Pipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.Pipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.Pipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.Pipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.Pipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.Pipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.Pipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/v4.26.0/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.Pipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.Pipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/base.py#L722"}}),_l=new $({props:{name:"check_model_type",anchor:"transformers.Pipeline.check_model_type",parameters:[{name:"supported_models",val:": typing.Union[typing.List[str], dict]"}],parametersDescription:[{anchor:"transformers.Pipeline.check_model_type.supported_models",description:`<strong>supported_models</strong> (<code>List[str]</code> or <code>dict</code>) &#x2014;
The list of models supported by the pipeline, or a dictionary with model class values.`,name:"supported_models"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/base.py#L909"}}),bl=new $({props:{name:"device_placement",anchor:"transformers.Pipeline.device_placement",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/base.py#L849",returnDescription:`
<p>Context manager</p>
`}}),Da=new C({props:{anchor:"transformers.Pipeline.device_placement.example",$$slots:{default:[KS]},$$scope:{ctx:j}}}),vl=new $({props:{name:"ensure_tensor_on_device",anchor:"transformers.Pipeline.ensure_tensor_on_device",parameters:[{name:"**inputs",val:""}],parametersDescription:[{anchor:"transformers.Pipeline.ensure_tensor_on_device.inputs",description:`<strong>inputs</strong> (keyword arguments that should be <code>torch.Tensor</code>, the rest is ignored) &#x2014;
The tensors to place on <code>self.device</code>.`,name:"inputs"},{anchor:"transformers.Pipeline.ensure_tensor_on_device.Recursive",description:"<strong>Recursive</strong> on lists <strong>only</strong>. &#x2014;",name:"Recursive"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/base.py#L875",returnDescription:`
<p>The same as <code>inputs</code> but on the proper device.</p>
`,returnType:`
<p><code>Dict[str, torch.Tensor]</code></p>
`}}),wl=new $({props:{name:"postprocess",anchor:"transformers.Pipeline.postprocess",parameters:[{name:"model_outputs",val:": ModelOutput"},{name:"**postprocess_parameters",val:": typing.Dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/base.py#L966"}}),kl=new $({props:{name:"predict",anchor:"transformers.Pipeline.predict",parameters:[{name:"X",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/base.py#L843"}}),yl=new $({props:{name:"preprocess",anchor:"transformers.Pipeline.preprocess",parameters:[{name:"input_",val:": typing.Any"},{name:"**preprocess_parameters",val:": typing.Dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/base.py#L945"}}),Tl=new $({props:{name:"save_pretrained",anchor:"transformers.Pipeline.save_pretrained",parameters:[{name:"save_directory",val:": str"}],parametersDescription:[{anchor:"transformers.Pipeline.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code>) &#x2014;
A path to the directory where to saved. It will be created if it doesn&#x2019;t exist.`,name:"save_directory"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/base.py#L792"}}),$l=new $({props:{name:"transform",anchor:"transformers.Pipeline.transform",parameters:[{name:"X",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/pipelines/base.py#L837"}}),{c(){u=n("meta"),T=p(),P=n("h1"),f=n("a"),y=n("span"),_(l.$$.fragment),g=p(),He=n("span"),Jv=r("Pipelines"),Ng=p(),Es=n("p"),ew=r(`The pipelines are a great and easy way to use models for inference. These pipelines are objects that abstract most of
the complex code from the library, offering a simple API dedicated to several tasks, including Named Entity
Recognition, Masked Language Modeling, Sentiment Analysis, Feature Extraction and Question Answering. See the
`),Nl=n("a"),tw=r("task summary"),sw=r(" for examples of use."),Og=p(),Ol=n("p"),nw=r("There are two categories of pipeline abstractions to be aware about:"),Ug=p(),qs=n("ul"),Ha=n("li"),aw=r("The "),Ul=n("a"),ow=r("pipeline()"),rw=r(" which is the most powerful object encapsulating all other pipelines."),iw=p(),Se=n("li"),lw=r("Task-specific pipelines are available for "),Gl=n("a"),pw=r("audio"),cw=r(", "),Rl=n("a"),dw=r("computer vision"),mw=r(", "),Vl=n("a"),hw=r("natural language processing"),fw=r(", and "),Ql=n("a"),uw=r("multimodal"),gw=r(" tasks."),Gg=p(),ht=n("h2"),As=n("a"),yd=n("span"),_(Wa.$$.fragment),_w=p(),Td=n("span"),bw=r("The pipeline abstraction"),Rg=p(),Cs=n("p"),vw=r("The "),$d=n("em"),ww=r("pipeline"),xw=r(` abstraction is a wrapper around all the other available pipelines. It is instantiated as any other
pipeline but can provide additional quality of life.`),Vg=p(),Hl=n("p"),kw=r("Simple call on one item:"),Qg=p(),_(Ba.$$.fragment),Hg=p(),Ds=n("p"),Pw=r("If you want to use a specific model from the "),Za=n("a"),yw=r("hub"),Tw=r(` you can ignore the task if the model on
the hub already defines it:`),Wg=p(),_(Ya.$$.fragment),Bg=p(),zs=n("p"),$w=r("To call a pipeline on many items, you can call it with a "),jd=n("em"),jw=r("list"),Ew=r("."),Zg=p(),_(Ka.$$.fragment),Yg=p(),Is=n("p"),qw=r("To iterate over full datasets it is recommended to use a "),Ed=n("code"),Aw=r("dataset"),Cw=r(` directly. This means you don\u2019t need to allocate
the whole dataset at once, nor do you need to do batching yourself. This should work just as fast as custom loops on
GPU. If it doesn\u2019t don\u2019t hesitate to create an issue.`),Kg=p(),_(Xa.$$.fragment),Xg=p(),Wl=n("p"),Dw=r("For ease of use, a generator is also possible:"),Jg=p(),_(Ja.$$.fragment),e_=p(),ge=n("div"),_(eo.$$.fragment),zw=p(),to=n("p"),Iw=r("Utility factory method to build a "),Bl=n("a"),Sw=r("Pipeline"),Mw=r("."),Fw=p(),qd=n("p"),Lw=r("Pipelines are made of:"),Nw=p(),ft=n("ul"),so=n("li"),Ow=r("A "),Zl=n("a"),Uw=r("tokenizer"),Gw=r(" in charge of mapping raw textual input to token."),Rw=p(),no=n("li"),Vw=r("A "),Yl=n("a"),Qw=r("model"),Hw=r(" to make predictions from the inputs."),Ww=p(),Ad=n("li"),Bw=r("Some (optional) post processing for enhancing model\u2019s output."),Zw=p(),_(Ss.$$.fragment),t_=p(),ut=n("h2"),Ms=n("a"),Cd=n("span"),_(ao.$$.fragment),Yw=p(),Dd=n("span"),Kw=r("Pipeline batching"),s_=p(),et=n("p"),Xw=r(`All pipelines can use batching. This will work
whenever the pipeline uses its streaming ability (so when passing lists or `),zd=n("code"),Jw=r("Dataset"),ex=r(" or "),Id=n("code"),tx=r("generator"),sx=r(")."),n_=p(),_(oo.$$.fragment),a_=p(),_(Fs.$$.fragment),o_=p(),_(ro.$$.fragment),r_=p(),_(io.$$.fragment),i_=p(),Kl=n("p"),nx=r("Example where it\u2019s most a slowdown:"),l_=p(),_(lo.$$.fragment),p_=p(),Ls=n("p"),ax=r("This is a occasional very long sentence compared to the other. In that case, the "),Sd=n("strong"),ox=r("whole"),rx=r(` batch will need to be 400
tokens long, so the whole batch will be [64, 400] instead of [64, 4], leading to the high slowdown. Even worse, on
bigger batches, the program simply crashes.`),c_=p(),_(po.$$.fragment),d_=p(),Xl=n("p"),ix=r(`There are no good (general) solutions for this problem, and your mileage may vary depending on your use cases. Rule of
thumb:`),m_=p(),Jl=n("p"),lx=r("For users, a rule of thumb is:"),h_=p(),be=n("ul"),Md=n("li"),Fd=n("p"),Ld=n("strong"),px=r(`Measure performance on your load, with your hardware. Measure, measure, and keep measuring. Real numbers are the
only way to go.`),cx=p(),Nd=n("li"),Od=n("p"),dx=r("If you are latency constrained (live product doing inference), don\u2019t batch"),mx=p(),Ud=n("li"),Gd=n("p"),hx=r("If you are using CPU, don\u2019t batch."),fx=p(),co=n("li"),Rd=n("p"),ux=r("If you are using throughput (you want to run your model on a bunch of static data), on GPU, then:"),gx=p(),gt=n("ul"),Vd=n("li"),_x=r(`If you have no clue about the size of the sequence_length (\u201Cnatural\u201D data), by default don\u2019t batch, measure and
try tentatively to add it, add OOM checks to recover when it will fail (and it will at some point if you don\u2019t
control the sequence_length.)`),bx=p(),Qd=n("li"),vx=r(`If your sequence_length is super regular, then batching is more likely to be VERY interesting, measure and push
it until you get OOMs.`),wx=p(),Hd=n("li"),xx=r("The larger the GPU the more likely batching is going to be more interesting"),kx=p(),Wd=n("li"),Bd=n("p"),Px=r("As soon as you enable batching, make sure you can handle OOMs nicely."),f_=p(),_t=n("h2"),Ns=n("a"),Zd=n("span"),_(mo.$$.fragment),yx=p(),Yd=n("span"),Tx=r("Pipeline chunk batching"),u_=p(),We=n("p"),Kd=n("code"),$x=r("zero-shot-classification"),jx=r(" and "),Xd=n("code"),Ex=r("question-answering"),qx=r(` are slightly specific in the sense, that a single input might yield
multiple forward pass of a model. Under normal circumstances, this would yield issues with `),Jd=n("code"),Ax=r("batch_size"),Cx=r(" argument."),g_=p(),tt=n("p"),Dx=r("In order to circumvent this issue, both of these pipelines are a bit specific, they are "),em=n("code"),zx=r("ChunkPipeline"),Ix=r(` instead of
regular `),tm=n("code"),Sx=r("Pipeline"),Mx=r(". In short:"),__=p(),_(ho.$$.fragment),b_=p(),ep=n("p"),Fx=r("Now becomes:"),v_=p(),_(fo.$$.fragment),w_=p(),tp=n("p"),Lx=r(`This should be very transparent to your code because the pipelines are used in
the same way.`),x_=p(),Os=n("p"),Nx=r(`This is a simplified view, since the pipeline can handle automatically the batch to ! Meaning you don\u2019t have to care
about how many forward passes you inputs are actually going to trigger, you can optimize the `),sm=n("code"),Ox=r("batch_size"),Ux=r(`
independently of the inputs. The caveats from the previous section still apply.`),k_=p(),bt=n("h2"),Us=n("a"),nm=n("span"),_(uo.$$.fragment),Gx=p(),am=n("span"),Rx=r("Pipeline custom code"),P_=p(),sp=n("p"),Vx=r("If you want to override a specific pipeline."),y_=p(),Gs=n("p"),Qx=r(`Don\u2019t hesitate to create an issue for your task at hand, the goal of the pipeline is to be easy to use and support most
cases, so `),om=n("code"),Hx=r("transformers"),Wx=r(" could maybe support your use case."),T_=p(),np=n("p"),Bx=r("If you want to try simply you can:"),$_=p(),ap=n("ul"),rm=n("li"),Zx=r("Subclass your pipeline of choice"),j_=p(),_(go.$$.fragment),E_=p(),op=n("p"),Yx=r("That should enable you to do all the custom code you want."),q_=p(),vt=n("h2"),Rs=n("a"),im=n("span"),_(_o.$$.fragment),Kx=p(),lm=n("span"),Xx=r("Implementing a pipeline"),A_=p(),rp=n("p"),ip=n("a"),Jx=r("Implementing a new pipeline"),C_=p(),wt=n("h2"),Vs=n("a"),pm=n("span"),_(bo.$$.fragment),e0=p(),cm=n("span"),t0=r("Audio"),D_=p(),lp=n("p"),s0=r("Pipelines available for audio tasks include the following."),z_=p(),xt=n("h3"),Qs=n("a"),dm=n("span"),_(vo.$$.fragment),n0=p(),mm=n("span"),a0=r("AudioClassificationPipeline"),I_=p(),V=n("div"),_(wo.$$.fragment),o0=p(),xo=n("p"),r0=r("Audio classification pipeline using any "),hm=n("code"),i0=r("AutoModelForAudioClassification"),l0=r(`. This pipeline predicts the class of a
raw waveform or an audio file. In case of an audio file, ffmpeg should be installed to support multiple audio
formats.`),p0=p(),_(Hs.$$.fragment),c0=p(),pp=n("p"),d0=r("Learn more about the basics of using a pipeline in the "),cp=n("a"),m0=r("pipeline tutorial"),h0=p(),kt=n("p"),f0=r("This pipeline can currently be loaded from "),dp=n("a"),u0=r("pipeline()"),g0=r(` using the following task identifier:
`),fm=n("code"),_0=r('"audio-classification"'),b0=r("."),v0=p(),ko=n("p"),w0=r(`See the list of available models on
`),Po=n("a"),x0=r("huggingface.co/models"),k0=r("."),P0=p(),Ws=n("div"),_(yo.$$.fragment),y0=p(),To=n("p"),T0=r("Classify the sequence(s) given as inputs. See the "),mp=n("a"),$0=r("AutomaticSpeechRecognitionPipeline"),j0=r(` documentation for more
information.`),S_=p(),Pt=n("h3"),Bs=n("a"),um=n("span"),_($o.$$.fragment),E0=p(),gm=n("span"),q0=r("AutomaticSpeechRecognitionPipeline"),M_=p(),ie=n("div"),_(jo.$$.fragment),A0=p(),_m=n("p"),C0=r("Pipeline that aims at extracting spoken text contained within some audio."),D0=p(),bm=n("p"),z0=r(`The input can be either a raw waveform or a audio file. In case of the audio file, ffmpeg should be installed for
to support multiple audio formats`),I0=p(),_(Zs.$$.fragment),S0=p(),hp=n("p"),M0=r("Learn more about the basics of using a pipeline in the "),fp=n("a"),F0=r("pipeline tutorial"),L0=p(),Ys=n("div"),_(Eo.$$.fragment),N0=p(),qo=n("p"),O0=r("Transcribe the audio sequence(s) given as inputs to text. See the "),up=n("a"),U0=r("AutomaticSpeechRecognitionPipeline"),G0=r(`
documentation for more information.`),F_=p(),yt=n("h2"),Ks=n("a"),vm=n("span"),_(Ao.$$.fragment),R0=p(),wm=n("span"),V0=r("Computer vision"),L_=p(),gp=n("p"),Q0=r("Pipelines available for computer vision tasks include the following."),N_=p(),Tt=n("h3"),Xs=n("a"),xm=n("span"),_(Co.$$.fragment),H0=p(),km=n("span"),W0=r("DepthEstimationPipeline"),O_=p(),Q=n("div"),_(Do.$$.fragment),B0=p(),zo=n("p"),Z0=r("Depth estimation pipeline using any "),Pm=n("code"),Y0=r("AutoModelForDepthEstimation"),K0=r(". This pipeline predicts the depth of an image."),X0=p(),_(Js.$$.fragment),J0=p(),_p=n("p"),e1=r("Learn more about the basics of using a pipeline in the "),bp=n("a"),t1=r("pipeline tutorial"),s1=p(),$t=n("p"),n1=r("This depth estimation pipeline can currently be loaded from "),vp=n("a"),a1=r("pipeline()"),o1=r(` using the following task identifier:
`),ym=n("code"),r1=r('"depth-estimation"'),i1=r("."),l1=p(),Io=n("p"),p1=r("See the list of available models on "),So=n("a"),c1=r("huggingface.co/models"),d1=r("."),m1=p(),en=n("div"),_(Mo.$$.fragment),h1=p(),Tm=n("p"),f1=r("Assign labels to the image(s) passed as inputs."),U_=p(),jt=n("h3"),tn=n("a"),$m=n("span"),_(Fo.$$.fragment),u1=p(),jm=n("span"),g1=r("ImageClassificationPipeline"),G_=p(),H=n("div"),_(Lo.$$.fragment),_1=p(),No=n("p"),b1=r("Image classification pipeline using any "),Em=n("code"),v1=r("AutoModelForImageClassification"),w1=r(`. This pipeline predicts the class of an
image.`),x1=p(),_(sn.$$.fragment),k1=p(),wp=n("p"),P1=r("Learn more about the basics of using a pipeline in the "),xp=n("a"),y1=r("pipeline tutorial"),T1=p(),Et=n("p"),$1=r("This image classification pipeline can currently be loaded from "),kp=n("a"),j1=r("pipeline()"),E1=r(` using the following task identifier:
`),qm=n("code"),q1=r('"image-classification"'),A1=r("."),C1=p(),Oo=n("p"),D1=r(`See the list of available models on
`),Uo=n("a"),z1=r("huggingface.co/models"),I1=r("."),S1=p(),nn=n("div"),_(Go.$$.fragment),M1=p(),Am=n("p"),F1=r("Assign labels to the image(s) passed as inputs."),R_=p(),qt=n("h3"),an=n("a"),Cm=n("span"),_(Ro.$$.fragment),L1=p(),Dm=n("span"),N1=r("ImageSegmentationPipeline"),V_=p(),le=n("div"),_(Vo.$$.fragment),O1=p(),Qo=n("p"),U1=r("Image segmentation pipeline using any "),zm=n("code"),G1=r("AutoModelForXXXSegmentation"),R1=r(`. This pipeline predicts masks of objects and
their classes.`),V1=p(),_(on.$$.fragment),Q1=p(),At=n("p"),H1=r("This image segmentation pipeline can currently be loaded from "),Pp=n("a"),W1=r("pipeline()"),B1=r(` using the following task identifier:
`),Im=n("code"),Z1=r('"image-segmentation"'),Y1=r("."),K1=p(),Ho=n("p"),X1=r(`See the list of available models on
`),Wo=n("a"),J1=r("huggingface.co/models"),ek=r("."),tk=p(),rn=n("div"),_(Bo.$$.fragment),sk=p(),Sm=n("p"),nk=r("Perform segmentation (detect masks & classes) in the image(s) passed as inputs."),Q_=p(),Ct=n("h3"),ln=n("a"),Mm=n("span"),_(Zo.$$.fragment),ak=p(),Fm=n("span"),ok=r("ObjectDetectionPipeline"),H_=p(),W=n("div"),_(Yo.$$.fragment),rk=p(),Ko=n("p"),ik=r("Object detection pipeline using any "),Lm=n("code"),lk=r("AutoModelForObjectDetection"),pk=r(`. This pipeline predicts bounding boxes of objects
and their classes.`),ck=p(),_(pn.$$.fragment),dk=p(),yp=n("p"),mk=r("Learn more about the basics of using a pipeline in the "),Tp=n("a"),hk=r("pipeline tutorial"),fk=p(),Dt=n("p"),uk=r("This object detection pipeline can currently be loaded from "),$p=n("a"),gk=r("pipeline()"),_k=r(` using the following task identifier:
`),Nm=n("code"),bk=r('"object-detection"'),vk=r("."),wk=p(),Xo=n("p"),xk=r("See the list of available models on "),Jo=n("a"),kk=r("huggingface.co/models"),Pk=r("."),yk=p(),cn=n("div"),_(er.$$.fragment),Tk=p(),Om=n("p"),$k=r("Detect objects (bounding boxes & classes) in the image(s) passed as inputs."),W_=p(),zt=n("h3"),dn=n("a"),Um=n("span"),_(tr.$$.fragment),jk=p(),Gm=n("span"),Ek=r("VideoClassificationPipeline"),B_=p(),_e=n("div"),_(sr.$$.fragment),qk=p(),nr=n("p"),Ak=r("Video classification pipeline using any "),Rm=n("code"),Ck=r("AutoModelForVideoClassification"),Dk=r(`. This pipeline predicts the class of a
video.`),zk=p(),It=n("p"),Ik=r("This video classification pipeline can currently be loaded from "),jp=n("a"),Sk=r("pipeline()"),Mk=r(` using the following task identifier:
`),Vm=n("code"),Fk=r('"video-classification"'),Lk=r("."),Nk=p(),ar=n("p"),Ok=r(`See the list of available models on
`),or=n("a"),Uk=r("huggingface.co/models"),Gk=r("."),Rk=p(),mn=n("div"),_(rr.$$.fragment),Vk=p(),Qm=n("p"),Qk=r("Assign labels to the video(s) passed as inputs."),Z_=p(),St=n("h3"),hn=n("a"),Hm=n("span"),_(ir.$$.fragment),Hk=p(),Wm=n("span"),Wk=r("ZeroShotImageClassificationPipeline"),Y_=p(),B=n("div"),_(lr.$$.fragment),Bk=p(),Mt=n("p"),Zk=r("Zero shot image classification pipeline using "),Bm=n("code"),Yk=r("CLIPModel"),Kk=r(`. This pipeline predicts the class of an image when you
provide an image and a set of `),Zm=n("code"),Xk=r("candidate_labels"),Jk=r("."),eP=p(),_(fn.$$.fragment),tP=p(),Ep=n("p"),sP=r("Learn more about the basics of using a pipeline in the "),qp=n("a"),nP=r("pipeline tutorial"),aP=p(),Ft=n("p"),oP=r("This image classification pipeline can currently be loaded from "),Ap=n("a"),rP=r("pipeline()"),iP=r(` using the following task identifier:
`),Ym=n("code"),lP=r('"zero-shot-image-classification"'),pP=r("."),cP=p(),pr=n("p"),dP=r(`See the list of available models on
`),cr=n("a"),mP=r("huggingface.co/models"),hP=r("."),fP=p(),un=n("div"),_(dr.$$.fragment),uP=p(),Km=n("p"),gP=r("Assign labels to the image(s) passed as inputs."),K_=p(),Lt=n("h3"),gn=n("a"),Xm=n("span"),_(mr.$$.fragment),_P=p(),Jm=n("span"),bP=r("ZeroShotObjectDetectionPipeline"),X_=p(),Z=n("div"),_(hr.$$.fragment),vP=p(),Nt=n("p"),wP=r("Zero shot object detection pipeline using "),eh=n("code"),xP=r("OwlViTForObjectDetection"),kP=r(`. This pipeline predicts bounding boxes of
objects when you provide an image and a set of `),th=n("code"),PP=r("candidate_labels"),yP=r("."),TP=p(),_(_n.$$.fragment),$P=p(),Cp=n("p"),jP=r("Learn more about the basics of using a pipeline in the "),Dp=n("a"),EP=r("pipeline tutorial"),qP=p(),Ot=n("p"),AP=r("This object detection pipeline can currently be loaded from "),zp=n("a"),CP=r("pipeline()"),DP=r(` using the following task identifier:
`),sh=n("code"),zP=r('"zero-shot-object-detection"'),IP=r("."),SP=p(),fr=n("p"),MP=r(`See the list of available models on
`),ur=n("a"),FP=r("huggingface.co/models"),LP=r("."),NP=p(),bn=n("div"),_(gr.$$.fragment),OP=p(),nh=n("p"),UP=r("Detect objects (bounding boxes & classes) in the image(s) passed as inputs."),J_=p(),Ut=n("h2"),vn=n("a"),ah=n("span"),_(_r.$$.fragment),GP=p(),oh=n("span"),RP=r("Natural Language Processing"),eb=p(),Ip=n("p"),VP=r("Pipelines available for natural language processing tasks include the following."),tb=p(),Gt=n("h3"),wn=n("a"),rh=n("span"),_(br.$$.fragment),QP=p(),ih=n("span"),HP=r("ConversationalPipeline"),sb=p(),Y=n("div"),_(vr.$$.fragment),WP=p(),Be=n("p"),BP=r(`Utility class containing a conversation and its history. This class is meant to be used as an input to the
`),Sp=n("a"),ZP=r("ConversationalPipeline"),YP=r(`. The conversation contains a number of utility function to manage the addition of new
user input and generated model responses. A conversation needs to contain an unprocessed user input before being
passed to the `),Mp=n("a"),KP=r("ConversationalPipeline"),XP=r(`. This user input is either created when the class is instantiated, or by
calling `),lh=n("code"),JP=r('conversational_pipeline.append_response("input")'),ey=r(" after a conversation turn."),ty=p(),_(xn.$$.fragment),sy=p(),kn=n("div"),_(wr.$$.fragment),ny=p(),xr=n("p"),ay=r("Add a user input to the conversation for the next round. This populates the internal "),ph=n("code"),oy=r("new_user_input"),ry=r(" field."),iy=p(),Pn=n("div"),_(kr.$$.fragment),ly=p(),ch=n("p"),py=r("Append a response to the list of generated responses."),cy=p(),st=n("div"),_(Pr.$$.fragment),dy=p(),dh=n("p"),my=r("Iterates over all blobs of the conversation."),hy=p(),Me=n("p"),fy=r("Returns: Iterator of (is_user, text_chunk) in chronological order of the conversation. "),mh=n("code"),uy=r("is_user"),gy=r(" is a "),hh=n("code"),_y=r("bool"),by=r(`,
`),fh=n("code"),vy=r("text_chunks"),wy=r(" is a "),uh=n("code"),xy=r("str"),ky=r("."),Py=p(),yn=n("div"),_(yr.$$.fragment),yy=p(),Ze=n("p"),Ty=r("Mark the conversation as processed (moves the content of "),gh=n("code"),$y=r("new_user_input"),jy=r(" to "),_h=n("code"),Ey=r("past_user_inputs"),qy=r(`) and empties
the `),bh=n("code"),Ay=r("new_user_input"),Cy=r(" field."),nb=p(),K=n("div"),_(Tr.$$.fragment),Dy=p(),vh=n("p"),zy=r("Multi-turn conversational pipeline."),Iy=p(),_(Tn.$$.fragment),Sy=p(),Fp=n("p"),My=r("Learn more about the basics of using a pipeline in the "),Lp=n("a"),Fy=r("pipeline tutorial"),Ly=p(),Rt=n("p"),Ny=r("This conversational pipeline can currently be loaded from "),Np=n("a"),Oy=r("pipeline()"),Uy=r(` using the following task identifier:
`),wh=n("code"),Gy=r('"conversational"'),Ry=r("."),Vy=p(),Fe=n("p"),Qy=r(`The models that this pipeline can use are models that have been fine-tuned on a multi-turn conversational task,
currently: `),xh=n("em"),Hy=r("\u2018microsoft/DialoGPT-small\u2019"),Wy=r(", "),kh=n("em"),By=r("\u2018microsoft/DialoGPT-medium\u2019"),Zy=r(", "),Ph=n("em"),Yy=r("\u2018microsoft/DialoGPT-large\u2019"),Ky=r(`. See the
up-to-date list of available models on
`),$r=n("a"),Xy=r("huggingface.co/models"),Jy=r("."),eT=p(),$n=n("div"),_(jr.$$.fragment),tT=p(),yh=n("p"),sT=r("Generate responses for the conversation(s) given as inputs."),ab=p(),Vt=n("h3"),jn=n("a"),Th=n("span"),_(Er.$$.fragment),nT=p(),$h=n("span"),aT=r("FillMaskPipeline"),ob=p(),N=n("div"),_(qr.$$.fragment),oT=p(),Qt=n("p"),rT=r("Masked language modeling prediction pipeline using any "),jh=n("code"),iT=r("ModelWithLMHead"),lT=r(". See the "),Op=n("a"),pT=r(`masked language modeling
examples`),cT=r(" for more information."),dT=p(),_(En.$$.fragment),mT=p(),Up=n("p"),hT=r("Learn more about the basics of using a pipeline in the "),Gp=n("a"),fT=r("pipeline tutorial"),uT=p(),Ht=n("p"),gT=r("This mask filling pipeline can currently be loaded from "),Rp=n("a"),_T=r("pipeline()"),bT=r(` using the following task identifier:
`),Eh=n("code"),vT=r('"fill-mask"'),wT=r("."),xT=p(),Ar=n("p"),kT=r(`The models that this pipeline can use are models that have been trained with a masked language modeling objective,
which includes the bi-directional models in the library. See the up-to-date list of available models on
`),Cr=n("a"),PT=r("huggingface.co/models"),yT=r("."),TT=p(),_(qn.$$.fragment),$T=p(),An=n("div"),_(Dr.$$.fragment),jT=p(),qh=n("p"),ET=r("Fill the masked token in the text(s) given as inputs."),rb=p(),Wt=n("h3"),Cn=n("a"),Ah=n("span"),_(zr.$$.fragment),qT=p(),Ch=n("span"),AT=r("NerPipeline"),ib=p(),S=n("div"),_(Ir.$$.fragment),CT=p(),Bt=n("p"),DT=r("Named Entity Recognition pipeline using any "),Dh=n("code"),zT=r("ModelForTokenClassification"),IT=r(". See the "),Vp=n("a"),ST=r(`named entity recognition
examples`),MT=r(" for more information."),FT=p(),_(Dn.$$.fragment),LT=p(),Qp=n("p"),NT=r("Learn more about the basics of using a pipeline in the "),Hp=n("a"),OT=r("pipeline tutorial"),UT=p(),Zt=n("p"),GT=r("This token recognition pipeline can currently be loaded from "),Wp=n("a"),RT=r("pipeline()"),VT=r(` using the following task identifier:
`),zh=n("code"),QT=r('"ner"'),HT=r(" (for predicting the classes of tokens in a sequence: person, organisation, location or miscellaneous)."),WT=p(),Sr=n("p"),BT=r(`The models that this pipeline can use are models that have been fine-tuned on a token classification task. See the
up-to-date list of available models on
`),Mr=n("a"),ZT=r("huggingface.co/models"),YT=r("."),KT=p(),nt=n("div"),_(Fr.$$.fragment),XT=p(),Ih=n("p"),JT=r("Override tokens from a given word that disagree to force agreement on word boundaries."),e$=p(),Sh=n("p"),t$=r(`Example: micro|soft| com|pany| B-ENT I-NAME I-ENT I-ENT will be rewritten with first strategy as microsoft|
company| B-ENT I-ENT`),s$=p(),zn=n("div"),_(Lr.$$.fragment),n$=p(),Mh=n("p"),a$=r("Fuse various numpy arrays into dicts with all the information needed for aggregation"),o$=p(),In=n("div"),_(Nr.$$.fragment),r$=p(),Fh=n("p"),i$=r("Find and group together the adjacent tokens with the same entity predicted."),l$=p(),Sn=n("div"),_(Or.$$.fragment),p$=p(),Lh=n("p"),c$=r("Group together the adjacent tokens with the same entity predicted."),lb=p(),Mn=n("p"),d$=r("See "),Bp=n("a"),m$=r("TokenClassificationPipeline"),h$=r(" for all details."),pb=p(),Yt=n("h3"),Fn=n("a"),Nh=n("span"),_(Ur.$$.fragment),f$=p(),Oh=n("span"),u$=r("QuestionAnsweringPipeline"),cb=p(),M=n("div"),_(Gr.$$.fragment),g$=p(),Kt=n("p"),_$=r("Question Answering pipeline using any "),Uh=n("code"),b$=r("ModelForQuestionAnswering"),v$=r(". See the "),Zp=n("a"),w$=r(`question answering
examples`),x$=r(" for more information."),k$=p(),_(Ln.$$.fragment),P$=p(),Yp=n("p"),y$=r("Learn more about the basics of using a pipeline in the "),Kp=n("a"),T$=r("pipeline tutorial"),$$=p(),Xt=n("p"),j$=r("This question answering pipeline can currently be loaded from "),Xp=n("a"),E$=r("pipeline()"),q$=r(` using the following task identifier:
`),Gh=n("code"),A$=r('"question-answering"'),C$=r("."),D$=p(),Rr=n("p"),z$=r(`The models that this pipeline can use are models that have been fine-tuned on a question answering task. See the
up-to-date list of available models on
`),Vr=n("a"),I$=r("huggingface.co/models"),S$=r("."),M$=p(),Nn=n("div"),_(Qr.$$.fragment),F$=p(),Rh=n("p"),L$=r("Answer the question(s) given as inputs by using the context(s)."),N$=p(),at=n("div"),_(Hr.$$.fragment),O$=p(),Jt=n("p"),U$=r("QuestionAnsweringPipeline leverages the "),Vh=n("code"),G$=r("SquadExample"),R$=r(` internally. This helper method encapsulate all the
logic for converting question(s) and context(s) to `),Qh=n("code"),V$=r("SquadExample"),Q$=r("."),H$=p(),Hh=n("p"),W$=r("We currently support extractive question answering."),B$=p(),On=n("div"),_(Wr.$$.fragment),Z$=p(),Wh=n("p"),Y$=r("When decoding from token probabilities, this method maps token indexes to actual word in the initial context."),db=p(),es=n("h3"),Un=n("a"),Bh=n("span"),_(Br.$$.fragment),K$=p(),Zh=n("span"),X$=r("SummarizationPipeline"),mb=p(),pe=n("div"),_(Zr.$$.fragment),J$=p(),Yh=n("p"),e4=r("Summarize news articles and other documents."),t4=p(),ts=n("p"),s4=r("This summarizing pipeline can currently be loaded from "),Jp=n("a"),n4=r("pipeline()"),a4=r(` using the following task identifier:
`),Kh=n("code"),o4=r('"summarization"'),r4=r("."),i4=p(),G=n("p"),l4=r(`The models that this pipeline can use are models that have been fine-tuned on a summarization task, which is
currently, \u2019`),Xh=n("em"),p4=r("bart-large-cnn"),c4=r("\u2019, \u2019"),Jh=n("em"),d4=r("t5-small"),m4=r("\u2019, \u2019"),ef=n("em"),h4=r("t5-base"),f4=r("\u2019, \u2019"),tf=n("em"),u4=r("t5-large"),g4=r("\u2019, \u2019"),sf=n("em"),_4=r("t5-3b"),b4=r("\u2019, \u2019"),nf=n("em"),v4=r("t5-11b"),w4=r(`\u2019. See the up-to-date
list of available models on `),Yr=n("a"),x4=r("huggingface.co/models"),k4=r(`. For a list
of available parameters, see the `),Kr=n("a"),P4=r(`following
documentation`),y4=p(),_(Gn.$$.fragment),T4=p(),Rn=n("div"),_(Xr.$$.fragment),$4=p(),af=n("p"),j4=r("Summarize the text(s) given as inputs."),hb=p(),ss=n("h3"),Vn=n("a"),of=n("span"),_(Jr.$$.fragment),E4=p(),rf=n("span"),q4=r("TableQuestionAnsweringPipeline"),fb=p(),X=n("div"),_(ei.$$.fragment),A4=p(),ti=n("p"),C4=r("Table Question Answering pipeline using a "),lf=n("code"),D4=r("ModelForTableQuestionAnswering"),z4=r(`. This pipeline is only available in
PyTorch.`),I4=p(),_(Qn.$$.fragment),S4=p(),ec=n("p"),M4=r("Learn more about the basics of using a pipeline in the "),tc=n("a"),F4=r("pipeline tutorial"),L4=p(),ns=n("p"),N4=r("This tabular question answering pipeline can currently be loaded from "),sc=n("a"),O4=r("pipeline()"),U4=r(` using the following task
identifier: `),pf=n("code"),G4=r('"table-question-answering"'),R4=r("."),V4=p(),si=n("p"),Q4=r(`The models that this pipeline can use are models that have been fine-tuned on a tabular question answering task.
See the up-to-date list of available models on
`),ni=n("a"),H4=r("huggingface.co/models"),W4=r("."),B4=p(),ae=n("div"),_(ai.$$.fragment),Z4=p(),cf=n("p"),Y4=r("Answers queries according to a table. The pipeline accepts several types of inputs which are detailed below:"),K4=p(),ce=n("ul"),df=n("li"),mf=n("code"),X4=r("pipeline(table, query)"),J4=p(),hf=n("li"),ff=n("code"),e7=r("pipeline(table, [query])"),t7=p(),uf=n("li"),gf=n("code"),s7=r("pipeline(table=table, query=query)"),n7=p(),_f=n("li"),bf=n("code"),a7=r("pipeline(table=table, query=[query])"),o7=p(),vf=n("li"),wf=n("code"),r7=r('pipeline({"table": table, "query": query})'),i7=p(),xf=n("li"),kf=n("code"),l7=r('pipeline({"table": table, "query": [query]})'),p7=p(),Pf=n("li"),yf=n("code"),c7=r('pipeline([{"table": table, "query": query}, {"table": table, "query": query}])'),d7=p(),oi=n("p"),m7=r("The "),Tf=n("code"),h7=r("table"),f7=r(" argument should be a dict or a DataFrame built from that dict, containing the whole table:"),u7=p(),_(Hn.$$.fragment),g7=p(),$f=n("p"),_7=r("This dictionary can be passed in as such, or can be converted to a pandas DataFrame:"),b7=p(),_(Wn.$$.fragment),ub=p(),as=n("h3"),Bn=n("a"),jf=n("span"),_(ri.$$.fragment),v7=p(),Ef=n("span"),w7=r("TextClassificationPipeline"),gb=p(),O=n("div"),_(ii.$$.fragment),x7=p(),os=n("p"),k7=r("Text classification pipeline using any "),qf=n("code"),P7=r("ModelForSequenceClassification"),y7=r(". See the "),nc=n("a"),T7=r(`sequence classification
examples`),$7=r(" for more information."),j7=p(),_(Zn.$$.fragment),E7=p(),ac=n("p"),q7=r("Learn more about the basics of using a pipeline in the "),oc=n("a"),A7=r("pipeline tutorial"),C7=p(),rs=n("p"),D7=r("This text classification pipeline can currently be loaded from "),rc=n("a"),z7=r("pipeline()"),I7=r(` using the following task identifier:
`),Af=n("code"),S7=r('"sentiment-analysis"'),M7=r(" (for classifying sequences according to positive or negative sentiments)."),F7=p(),li=n("p"),L7=r("If multiple classification labels are available ("),Cf=n("code"),N7=r("model.config.num_labels >= 2"),O7=r(`), the pipeline will run a softmax
over the results. If there is a single label, the pipeline will run a sigmoid over the result.`),U7=p(),pi=n("p"),G7=r(`The models that this pipeline can use are models that have been fine-tuned on a sequence classification task. See
the up-to-date list of available models on
`),ci=n("a"),R7=r("huggingface.co/models"),V7=r("."),Q7=p(),Yn=n("div"),_(di.$$.fragment),H7=p(),Df=n("p"),W7=r("Classify the text(s) given as inputs."),_b=p(),is=n("h3"),Kn=n("a"),zf=n("span"),_(mi.$$.fragment),B7=p(),If=n("span"),Z7=r("TextGenerationPipeline"),bb=p(),J=n("div"),_(hi.$$.fragment),Y7=p(),fi=n("p"),K7=r("Language generation pipeline using any "),Sf=n("code"),X7=r("ModelWithLMHead"),J7=r(`. This pipeline predicts the words that will follow a
specified text prompt.`),ej=p(),_(Xn.$$.fragment),tj=p(),ic=n("p"),sj=r("Learn more about the basics of using a pipeline in the "),lc=n("a"),nj=r("pipeline tutorial"),aj=p(),ls=n("p"),oj=r("This language generation pipeline can currently be loaded from "),pc=n("a"),rj=r("pipeline()"),ij=r(` using the following task identifier:
`),Mf=n("code"),lj=r('"text-generation"'),pj=r("."),cj=p(),ui=n("p"),dj=r(`The models that this pipeline can use are models that have been trained with an autoregressive language modeling
objective, which includes the uni-directional models in the library (e.g. gpt2). See the list of available models
on `),gi=n("a"),mj=r("huggingface.co/models"),hj=r("."),fj=p(),Jn=n("div"),_(_i.$$.fragment),uj=p(),Ff=n("p"),gj=r("Complete the prompt(s) given as inputs."),vb=p(),ps=n("h3"),ea=n("a"),Lf=n("span"),_(bi.$$.fragment),_j=p(),Nf=n("span"),bj=r("Text2TextGenerationPipeline"),wb=p(),F=n("div"),_(vi.$$.fragment),vj=p(),Of=n("p"),wj=r("Pipeline for text to text generation using seq2seq models."),xj=p(),_(ta.$$.fragment),kj=p(),cc=n("p"),Pj=r("Learn more about the basics of using a pipeline in the "),dc=n("a"),yj=r("pipeline tutorial"),Tj=p(),cs=n("p"),$j=r("This Text2TextGenerationPipeline pipeline can currently be loaded from "),mc=n("a"),jj=r("pipeline()"),Ej=r(` using the following task
identifier: `),Uf=n("code"),qj=r('"text2text-generation"'),Aj=r("."),Cj=p(),sa=n("p"),Dj=r(`The models that this pipeline can use are models that have been fine-tuned on a translation task. See the
up-to-date list of available models on
`),wi=n("a"),zj=r("huggingface.co/models"),Ij=r(`. For a list of available
parameters, see the `),xi=n("a"),Sj=r(`following
documentation`),Mj=p(),_(na.$$.fragment),Fj=p(),aa=n("div"),_(ki.$$.fragment),Lj=p(),Gf=n("p"),Nj=r("Generate the output text(s) using text(s) given as inputs."),Oj=p(),oa=n("div"),_(Pi.$$.fragment),Uj=p(),Rf=n("p"),Gj=r("Checks whether there might be something wrong with given input with regard to the model."),xb=p(),ds=n("h3"),ra=n("a"),Vf=n("span"),_(yi.$$.fragment),Rj=p(),Qf=n("span"),Vj=r("TokenClassificationPipeline"),kb=p(),I=n("div"),_(Ti.$$.fragment),Qj=p(),ms=n("p"),Hj=r("Named Entity Recognition pipeline using any "),Hf=n("code"),Wj=r("ModelForTokenClassification"),Bj=r(". See the "),hc=n("a"),Zj=r(`named entity recognition
examples`),Yj=r(" for more information."),Kj=p(),_(ia.$$.fragment),Xj=p(),fc=n("p"),Jj=r("Learn more about the basics of using a pipeline in the "),uc=n("a"),e6=r("pipeline tutorial"),t6=p(),hs=n("p"),s6=r("This token recognition pipeline can currently be loaded from "),gc=n("a"),n6=r("pipeline()"),a6=r(` using the following task identifier:
`),Wf=n("code"),o6=r('"ner"'),r6=r(" (for predicting the classes of tokens in a sequence: person, organisation, location or miscellaneous)."),i6=p(),$i=n("p"),l6=r(`The models that this pipeline can use are models that have been fine-tuned on a token classification task. See the
up-to-date list of available models on
`),ji=n("a"),p6=r("huggingface.co/models"),c6=r("."),d6=p(),la=n("div"),_(Ei.$$.fragment),m6=p(),Bf=n("p"),h6=r("Classify each token of the text(s) given as inputs."),f6=p(),ot=n("div"),_(qi.$$.fragment),u6=p(),Zf=n("p"),g6=r("Override tokens from a given word that disagree to force agreement on word boundaries."),_6=p(),Yf=n("p"),b6=r(`Example: micro|soft| com|pany| B-ENT I-NAME I-ENT I-ENT will be rewritten with first strategy as microsoft|
company| B-ENT I-ENT`),v6=p(),pa=n("div"),_(Ai.$$.fragment),w6=p(),Kf=n("p"),x6=r("Fuse various numpy arrays into dicts with all the information needed for aggregation"),k6=p(),ca=n("div"),_(Ci.$$.fragment),P6=p(),Xf=n("p"),y6=r("Find and group together the adjacent tokens with the same entity predicted."),T6=p(),da=n("div"),_(Di.$$.fragment),$6=p(),Jf=n("p"),j6=r("Group together the adjacent tokens with the same entity predicted."),Pb=p(),fs=n("h3"),ma=n("a"),eu=n("span"),_(zi.$$.fragment),E6=p(),tu=n("span"),q6=r("TranslationPipeline"),yb=p(),de=n("div"),_(Ii.$$.fragment),A6=p(),su=n("p"),C6=r("Translates from one language to another."),D6=p(),us=n("p"),z6=r("This translation pipeline can currently be loaded from "),_c=n("a"),I6=r("pipeline()"),S6=r(` using the following task identifier:
`),nu=n("code"),M6=r('"translation_xx_to_yy"'),F6=r("."),L6=p(),ha=n("p"),N6=r(`The models that this pipeline can use are models that have been fine-tuned on a translation task. See the
up-to-date list of available models on `),Si=n("a"),O6=r("huggingface.co/models"),U6=r(`.
For a list of available parameters, see the `),Mi=n("a"),G6=r(`following
documentation`),R6=p(),_(fa.$$.fragment),V6=p(),ua=n("div"),_(Fi.$$.fragment),Q6=p(),au=n("p"),H6=r("Translate the text(s) given as inputs."),Tb=p(),gs=n("h3"),ga=n("a"),ou=n("span"),_(Li.$$.fragment),W6=p(),ru=n("span"),B6=r("ZeroShotClassificationPipeline"),$b=p(),U=n("div"),_(Ni.$$.fragment),Z6=p(),Ye=n("p"),Y6=r("NLI-based zero-shot classification pipeline using a "),iu=n("code"),K6=r("ModelForSequenceClassification"),X6=r(` trained on NLI (natural
language inference) tasks. Equivalent of `),lu=n("code"),J6=r("text-classification"),eE=r(` pipelines, but these models don\u2019t require a
hardcoded number of potential classes, they can be chosen at runtime. It usually means it\u2019s slower but it is
`),pu=n("strong"),tE=r("much"),sE=r(" more flexible."),nE=p(),Ke=n("p"),aE=r(`Any combination of sequences and labels can be passed and each combination will be posed as a premise/hypothesis
pair and passed to the pretrained model. Then, the logit for `),cu=n("em"),oE=r("entailment"),rE=r(` is taken as the logit for the candidate
label being valid. Any NLI model can be used, but the id of the `),du=n("em"),iE=r("entailment"),lE=r(` label must be included in the model
config\u2019s :attr:`),mu=n("em"),pE=r("~transformers.PretrainedConfig.label2id"),cE=r("."),dE=p(),_(_a.$$.fragment),mE=p(),bc=n("p"),hE=r("Learn more about the basics of using a pipeline in the "),vc=n("a"),fE=r("pipeline tutorial"),uE=p(),_s=n("p"),gE=r("This NLI pipeline can currently be loaded from "),wc=n("a"),_E=r("pipeline()"),bE=r(` using the following task identifier:
`),hu=n("code"),vE=r('"zero-shot-classification"'),wE=r("."),xE=p(),Oi=n("p"),kE=r(`The models that this pipeline can use are models that have been fine-tuned on an NLI task. See the up-to-date list
of available models on `),Ui=n("a"),PE=r("huggingface.co/models"),yE=r("."),TE=p(),ba=n("div"),_(Gi.$$.fragment),$E=p(),Ri=n("p"),jE=r("Classify the sequence(s) given as inputs. See the "),xc=n("a"),EE=r("ZeroShotClassificationPipeline"),qE=r(` documentation for more
information.`),jb=p(),bs=n("h2"),va=n("a"),fu=n("span"),_(Vi.$$.fragment),AE=p(),uu=n("span"),CE=r("Multimodal"),Eb=p(),kc=n("p"),DE=r("Pipelines available for multimodal tasks include the following."),qb=p(),vs=n("h3"),wa=n("a"),gu=n("span"),_(Qi.$$.fragment),zE=p(),_u=n("span"),IE=r("DocumentQuestionAnsweringPipeline"),Ab=p(),ee=n("div"),_(Hi.$$.fragment),SE=p(),Wi=n("p"),ME=r("Document Question Answering pipeline using any "),bu=n("code"),FE=r("AutoModelForDocumentQuestionAnswering"),LE=r(`. The inputs/outputs are
similar to the (extractive) question answering pipeline; however, the pipeline takes an image (and optional OCR\u2019d
words/boxes) as input instead of text context.`),NE=p(),_(xa.$$.fragment),OE=p(),Pc=n("p"),UE=r("Learn more about the basics of using a pipeline in the "),yc=n("a"),GE=r("pipeline tutorial"),RE=p(),ws=n("p"),VE=r("This document question answering pipeline can currently be loaded from "),Tc=n("a"),QE=r("pipeline()"),HE=r(` using the following task
identifier: `),vu=n("code"),WE=r('"document-question-answering"'),BE=r("."),ZE=p(),Bi=n("p"),YE=r(`The models that this pipeline can use are models that have been fine-tuned on a document question answering task.
See the up-to-date list of available models on
`),Zi=n("a"),KE=r("huggingface.co/models"),XE=r("."),JE=p(),Ue=n("div"),_(Yi.$$.fragment),eq=p(),Ki=n("p"),tq=r(`Answer the question(s) given as inputs by using the document(s). A document is defined as an image and an
optional list of (word, box) tuples which represent the text in the document. If the `),wu=n("code"),sq=r("word_boxes"),nq=r(` are not
provided, it will use the Tesseract OCR engine (if available) to extract the words and boxes automatically for
LayoutLM-like models which require them as input. For Donut, no OCR is run.`),aq=p(),xu=n("p"),oq=r("You can invoke the pipeline several ways:"),rq=p(),Xe=n("ul"),ku=n("li"),Pu=n("code"),iq=r("pipeline(image=image, question=question)"),lq=p(),yu=n("li"),Tu=n("code"),pq=r("pipeline(image=image, question=question, word_boxes=word_boxes)"),cq=p(),$u=n("li"),ju=n("code"),dq=r('pipeline([{"image": image, "question": question}])'),mq=p(),Eu=n("li"),qu=n("code"),hq=r('pipeline([{"image": image, "question": question, "word_boxes": word_boxes}])'),Cb=p(),xs=n("h3"),ka=n("a"),Au=n("span"),_(Xi.$$.fragment),fq=p(),Cu=n("span"),uq=r("FeatureExtractionPipeline"),Db=p(),te=n("div"),_(Ji.$$.fragment),gq=p(),Du=n("p"),_q=r(`Feature extraction pipeline using no model head. This pipeline extracts the hidden states from the base
transformer, which can be used as features in downstream tasks.`),bq=p(),_(Pa.$$.fragment),vq=p(),$c=n("p"),wq=r("Learn more about the basics of using a pipeline in the "),jc=n("a"),xq=r("pipeline tutorial"),kq=p(),ks=n("p"),Pq=r("This feature extraction pipeline can currently be loaded from "),Ec=n("a"),yq=r("pipeline()"),Tq=r(` using the task identifier:
`),zu=n("code"),$q=r('"feature-extraction"'),jq=r("."),Eq=p(),el=n("p"),qq=r(`All models may be used for this pipeline. See a list of all models, including community-contributed models on
`),tl=n("a"),Aq=r("huggingface.co/models"),Cq=r("."),Dq=p(),ya=n("div"),_(sl.$$.fragment),zq=p(),Iu=n("p"),Iq=r("Extract the features of the input(s)."),zb=p(),Ps=n("h3"),Ta=n("a"),Su=n("span"),_(nl.$$.fragment),Sq=p(),Mu=n("span"),Mq=r("ImageToTextPipeline"),Ib=p(),se=n("div"),_(al.$$.fragment),Fq=p(),ol=n("p"),Lq=r("Image To Text pipeline using a "),Fu=n("code"),Nq=r("AutoModelForVision2Seq"),Oq=r(". This pipeline predicts a caption for a given image."),Uq=p(),_($a.$$.fragment),Gq=p(),qc=n("p"),Rq=r("Learn more about the basics of using a pipeline in the "),Ac=n("a"),Vq=r("pipeline tutorial"),Qq=p(),Lu=n("p"),Hq=r(`This image to text pipeline can currently be loaded from pipeline() using the following task identifier:
\u201Cimage-to-text\u201D.`),Wq=p(),rl=n("p"),Bq=r(`See the list of available models on
`),il=n("a"),Zq=r("huggingface.co/models"),Yq=r("."),Kq=p(),ja=n("div"),_(ll.$$.fragment),Xq=p(),Nu=n("p"),Jq=r("Assign labels to the image(s) passed as inputs."),Sb=p(),ys=n("h3"),Ea=n("a"),Ou=n("span"),_(pl.$$.fragment),e3=p(),Uu=n("span"),t3=r("VisualQuestionAnsweringPipeline"),Mb=p(),ne=n("div"),_(cl.$$.fragment),s3=p(),dl=n("p"),n3=r("Visual Question Answering pipeline using a "),Gu=n("code"),a3=r("AutoModelForVisualQuestionAnswering"),o3=r(`. This pipeline is currently only
available in PyTorch.`),r3=p(),_(qa.$$.fragment),i3=p(),Cc=n("p"),l3=r("Learn more about the basics of using a pipeline in the "),Dc=n("a"),p3=r("pipeline tutorial"),c3=p(),Ts=n("p"),d3=r("This visual question answering pipeline can currently be loaded from "),zc=n("a"),m3=r("pipeline()"),h3=r(` using the following task
identifiers: `),Ru=n("code"),f3=r('"visual-question-answering", "vqa"'),u3=r("."),g3=p(),ml=n("p"),_3=r(`The models that this pipeline can use are models that have been fine-tuned on a visual question answering task. See
the up-to-date list of available models on
`),hl=n("a"),b3=r("huggingface.co/models"),v3=r("."),w3=p(),rt=n("div"),_(fl.$$.fragment),x3=p(),Vu=n("p"),k3=r(`Answers open-ended questions about images. The pipeline accepts several types of inputs which are detailed
below:`),P3=p(),Je=n("ul"),Qu=n("li"),Hu=n("code"),y3=r("pipeline(image=image, question=question)"),T3=p(),Wu=n("li"),Bu=n("code"),$3=r('pipeline({"image": image, "question": question})'),j3=p(),Zu=n("li"),Yu=n("code"),E3=r('pipeline([{"image": image, "question": question}])'),q3=p(),Ku=n("li"),Xu=n("code"),A3=r('pipeline([{"image": image, "question": question}, {"image": image, "question": question}])'),Fb=p(),$s=n("h2"),Aa=n("a"),Ju=n("span"),_(ul.$$.fragment),C3=p(),Ic=n("span"),D3=r("Parent class: "),eg=n("code"),z3=r("Pipeline"),Lb=p(),A=n("div"),_(gl.$$.fragment),I3=p(),tg=n("p"),S3=r(`The Pipeline class is the class from which all pipelines inherit. Refer to this class for methods shared across
different pipelines.`),M3=p(),sg=n("p"),F3=r(`Base class implementing pipelined operations. Pipeline workflow is defined as a sequence of the following
operations:`),L3=p(),ng=n("p"),N3=r("Input -> Tokenization -> Model Inference -> Post-Processing (task dependent) -> Output"),O3=p(),ag=n("p"),U3=r("Pipeline supports running on CPU or GPU through the device argument (see below)."),G3=p(),Le=n("p"),R3=r("Some pipeline, like for instance "),Sc=n("a"),V3=r("FeatureExtractionPipeline"),Q3=r(" ("),og=n("code"),H3=r("'feature-extraction'"),W3=r(`) output large tensor object
as nested-lists. In order to avoid dumping such large structure as textual data we provide the `),rg=n("code"),B3=r("binary_output"),Z3=r(`
constructor argument. If set to `),ig=n("code"),Y3=r("True"),K3=r(", the output will be stored in the pickle format."),X3=p(),Ca=n("div"),_(_l.$$.fragment),J3=p(),lg=n("p"),e5=r("Check if the model class is in supported by the pipeline."),t5=p(),it=n("div"),_(bl.$$.fragment),s5=p(),pg=n("p"),n5=r("Context Manager allowing tensor allocation on the user-specified device in framework agnostic way."),a5=p(),_(Da.$$.fragment),o5=p(),za=n("div"),_(vl.$$.fragment),r5=p(),cg=n("p"),i5=r("Ensure PyTorch tensors are on the specified device."),l5=p(),Ia=n("div"),_(wl.$$.fragment),p5=p(),xl=n("p"),c5=r("Postprocess will receive the raw outputs of the "),dg=n("code"),d5=r("_forward"),m5=r(` method, generally tensors, and reformat them into
something more friendly. Generally it will output a list or a dict or results (containing just strings and
numbers).`),h5=p(),Sa=n("div"),_(kl.$$.fragment),f5=p(),Pl=n("p"),u5=r("Scikit / Keras interface to transformers\u2019 pipelines. This method will forward to "),mg=n("strong"),g5=r("call"),_5=r("()."),b5=p(),Ma=n("div"),_(yl.$$.fragment),v5=p(),js=n("p"),w5=r("Preprocess will take the "),hg=n("code"),x5=r("input_"),k5=r(` of a specific pipeline and return a dictionary of everything necessary for
`),fg=n("code"),P5=r("_forward"),y5=r(" to run properly. It should contain at least one tensor, but might have arbitrary other items."),T5=p(),Fa=n("div"),_(Tl.$$.fragment),$5=p(),ug=n("p"),j5=r("Save the pipeline\u2019s model and tokenizer."),E5=p(),La=n("div"),_($l.$$.fragment),q5=p(),jl=n("p"),A5=r("Scikit / Keras interface to transformers\u2019 pipelines. This method will forward to "),gg=n("strong"),C5=r("call"),D5=r("()."),this.h()},l(t){const m=bS('[data-svelte="svelte-1phssyn"]',document.head);u=a(m,"META",{name:!0,content:!0}),m.forEach(s),T=c(t),P=a(t,"H1",{class:!0});var El=o(P);f=a(El,"A",{id:!0,class:!0,href:!0});var _g=o(f);y=a(_g,"SPAN",{});var bg=o(y);b(l.$$.fragment,bg),bg.forEach(s),_g.forEach(s),g=c(El),He=a(El,"SPAN",{});var vg=o(He);Jv=i(vg,"Pipelines"),vg.forEach(s),El.forEach(s),Ng=c(t),Es=a(t,"P",{});var ql=o(Es);ew=i(ql,`The pipelines are a great and easy way to use models for inference. These pipelines are objects that abstract most of
the complex code from the library, offering a simple API dedicated to several tasks, including Named Entity
Recognition, Masked Language Modeling, Sentiment Analysis, Feature Extraction and Question Answering. See the
`),Nl=a(ql,"A",{href:!0});var wg=o(Nl);tw=i(wg,"task summary"),wg.forEach(s),sw=i(ql," for examples of use."),ql.forEach(s),Og=c(t),Ol=a(t,"P",{});var xg=o(Ol);nw=i(xg,"There are two categories of pipeline abstractions to be aware about:"),xg.forEach(s),Ug=c(t),qs=a(t,"UL",{});var Al=o(qs);Ha=a(Al,"LI",{});var Cl=o(Ha);aw=i(Cl,"The "),Ul=a(Cl,"A",{href:!0});var kg=o(Ul);ow=i(kg,"pipeline()"),kg.forEach(s),rw=i(Cl," which is the most powerful object encapsulating all other pipelines."),Cl.forEach(s),iw=c(Al),Se=a(Al,"LI",{});var Ne=o(Se);lw=i(Ne,"Task-specific pipelines are available for "),Gl=a(Ne,"A",{href:!0});var Pg=o(Gl);pw=i(Pg,"audio"),Pg.forEach(s),cw=i(Ne,", "),Rl=a(Ne,"A",{href:!0});var yg=o(Rl);dw=i(yg,"computer vision"),yg.forEach(s),mw=i(Ne,", "),Vl=a(Ne,"A",{href:!0});var Tg=o(Vl);hw=i(Tg,"natural language processing"),Tg.forEach(s),fw=i(Ne,", and "),Ql=a(Ne,"A",{href:!0});var $g=o(Ql);uw=i($g,"multimodal"),$g.forEach(s),gw=i(Ne," tasks."),Ne.forEach(s),Al.forEach(s),Gg=c(t),ht=a(t,"H2",{class:!0});var Dl=o(ht);As=a(Dl,"A",{id:!0,class:!0,href:!0});var jg=o(As);yd=a(jg,"SPAN",{});var Eg=o(yd);b(Wa.$$.fragment,Eg),Eg.forEach(s),jg.forEach(s),_w=c(Dl),Td=a(Dl,"SPAN",{});var qg=o(Td);bw=i(qg,"The pipeline abstraction"),qg.forEach(s),Dl.forEach(s),Rg=c(t),Cs=a(t,"P",{});var zl=o(Cs);vw=i(zl,"The "),$d=a(zl,"EM",{});var Ag=o($d);ww=i(Ag,"pipeline"),Ag.forEach(s),xw=i(zl,` abstraction is a wrapper around all the other available pipelines. It is instantiated as any other
pipeline but can provide additional quality of life.`),zl.forEach(s),Vg=c(t),Hl=a(t,"P",{});var Cg=o(Hl);kw=i(Cg,"Simple call on one item:"),Cg.forEach(s),Qg=c(t),b(Ba.$$.fragment,t),Hg=c(t),Ds=a(t,"P",{});var Il=o(Ds);Pw=i(Il,"If you want to use a specific model from the "),Za=a(Il,"A",{href:!0,rel:!0});var Dg=o(Za);yw=i(Dg,"hub"),Dg.forEach(s),Tw=i(Il,` you can ignore the task if the model on
the hub already defines it:`),Il.forEach(s),Wg=c(t),b(Ya.$$.fragment,t),Bg=c(t),zs=a(t,"P",{});var Sl=o(zs);$w=i(Sl,"To call a pipeline on many items, you can call it with a "),jd=a(Sl,"EM",{});var zg=o(jd);jw=i(zg,"list"),zg.forEach(s),Ew=i(Sl,"."),Sl.forEach(s),Zg=c(t),b(Ka.$$.fragment,t),Yg=c(t),Is=a(t,"P",{});var Ml=o(Is);qw=i(Ml,"To iterate over full datasets it is recommended to use a "),Ed=a(Ml,"CODE",{});var Ig=o(Ed);Aw=i(Ig,"dataset"),Ig.forEach(s),Cw=i(Ml,` directly. This means you don\u2019t need to allocate
the whole dataset at once, nor do you need to do batching yourself. This should work just as fast as custom loops on
GPU. If it doesn\u2019t don\u2019t hesitate to create an issue.`),Ml.forEach(s),Kg=c(t),b(Xa.$$.fragment,t),Xg=c(t),Wl=a(t,"P",{});var Sg=o(Wl);Dw=i(Sg,"For ease of use, a generator is also possible:"),Sg.forEach(s),Jg=c(t),b(Ja.$$.fragment,t),e_=c(t),ge=a(t,"DIV",{class:!0});var Oe=o(ge);b(eo.$$.fragment,Oe),zw=c(Oe),to=a(Oe,"P",{});var Fl=o(to);Iw=i(Fl,"Utility factory method to build a "),Bl=a(Fl,"A",{href:!0});var Mg=o(Bl);Sw=i(Mg,"Pipeline"),Mg.forEach(s),Mw=i(Fl,"."),Fl.forEach(s),Fw=c(Oe),qd=a(Oe,"P",{});var tA=o(qd);Lw=i(tA,"Pipelines are made of:"),tA.forEach(s),Nw=c(Oe),ft=a(Oe,"UL",{});var Mc=o(ft);so=a(Mc,"LI",{});var Ob=o(so);Ow=i(Ob,"A "),Zl=a(Ob,"A",{href:!0});var sA=o(Zl);Uw=i(sA,"tokenizer"),sA.forEach(s),Gw=i(Ob," in charge of mapping raw textual input to token."),Ob.forEach(s),Rw=c(Mc),no=a(Mc,"LI",{});var Ub=o(no);Vw=i(Ub,"A "),Yl=a(Ub,"A",{href:!0});var nA=o(Yl);Qw=i(nA,"model"),nA.forEach(s),Hw=i(Ub," to make predictions from the inputs."),Ub.forEach(s),Ww=c(Mc),Ad=a(Mc,"LI",{});var aA=o(Ad);Bw=i(aA,"Some (optional) post processing for enhancing model\u2019s output."),aA.forEach(s),Mc.forEach(s),Zw=c(Oe),b(Ss.$$.fragment,Oe),Oe.forEach(s),t_=c(t),ut=a(t,"H2",{class:!0});var Gb=o(ut);Ms=a(Gb,"A",{id:!0,class:!0,href:!0});var oA=o(Ms);Cd=a(oA,"SPAN",{});var rA=o(Cd);b(ao.$$.fragment,rA),rA.forEach(s),oA.forEach(s),Yw=c(Gb),Dd=a(Gb,"SPAN",{});var iA=o(Dd);Kw=i(iA,"Pipeline batching"),iA.forEach(s),Gb.forEach(s),s_=c(t),et=a(t,"P",{});var Fc=o(et);Xw=i(Fc,`All pipelines can use batching. This will work
whenever the pipeline uses its streaming ability (so when passing lists or `),zd=a(Fc,"CODE",{});var lA=o(zd);Jw=i(lA,"Dataset"),lA.forEach(s),ex=i(Fc," or "),Id=a(Fc,"CODE",{});var pA=o(Id);tx=i(pA,"generator"),pA.forEach(s),sx=i(Fc,")."),Fc.forEach(s),n_=c(t),b(oo.$$.fragment,t),a_=c(t),b(Fs.$$.fragment,t),o_=c(t),b(ro.$$.fragment,t),r_=c(t),b(io.$$.fragment,t),i_=c(t),Kl=a(t,"P",{});var cA=o(Kl);nx=i(cA,"Example where it\u2019s most a slowdown:"),cA.forEach(s),l_=c(t),b(lo.$$.fragment,t),p_=c(t),Ls=a(t,"P",{});var Rb=o(Ls);ax=i(Rb,"This is a occasional very long sentence compared to the other. In that case, the "),Sd=a(Rb,"STRONG",{});var dA=o(Sd);ox=i(dA,"whole"),dA.forEach(s),rx=i(Rb,` batch will need to be 400
tokens long, so the whole batch will be [64, 400] instead of [64, 4], leading to the high slowdown. Even worse, on
bigger batches, the program simply crashes.`),Rb.forEach(s),c_=c(t),b(po.$$.fragment,t),d_=c(t),Xl=a(t,"P",{});var mA=o(Xl);ix=i(mA,`There are no good (general) solutions for this problem, and your mileage may vary depending on your use cases. Rule of
thumb:`),mA.forEach(s),m_=c(t),Jl=a(t,"P",{});var hA=o(Jl);lx=i(hA,"For users, a rule of thumb is:"),hA.forEach(s),h_=c(t),be=a(t,"UL",{});var lt=o(be);Md=a(lt,"LI",{});var fA=o(Md);Fd=a(fA,"P",{});var uA=o(Fd);Ld=a(uA,"STRONG",{});var gA=o(Ld);px=i(gA,`Measure performance on your load, with your hardware. Measure, measure, and keep measuring. Real numbers are the
only way to go.`),gA.forEach(s),uA.forEach(s),fA.forEach(s),cx=c(lt),Nd=a(lt,"LI",{});var _A=o(Nd);Od=a(_A,"P",{});var bA=o(Od);dx=i(bA,"If you are latency constrained (live product doing inference), don\u2019t batch"),bA.forEach(s),_A.forEach(s),mx=c(lt),Ud=a(lt,"LI",{});var vA=o(Ud);Gd=a(vA,"P",{});var wA=o(Gd);hx=i(wA,"If you are using CPU, don\u2019t batch."),wA.forEach(s),vA.forEach(s),fx=c(lt),co=a(lt,"LI",{});var Vb=o(co);Rd=a(Vb,"P",{});var xA=o(Rd);ux=i(xA,"If you are using throughput (you want to run your model on a bunch of static data), on GPU, then:"),xA.forEach(s),gx=c(Vb),gt=a(Vb,"UL",{});var Lc=o(gt);Vd=a(Lc,"LI",{});var kA=o(Vd);_x=i(kA,`If you have no clue about the size of the sequence_length (\u201Cnatural\u201D data), by default don\u2019t batch, measure and
try tentatively to add it, add OOM checks to recover when it will fail (and it will at some point if you don\u2019t
control the sequence_length.)`),kA.forEach(s),bx=c(Lc),Qd=a(Lc,"LI",{});var PA=o(Qd);vx=i(PA,`If your sequence_length is super regular, then batching is more likely to be VERY interesting, measure and push
it until you get OOMs.`),PA.forEach(s),wx=c(Lc),Hd=a(Lc,"LI",{});var yA=o(Hd);xx=i(yA,"The larger the GPU the more likely batching is going to be more interesting"),yA.forEach(s),Lc.forEach(s),Vb.forEach(s),kx=c(lt),Wd=a(lt,"LI",{});var TA=o(Wd);Bd=a(TA,"P",{});var $A=o(Bd);Px=i($A,"As soon as you enable batching, make sure you can handle OOMs nicely."),$A.forEach(s),TA.forEach(s),lt.forEach(s),f_=c(t),_t=a(t,"H2",{class:!0});var Qb=o(_t);Ns=a(Qb,"A",{id:!0,class:!0,href:!0});var jA=o(Ns);Zd=a(jA,"SPAN",{});var EA=o(Zd);b(mo.$$.fragment,EA),EA.forEach(s),jA.forEach(s),yx=c(Qb),Yd=a(Qb,"SPAN",{});var qA=o(Yd);Tx=i(qA,"Pipeline chunk batching"),qA.forEach(s),Qb.forEach(s),u_=c(t),We=a(t,"P",{});var Ll=o(We);Kd=a(Ll,"CODE",{});var AA=o(Kd);$x=i(AA,"zero-shot-classification"),AA.forEach(s),jx=i(Ll," and "),Xd=a(Ll,"CODE",{});var CA=o(Xd);Ex=i(CA,"question-answering"),CA.forEach(s),qx=i(Ll,` are slightly specific in the sense, that a single input might yield
multiple forward pass of a model. Under normal circumstances, this would yield issues with `),Jd=a(Ll,"CODE",{});var DA=o(Jd);Ax=i(DA,"batch_size"),DA.forEach(s),Cx=i(Ll," argument."),Ll.forEach(s),g_=c(t),tt=a(t,"P",{});var Nc=o(tt);Dx=i(Nc,"In order to circumvent this issue, both of these pipelines are a bit specific, they are "),em=a(Nc,"CODE",{});var zA=o(em);zx=i(zA,"ChunkPipeline"),zA.forEach(s),Ix=i(Nc,` instead of
regular `),tm=a(Nc,"CODE",{});var IA=o(tm);Sx=i(IA,"Pipeline"),IA.forEach(s),Mx=i(Nc,". In short:"),Nc.forEach(s),__=c(t),b(ho.$$.fragment,t),b_=c(t),ep=a(t,"P",{});var SA=o(ep);Fx=i(SA,"Now becomes:"),SA.forEach(s),v_=c(t),b(fo.$$.fragment,t),w_=c(t),tp=a(t,"P",{});var MA=o(tp);Lx=i(MA,`This should be very transparent to your code because the pipelines are used in
the same way.`),MA.forEach(s),x_=c(t),Os=a(t,"P",{});var Hb=o(Os);Nx=i(Hb,`This is a simplified view, since the pipeline can handle automatically the batch to ! Meaning you don\u2019t have to care
about how many forward passes you inputs are actually going to trigger, you can optimize the `),sm=a(Hb,"CODE",{});var FA=o(sm);Ox=i(FA,"batch_size"),FA.forEach(s),Ux=i(Hb,`
independently of the inputs. The caveats from the previous section still apply.`),Hb.forEach(s),k_=c(t),bt=a(t,"H2",{class:!0});var Wb=o(bt);Us=a(Wb,"A",{id:!0,class:!0,href:!0});var LA=o(Us);nm=a(LA,"SPAN",{});var NA=o(nm);b(uo.$$.fragment,NA),NA.forEach(s),LA.forEach(s),Gx=c(Wb),am=a(Wb,"SPAN",{});var OA=o(am);Rx=i(OA,"Pipeline custom code"),OA.forEach(s),Wb.forEach(s),P_=c(t),sp=a(t,"P",{});var UA=o(sp);Vx=i(UA,"If you want to override a specific pipeline."),UA.forEach(s),y_=c(t),Gs=a(t,"P",{});var Bb=o(Gs);Qx=i(Bb,`Don\u2019t hesitate to create an issue for your task at hand, the goal of the pipeline is to be easy to use and support most
cases, so `),om=a(Bb,"CODE",{});var GA=o(om);Hx=i(GA,"transformers"),GA.forEach(s),Wx=i(Bb," could maybe support your use case."),Bb.forEach(s),T_=c(t),np=a(t,"P",{});var RA=o(np);Bx=i(RA,"If you want to try simply you can:"),RA.forEach(s),$_=c(t),ap=a(t,"UL",{});var VA=o(ap);rm=a(VA,"LI",{});var QA=o(rm);Zx=i(QA,"Subclass your pipeline of choice"),QA.forEach(s),VA.forEach(s),j_=c(t),b(go.$$.fragment,t),E_=c(t),op=a(t,"P",{});var HA=o(op);Yx=i(HA,"That should enable you to do all the custom code you want."),HA.forEach(s),q_=c(t),vt=a(t,"H2",{class:!0});var Zb=o(vt);Rs=a(Zb,"A",{id:!0,class:!0,href:!0});var WA=o(Rs);im=a(WA,"SPAN",{});var BA=o(im);b(_o.$$.fragment,BA),BA.forEach(s),WA.forEach(s),Kx=c(Zb),lm=a(Zb,"SPAN",{});var ZA=o(lm);Xx=i(ZA,"Implementing a pipeline"),ZA.forEach(s),Zb.forEach(s),A_=c(t),rp=a(t,"P",{});var YA=o(rp);ip=a(YA,"A",{href:!0});var KA=o(ip);Jx=i(KA,"Implementing a new pipeline"),KA.forEach(s),YA.forEach(s),C_=c(t),wt=a(t,"H2",{class:!0});var Yb=o(wt);Vs=a(Yb,"A",{id:!0,class:!0,href:!0});var XA=o(Vs);pm=a(XA,"SPAN",{});var JA=o(pm);b(bo.$$.fragment,JA),JA.forEach(s),XA.forEach(s),e0=c(Yb),cm=a(Yb,"SPAN",{});var e8=o(cm);t0=i(e8,"Audio"),e8.forEach(s),Yb.forEach(s),D_=c(t),lp=a(t,"P",{});var t8=o(lp);s0=i(t8,"Pipelines available for audio tasks include the following."),t8.forEach(s),z_=c(t),xt=a(t,"H3",{class:!0});var Kb=o(xt);Qs=a(Kb,"A",{id:!0,class:!0,href:!0});var s8=o(Qs);dm=a(s8,"SPAN",{});var n8=o(dm);b(vo.$$.fragment,n8),n8.forEach(s),s8.forEach(s),n0=c(Kb),mm=a(Kb,"SPAN",{});var a8=o(mm);a0=i(a8,"AudioClassificationPipeline"),a8.forEach(s),Kb.forEach(s),I_=c(t),V=a(t,"DIV",{class:!0});var ve=o(V);b(wo.$$.fragment,ve),o0=c(ve),xo=a(ve,"P",{});var Xb=o(xo);r0=i(Xb,"Audio classification pipeline using any "),hm=a(Xb,"CODE",{});var o8=o(hm);i0=i(o8,"AutoModelForAudioClassification"),o8.forEach(s),l0=i(Xb,`. This pipeline predicts the class of a
raw waveform or an audio file. In case of an audio file, ffmpeg should be installed to support multiple audio
formats.`),Xb.forEach(s),p0=c(ve),b(Hs.$$.fragment,ve),c0=c(ve),pp=a(ve,"P",{});var z5=o(pp);d0=i(z5,"Learn more about the basics of using a pipeline in the "),cp=a(z5,"A",{href:!0});var r8=o(cp);m0=i(r8,"pipeline tutorial"),r8.forEach(s),z5.forEach(s),h0=c(ve),kt=a(ve,"P",{});var Oc=o(kt);f0=i(Oc,"This pipeline can currently be loaded from "),dp=a(Oc,"A",{href:!0});var i8=o(dp);u0=i(i8,"pipeline()"),i8.forEach(s),g0=i(Oc,` using the following task identifier:
`),fm=a(Oc,"CODE",{});var l8=o(fm);_0=i(l8,'"audio-classification"'),l8.forEach(s),b0=i(Oc,"."),Oc.forEach(s),v0=c(ve),ko=a(ve,"P",{});var Jb=o(ko);w0=i(Jb,`See the list of available models on
`),Po=a(Jb,"A",{href:!0,rel:!0});var p8=o(Po);x0=i(p8,"huggingface.co/models"),p8.forEach(s),k0=i(Jb,"."),Jb.forEach(s),P0=c(ve),Ws=a(ve,"DIV",{class:!0});var e2=o(Ws);b(yo.$$.fragment,e2),y0=c(e2),To=a(e2,"P",{});var t2=o(To);T0=i(t2,"Classify the sequence(s) given as inputs. See the "),mp=a(t2,"A",{href:!0});var c8=o(mp);$0=i(c8,"AutomaticSpeechRecognitionPipeline"),c8.forEach(s),j0=i(t2,` documentation for more
information.`),t2.forEach(s),e2.forEach(s),ve.forEach(s),S_=c(t),Pt=a(t,"H3",{class:!0});var s2=o(Pt);Bs=a(s2,"A",{id:!0,class:!0,href:!0});var d8=o(Bs);um=a(d8,"SPAN",{});var m8=o(um);b($o.$$.fragment,m8),m8.forEach(s),d8.forEach(s),E0=c(s2),gm=a(s2,"SPAN",{});var h8=o(gm);q0=i(h8,"AutomaticSpeechRecognitionPipeline"),h8.forEach(s),s2.forEach(s),M_=c(t),ie=a(t,"DIV",{class:!0});var Ge=o(ie);b(jo.$$.fragment,Ge),A0=c(Ge),_m=a(Ge,"P",{});var f8=o(_m);C0=i(f8,"Pipeline that aims at extracting spoken text contained within some audio."),f8.forEach(s),D0=c(Ge),bm=a(Ge,"P",{});var u8=o(bm);z0=i(u8,`The input can be either a raw waveform or a audio file. In case of the audio file, ffmpeg should be installed for
to support multiple audio formats`),u8.forEach(s),I0=c(Ge),b(Zs.$$.fragment,Ge),S0=c(Ge),hp=a(Ge,"P",{});var I5=o(hp);M0=i(I5,"Learn more about the basics of using a pipeline in the "),fp=a(I5,"A",{href:!0});var g8=o(fp);F0=i(g8,"pipeline tutorial"),g8.forEach(s),I5.forEach(s),L0=c(Ge),Ys=a(Ge,"DIV",{class:!0});var n2=o(Ys);b(Eo.$$.fragment,n2),N0=c(n2),qo=a(n2,"P",{});var a2=o(qo);O0=i(a2,"Transcribe the audio sequence(s) given as inputs to text. See the "),up=a(a2,"A",{href:!0});var _8=o(up);U0=i(_8,"AutomaticSpeechRecognitionPipeline"),_8.forEach(s),G0=i(a2,`
documentation for more information.`),a2.forEach(s),n2.forEach(s),Ge.forEach(s),F_=c(t),yt=a(t,"H2",{class:!0});var o2=o(yt);Ks=a(o2,"A",{id:!0,class:!0,href:!0});var b8=o(Ks);vm=a(b8,"SPAN",{});var v8=o(vm);b(Ao.$$.fragment,v8),v8.forEach(s),b8.forEach(s),R0=c(o2),wm=a(o2,"SPAN",{});var w8=o(wm);V0=i(w8,"Computer vision"),w8.forEach(s),o2.forEach(s),L_=c(t),gp=a(t,"P",{});var x8=o(gp);Q0=i(x8,"Pipelines available for computer vision tasks include the following."),x8.forEach(s),N_=c(t),Tt=a(t,"H3",{class:!0});var r2=o(Tt);Xs=a(r2,"A",{id:!0,class:!0,href:!0});var k8=o(Xs);xm=a(k8,"SPAN",{});var P8=o(xm);b(Co.$$.fragment,P8),P8.forEach(s),k8.forEach(s),H0=c(r2),km=a(r2,"SPAN",{});var y8=o(km);W0=i(y8,"DepthEstimationPipeline"),y8.forEach(s),r2.forEach(s),O_=c(t),Q=a(t,"DIV",{class:!0});var we=o(Q);b(Do.$$.fragment,we),B0=c(we),zo=a(we,"P",{});var i2=o(zo);Z0=i(i2,"Depth estimation pipeline using any "),Pm=a(i2,"CODE",{});var T8=o(Pm);Y0=i(T8,"AutoModelForDepthEstimation"),T8.forEach(s),K0=i(i2,". This pipeline predicts the depth of an image."),i2.forEach(s),X0=c(we),b(Js.$$.fragment,we),J0=c(we),_p=a(we,"P",{});var S5=o(_p);e1=i(S5,"Learn more about the basics of using a pipeline in the "),bp=a(S5,"A",{href:!0});var $8=o(bp);t1=i($8,"pipeline tutorial"),$8.forEach(s),S5.forEach(s),s1=c(we),$t=a(we,"P",{});var Uc=o($t);n1=i(Uc,"This depth estimation pipeline can currently be loaded from "),vp=a(Uc,"A",{href:!0});var j8=o(vp);a1=i(j8,"pipeline()"),j8.forEach(s),o1=i(Uc,` using the following task identifier:
`),ym=a(Uc,"CODE",{});var E8=o(ym);r1=i(E8,'"depth-estimation"'),E8.forEach(s),i1=i(Uc,"."),Uc.forEach(s),l1=c(we),Io=a(we,"P",{});var l2=o(Io);p1=i(l2,"See the list of available models on "),So=a(l2,"A",{href:!0,rel:!0});var q8=o(So);c1=i(q8,"huggingface.co/models"),q8.forEach(s),d1=i(l2,"."),l2.forEach(s),m1=c(we),en=a(we,"DIV",{class:!0});var p2=o(en);b(Mo.$$.fragment,p2),h1=c(p2),Tm=a(p2,"P",{});var A8=o(Tm);f1=i(A8,"Assign labels to the image(s) passed as inputs."),A8.forEach(s),p2.forEach(s),we.forEach(s),U_=c(t),jt=a(t,"H3",{class:!0});var c2=o(jt);tn=a(c2,"A",{id:!0,class:!0,href:!0});var C8=o(tn);$m=a(C8,"SPAN",{});var D8=o($m);b(Fo.$$.fragment,D8),D8.forEach(s),C8.forEach(s),u1=c(c2),jm=a(c2,"SPAN",{});var z8=o(jm);g1=i(z8,"ImageClassificationPipeline"),z8.forEach(s),c2.forEach(s),G_=c(t),H=a(t,"DIV",{class:!0});var xe=o(H);b(Lo.$$.fragment,xe),_1=c(xe),No=a(xe,"P",{});var d2=o(No);b1=i(d2,"Image classification pipeline using any "),Em=a(d2,"CODE",{});var I8=o(Em);v1=i(I8,"AutoModelForImageClassification"),I8.forEach(s),w1=i(d2,`. This pipeline predicts the class of an
image.`),d2.forEach(s),x1=c(xe),b(sn.$$.fragment,xe),k1=c(xe),wp=a(xe,"P",{});var M5=o(wp);P1=i(M5,"Learn more about the basics of using a pipeline in the "),xp=a(M5,"A",{href:!0});var S8=o(xp);y1=i(S8,"pipeline tutorial"),S8.forEach(s),M5.forEach(s),T1=c(xe),Et=a(xe,"P",{});var Gc=o(Et);$1=i(Gc,"This image classification pipeline can currently be loaded from "),kp=a(Gc,"A",{href:!0});var M8=o(kp);j1=i(M8,"pipeline()"),M8.forEach(s),E1=i(Gc,` using the following task identifier:
`),qm=a(Gc,"CODE",{});var F8=o(qm);q1=i(F8,'"image-classification"'),F8.forEach(s),A1=i(Gc,"."),Gc.forEach(s),C1=c(xe),Oo=a(xe,"P",{});var m2=o(Oo);D1=i(m2,`See the list of available models on
`),Uo=a(m2,"A",{href:!0,rel:!0});var L8=o(Uo);z1=i(L8,"huggingface.co/models"),L8.forEach(s),I1=i(m2,"."),m2.forEach(s),S1=c(xe),nn=a(xe,"DIV",{class:!0});var h2=o(nn);b(Go.$$.fragment,h2),M1=c(h2),Am=a(h2,"P",{});var N8=o(Am);F1=i(N8,"Assign labels to the image(s) passed as inputs."),N8.forEach(s),h2.forEach(s),xe.forEach(s),R_=c(t),qt=a(t,"H3",{class:!0});var f2=o(qt);an=a(f2,"A",{id:!0,class:!0,href:!0});var O8=o(an);Cm=a(O8,"SPAN",{});var U8=o(Cm);b(Ro.$$.fragment,U8),U8.forEach(s),O8.forEach(s),L1=c(f2),Dm=a(f2,"SPAN",{});var G8=o(Dm);N1=i(G8,"ImageSegmentationPipeline"),G8.forEach(s),f2.forEach(s),V_=c(t),le=a(t,"DIV",{class:!0});var Re=o(le);b(Vo.$$.fragment,Re),O1=c(Re),Qo=a(Re,"P",{});var u2=o(Qo);U1=i(u2,"Image segmentation pipeline using any "),zm=a(u2,"CODE",{});var R8=o(zm);G1=i(R8,"AutoModelForXXXSegmentation"),R8.forEach(s),R1=i(u2,`. This pipeline predicts masks of objects and
their classes.`),u2.forEach(s),V1=c(Re),b(on.$$.fragment,Re),Q1=c(Re),At=a(Re,"P",{});var Rc=o(At);H1=i(Rc,"This image segmentation pipeline can currently be loaded from "),Pp=a(Rc,"A",{href:!0});var V8=o(Pp);W1=i(V8,"pipeline()"),V8.forEach(s),B1=i(Rc,` using the following task identifier:
`),Im=a(Rc,"CODE",{});var Q8=o(Im);Z1=i(Q8,'"image-segmentation"'),Q8.forEach(s),Y1=i(Rc,"."),Rc.forEach(s),K1=c(Re),Ho=a(Re,"P",{});var g2=o(Ho);X1=i(g2,`See the list of available models on
`),Wo=a(g2,"A",{href:!0,rel:!0});var H8=o(Wo);J1=i(H8,"huggingface.co/models"),H8.forEach(s),ek=i(g2,"."),g2.forEach(s),tk=c(Re),rn=a(Re,"DIV",{class:!0});var _2=o(rn);b(Bo.$$.fragment,_2),sk=c(_2),Sm=a(_2,"P",{});var W8=o(Sm);nk=i(W8,"Perform segmentation (detect masks & classes) in the image(s) passed as inputs."),W8.forEach(s),_2.forEach(s),Re.forEach(s),Q_=c(t),Ct=a(t,"H3",{class:!0});var b2=o(Ct);ln=a(b2,"A",{id:!0,class:!0,href:!0});var B8=o(ln);Mm=a(B8,"SPAN",{});var Z8=o(Mm);b(Zo.$$.fragment,Z8),Z8.forEach(s),B8.forEach(s),ak=c(b2),Fm=a(b2,"SPAN",{});var Y8=o(Fm);ok=i(Y8,"ObjectDetectionPipeline"),Y8.forEach(s),b2.forEach(s),H_=c(t),W=a(t,"DIV",{class:!0});var ke=o(W);b(Yo.$$.fragment,ke),rk=c(ke),Ko=a(ke,"P",{});var v2=o(Ko);ik=i(v2,"Object detection pipeline using any "),Lm=a(v2,"CODE",{});var K8=o(Lm);lk=i(K8,"AutoModelForObjectDetection"),K8.forEach(s),pk=i(v2,`. This pipeline predicts bounding boxes of objects
and their classes.`),v2.forEach(s),ck=c(ke),b(pn.$$.fragment,ke),dk=c(ke),yp=a(ke,"P",{});var F5=o(yp);mk=i(F5,"Learn more about the basics of using a pipeline in the "),Tp=a(F5,"A",{href:!0});var X8=o(Tp);hk=i(X8,"pipeline tutorial"),X8.forEach(s),F5.forEach(s),fk=c(ke),Dt=a(ke,"P",{});var Vc=o(Dt);uk=i(Vc,"This object detection pipeline can currently be loaded from "),$p=a(Vc,"A",{href:!0});var J8=o($p);gk=i(J8,"pipeline()"),J8.forEach(s),_k=i(Vc,` using the following task identifier:
`),Nm=a(Vc,"CODE",{});var e9=o(Nm);bk=i(e9,'"object-detection"'),e9.forEach(s),vk=i(Vc,"."),Vc.forEach(s),wk=c(ke),Xo=a(ke,"P",{});var w2=o(Xo);xk=i(w2,"See the list of available models on "),Jo=a(w2,"A",{href:!0,rel:!0});var t9=o(Jo);kk=i(t9,"huggingface.co/models"),t9.forEach(s),Pk=i(w2,"."),w2.forEach(s),yk=c(ke),cn=a(ke,"DIV",{class:!0});var x2=o(cn);b(er.$$.fragment,x2),Tk=c(x2),Om=a(x2,"P",{});var s9=o(Om);$k=i(s9,"Detect objects (bounding boxes & classes) in the image(s) passed as inputs."),s9.forEach(s),x2.forEach(s),ke.forEach(s),W_=c(t),zt=a(t,"H3",{class:!0});var k2=o(zt);dn=a(k2,"A",{id:!0,class:!0,href:!0});var n9=o(dn);Um=a(n9,"SPAN",{});var a9=o(Um);b(tr.$$.fragment,a9),a9.forEach(s),n9.forEach(s),jk=c(k2),Gm=a(k2,"SPAN",{});var o9=o(Gm);Ek=i(o9,"VideoClassificationPipeline"),o9.forEach(s),k2.forEach(s),B_=c(t),_e=a(t,"DIV",{class:!0});var pt=o(_e);b(sr.$$.fragment,pt),qk=c(pt),nr=a(pt,"P",{});var P2=o(nr);Ak=i(P2,"Video classification pipeline using any "),Rm=a(P2,"CODE",{});var r9=o(Rm);Ck=i(r9,"AutoModelForVideoClassification"),r9.forEach(s),Dk=i(P2,`. This pipeline predicts the class of a
video.`),P2.forEach(s),zk=c(pt),It=a(pt,"P",{});var Qc=o(It);Ik=i(Qc,"This video classification pipeline can currently be loaded from "),jp=a(Qc,"A",{href:!0});var i9=o(jp);Sk=i(i9,"pipeline()"),i9.forEach(s),Mk=i(Qc,` using the following task identifier:
`),Vm=a(Qc,"CODE",{});var l9=o(Vm);Fk=i(l9,'"video-classification"'),l9.forEach(s),Lk=i(Qc,"."),Qc.forEach(s),Nk=c(pt),ar=a(pt,"P",{});var y2=o(ar);Ok=i(y2,`See the list of available models on
`),or=a(y2,"A",{href:!0,rel:!0});var p9=o(or);Uk=i(p9,"huggingface.co/models"),p9.forEach(s),Gk=i(y2,"."),y2.forEach(s),Rk=c(pt),mn=a(pt,"DIV",{class:!0});var T2=o(mn);b(rr.$$.fragment,T2),Vk=c(T2),Qm=a(T2,"P",{});var c9=o(Qm);Qk=i(c9,"Assign labels to the video(s) passed as inputs."),c9.forEach(s),T2.forEach(s),pt.forEach(s),Z_=c(t),St=a(t,"H3",{class:!0});var $2=o(St);hn=a($2,"A",{id:!0,class:!0,href:!0});var d9=o(hn);Hm=a(d9,"SPAN",{});var m9=o(Hm);b(ir.$$.fragment,m9),m9.forEach(s),d9.forEach(s),Hk=c($2),Wm=a($2,"SPAN",{});var h9=o(Wm);Wk=i(h9,"ZeroShotImageClassificationPipeline"),h9.forEach(s),$2.forEach(s),Y_=c(t),B=a(t,"DIV",{class:!0});var Pe=o(B);b(lr.$$.fragment,Pe),Bk=c(Pe),Mt=a(Pe,"P",{});var Hc=o(Mt);Zk=i(Hc,"Zero shot image classification pipeline using "),Bm=a(Hc,"CODE",{});var f9=o(Bm);Yk=i(f9,"CLIPModel"),f9.forEach(s),Kk=i(Hc,`. This pipeline predicts the class of an image when you
provide an image and a set of `),Zm=a(Hc,"CODE",{});var u9=o(Zm);Xk=i(u9,"candidate_labels"),u9.forEach(s),Jk=i(Hc,"."),Hc.forEach(s),eP=c(Pe),b(fn.$$.fragment,Pe),tP=c(Pe),Ep=a(Pe,"P",{});var L5=o(Ep);sP=i(L5,"Learn more about the basics of using a pipeline in the "),qp=a(L5,"A",{href:!0});var g9=o(qp);nP=i(g9,"pipeline tutorial"),g9.forEach(s),L5.forEach(s),aP=c(Pe),Ft=a(Pe,"P",{});var Wc=o(Ft);oP=i(Wc,"This image classification pipeline can currently be loaded from "),Ap=a(Wc,"A",{href:!0});var _9=o(Ap);rP=i(_9,"pipeline()"),_9.forEach(s),iP=i(Wc,` using the following task identifier:
`),Ym=a(Wc,"CODE",{});var b9=o(Ym);lP=i(b9,'"zero-shot-image-classification"'),b9.forEach(s),pP=i(Wc,"."),Wc.forEach(s),cP=c(Pe),pr=a(Pe,"P",{});var j2=o(pr);dP=i(j2,`See the list of available models on
`),cr=a(j2,"A",{href:!0,rel:!0});var v9=o(cr);mP=i(v9,"huggingface.co/models"),v9.forEach(s),hP=i(j2,"."),j2.forEach(s),fP=c(Pe),un=a(Pe,"DIV",{class:!0});var E2=o(un);b(dr.$$.fragment,E2),uP=c(E2),Km=a(E2,"P",{});var w9=o(Km);gP=i(w9,"Assign labels to the image(s) passed as inputs."),w9.forEach(s),E2.forEach(s),Pe.forEach(s),K_=c(t),Lt=a(t,"H3",{class:!0});var q2=o(Lt);gn=a(q2,"A",{id:!0,class:!0,href:!0});var x9=o(gn);Xm=a(x9,"SPAN",{});var k9=o(Xm);b(mr.$$.fragment,k9),k9.forEach(s),x9.forEach(s),_P=c(q2),Jm=a(q2,"SPAN",{});var P9=o(Jm);bP=i(P9,"ZeroShotObjectDetectionPipeline"),P9.forEach(s),q2.forEach(s),X_=c(t),Z=a(t,"DIV",{class:!0});var ye=o(Z);b(hr.$$.fragment,ye),vP=c(ye),Nt=a(ye,"P",{});var Bc=o(Nt);wP=i(Bc,"Zero shot object detection pipeline using "),eh=a(Bc,"CODE",{});var y9=o(eh);xP=i(y9,"OwlViTForObjectDetection"),y9.forEach(s),kP=i(Bc,`. This pipeline predicts bounding boxes of
objects when you provide an image and a set of `),th=a(Bc,"CODE",{});var T9=o(th);PP=i(T9,"candidate_labels"),T9.forEach(s),yP=i(Bc,"."),Bc.forEach(s),TP=c(ye),b(_n.$$.fragment,ye),$P=c(ye),Cp=a(ye,"P",{});var N5=o(Cp);jP=i(N5,"Learn more about the basics of using a pipeline in the "),Dp=a(N5,"A",{href:!0});var $9=o(Dp);EP=i($9,"pipeline tutorial"),$9.forEach(s),N5.forEach(s),qP=c(ye),Ot=a(ye,"P",{});var Zc=o(Ot);AP=i(Zc,"This object detection pipeline can currently be loaded from "),zp=a(Zc,"A",{href:!0});var j9=o(zp);CP=i(j9,"pipeline()"),j9.forEach(s),DP=i(Zc,` using the following task identifier:
`),sh=a(Zc,"CODE",{});var E9=o(sh);zP=i(E9,'"zero-shot-object-detection"'),E9.forEach(s),IP=i(Zc,"."),Zc.forEach(s),SP=c(ye),fr=a(ye,"P",{});var A2=o(fr);MP=i(A2,`See the list of available models on
`),ur=a(A2,"A",{href:!0,rel:!0});var q9=o(ur);FP=i(q9,"huggingface.co/models"),q9.forEach(s),LP=i(A2,"."),A2.forEach(s),NP=c(ye),bn=a(ye,"DIV",{class:!0});var C2=o(bn);b(gr.$$.fragment,C2),OP=c(C2),nh=a(C2,"P",{});var A9=o(nh);UP=i(A9,"Detect objects (bounding boxes & classes) in the image(s) passed as inputs."),A9.forEach(s),C2.forEach(s),ye.forEach(s),J_=c(t),Ut=a(t,"H2",{class:!0});var D2=o(Ut);vn=a(D2,"A",{id:!0,class:!0,href:!0});var C9=o(vn);ah=a(C9,"SPAN",{});var D9=o(ah);b(_r.$$.fragment,D9),D9.forEach(s),C9.forEach(s),GP=c(D2),oh=a(D2,"SPAN",{});var z9=o(oh);RP=i(z9,"Natural Language Processing"),z9.forEach(s),D2.forEach(s),eb=c(t),Ip=a(t,"P",{});var I9=o(Ip);VP=i(I9,"Pipelines available for natural language processing tasks include the following."),I9.forEach(s),tb=c(t),Gt=a(t,"H3",{class:!0});var z2=o(Gt);wn=a(z2,"A",{id:!0,class:!0,href:!0});var S9=o(wn);rh=a(S9,"SPAN",{});var M9=o(rh);b(br.$$.fragment,M9),M9.forEach(s),S9.forEach(s),QP=c(z2),ih=a(z2,"SPAN",{});var F9=o(ih);HP=i(F9,"ConversationalPipeline"),F9.forEach(s),z2.forEach(s),sb=c(t),Y=a(t,"DIV",{class:!0});var Te=o(Y);b(vr.$$.fragment,Te),WP=c(Te),Be=a(Te,"P",{});var Na=o(Be);BP=i(Na,`Utility class containing a conversation and its history. This class is meant to be used as an input to the
`),Sp=a(Na,"A",{href:!0});var L9=o(Sp);ZP=i(L9,"ConversationalPipeline"),L9.forEach(s),YP=i(Na,`. The conversation contains a number of utility function to manage the addition of new
user input and generated model responses. A conversation needs to contain an unprocessed user input before being
passed to the `),Mp=a(Na,"A",{href:!0});var N9=o(Mp);KP=i(N9,"ConversationalPipeline"),N9.forEach(s),XP=i(Na,`. This user input is either created when the class is instantiated, or by
calling `),lh=a(Na,"CODE",{});var O9=o(lh);JP=i(O9,'conversational_pipeline.append_response("input")'),O9.forEach(s),ey=i(Na," after a conversation turn."),Na.forEach(s),ty=c(Te),b(xn.$$.fragment,Te),sy=c(Te),kn=a(Te,"DIV",{class:!0});var I2=o(kn);b(wr.$$.fragment,I2),ny=c(I2),xr=a(I2,"P",{});var S2=o(xr);ay=i(S2,"Add a user input to the conversation for the next round. This populates the internal "),ph=a(S2,"CODE",{});var U9=o(ph);oy=i(U9,"new_user_input"),U9.forEach(s),ry=i(S2," field."),S2.forEach(s),I2.forEach(s),iy=c(Te),Pn=a(Te,"DIV",{class:!0});var M2=o(Pn);b(kr.$$.fragment,M2),ly=c(M2),ch=a(M2,"P",{});var G9=o(ch);py=i(G9,"Append a response to the list of generated responses."),G9.forEach(s),M2.forEach(s),cy=c(Te),st=a(Te,"DIV",{class:!0});var Yc=o(st);b(Pr.$$.fragment,Yc),dy=c(Yc),dh=a(Yc,"P",{});var R9=o(dh);my=i(R9,"Iterates over all blobs of the conversation."),R9.forEach(s),hy=c(Yc),Me=a(Yc,"P",{});var ct=o(Me);fy=i(ct,"Returns: Iterator of (is_user, text_chunk) in chronological order of the conversation. "),mh=a(ct,"CODE",{});var V9=o(mh);uy=i(V9,"is_user"),V9.forEach(s),gy=i(ct," is a "),hh=a(ct,"CODE",{});var Q9=o(hh);_y=i(Q9,"bool"),Q9.forEach(s),by=i(ct,`,
`),fh=a(ct,"CODE",{});var H9=o(fh);vy=i(H9,"text_chunks"),H9.forEach(s),wy=i(ct," is a "),uh=a(ct,"CODE",{});var W9=o(uh);xy=i(W9,"str"),W9.forEach(s),ky=i(ct,"."),ct.forEach(s),Yc.forEach(s),Py=c(Te),yn=a(Te,"DIV",{class:!0});var F2=o(yn);b(yr.$$.fragment,F2),yy=c(F2),Ze=a(F2,"P",{});var Oa=o(Ze);Ty=i(Oa,"Mark the conversation as processed (moves the content of "),gh=a(Oa,"CODE",{});var B9=o(gh);$y=i(B9,"new_user_input"),B9.forEach(s),jy=i(Oa," to "),_h=a(Oa,"CODE",{});var Z9=o(_h);Ey=i(Z9,"past_user_inputs"),Z9.forEach(s),qy=i(Oa,`) and empties
the `),bh=a(Oa,"CODE",{});var Y9=o(bh);Ay=i(Y9,"new_user_input"),Y9.forEach(s),Cy=i(Oa," field."),Oa.forEach(s),F2.forEach(s),Te.forEach(s),nb=c(t),K=a(t,"DIV",{class:!0});var $e=o(K);b(Tr.$$.fragment,$e),Dy=c($e),vh=a($e,"P",{});var K9=o(vh);zy=i(K9,"Multi-turn conversational pipeline."),K9.forEach(s),Iy=c($e),b(Tn.$$.fragment,$e),Sy=c($e),Fp=a($e,"P",{});var O5=o(Fp);My=i(O5,"Learn more about the basics of using a pipeline in the "),Lp=a(O5,"A",{href:!0});var X9=o(Lp);Fy=i(X9,"pipeline tutorial"),X9.forEach(s),O5.forEach(s),Ly=c($e),Rt=a($e,"P",{});var Kc=o(Rt);Ny=i(Kc,"This conversational pipeline can currently be loaded from "),Np=a(Kc,"A",{href:!0});var J9=o(Np);Oy=i(J9,"pipeline()"),J9.forEach(s),Uy=i(Kc,` using the following task identifier:
`),wh=a(Kc,"CODE",{});var eC=o(wh);Gy=i(eC,'"conversational"'),eC.forEach(s),Ry=i(Kc,"."),Kc.forEach(s),Vy=c($e),Fe=a($e,"P",{});var dt=o(Fe);Qy=i(dt,`The models that this pipeline can use are models that have been fine-tuned on a multi-turn conversational task,
currently: `),xh=a(dt,"EM",{});var tC=o(xh);Hy=i(tC,"\u2018microsoft/DialoGPT-small\u2019"),tC.forEach(s),Wy=i(dt,", "),kh=a(dt,"EM",{});var sC=o(kh);By=i(sC,"\u2018microsoft/DialoGPT-medium\u2019"),sC.forEach(s),Zy=i(dt,", "),Ph=a(dt,"EM",{});var nC=o(Ph);Yy=i(nC,"\u2018microsoft/DialoGPT-large\u2019"),nC.forEach(s),Ky=i(dt,`. See the
up-to-date list of available models on
`),$r=a(dt,"A",{href:!0,rel:!0});var aC=o($r);Xy=i(aC,"huggingface.co/models"),aC.forEach(s),Jy=i(dt,"."),dt.forEach(s),eT=c($e),$n=a($e,"DIV",{class:!0});var L2=o($n);b(jr.$$.fragment,L2),tT=c(L2),yh=a(L2,"P",{});var oC=o(yh);sT=i(oC,"Generate responses for the conversation(s) given as inputs."),oC.forEach(s),L2.forEach(s),$e.forEach(s),ab=c(t),Vt=a(t,"H3",{class:!0});var N2=o(Vt);jn=a(N2,"A",{id:!0,class:!0,href:!0});var rC=o(jn);Th=a(rC,"SPAN",{});var iC=o(Th);b(Er.$$.fragment,iC),iC.forEach(s),rC.forEach(s),nT=c(N2),$h=a(N2,"SPAN",{});var lC=o($h);aT=i(lC,"FillMaskPipeline"),lC.forEach(s),N2.forEach(s),ob=c(t),N=a(t,"DIV",{class:!0});var he=o(N);b(qr.$$.fragment,he),oT=c(he),Qt=a(he,"P",{});var Xc=o(Qt);rT=i(Xc,"Masked language modeling prediction pipeline using any "),jh=a(Xc,"CODE",{});var pC=o(jh);iT=i(pC,"ModelWithLMHead"),pC.forEach(s),lT=i(Xc,". See the "),Op=a(Xc,"A",{href:!0});var cC=o(Op);pT=i(cC,`masked language modeling
examples`),cC.forEach(s),cT=i(Xc," for more information."),Xc.forEach(s),dT=c(he),b(En.$$.fragment,he),mT=c(he),Up=a(he,"P",{});var U5=o(Up);hT=i(U5,"Learn more about the basics of using a pipeline in the "),Gp=a(U5,"A",{href:!0});var dC=o(Gp);fT=i(dC,"pipeline tutorial"),dC.forEach(s),U5.forEach(s),uT=c(he),Ht=a(he,"P",{});var Jc=o(Ht);gT=i(Jc,"This mask filling pipeline can currently be loaded from "),Rp=a(Jc,"A",{href:!0});var mC=o(Rp);_T=i(mC,"pipeline()"),mC.forEach(s),bT=i(Jc,` using the following task identifier:
`),Eh=a(Jc,"CODE",{});var hC=o(Eh);vT=i(hC,'"fill-mask"'),hC.forEach(s),wT=i(Jc,"."),Jc.forEach(s),xT=c(he),Ar=a(he,"P",{});var O2=o(Ar);kT=i(O2,`The models that this pipeline can use are models that have been trained with a masked language modeling objective,
which includes the bi-directional models in the library. See the up-to-date list of available models on
`),Cr=a(O2,"A",{href:!0,rel:!0});var fC=o(Cr);PT=i(fC,"huggingface.co/models"),fC.forEach(s),yT=i(O2,"."),O2.forEach(s),TT=c(he),b(qn.$$.fragment,he),$T=c(he),An=a(he,"DIV",{class:!0});var U2=o(An);b(Dr.$$.fragment,U2),jT=c(U2),qh=a(U2,"P",{});var uC=o(qh);ET=i(uC,"Fill the masked token in the text(s) given as inputs."),uC.forEach(s),U2.forEach(s),he.forEach(s),rb=c(t),Wt=a(t,"H3",{class:!0});var G2=o(Wt);Cn=a(G2,"A",{id:!0,class:!0,href:!0});var gC=o(Cn);Ah=a(gC,"SPAN",{});var _C=o(Ah);b(zr.$$.fragment,_C),_C.forEach(s),gC.forEach(s),qT=c(G2),Ch=a(G2,"SPAN",{});var bC=o(Ch);AT=i(bC,"NerPipeline"),bC.forEach(s),G2.forEach(s),ib=c(t),S=a(t,"DIV",{class:!0});var R=o(S);b(Ir.$$.fragment,R),CT=c(R),Bt=a(R,"P",{});var ed=o(Bt);DT=i(ed,"Named Entity Recognition pipeline using any "),Dh=a(ed,"CODE",{});var vC=o(Dh);zT=i(vC,"ModelForTokenClassification"),vC.forEach(s),IT=i(ed,". See the "),Vp=a(ed,"A",{href:!0});var wC=o(Vp);ST=i(wC,`named entity recognition
examples`),wC.forEach(s),MT=i(ed," for more information."),ed.forEach(s),FT=c(R),b(Dn.$$.fragment,R),LT=c(R),Qp=a(R,"P",{});var G5=o(Qp);NT=i(G5,"Learn more about the basics of using a pipeline in the "),Hp=a(G5,"A",{href:!0});var xC=o(Hp);OT=i(xC,"pipeline tutorial"),xC.forEach(s),G5.forEach(s),UT=c(R),Zt=a(R,"P",{});var td=o(Zt);GT=i(td,"This token recognition pipeline can currently be loaded from "),Wp=a(td,"A",{href:!0});var kC=o(Wp);RT=i(kC,"pipeline()"),kC.forEach(s),VT=i(td,` using the following task identifier:
`),zh=a(td,"CODE",{});var PC=o(zh);QT=i(PC,'"ner"'),PC.forEach(s),HT=i(td," (for predicting the classes of tokens in a sequence: person, organisation, location or miscellaneous)."),td.forEach(s),WT=c(R),Sr=a(R,"P",{});var R2=o(Sr);BT=i(R2,`The models that this pipeline can use are models that have been fine-tuned on a token classification task. See the
up-to-date list of available models on
`),Mr=a(R2,"A",{href:!0,rel:!0});var yC=o(Mr);ZT=i(yC,"huggingface.co/models"),yC.forEach(s),YT=i(R2,"."),R2.forEach(s),KT=c(R),nt=a(R,"DIV",{class:!0});var sd=o(nt);b(Fr.$$.fragment,sd),XT=c(sd),Ih=a(sd,"P",{});var TC=o(Ih);JT=i(TC,"Override tokens from a given word that disagree to force agreement on word boundaries."),TC.forEach(s),e$=c(sd),Sh=a(sd,"P",{});var $C=o(Sh);t$=i($C,`Example: micro|soft| com|pany| B-ENT I-NAME I-ENT I-ENT will be rewritten with first strategy as microsoft|
company| B-ENT I-ENT`),$C.forEach(s),sd.forEach(s),s$=c(R),zn=a(R,"DIV",{class:!0});var V2=o(zn);b(Lr.$$.fragment,V2),n$=c(V2),Mh=a(V2,"P",{});var jC=o(Mh);a$=i(jC,"Fuse various numpy arrays into dicts with all the information needed for aggregation"),jC.forEach(s),V2.forEach(s),o$=c(R),In=a(R,"DIV",{class:!0});var Q2=o(In);b(Nr.$$.fragment,Q2),r$=c(Q2),Fh=a(Q2,"P",{});var EC=o(Fh);i$=i(EC,"Find and group together the adjacent tokens with the same entity predicted."),EC.forEach(s),Q2.forEach(s),l$=c(R),Sn=a(R,"DIV",{class:!0});var H2=o(Sn);b(Or.$$.fragment,H2),p$=c(H2),Lh=a(H2,"P",{});var qC=o(Lh);c$=i(qC,"Group together the adjacent tokens with the same entity predicted."),qC.forEach(s),H2.forEach(s),R.forEach(s),lb=c(t),Mn=a(t,"P",{});var W2=o(Mn);d$=i(W2,"See "),Bp=a(W2,"A",{href:!0});var AC=o(Bp);m$=i(AC,"TokenClassificationPipeline"),AC.forEach(s),h$=i(W2," for all details."),W2.forEach(s),pb=c(t),Yt=a(t,"H3",{class:!0});var B2=o(Yt);Fn=a(B2,"A",{id:!0,class:!0,href:!0});var CC=o(Fn);Nh=a(CC,"SPAN",{});var DC=o(Nh);b(Ur.$$.fragment,DC),DC.forEach(s),CC.forEach(s),f$=c(B2),Oh=a(B2,"SPAN",{});var zC=o(Oh);u$=i(zC,"QuestionAnsweringPipeline"),zC.forEach(s),B2.forEach(s),cb=c(t),M=a(t,"DIV",{class:!0});var oe=o(M);b(Gr.$$.fragment,oe),g$=c(oe),Kt=a(oe,"P",{});var nd=o(Kt);_$=i(nd,"Question Answering pipeline using any "),Uh=a(nd,"CODE",{});var IC=o(Uh);b$=i(IC,"ModelForQuestionAnswering"),IC.forEach(s),v$=i(nd,". See the "),Zp=a(nd,"A",{href:!0});var SC=o(Zp);w$=i(SC,`question answering
examples`),SC.forEach(s),x$=i(nd," for more information."),nd.forEach(s),k$=c(oe),b(Ln.$$.fragment,oe),P$=c(oe),Yp=a(oe,"P",{});var R5=o(Yp);y$=i(R5,"Learn more about the basics of using a pipeline in the "),Kp=a(R5,"A",{href:!0});var MC=o(Kp);T$=i(MC,"pipeline tutorial"),MC.forEach(s),R5.forEach(s),$$=c(oe),Xt=a(oe,"P",{});var ad=o(Xt);j$=i(ad,"This question answering pipeline can currently be loaded from "),Xp=a(ad,"A",{href:!0});var FC=o(Xp);E$=i(FC,"pipeline()"),FC.forEach(s),q$=i(ad,` using the following task identifier:
`),Gh=a(ad,"CODE",{});var LC=o(Gh);A$=i(LC,'"question-answering"'),LC.forEach(s),C$=i(ad,"."),ad.forEach(s),D$=c(oe),Rr=a(oe,"P",{});var Z2=o(Rr);z$=i(Z2,`The models that this pipeline can use are models that have been fine-tuned on a question answering task. See the
up-to-date list of available models on
`),Vr=a(Z2,"A",{href:!0,rel:!0});var NC=o(Vr);I$=i(NC,"huggingface.co/models"),NC.forEach(s),S$=i(Z2,"."),Z2.forEach(s),M$=c(oe),Nn=a(oe,"DIV",{class:!0});var Y2=o(Nn);b(Qr.$$.fragment,Y2),F$=c(Y2),Rh=a(Y2,"P",{});var OC=o(Rh);L$=i(OC,"Answer the question(s) given as inputs by using the context(s)."),OC.forEach(s),Y2.forEach(s),N$=c(oe),at=a(oe,"DIV",{class:!0});var od=o(at);b(Hr.$$.fragment,od),O$=c(od),Jt=a(od,"P",{});var rd=o(Jt);U$=i(rd,"QuestionAnsweringPipeline leverages the "),Vh=a(rd,"CODE",{});var UC=o(Vh);G$=i(UC,"SquadExample"),UC.forEach(s),R$=i(rd,` internally. This helper method encapsulate all the
logic for converting question(s) and context(s) to `),Qh=a(rd,"CODE",{});var GC=o(Qh);V$=i(GC,"SquadExample"),GC.forEach(s),Q$=i(rd,"."),rd.forEach(s),H$=c(od),Hh=a(od,"P",{});var RC=o(Hh);W$=i(RC,"We currently support extractive question answering."),RC.forEach(s),od.forEach(s),B$=c(oe),On=a(oe,"DIV",{class:!0});var K2=o(On);b(Wr.$$.fragment,K2),Z$=c(K2),Wh=a(K2,"P",{});var VC=o(Wh);Y$=i(VC,"When decoding from token probabilities, this method maps token indexes to actual word in the initial context."),VC.forEach(s),K2.forEach(s),oe.forEach(s),db=c(t),es=a(t,"H3",{class:!0});var X2=o(es);Un=a(X2,"A",{id:!0,class:!0,href:!0});var QC=o(Un);Bh=a(QC,"SPAN",{});var HC=o(Bh);b(Br.$$.fragment,HC),HC.forEach(s),QC.forEach(s),K$=c(X2),Zh=a(X2,"SPAN",{});var WC=o(Zh);X$=i(WC,"SummarizationPipeline"),WC.forEach(s),X2.forEach(s),mb=c(t),pe=a(t,"DIV",{class:!0});var Ve=o(pe);b(Zr.$$.fragment,Ve),J$=c(Ve),Yh=a(Ve,"P",{});var BC=o(Yh);e4=i(BC,"Summarize news articles and other documents."),BC.forEach(s),t4=c(Ve),ts=a(Ve,"P",{});var id=o(ts);s4=i(id,"This summarizing pipeline can currently be loaded from "),Jp=a(id,"A",{href:!0});var ZC=o(Jp);n4=i(ZC,"pipeline()"),ZC.forEach(s),a4=i(id,` using the following task identifier:
`),Kh=a(id,"CODE",{});var YC=o(Kh);o4=i(YC,'"summarization"'),YC.forEach(s),r4=i(id,"."),id.forEach(s),i4=c(Ve),G=a(Ve,"P",{});var me=o(G);l4=i(me,`The models that this pipeline can use are models that have been fine-tuned on a summarization task, which is
currently, \u2019`),Xh=a(me,"EM",{});var KC=o(Xh);p4=i(KC,"bart-large-cnn"),KC.forEach(s),c4=i(me,"\u2019, \u2019"),Jh=a(me,"EM",{});var XC=o(Jh);d4=i(XC,"t5-small"),XC.forEach(s),m4=i(me,"\u2019, \u2019"),ef=a(me,"EM",{});var JC=o(ef);h4=i(JC,"t5-base"),JC.forEach(s),f4=i(me,"\u2019, \u2019"),tf=a(me,"EM",{});var eD=o(tf);u4=i(eD,"t5-large"),eD.forEach(s),g4=i(me,"\u2019, \u2019"),sf=a(me,"EM",{});var tD=o(sf);_4=i(tD,"t5-3b"),tD.forEach(s),b4=i(me,"\u2019, \u2019"),nf=a(me,"EM",{});var sD=o(nf);v4=i(sD,"t5-11b"),sD.forEach(s),w4=i(me,`\u2019. See the up-to-date
list of available models on `),Yr=a(me,"A",{href:!0,rel:!0});var nD=o(Yr);x4=i(nD,"huggingface.co/models"),nD.forEach(s),k4=i(me,`. For a list
of available parameters, see the `),Kr=a(me,"A",{href:!0,rel:!0});var aD=o(Kr);P4=i(aD,`following
documentation`),aD.forEach(s),me.forEach(s),y4=c(Ve),b(Gn.$$.fragment,Ve),T4=c(Ve),Rn=a(Ve,"DIV",{class:!0});var J2=o(Rn);b(Xr.$$.fragment,J2),$4=c(J2),af=a(J2,"P",{});var oD=o(af);j4=i(oD,"Summarize the text(s) given as inputs."),oD.forEach(s),J2.forEach(s),Ve.forEach(s),hb=c(t),ss=a(t,"H3",{class:!0});var ev=o(ss);Vn=a(ev,"A",{id:!0,class:!0,href:!0});var rD=o(Vn);of=a(rD,"SPAN",{});var iD=o(of);b(Jr.$$.fragment,iD),iD.forEach(s),rD.forEach(s),E4=c(ev),rf=a(ev,"SPAN",{});var lD=o(rf);q4=i(lD,"TableQuestionAnsweringPipeline"),lD.forEach(s),ev.forEach(s),fb=c(t),X=a(t,"DIV",{class:!0});var je=o(X);b(ei.$$.fragment,je),A4=c(je),ti=a(je,"P",{});var tv=o(ti);C4=i(tv,"Table Question Answering pipeline using a "),lf=a(tv,"CODE",{});var pD=o(lf);D4=i(pD,"ModelForTableQuestionAnswering"),pD.forEach(s),z4=i(tv,`. This pipeline is only available in
PyTorch.`),tv.forEach(s),I4=c(je),b(Qn.$$.fragment,je),S4=c(je),ec=a(je,"P",{});var V5=o(ec);M4=i(V5,"Learn more about the basics of using a pipeline in the "),tc=a(V5,"A",{href:!0});var cD=o(tc);F4=i(cD,"pipeline tutorial"),cD.forEach(s),V5.forEach(s),L4=c(je),ns=a(je,"P",{});var ld=o(ns);N4=i(ld,"This tabular question answering pipeline can currently be loaded from "),sc=a(ld,"A",{href:!0});var dD=o(sc);O4=i(dD,"pipeline()"),dD.forEach(s),U4=i(ld,` using the following task
identifier: `),pf=a(ld,"CODE",{});var mD=o(pf);G4=i(mD,'"table-question-answering"'),mD.forEach(s),R4=i(ld,"."),ld.forEach(s),V4=c(je),si=a(je,"P",{});var sv=o(si);Q4=i(sv,`The models that this pipeline can use are models that have been fine-tuned on a tabular question answering task.
See the up-to-date list of available models on
`),ni=a(sv,"A",{href:!0,rel:!0});var hD=o(ni);H4=i(hD,"huggingface.co/models"),hD.forEach(s),W4=i(sv,"."),sv.forEach(s),B4=c(je),ae=a(je,"DIV",{class:!0});var Ee=o(ae);b(ai.$$.fragment,Ee),Z4=c(Ee),cf=a(Ee,"P",{});var fD=o(cf);Y4=i(fD,"Answers queries according to a table. The pipeline accepts several types of inputs which are detailed below:"),fD.forEach(s),K4=c(Ee),ce=a(Ee,"UL",{});var qe=o(ce);df=a(qe,"LI",{});var uD=o(df);mf=a(uD,"CODE",{});var gD=o(mf);X4=i(gD,"pipeline(table, query)"),gD.forEach(s),uD.forEach(s),J4=c(qe),hf=a(qe,"LI",{});var _D=o(hf);ff=a(_D,"CODE",{});var bD=o(ff);e7=i(bD,"pipeline(table, [query])"),bD.forEach(s),_D.forEach(s),t7=c(qe),uf=a(qe,"LI",{});var vD=o(uf);gf=a(vD,"CODE",{});var wD=o(gf);s7=i(wD,"pipeline(table=table, query=query)"),wD.forEach(s),vD.forEach(s),n7=c(qe),_f=a(qe,"LI",{});var xD=o(_f);bf=a(xD,"CODE",{});var kD=o(bf);a7=i(kD,"pipeline(table=table, query=[query])"),kD.forEach(s),xD.forEach(s),o7=c(qe),vf=a(qe,"LI",{});var PD=o(vf);wf=a(PD,"CODE",{});var yD=o(wf);r7=i(yD,'pipeline({"table": table, "query": query})'),yD.forEach(s),PD.forEach(s),i7=c(qe),xf=a(qe,"LI",{});var TD=o(xf);kf=a(TD,"CODE",{});var $D=o(kf);l7=i($D,'pipeline({"table": table, "query": [query]})'),$D.forEach(s),TD.forEach(s),p7=c(qe),Pf=a(qe,"LI",{});var jD=o(Pf);yf=a(jD,"CODE",{});var ED=o(yf);c7=i(ED,'pipeline([{"table": table, "query": query}, {"table": table, "query": query}])'),ED.forEach(s),jD.forEach(s),qe.forEach(s),d7=c(Ee),oi=a(Ee,"P",{});var nv=o(oi);m7=i(nv,"The "),Tf=a(nv,"CODE",{});var qD=o(Tf);h7=i(qD,"table"),qD.forEach(s),f7=i(nv," argument should be a dict or a DataFrame built from that dict, containing the whole table:"),nv.forEach(s),u7=c(Ee),b(Hn.$$.fragment,Ee),g7=c(Ee),$f=a(Ee,"P",{});var AD=o($f);_7=i(AD,"This dictionary can be passed in as such, or can be converted to a pandas DataFrame:"),AD.forEach(s),b7=c(Ee),b(Wn.$$.fragment,Ee),Ee.forEach(s),je.forEach(s),ub=c(t),as=a(t,"H3",{class:!0});var av=o(as);Bn=a(av,"A",{id:!0,class:!0,href:!0});var CD=o(Bn);jf=a(CD,"SPAN",{});var DD=o(jf);b(ri.$$.fragment,DD),DD.forEach(s),CD.forEach(s),v7=c(av),Ef=a(av,"SPAN",{});var zD=o(Ef);w7=i(zD,"TextClassificationPipeline"),zD.forEach(s),av.forEach(s),gb=c(t),O=a(t,"DIV",{class:!0});var fe=o(O);b(ii.$$.fragment,fe),x7=c(fe),os=a(fe,"P",{});var pd=o(os);k7=i(pd,"Text classification pipeline using any "),qf=a(pd,"CODE",{});var ID=o(qf);P7=i(ID,"ModelForSequenceClassification"),ID.forEach(s),y7=i(pd,". See the "),nc=a(pd,"A",{href:!0});var SD=o(nc);T7=i(SD,`sequence classification
examples`),SD.forEach(s),$7=i(pd," for more information."),pd.forEach(s),j7=c(fe),b(Zn.$$.fragment,fe),E7=c(fe),ac=a(fe,"P",{});var Q5=o(ac);q7=i(Q5,"Learn more about the basics of using a pipeline in the "),oc=a(Q5,"A",{href:!0});var MD=o(oc);A7=i(MD,"pipeline tutorial"),MD.forEach(s),Q5.forEach(s),C7=c(fe),rs=a(fe,"P",{});var cd=o(rs);D7=i(cd,"This text classification pipeline can currently be loaded from "),rc=a(cd,"A",{href:!0});var FD=o(rc);z7=i(FD,"pipeline()"),FD.forEach(s),I7=i(cd,` using the following task identifier:
`),Af=a(cd,"CODE",{});var LD=o(Af);S7=i(LD,'"sentiment-analysis"'),LD.forEach(s),M7=i(cd," (for classifying sequences according to positive or negative sentiments)."),cd.forEach(s),F7=c(fe),li=a(fe,"P",{});var ov=o(li);L7=i(ov,"If multiple classification labels are available ("),Cf=a(ov,"CODE",{});var ND=o(Cf);N7=i(ND,"model.config.num_labels >= 2"),ND.forEach(s),O7=i(ov,`), the pipeline will run a softmax
over the results. If there is a single label, the pipeline will run a sigmoid over the result.`),ov.forEach(s),U7=c(fe),pi=a(fe,"P",{});var rv=o(pi);G7=i(rv,`The models that this pipeline can use are models that have been fine-tuned on a sequence classification task. See
the up-to-date list of available models on
`),ci=a(rv,"A",{href:!0,rel:!0});var OD=o(ci);R7=i(OD,"huggingface.co/models"),OD.forEach(s),V7=i(rv,"."),rv.forEach(s),Q7=c(fe),Yn=a(fe,"DIV",{class:!0});var iv=o(Yn);b(di.$$.fragment,iv),H7=c(iv),Df=a(iv,"P",{});var UD=o(Df);W7=i(UD,"Classify the text(s) given as inputs."),UD.forEach(s),iv.forEach(s),fe.forEach(s),_b=c(t),is=a(t,"H3",{class:!0});var lv=o(is);Kn=a(lv,"A",{id:!0,class:!0,href:!0});var GD=o(Kn);zf=a(GD,"SPAN",{});var RD=o(zf);b(mi.$$.fragment,RD),RD.forEach(s),GD.forEach(s),B7=c(lv),If=a(lv,"SPAN",{});var VD=o(If);Z7=i(VD,"TextGenerationPipeline"),VD.forEach(s),lv.forEach(s),bb=c(t),J=a(t,"DIV",{class:!0});var Ae=o(J);b(hi.$$.fragment,Ae),Y7=c(Ae),fi=a(Ae,"P",{});var pv=o(fi);K7=i(pv,"Language generation pipeline using any "),Sf=a(pv,"CODE",{});var QD=o(Sf);X7=i(QD,"ModelWithLMHead"),QD.forEach(s),J7=i(pv,`. This pipeline predicts the words that will follow a
specified text prompt.`),pv.forEach(s),ej=c(Ae),b(Xn.$$.fragment,Ae),tj=c(Ae),ic=a(Ae,"P",{});var H5=o(ic);sj=i(H5,"Learn more about the basics of using a pipeline in the "),lc=a(H5,"A",{href:!0});var HD=o(lc);nj=i(HD,"pipeline tutorial"),HD.forEach(s),H5.forEach(s),aj=c(Ae),ls=a(Ae,"P",{});var dd=o(ls);oj=i(dd,"This language generation pipeline can currently be loaded from "),pc=a(dd,"A",{href:!0});var WD=o(pc);rj=i(WD,"pipeline()"),WD.forEach(s),ij=i(dd,` using the following task identifier:
`),Mf=a(dd,"CODE",{});var BD=o(Mf);lj=i(BD,'"text-generation"'),BD.forEach(s),pj=i(dd,"."),dd.forEach(s),cj=c(Ae),ui=a(Ae,"P",{});var cv=o(ui);dj=i(cv,`The models that this pipeline can use are models that have been trained with an autoregressive language modeling
objective, which includes the uni-directional models in the library (e.g. gpt2). See the list of available models
on `),gi=a(cv,"A",{href:!0,rel:!0});var ZD=o(gi);mj=i(ZD,"huggingface.co/models"),ZD.forEach(s),hj=i(cv,"."),cv.forEach(s),fj=c(Ae),Jn=a(Ae,"DIV",{class:!0});var dv=o(Jn);b(_i.$$.fragment,dv),uj=c(dv),Ff=a(dv,"P",{});var YD=o(Ff);gj=i(YD,"Complete the prompt(s) given as inputs."),YD.forEach(s),dv.forEach(s),Ae.forEach(s),vb=c(t),ps=a(t,"H3",{class:!0});var mv=o(ps);ea=a(mv,"A",{id:!0,class:!0,href:!0});var KD=o(ea);Lf=a(KD,"SPAN",{});var XD=o(Lf);b(bi.$$.fragment,XD),XD.forEach(s),KD.forEach(s),_j=c(mv),Nf=a(mv,"SPAN",{});var JD=o(Nf);bj=i(JD,"Text2TextGenerationPipeline"),JD.forEach(s),mv.forEach(s),wb=c(t),F=a(t,"DIV",{class:!0});var re=o(F);b(vi.$$.fragment,re),vj=c(re),Of=a(re,"P",{});var ez=o(Of);wj=i(ez,"Pipeline for text to text generation using seq2seq models."),ez.forEach(s),xj=c(re),b(ta.$$.fragment,re),kj=c(re),cc=a(re,"P",{});var W5=o(cc);Pj=i(W5,"Learn more about the basics of using a pipeline in the "),dc=a(W5,"A",{href:!0});var tz=o(dc);yj=i(tz,"pipeline tutorial"),tz.forEach(s),W5.forEach(s),Tj=c(re),cs=a(re,"P",{});var md=o(cs);$j=i(md,"This Text2TextGenerationPipeline pipeline can currently be loaded from "),mc=a(md,"A",{href:!0});var sz=o(mc);jj=i(sz,"pipeline()"),sz.forEach(s),Ej=i(md,` using the following task
identifier: `),Uf=a(md,"CODE",{});var nz=o(Uf);qj=i(nz,'"text2text-generation"'),nz.forEach(s),Aj=i(md,"."),md.forEach(s),Cj=c(re),sa=a(re,"P",{});var Fg=o(sa);Dj=i(Fg,`The models that this pipeline can use are models that have been fine-tuned on a translation task. See the
up-to-date list of available models on
`),wi=a(Fg,"A",{href:!0,rel:!0});var az=o(wi);zj=i(az,"huggingface.co/models"),az.forEach(s),Ij=i(Fg,`. For a list of available
parameters, see the `),xi=a(Fg,"A",{href:!0,rel:!0});var oz=o(xi);Sj=i(oz,`following
documentation`),oz.forEach(s),Fg.forEach(s),Mj=c(re),b(na.$$.fragment,re),Fj=c(re),aa=a(re,"DIV",{class:!0});var hv=o(aa);b(ki.$$.fragment,hv),Lj=c(hv),Gf=a(hv,"P",{});var rz=o(Gf);Nj=i(rz,"Generate the output text(s) using text(s) given as inputs."),rz.forEach(s),hv.forEach(s),Oj=c(re),oa=a(re,"DIV",{class:!0});var fv=o(oa);b(Pi.$$.fragment,fv),Uj=c(fv),Rf=a(fv,"P",{});var iz=o(Rf);Gj=i(iz,"Checks whether there might be something wrong with given input with regard to the model."),iz.forEach(s),fv.forEach(s),re.forEach(s),xb=c(t),ds=a(t,"H3",{class:!0});var uv=o(ds);ra=a(uv,"A",{id:!0,class:!0,href:!0});var lz=o(ra);Vf=a(lz,"SPAN",{});var pz=o(Vf);b(yi.$$.fragment,pz),pz.forEach(s),lz.forEach(s),Rj=c(uv),Qf=a(uv,"SPAN",{});var cz=o(Qf);Vj=i(cz,"TokenClassificationPipeline"),cz.forEach(s),uv.forEach(s),kb=c(t),I=a(t,"DIV",{class:!0});var L=o(I);b(Ti.$$.fragment,L),Qj=c(L),ms=a(L,"P",{});var hd=o(ms);Hj=i(hd,"Named Entity Recognition pipeline using any "),Hf=a(hd,"CODE",{});var dz=o(Hf);Wj=i(dz,"ModelForTokenClassification"),dz.forEach(s),Bj=i(hd,". See the "),hc=a(hd,"A",{href:!0});var mz=o(hc);Zj=i(mz,`named entity recognition
examples`),mz.forEach(s),Yj=i(hd," for more information."),hd.forEach(s),Kj=c(L),b(ia.$$.fragment,L),Xj=c(L),fc=a(L,"P",{});var B5=o(fc);Jj=i(B5,"Learn more about the basics of using a pipeline in the "),uc=a(B5,"A",{href:!0});var hz=o(uc);e6=i(hz,"pipeline tutorial"),hz.forEach(s),B5.forEach(s),t6=c(L),hs=a(L,"P",{});var fd=o(hs);s6=i(fd,"This token recognition pipeline can currently be loaded from "),gc=a(fd,"A",{href:!0});var fz=o(gc);n6=i(fz,"pipeline()"),fz.forEach(s),a6=i(fd,` using the following task identifier:
`),Wf=a(fd,"CODE",{});var uz=o(Wf);o6=i(uz,'"ner"'),uz.forEach(s),r6=i(fd," (for predicting the classes of tokens in a sequence: person, organisation, location or miscellaneous)."),fd.forEach(s),i6=c(L),$i=a(L,"P",{});var gv=o($i);l6=i(gv,`The models that this pipeline can use are models that have been fine-tuned on a token classification task. See the
up-to-date list of available models on
`),ji=a(gv,"A",{href:!0,rel:!0});var gz=o(ji);p6=i(gz,"huggingface.co/models"),gz.forEach(s),c6=i(gv,"."),gv.forEach(s),d6=c(L),la=a(L,"DIV",{class:!0});var _v=o(la);b(Ei.$$.fragment,_v),m6=c(_v),Bf=a(_v,"P",{});var _z=o(Bf);h6=i(_z,"Classify each token of the text(s) given as inputs."),_z.forEach(s),_v.forEach(s),f6=c(L),ot=a(L,"DIV",{class:!0});var ud=o(ot);b(qi.$$.fragment,ud),u6=c(ud),Zf=a(ud,"P",{});var bz=o(Zf);g6=i(bz,"Override tokens from a given word that disagree to force agreement on word boundaries."),bz.forEach(s),_6=c(ud),Yf=a(ud,"P",{});var vz=o(Yf);b6=i(vz,`Example: micro|soft| com|pany| B-ENT I-NAME I-ENT I-ENT will be rewritten with first strategy as microsoft|
company| B-ENT I-ENT`),vz.forEach(s),ud.forEach(s),v6=c(L),pa=a(L,"DIV",{class:!0});var bv=o(pa);b(Ai.$$.fragment,bv),w6=c(bv),Kf=a(bv,"P",{});var wz=o(Kf);x6=i(wz,"Fuse various numpy arrays into dicts with all the information needed for aggregation"),wz.forEach(s),bv.forEach(s),k6=c(L),ca=a(L,"DIV",{class:!0});var vv=o(ca);b(Ci.$$.fragment,vv),P6=c(vv),Xf=a(vv,"P",{});var xz=o(Xf);y6=i(xz,"Find and group together the adjacent tokens with the same entity predicted."),xz.forEach(s),vv.forEach(s),T6=c(L),da=a(L,"DIV",{class:!0});var wv=o(da);b(Di.$$.fragment,wv),$6=c(wv),Jf=a(wv,"P",{});var kz=o(Jf);j6=i(kz,"Group together the adjacent tokens with the same entity predicted."),kz.forEach(s),wv.forEach(s),L.forEach(s),Pb=c(t),fs=a(t,"H3",{class:!0});var xv=o(fs);ma=a(xv,"A",{id:!0,class:!0,href:!0});var Pz=o(ma);eu=a(Pz,"SPAN",{});var yz=o(eu);b(zi.$$.fragment,yz),yz.forEach(s),Pz.forEach(s),E6=c(xv),tu=a(xv,"SPAN",{});var Tz=o(tu);q6=i(Tz,"TranslationPipeline"),Tz.forEach(s),xv.forEach(s),yb=c(t),de=a(t,"DIV",{class:!0});var Qe=o(de);b(Ii.$$.fragment,Qe),A6=c(Qe),su=a(Qe,"P",{});var $z=o(su);C6=i($z,"Translates from one language to another."),$z.forEach(s),D6=c(Qe),us=a(Qe,"P",{});var gd=o(us);z6=i(gd,"This translation pipeline can currently be loaded from "),_c=a(gd,"A",{href:!0});var jz=o(_c);I6=i(jz,"pipeline()"),jz.forEach(s),S6=i(gd,` using the following task identifier:
`),nu=a(gd,"CODE",{});var Ez=o(nu);M6=i(Ez,'"translation_xx_to_yy"'),Ez.forEach(s),F6=i(gd,"."),gd.forEach(s),L6=c(Qe),ha=a(Qe,"P",{});var Lg=o(ha);N6=i(Lg,`The models that this pipeline can use are models that have been fine-tuned on a translation task. See the
up-to-date list of available models on `),Si=a(Lg,"A",{href:!0,rel:!0});var qz=o(Si);O6=i(qz,"huggingface.co/models"),qz.forEach(s),U6=i(Lg,`.
For a list of available parameters, see the `),Mi=a(Lg,"A",{href:!0,rel:!0});var Az=o(Mi);G6=i(Az,`following
documentation`),Az.forEach(s),Lg.forEach(s),R6=c(Qe),b(fa.$$.fragment,Qe),V6=c(Qe),ua=a(Qe,"DIV",{class:!0});var kv=o(ua);b(Fi.$$.fragment,kv),Q6=c(kv),au=a(kv,"P",{});var Cz=o(au);H6=i(Cz,"Translate the text(s) given as inputs."),Cz.forEach(s),kv.forEach(s),Qe.forEach(s),Tb=c(t),gs=a(t,"H3",{class:!0});var Pv=o(gs);ga=a(Pv,"A",{id:!0,class:!0,href:!0});var Dz=o(ga);ou=a(Dz,"SPAN",{});var zz=o(ou);b(Li.$$.fragment,zz),zz.forEach(s),Dz.forEach(s),W6=c(Pv),ru=a(Pv,"SPAN",{});var Iz=o(ru);B6=i(Iz,"ZeroShotClassificationPipeline"),Iz.forEach(s),Pv.forEach(s),$b=c(t),U=a(t,"DIV",{class:!0});var ue=o(U);b(Ni.$$.fragment,ue),Z6=c(ue),Ye=a(ue,"P",{});var Ua=o(Ye);Y6=i(Ua,"NLI-based zero-shot classification pipeline using a "),iu=a(Ua,"CODE",{});var Sz=o(iu);K6=i(Sz,"ModelForSequenceClassification"),Sz.forEach(s),X6=i(Ua,` trained on NLI (natural
language inference) tasks. Equivalent of `),lu=a(Ua,"CODE",{});var Mz=o(lu);J6=i(Mz,"text-classification"),Mz.forEach(s),eE=i(Ua,` pipelines, but these models don\u2019t require a
hardcoded number of potential classes, they can be chosen at runtime. It usually means it\u2019s slower but it is
`),pu=a(Ua,"STRONG",{});var Fz=o(pu);tE=i(Fz,"much"),Fz.forEach(s),sE=i(Ua," more flexible."),Ua.forEach(s),nE=c(ue),Ke=a(ue,"P",{});var Ga=o(Ke);aE=i(Ga,`Any combination of sequences and labels can be passed and each combination will be posed as a premise/hypothesis
pair and passed to the pretrained model. Then, the logit for `),cu=a(Ga,"EM",{});var Lz=o(cu);oE=i(Lz,"entailment"),Lz.forEach(s),rE=i(Ga,` is taken as the logit for the candidate
label being valid. Any NLI model can be used, but the id of the `),du=a(Ga,"EM",{});var Nz=o(du);iE=i(Nz,"entailment"),Nz.forEach(s),lE=i(Ga,` label must be included in the model
config\u2019s :attr:`),mu=a(Ga,"EM",{});var Oz=o(mu);pE=i(Oz,"~transformers.PretrainedConfig.label2id"),Oz.forEach(s),cE=i(Ga,"."),Ga.forEach(s),dE=c(ue),b(_a.$$.fragment,ue),mE=c(ue),bc=a(ue,"P",{});var Z5=o(bc);hE=i(Z5,"Learn more about the basics of using a pipeline in the "),vc=a(Z5,"A",{href:!0});var Uz=o(vc);fE=i(Uz,"pipeline tutorial"),Uz.forEach(s),Z5.forEach(s),uE=c(ue),_s=a(ue,"P",{});var _d=o(_s);gE=i(_d,"This NLI pipeline can currently be loaded from "),wc=a(_d,"A",{href:!0});var Gz=o(wc);_E=i(Gz,"pipeline()"),Gz.forEach(s),bE=i(_d,` using the following task identifier:
`),hu=a(_d,"CODE",{});var Rz=o(hu);vE=i(Rz,'"zero-shot-classification"'),Rz.forEach(s),wE=i(_d,"."),_d.forEach(s),xE=c(ue),Oi=a(ue,"P",{});var yv=o(Oi);kE=i(yv,`The models that this pipeline can use are models that have been fine-tuned on an NLI task. See the up-to-date list
of available models on `),Ui=a(yv,"A",{href:!0,rel:!0});var Vz=o(Ui);PE=i(Vz,"huggingface.co/models"),Vz.forEach(s),yE=i(yv,"."),yv.forEach(s),TE=c(ue),ba=a(ue,"DIV",{class:!0});var Tv=o(ba);b(Gi.$$.fragment,Tv),$E=c(Tv),Ri=a(Tv,"P",{});var $v=o(Ri);jE=i($v,"Classify the sequence(s) given as inputs. See the "),xc=a($v,"A",{href:!0});var Qz=o(xc);EE=i(Qz,"ZeroShotClassificationPipeline"),Qz.forEach(s),qE=i($v,` documentation for more
information.`),$v.forEach(s),Tv.forEach(s),ue.forEach(s),jb=c(t),bs=a(t,"H2",{class:!0});var jv=o(bs);va=a(jv,"A",{id:!0,class:!0,href:!0});var Hz=o(va);fu=a(Hz,"SPAN",{});var Wz=o(fu);b(Vi.$$.fragment,Wz),Wz.forEach(s),Hz.forEach(s),AE=c(jv),uu=a(jv,"SPAN",{});var Bz=o(uu);CE=i(Bz,"Multimodal"),Bz.forEach(s),jv.forEach(s),Eb=c(t),kc=a(t,"P",{});var Zz=o(kc);DE=i(Zz,"Pipelines available for multimodal tasks include the following."),Zz.forEach(s),qb=c(t),vs=a(t,"H3",{class:!0});var Ev=o(vs);wa=a(Ev,"A",{id:!0,class:!0,href:!0});var Yz=o(wa);gu=a(Yz,"SPAN",{});var Kz=o(gu);b(Qi.$$.fragment,Kz),Kz.forEach(s),Yz.forEach(s),zE=c(Ev),_u=a(Ev,"SPAN",{});var Xz=o(_u);IE=i(Xz,"DocumentQuestionAnsweringPipeline"),Xz.forEach(s),Ev.forEach(s),Ab=c(t),ee=a(t,"DIV",{class:!0});var Ce=o(ee);b(Hi.$$.fragment,Ce),SE=c(Ce),Wi=a(Ce,"P",{});var qv=o(Wi);ME=i(qv,"Document Question Answering pipeline using any "),bu=a(qv,"CODE",{});var Jz=o(bu);FE=i(Jz,"AutoModelForDocumentQuestionAnswering"),Jz.forEach(s),LE=i(qv,`. The inputs/outputs are
similar to the (extractive) question answering pipeline; however, the pipeline takes an image (and optional OCR\u2019d
words/boxes) as input instead of text context.`),qv.forEach(s),NE=c(Ce),b(xa.$$.fragment,Ce),OE=c(Ce),Pc=a(Ce,"P",{});var Y5=o(Pc);UE=i(Y5,"Learn more about the basics of using a pipeline in the "),yc=a(Y5,"A",{href:!0});var eI=o(yc);GE=i(eI,"pipeline tutorial"),eI.forEach(s),Y5.forEach(s),RE=c(Ce),ws=a(Ce,"P",{});var bd=o(ws);VE=i(bd,"This document question answering pipeline can currently be loaded from "),Tc=a(bd,"A",{href:!0});var tI=o(Tc);QE=i(tI,"pipeline()"),tI.forEach(s),HE=i(bd,` using the following task
identifier: `),vu=a(bd,"CODE",{});var sI=o(vu);WE=i(sI,'"document-question-answering"'),sI.forEach(s),BE=i(bd,"."),bd.forEach(s),ZE=c(Ce),Bi=a(Ce,"P",{});var Av=o(Bi);YE=i(Av,`The models that this pipeline can use are models that have been fine-tuned on a document question answering task.
See the up-to-date list of available models on
`),Zi=a(Av,"A",{href:!0,rel:!0});var nI=o(Zi);KE=i(nI,"huggingface.co/models"),nI.forEach(s),XE=i(Av,"."),Av.forEach(s),JE=c(Ce),Ue=a(Ce,"DIV",{class:!0});var Ra=o(Ue);b(Yi.$$.fragment,Ra),eq=c(Ra),Ki=a(Ra,"P",{});var Cv=o(Ki);tq=i(Cv,`Answer the question(s) given as inputs by using the document(s). A document is defined as an image and an
optional list of (word, box) tuples which represent the text in the document. If the `),wu=a(Cv,"CODE",{});var aI=o(wu);sq=i(aI,"word_boxes"),aI.forEach(s),nq=i(Cv,` are not
provided, it will use the Tesseract OCR engine (if available) to extract the words and boxes automatically for
LayoutLM-like models which require them as input. For Donut, no OCR is run.`),Cv.forEach(s),aq=c(Ra),xu=a(Ra,"P",{});var oI=o(xu);oq=i(oI,"You can invoke the pipeline several ways:"),oI.forEach(s),rq=c(Ra),Xe=a(Ra,"UL",{});var Va=o(Xe);ku=a(Va,"LI",{});var rI=o(ku);Pu=a(rI,"CODE",{});var iI=o(Pu);iq=i(iI,"pipeline(image=image, question=question)"),iI.forEach(s),rI.forEach(s),lq=c(Va),yu=a(Va,"LI",{});var lI=o(yu);Tu=a(lI,"CODE",{});var pI=o(Tu);pq=i(pI,"pipeline(image=image, question=question, word_boxes=word_boxes)"),pI.forEach(s),lI.forEach(s),cq=c(Va),$u=a(Va,"LI",{});var cI=o($u);ju=a(cI,"CODE",{});var dI=o(ju);dq=i(dI,'pipeline([{"image": image, "question": question}])'),dI.forEach(s),cI.forEach(s),mq=c(Va),Eu=a(Va,"LI",{});var mI=o(Eu);qu=a(mI,"CODE",{});var hI=o(qu);hq=i(hI,'pipeline([{"image": image, "question": question, "word_boxes": word_boxes}])'),hI.forEach(s),mI.forEach(s),Va.forEach(s),Ra.forEach(s),Ce.forEach(s),Cb=c(t),xs=a(t,"H3",{class:!0});var Dv=o(xs);ka=a(Dv,"A",{id:!0,class:!0,href:!0});var fI=o(ka);Au=a(fI,"SPAN",{});var uI=o(Au);b(Xi.$$.fragment,uI),uI.forEach(s),fI.forEach(s),fq=c(Dv),Cu=a(Dv,"SPAN",{});var gI=o(Cu);uq=i(gI,"FeatureExtractionPipeline"),gI.forEach(s),Dv.forEach(s),Db=c(t),te=a(t,"DIV",{class:!0});var De=o(te);b(Ji.$$.fragment,De),gq=c(De),Du=a(De,"P",{});var _I=o(Du);_q=i(_I,`Feature extraction pipeline using no model head. This pipeline extracts the hidden states from the base
transformer, which can be used as features in downstream tasks.`),_I.forEach(s),bq=c(De),b(Pa.$$.fragment,De),vq=c(De),$c=a(De,"P",{});var K5=o($c);wq=i(K5,"Learn more about the basics of using a pipeline in the "),jc=a(K5,"A",{href:!0});var bI=o(jc);xq=i(bI,"pipeline tutorial"),bI.forEach(s),K5.forEach(s),kq=c(De),ks=a(De,"P",{});var vd=o(ks);Pq=i(vd,"This feature extraction pipeline can currently be loaded from "),Ec=a(vd,"A",{href:!0});var vI=o(Ec);yq=i(vI,"pipeline()"),vI.forEach(s),Tq=i(vd,` using the task identifier:
`),zu=a(vd,"CODE",{});var wI=o(zu);$q=i(wI,'"feature-extraction"'),wI.forEach(s),jq=i(vd,"."),vd.forEach(s),Eq=c(De),el=a(De,"P",{});var zv=o(el);qq=i(zv,`All models may be used for this pipeline. See a list of all models, including community-contributed models on
`),tl=a(zv,"A",{href:!0,rel:!0});var xI=o(tl);Aq=i(xI,"huggingface.co/models"),xI.forEach(s),Cq=i(zv,"."),zv.forEach(s),Dq=c(De),ya=a(De,"DIV",{class:!0});var Iv=o(ya);b(sl.$$.fragment,Iv),zq=c(Iv),Iu=a(Iv,"P",{});var kI=o(Iu);Iq=i(kI,"Extract the features of the input(s)."),kI.forEach(s),Iv.forEach(s),De.forEach(s),zb=c(t),Ps=a(t,"H3",{class:!0});var Sv=o(Ps);Ta=a(Sv,"A",{id:!0,class:!0,href:!0});var PI=o(Ta);Su=a(PI,"SPAN",{});var yI=o(Su);b(nl.$$.fragment,yI),yI.forEach(s),PI.forEach(s),Sq=c(Sv),Mu=a(Sv,"SPAN",{});var TI=o(Mu);Mq=i(TI,"ImageToTextPipeline"),TI.forEach(s),Sv.forEach(s),Ib=c(t),se=a(t,"DIV",{class:!0});var ze=o(se);b(al.$$.fragment,ze),Fq=c(ze),ol=a(ze,"P",{});var Mv=o(ol);Lq=i(Mv,"Image To Text pipeline using a "),Fu=a(Mv,"CODE",{});var $I=o(Fu);Nq=i($I,"AutoModelForVision2Seq"),$I.forEach(s),Oq=i(Mv,". This pipeline predicts a caption for a given image."),Mv.forEach(s),Uq=c(ze),b($a.$$.fragment,ze),Gq=c(ze),qc=a(ze,"P",{});var X5=o(qc);Rq=i(X5,"Learn more about the basics of using a pipeline in the "),Ac=a(X5,"A",{href:!0});var jI=o(Ac);Vq=i(jI,"pipeline tutorial"),jI.forEach(s),X5.forEach(s),Qq=c(ze),Lu=a(ze,"P",{});var EI=o(Lu);Hq=i(EI,`This image to text pipeline can currently be loaded from pipeline() using the following task identifier:
\u201Cimage-to-text\u201D.`),EI.forEach(s),Wq=c(ze),rl=a(ze,"P",{});var Fv=o(rl);Bq=i(Fv,`See the list of available models on
`),il=a(Fv,"A",{href:!0,rel:!0});var qI=o(il);Zq=i(qI,"huggingface.co/models"),qI.forEach(s),Yq=i(Fv,"."),Fv.forEach(s),Kq=c(ze),ja=a(ze,"DIV",{class:!0});var Lv=o(ja);b(ll.$$.fragment,Lv),Xq=c(Lv),Nu=a(Lv,"P",{});var AI=o(Nu);Jq=i(AI,"Assign labels to the image(s) passed as inputs."),AI.forEach(s),Lv.forEach(s),ze.forEach(s),Sb=c(t),ys=a(t,"H3",{class:!0});var Nv=o(ys);Ea=a(Nv,"A",{id:!0,class:!0,href:!0});var CI=o(Ea);Ou=a(CI,"SPAN",{});var DI=o(Ou);b(pl.$$.fragment,DI),DI.forEach(s),CI.forEach(s),e3=c(Nv),Uu=a(Nv,"SPAN",{});var zI=o(Uu);t3=i(zI,"VisualQuestionAnsweringPipeline"),zI.forEach(s),Nv.forEach(s),Mb=c(t),ne=a(t,"DIV",{class:!0});var Ie=o(ne);b(cl.$$.fragment,Ie),s3=c(Ie),dl=a(Ie,"P",{});var Ov=o(dl);n3=i(Ov,"Visual Question Answering pipeline using a "),Gu=a(Ov,"CODE",{});var II=o(Gu);a3=i(II,"AutoModelForVisualQuestionAnswering"),II.forEach(s),o3=i(Ov,`. This pipeline is currently only
available in PyTorch.`),Ov.forEach(s),r3=c(Ie),b(qa.$$.fragment,Ie),i3=c(Ie),Cc=a(Ie,"P",{});var J5=o(Cc);l3=i(J5,"Learn more about the basics of using a pipeline in the "),Dc=a(J5,"A",{href:!0});var SI=o(Dc);p3=i(SI,"pipeline tutorial"),SI.forEach(s),J5.forEach(s),c3=c(Ie),Ts=a(Ie,"P",{});var wd=o(Ts);d3=i(wd,"This visual question answering pipeline can currently be loaded from "),zc=a(wd,"A",{href:!0});var MI=o(zc);m3=i(MI,"pipeline()"),MI.forEach(s),h3=i(wd,` using the following task
identifiers: `),Ru=a(wd,"CODE",{});var FI=o(Ru);f3=i(FI,'"visual-question-answering", "vqa"'),FI.forEach(s),u3=i(wd,"."),wd.forEach(s),g3=c(Ie),ml=a(Ie,"P",{});var Uv=o(ml);_3=i(Uv,`The models that this pipeline can use are models that have been fine-tuned on a visual question answering task. See
the up-to-date list of available models on
`),hl=a(Uv,"A",{href:!0,rel:!0});var LI=o(hl);b3=i(LI,"huggingface.co/models"),LI.forEach(s),v3=i(Uv,"."),Uv.forEach(s),w3=c(Ie),rt=a(Ie,"DIV",{class:!0});var xd=o(rt);b(fl.$$.fragment,xd),x3=c(xd),Vu=a(xd,"P",{});var NI=o(Vu);k3=i(NI,`Answers open-ended questions about images. The pipeline accepts several types of inputs which are detailed
below:`),NI.forEach(s),P3=c(xd),Je=a(xd,"UL",{});var Qa=o(Je);Qu=a(Qa,"LI",{});var OI=o(Qu);Hu=a(OI,"CODE",{});var UI=o(Hu);y3=i(UI,"pipeline(image=image, question=question)"),UI.forEach(s),OI.forEach(s),T3=c(Qa),Wu=a(Qa,"LI",{});var GI=o(Wu);Bu=a(GI,"CODE",{});var RI=o(Bu);$3=i(RI,'pipeline({"image": image, "question": question})'),RI.forEach(s),GI.forEach(s),j3=c(Qa),Zu=a(Qa,"LI",{});var VI=o(Zu);Yu=a(VI,"CODE",{});var QI=o(Yu);E3=i(QI,'pipeline([{"image": image, "question": question}])'),QI.forEach(s),VI.forEach(s),q3=c(Qa),Ku=a(Qa,"LI",{});var HI=o(Ku);Xu=a(HI,"CODE",{});var WI=o(Xu);A3=i(WI,'pipeline([{"image": image, "question": question}, {"image": image, "question": question}])'),WI.forEach(s),HI.forEach(s),Qa.forEach(s),xd.forEach(s),Ie.forEach(s),Fb=c(t),$s=a(t,"H2",{class:!0});var Gv=o($s);Aa=a(Gv,"A",{id:!0,class:!0,href:!0});var BI=o(Aa);Ju=a(BI,"SPAN",{});var ZI=o(Ju);b(ul.$$.fragment,ZI),ZI.forEach(s),BI.forEach(s),C3=c(Gv),Ic=a(Gv,"SPAN",{});var eA=o(Ic);D3=i(eA,"Parent class: "),eg=a(eA,"CODE",{});var YI=o(eg);z3=i(YI,"Pipeline"),YI.forEach(s),eA.forEach(s),Gv.forEach(s),Lb=c(t),A=a(t,"DIV",{class:!0});var z=o(A);b(gl.$$.fragment,z),I3=c(z),tg=a(z,"P",{});var KI=o(tg);S3=i(KI,`The Pipeline class is the class from which all pipelines inherit. Refer to this class for methods shared across
different pipelines.`),KI.forEach(s),M3=c(z),sg=a(z,"P",{});var XI=o(sg);F3=i(XI,`Base class implementing pipelined operations. Pipeline workflow is defined as a sequence of the following
operations:`),XI.forEach(s),L3=c(z),ng=a(z,"P",{});var JI=o(ng);N3=i(JI,"Input -> Tokenization -> Model Inference -> Post-Processing (task dependent) -> Output"),JI.forEach(s),O3=c(z),ag=a(z,"P",{});var eS=o(ag);U3=i(eS,"Pipeline supports running on CPU or GPU through the device argument (see below)."),eS.forEach(s),G3=c(z),Le=a(z,"P",{});var mt=o(Le);R3=i(mt,"Some pipeline, like for instance "),Sc=a(mt,"A",{href:!0});var tS=o(Sc);V3=i(tS,"FeatureExtractionPipeline"),tS.forEach(s),Q3=i(mt," ("),og=a(mt,"CODE",{});var sS=o(og);H3=i(sS,"'feature-extraction'"),sS.forEach(s),W3=i(mt,`) output large tensor object
as nested-lists. In order to avoid dumping such large structure as textual data we provide the `),rg=a(mt,"CODE",{});var nS=o(rg);B3=i(nS,"binary_output"),nS.forEach(s),Z3=i(mt,`
constructor argument. If set to `),ig=a(mt,"CODE",{});var aS=o(ig);Y3=i(aS,"True"),aS.forEach(s),K3=i(mt,", the output will be stored in the pickle format."),mt.forEach(s),X3=c(z),Ca=a(z,"DIV",{class:!0});var Rv=o(Ca);b(_l.$$.fragment,Rv),J3=c(Rv),lg=a(Rv,"P",{});var oS=o(lg);e5=i(oS,"Check if the model class is in supported by the pipeline."),oS.forEach(s),Rv.forEach(s),t5=c(z),it=a(z,"DIV",{class:!0});var kd=o(it);b(bl.$$.fragment,kd),s5=c(kd),pg=a(kd,"P",{});var rS=o(pg);n5=i(rS,"Context Manager allowing tensor allocation on the user-specified device in framework agnostic way."),rS.forEach(s),a5=c(kd),b(Da.$$.fragment,kd),kd.forEach(s),o5=c(z),za=a(z,"DIV",{class:!0});var Vv=o(za);b(vl.$$.fragment,Vv),r5=c(Vv),cg=a(Vv,"P",{});var iS=o(cg);i5=i(iS,"Ensure PyTorch tensors are on the specified device."),iS.forEach(s),Vv.forEach(s),l5=c(z),Ia=a(z,"DIV",{class:!0});var Qv=o(Ia);b(wl.$$.fragment,Qv),p5=c(Qv),xl=a(Qv,"P",{});var Hv=o(xl);c5=i(Hv,"Postprocess will receive the raw outputs of the "),dg=a(Hv,"CODE",{});var lS=o(dg);d5=i(lS,"_forward"),lS.forEach(s),m5=i(Hv,` method, generally tensors, and reformat them into
something more friendly. Generally it will output a list or a dict or results (containing just strings and
numbers).`),Hv.forEach(s),Qv.forEach(s),h5=c(z),Sa=a(z,"DIV",{class:!0});var Wv=o(Sa);b(kl.$$.fragment,Wv),f5=c(Wv),Pl=a(Wv,"P",{});var Bv=o(Pl);u5=i(Bv,"Scikit / Keras interface to transformers\u2019 pipelines. This method will forward to "),mg=a(Bv,"STRONG",{});var pS=o(mg);g5=i(pS,"call"),pS.forEach(s),_5=i(Bv,"()."),Bv.forEach(s),Wv.forEach(s),b5=c(z),Ma=a(z,"DIV",{class:!0});var Zv=o(Ma);b(yl.$$.fragment,Zv),v5=c(Zv),js=a(Zv,"P",{});var Pd=o(js);w5=i(Pd,"Preprocess will take the "),hg=a(Pd,"CODE",{});var cS=o(hg);x5=i(cS,"input_"),cS.forEach(s),k5=i(Pd,` of a specific pipeline and return a dictionary of everything necessary for
`),fg=a(Pd,"CODE",{});var dS=o(fg);P5=i(dS,"_forward"),dS.forEach(s),y5=i(Pd," to run properly. It should contain at least one tensor, but might have arbitrary other items."),Pd.forEach(s),Zv.forEach(s),T5=c(z),Fa=a(z,"DIV",{class:!0});var Yv=o(Fa);b(Tl.$$.fragment,Yv),$5=c(Yv),ug=a(Yv,"P",{});var mS=o(ug);j5=i(mS,"Save the pipeline\u2019s model and tokenizer."),mS.forEach(s),Yv.forEach(s),E5=c(z),La=a(z,"DIV",{class:!0});var Kv=o(La);b($l.$$.fragment,Kv),q5=c(Kv),jl=a(Kv,"P",{});var Xv=o(jl);A5=i(Xv,"Scikit / Keras interface to transformers\u2019 pipelines. This method will forward to "),gg=a(Xv,"STRONG",{});var hS=o(gg);C5=i(hS,"call"),hS.forEach(s),D5=i(Xv,"()."),Xv.forEach(s),Kv.forEach(s),z.forEach(s),this.h()},h(){d(u,"name","hf:doc:metadata"),d(u,"content",JSON.stringify(JS)),d(f,"id","pipelines"),d(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(f,"href","#pipelines"),d(P,"class","relative group"),d(Nl,"href","../task_summary"),d(Ul,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(Gl,"href","#audio"),d(Rl,"href","#computer-vision"),d(Vl,"href","#natural-language-processing"),d(Ql,"href","#multimodal"),d(As,"id","transformers.pipeline"),d(As,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(As,"href","#transformers.pipeline"),d(ht,"class","relative group"),d(Za,"href","https://huggingface.co"),d(Za,"rel","nofollow"),d(Bl,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.Pipeline"),d(Zl,"href","tokenizer"),d(Yl,"href","model"),d(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ms,"id","pipeline-batching"),d(Ms,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ms,"href","#pipeline-batching"),d(ut,"class","relative group"),d(Ns,"id","pipeline-chunk-batching"),d(Ns,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ns,"href","#pipeline-chunk-batching"),d(_t,"class","relative group"),d(Us,"id","pipeline-custom-code"),d(Us,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Us,"href","#pipeline-custom-code"),d(bt,"class","relative group"),d(Rs,"id","implementing-a-pipeline"),d(Rs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Rs,"href","#implementing-a-pipeline"),d(vt,"class","relative group"),d(ip,"href","../add_new_pipeline"),d(Vs,"id","audio"),d(Vs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Vs,"href","#audio"),d(wt,"class","relative group"),d(Qs,"id","transformers.AudioClassificationPipeline"),d(Qs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Qs,"href","#transformers.AudioClassificationPipeline"),d(xt,"class","relative group"),d(cp,"href","../pipeline_tutorial"),d(dp,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(Po,"href","https://huggingface.co/models?filter=audio-classification"),d(Po,"rel","nofollow"),d(mp,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.AutomaticSpeechRecognitionPipeline"),d(Ws,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Bs,"id","transformers.AutomaticSpeechRecognitionPipeline"),d(Bs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Bs,"href","#transformers.AutomaticSpeechRecognitionPipeline"),d(Pt,"class","relative group"),d(fp,"href","../pipeline_tutorial"),d(up,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.AutomaticSpeechRecognitionPipeline"),d(Ys,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ks,"id","computer-vision"),d(Ks,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ks,"href","#computer-vision"),d(yt,"class","relative group"),d(Xs,"id","transformers.DepthEstimationPipeline"),d(Xs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Xs,"href","#transformers.DepthEstimationPipeline"),d(Tt,"class","relative group"),d(bp,"href","../pipeline_tutorial"),d(vp,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(So,"href","https://huggingface.co/models?filter=depth-estimation"),d(So,"rel","nofollow"),d(en,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(tn,"id","transformers.ImageClassificationPipeline"),d(tn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(tn,"href","#transformers.ImageClassificationPipeline"),d(jt,"class","relative group"),d(xp,"href","../pipeline_tutorial"),d(kp,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(Uo,"href","https://huggingface.co/models?filter=image-classification"),d(Uo,"rel","nofollow"),d(nn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(an,"id","transformers.ImageSegmentationPipeline"),d(an,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(an,"href","#transformers.ImageSegmentationPipeline"),d(qt,"class","relative group"),d(Pp,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(Wo,"href","https://huggingface.co/models?filter=image-segmentation"),d(Wo,"rel","nofollow"),d(rn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ln,"id","transformers.ObjectDetectionPipeline"),d(ln,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ln,"href","#transformers.ObjectDetectionPipeline"),d(Ct,"class","relative group"),d(Tp,"href","../pipeline_tutorial"),d($p,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(Jo,"href","https://huggingface.co/models?filter=object-detection"),d(Jo,"rel","nofollow"),d(cn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(dn,"id","transformers.VideoClassificationPipeline"),d(dn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(dn,"href","#transformers.VideoClassificationPipeline"),d(zt,"class","relative group"),d(jp,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(or,"href","https://huggingface.co/models?filter=video-classification"),d(or,"rel","nofollow"),d(mn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(hn,"id","transformers.ZeroShotImageClassificationPipeline"),d(hn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(hn,"href","#transformers.ZeroShotImageClassificationPipeline"),d(St,"class","relative group"),d(qp,"href","../pipeline_tutorial"),d(Ap,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(cr,"href","https://huggingface.co/models?filter=zero-shot-image-classification"),d(cr,"rel","nofollow"),d(un,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(gn,"id","transformers.ZeroShotObjectDetectionPipeline"),d(gn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(gn,"href","#transformers.ZeroShotObjectDetectionPipeline"),d(Lt,"class","relative group"),d(Dp,"href","../pipeline_tutorial"),d(zp,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(ur,"href","https://huggingface.co/models?filter=zero-shot-object-detection"),d(ur,"rel","nofollow"),d(bn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(vn,"id","natural-language-processing"),d(vn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(vn,"href","#natural-language-processing"),d(Ut,"class","relative group"),d(wn,"id","transformers.Conversation"),d(wn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(wn,"href","#transformers.Conversation"),d(Gt,"class","relative group"),d(Sp,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.ConversationalPipeline"),d(Mp,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.ConversationalPipeline"),d(kn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Pn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(yn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Lp,"href","../pipeline_tutorial"),d(Np,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d($r,"href","https://huggingface.co/models?filter=conversational"),d($r,"rel","nofollow"),d($n,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(jn,"id","transformers.FillMaskPipeline"),d(jn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(jn,"href","#transformers.FillMaskPipeline"),d(Vt,"class","relative group"),d(Op,"href","../task_summary#masked-language-modeling"),d(Gp,"href","../pipeline_tutorial"),d(Rp,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(Cr,"href","https://huggingface.co/models?filter=fill-mask"),d(Cr,"rel","nofollow"),d(An,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Cn,"id","transformers.TokenClassificationPipeline"),d(Cn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Cn,"href","#transformers.TokenClassificationPipeline"),d(Wt,"class","relative group"),d(Vp,"href","../task_summary#named-entity-recognition"),d(Hp,"href","../pipeline_tutorial"),d(Wp,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(Mr,"href","https://huggingface.co/models?filter=token-classification"),d(Mr,"rel","nofollow"),d(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(zn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(In,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Sn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Bp,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.TokenClassificationPipeline"),d(Fn,"id","transformers.QuestionAnsweringPipeline"),d(Fn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Fn,"href","#transformers.QuestionAnsweringPipeline"),d(Yt,"class","relative group"),d(Zp,"href","../task_summary#question-answering"),d(Kp,"href","../pipeline_tutorial"),d(Xp,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(Vr,"href","https://huggingface.co/models?filter=question-answering"),d(Vr,"rel","nofollow"),d(Nn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(On,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Un,"id","transformers.SummarizationPipeline"),d(Un,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Un,"href","#transformers.SummarizationPipeline"),d(es,"class","relative group"),d(Jp,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(Yr,"href","https://huggingface.co/models?filter=summarization"),d(Yr,"rel","nofollow"),d(Kr,"href","https://huggingface.co/docs/transformers/en/main_classes/text_generation#transformers.generation.GenerationMixin.generate"),d(Kr,"rel","nofollow"),d(Rn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Vn,"id","transformers.TableQuestionAnsweringPipeline"),d(Vn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Vn,"href","#transformers.TableQuestionAnsweringPipeline"),d(ss,"class","relative group"),d(tc,"href","../pipeline_tutorial"),d(sc,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(ni,"href","https://huggingface.co/models?filter=table-question-answering"),d(ni,"rel","nofollow"),d(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Bn,"id","transformers.TextClassificationPipeline"),d(Bn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Bn,"href","#transformers.TextClassificationPipeline"),d(as,"class","relative group"),d(nc,"href","../task_summary#sequence-classification"),d(oc,"href","../pipeline_tutorial"),d(rc,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(ci,"href","https://huggingface.co/models?filter=text-classification"),d(ci,"rel","nofollow"),d(Yn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Kn,"id","transformers.TextGenerationPipeline"),d(Kn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Kn,"href","#transformers.TextGenerationPipeline"),d(is,"class","relative group"),d(lc,"href","../pipeline_tutorial"),d(pc,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(gi,"href","https://huggingface.co/models?filter=text-generation"),d(gi,"rel","nofollow"),d(Jn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ea,"id","transformers.Text2TextGenerationPipeline"),d(ea,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ea,"href","#transformers.Text2TextGenerationPipeline"),d(ps,"class","relative group"),d(dc,"href","../pipeline_tutorial"),d(mc,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(wi,"href","https://huggingface.co/models?filter=text2text-generation"),d(wi,"rel","nofollow"),d(xi,"href","https://huggingface.co/docs/transformers/en/main_classes/text_generation#transformers.generation.GenerationMixin.generate"),d(xi,"rel","nofollow"),d(aa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(oa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ra,"id","transformers.TokenClassificationPipeline"),d(ra,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ra,"href","#transformers.TokenClassificationPipeline"),d(ds,"class","relative group"),d(hc,"href","../task_summary#named-entity-recognition"),d(uc,"href","../pipeline_tutorial"),d(gc,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(ji,"href","https://huggingface.co/models?filter=token-classification"),d(ji,"rel","nofollow"),d(la,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ca,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(da,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ma,"id","transformers.TranslationPipeline"),d(ma,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ma,"href","#transformers.TranslationPipeline"),d(fs,"class","relative group"),d(_c,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(Si,"href","https://huggingface.co/models?filter=translation"),d(Si,"rel","nofollow"),d(Mi,"href","https://huggingface.co/docs/transformers/en/main_classes/text_generation#transformers.generation.GenerationMixin.generate"),d(Mi,"rel","nofollow"),d(ua,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ga,"id","transformers.ZeroShotClassificationPipeline"),d(ga,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ga,"href","#transformers.ZeroShotClassificationPipeline"),d(gs,"class","relative group"),d(vc,"href","../pipeline_tutorial"),d(wc,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(Ui,"href","https://huggingface.co/models?search=nli"),d(Ui,"rel","nofollow"),d(xc,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.ZeroShotClassificationPipeline"),d(ba,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(va,"id","multimodal"),d(va,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(va,"href","#multimodal"),d(bs,"class","relative group"),d(wa,"id","transformers.DocumentQuestionAnsweringPipeline"),d(wa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(wa,"href","#transformers.DocumentQuestionAnsweringPipeline"),d(vs,"class","relative group"),d(yc,"href","../pipeline_tutorial"),d(Tc,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(Zi,"href","https://huggingface.co/models?filter=document-question-answering"),d(Zi,"rel","nofollow"),d(Ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ka,"id","transformers.FeatureExtractionPipeline"),d(ka,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ka,"href","#transformers.FeatureExtractionPipeline"),d(xs,"class","relative group"),d(jc,"href","../pipeline_tutorial"),d(Ec,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(tl,"href","https://huggingface.co/models"),d(tl,"rel","nofollow"),d(ya,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ta,"id","transformers.ImageToTextPipeline"),d(Ta,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ta,"href","#transformers.ImageToTextPipeline"),d(Ps,"class","relative group"),d(Ac,"href","../pipeline_tutorial"),d(il,"href","https://huggingface.co/models?pipeline_tag=image-to-text"),d(il,"rel","nofollow"),d(ja,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ea,"id","transformers.VisualQuestionAnsweringPipeline"),d(Ea,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ea,"href","#transformers.VisualQuestionAnsweringPipeline"),d(ys,"class","relative group"),d(Dc,"href","../pipeline_tutorial"),d(zc,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.pipeline"),d(hl,"href","https://huggingface.co/models?filter=visual-question-answering"),d(hl,"rel","nofollow"),d(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Aa,"id","transformers.Pipeline"),d(Aa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Aa,"href","#transformers.Pipeline"),d($s,"class","relative group"),d(Sc,"href","/docs/transformers/v4.26.0/en/main_classes/pipelines#transformers.FeatureExtractionPipeline"),d(Ca,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(za,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ia,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Sa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ma,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Fa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(La,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,m){e(document.head,u),h(t,T,m),h(t,P,m),e(P,f),e(f,y),v(l,y,null),e(P,g),e(P,He),e(He,Jv),h(t,Ng,m),h(t,Es,m),e(Es,ew),e(Es,Nl),e(Nl,tw),e(Es,sw),h(t,Og,m),h(t,Ol,m),e(Ol,nw),h(t,Ug,m),h(t,qs,m),e(qs,Ha),e(Ha,aw),e(Ha,Ul),e(Ul,ow),e(Ha,rw),e(qs,iw),e(qs,Se),e(Se,lw),e(Se,Gl),e(Gl,pw),e(Se,cw),e(Se,Rl),e(Rl,dw),e(Se,mw),e(Se,Vl),e(Vl,hw),e(Se,fw),e(Se,Ql),e(Ql,uw),e(Se,gw),h(t,Gg,m),h(t,ht,m),e(ht,As),e(As,yd),v(Wa,yd,null),e(ht,_w),e(ht,Td),e(Td,bw),h(t,Rg,m),h(t,Cs,m),e(Cs,vw),e(Cs,$d),e($d,ww),e(Cs,xw),h(t,Vg,m),h(t,Hl,m),e(Hl,kw),h(t,Qg,m),v(Ba,t,m),h(t,Hg,m),h(t,Ds,m),e(Ds,Pw),e(Ds,Za),e(Za,yw),e(Ds,Tw),h(t,Wg,m),v(Ya,t,m),h(t,Bg,m),h(t,zs,m),e(zs,$w),e(zs,jd),e(jd,jw),e(zs,Ew),h(t,Zg,m),v(Ka,t,m),h(t,Yg,m),h(t,Is,m),e(Is,qw),e(Is,Ed),e(Ed,Aw),e(Is,Cw),h(t,Kg,m),v(Xa,t,m),h(t,Xg,m),h(t,Wl,m),e(Wl,Dw),h(t,Jg,m),v(Ja,t,m),h(t,e_,m),h(t,ge,m),v(eo,ge,null),e(ge,zw),e(ge,to),e(to,Iw),e(to,Bl),e(Bl,Sw),e(to,Mw),e(ge,Fw),e(ge,qd),e(qd,Lw),e(ge,Nw),e(ge,ft),e(ft,so),e(so,Ow),e(so,Zl),e(Zl,Uw),e(so,Gw),e(ft,Rw),e(ft,no),e(no,Vw),e(no,Yl),e(Yl,Qw),e(no,Hw),e(ft,Ww),e(ft,Ad),e(Ad,Bw),e(ge,Zw),v(Ss,ge,null),h(t,t_,m),h(t,ut,m),e(ut,Ms),e(Ms,Cd),v(ao,Cd,null),e(ut,Yw),e(ut,Dd),e(Dd,Kw),h(t,s_,m),h(t,et,m),e(et,Xw),e(et,zd),e(zd,Jw),e(et,ex),e(et,Id),e(Id,tx),e(et,sx),h(t,n_,m),v(oo,t,m),h(t,a_,m),v(Fs,t,m),h(t,o_,m),v(ro,t,m),h(t,r_,m),v(io,t,m),h(t,i_,m),h(t,Kl,m),e(Kl,nx),h(t,l_,m),v(lo,t,m),h(t,p_,m),h(t,Ls,m),e(Ls,ax),e(Ls,Sd),e(Sd,ox),e(Ls,rx),h(t,c_,m),v(po,t,m),h(t,d_,m),h(t,Xl,m),e(Xl,ix),h(t,m_,m),h(t,Jl,m),e(Jl,lx),h(t,h_,m),h(t,be,m),e(be,Md),e(Md,Fd),e(Fd,Ld),e(Ld,px),e(be,cx),e(be,Nd),e(Nd,Od),e(Od,dx),e(be,mx),e(be,Ud),e(Ud,Gd),e(Gd,hx),e(be,fx),e(be,co),e(co,Rd),e(Rd,ux),e(co,gx),e(co,gt),e(gt,Vd),e(Vd,_x),e(gt,bx),e(gt,Qd),e(Qd,vx),e(gt,wx),e(gt,Hd),e(Hd,xx),e(be,kx),e(be,Wd),e(Wd,Bd),e(Bd,Px),h(t,f_,m),h(t,_t,m),e(_t,Ns),e(Ns,Zd),v(mo,Zd,null),e(_t,yx),e(_t,Yd),e(Yd,Tx),h(t,u_,m),h(t,We,m),e(We,Kd),e(Kd,$x),e(We,jx),e(We,Xd),e(Xd,Ex),e(We,qx),e(We,Jd),e(Jd,Ax),e(We,Cx),h(t,g_,m),h(t,tt,m),e(tt,Dx),e(tt,em),e(em,zx),e(tt,Ix),e(tt,tm),e(tm,Sx),e(tt,Mx),h(t,__,m),v(ho,t,m),h(t,b_,m),h(t,ep,m),e(ep,Fx),h(t,v_,m),v(fo,t,m),h(t,w_,m),h(t,tp,m),e(tp,Lx),h(t,x_,m),h(t,Os,m),e(Os,Nx),e(Os,sm),e(sm,Ox),e(Os,Ux),h(t,k_,m),h(t,bt,m),e(bt,Us),e(Us,nm),v(uo,nm,null),e(bt,Gx),e(bt,am),e(am,Rx),h(t,P_,m),h(t,sp,m),e(sp,Vx),h(t,y_,m),h(t,Gs,m),e(Gs,Qx),e(Gs,om),e(om,Hx),e(Gs,Wx),h(t,T_,m),h(t,np,m),e(np,Bx),h(t,$_,m),h(t,ap,m),e(ap,rm),e(rm,Zx),h(t,j_,m),v(go,t,m),h(t,E_,m),h(t,op,m),e(op,Yx),h(t,q_,m),h(t,vt,m),e(vt,Rs),e(Rs,im),v(_o,im,null),e(vt,Kx),e(vt,lm),e(lm,Xx),h(t,A_,m),h(t,rp,m),e(rp,ip),e(ip,Jx),h(t,C_,m),h(t,wt,m),e(wt,Vs),e(Vs,pm),v(bo,pm,null),e(wt,e0),e(wt,cm),e(cm,t0),h(t,D_,m),h(t,lp,m),e(lp,s0),h(t,z_,m),h(t,xt,m),e(xt,Qs),e(Qs,dm),v(vo,dm,null),e(xt,n0),e(xt,mm),e(mm,a0),h(t,I_,m),h(t,V,m),v(wo,V,null),e(V,o0),e(V,xo),e(xo,r0),e(xo,hm),e(hm,i0),e(xo,l0),e(V,p0),v(Hs,V,null),e(V,c0),e(V,pp),e(pp,d0),e(pp,cp),e(cp,m0),e(V,h0),e(V,kt),e(kt,f0),e(kt,dp),e(dp,u0),e(kt,g0),e(kt,fm),e(fm,_0),e(kt,b0),e(V,v0),e(V,ko),e(ko,w0),e(ko,Po),e(Po,x0),e(ko,k0),e(V,P0),e(V,Ws),v(yo,Ws,null),e(Ws,y0),e(Ws,To),e(To,T0),e(To,mp),e(mp,$0),e(To,j0),h(t,S_,m),h(t,Pt,m),e(Pt,Bs),e(Bs,um),v($o,um,null),e(Pt,E0),e(Pt,gm),e(gm,q0),h(t,M_,m),h(t,ie,m),v(jo,ie,null),e(ie,A0),e(ie,_m),e(_m,C0),e(ie,D0),e(ie,bm),e(bm,z0),e(ie,I0),v(Zs,ie,null),e(ie,S0),e(ie,hp),e(hp,M0),e(hp,fp),e(fp,F0),e(ie,L0),e(ie,Ys),v(Eo,Ys,null),e(Ys,N0),e(Ys,qo),e(qo,O0),e(qo,up),e(up,U0),e(qo,G0),h(t,F_,m),h(t,yt,m),e(yt,Ks),e(Ks,vm),v(Ao,vm,null),e(yt,R0),e(yt,wm),e(wm,V0),h(t,L_,m),h(t,gp,m),e(gp,Q0),h(t,N_,m),h(t,Tt,m),e(Tt,Xs),e(Xs,xm),v(Co,xm,null),e(Tt,H0),e(Tt,km),e(km,W0),h(t,O_,m),h(t,Q,m),v(Do,Q,null),e(Q,B0),e(Q,zo),e(zo,Z0),e(zo,Pm),e(Pm,Y0),e(zo,K0),e(Q,X0),v(Js,Q,null),e(Q,J0),e(Q,_p),e(_p,e1),e(_p,bp),e(bp,t1),e(Q,s1),e(Q,$t),e($t,n1),e($t,vp),e(vp,a1),e($t,o1),e($t,ym),e(ym,r1),e($t,i1),e(Q,l1),e(Q,Io),e(Io,p1),e(Io,So),e(So,c1),e(Io,d1),e(Q,m1),e(Q,en),v(Mo,en,null),e(en,h1),e(en,Tm),e(Tm,f1),h(t,U_,m),h(t,jt,m),e(jt,tn),e(tn,$m),v(Fo,$m,null),e(jt,u1),e(jt,jm),e(jm,g1),h(t,G_,m),h(t,H,m),v(Lo,H,null),e(H,_1),e(H,No),e(No,b1),e(No,Em),e(Em,v1),e(No,w1),e(H,x1),v(sn,H,null),e(H,k1),e(H,wp),e(wp,P1),e(wp,xp),e(xp,y1),e(H,T1),e(H,Et),e(Et,$1),e(Et,kp),e(kp,j1),e(Et,E1),e(Et,qm),e(qm,q1),e(Et,A1),e(H,C1),e(H,Oo),e(Oo,D1),e(Oo,Uo),e(Uo,z1),e(Oo,I1),e(H,S1),e(H,nn),v(Go,nn,null),e(nn,M1),e(nn,Am),e(Am,F1),h(t,R_,m),h(t,qt,m),e(qt,an),e(an,Cm),v(Ro,Cm,null),e(qt,L1),e(qt,Dm),e(Dm,N1),h(t,V_,m),h(t,le,m),v(Vo,le,null),e(le,O1),e(le,Qo),e(Qo,U1),e(Qo,zm),e(zm,G1),e(Qo,R1),e(le,V1),v(on,le,null),e(le,Q1),e(le,At),e(At,H1),e(At,Pp),e(Pp,W1),e(At,B1),e(At,Im),e(Im,Z1),e(At,Y1),e(le,K1),e(le,Ho),e(Ho,X1),e(Ho,Wo),e(Wo,J1),e(Ho,ek),e(le,tk),e(le,rn),v(Bo,rn,null),e(rn,sk),e(rn,Sm),e(Sm,nk),h(t,Q_,m),h(t,Ct,m),e(Ct,ln),e(ln,Mm),v(Zo,Mm,null),e(Ct,ak),e(Ct,Fm),e(Fm,ok),h(t,H_,m),h(t,W,m),v(Yo,W,null),e(W,rk),e(W,Ko),e(Ko,ik),e(Ko,Lm),e(Lm,lk),e(Ko,pk),e(W,ck),v(pn,W,null),e(W,dk),e(W,yp),e(yp,mk),e(yp,Tp),e(Tp,hk),e(W,fk),e(W,Dt),e(Dt,uk),e(Dt,$p),e($p,gk),e(Dt,_k),e(Dt,Nm),e(Nm,bk),e(Dt,vk),e(W,wk),e(W,Xo),e(Xo,xk),e(Xo,Jo),e(Jo,kk),e(Xo,Pk),e(W,yk),e(W,cn),v(er,cn,null),e(cn,Tk),e(cn,Om),e(Om,$k),h(t,W_,m),h(t,zt,m),e(zt,dn),e(dn,Um),v(tr,Um,null),e(zt,jk),e(zt,Gm),e(Gm,Ek),h(t,B_,m),h(t,_e,m),v(sr,_e,null),e(_e,qk),e(_e,nr),e(nr,Ak),e(nr,Rm),e(Rm,Ck),e(nr,Dk),e(_e,zk),e(_e,It),e(It,Ik),e(It,jp),e(jp,Sk),e(It,Mk),e(It,Vm),e(Vm,Fk),e(It,Lk),e(_e,Nk),e(_e,ar),e(ar,Ok),e(ar,or),e(or,Uk),e(ar,Gk),e(_e,Rk),e(_e,mn),v(rr,mn,null),e(mn,Vk),e(mn,Qm),e(Qm,Qk),h(t,Z_,m),h(t,St,m),e(St,hn),e(hn,Hm),v(ir,Hm,null),e(St,Hk),e(St,Wm),e(Wm,Wk),h(t,Y_,m),h(t,B,m),v(lr,B,null),e(B,Bk),e(B,Mt),e(Mt,Zk),e(Mt,Bm),e(Bm,Yk),e(Mt,Kk),e(Mt,Zm),e(Zm,Xk),e(Mt,Jk),e(B,eP),v(fn,B,null),e(B,tP),e(B,Ep),e(Ep,sP),e(Ep,qp),e(qp,nP),e(B,aP),e(B,Ft),e(Ft,oP),e(Ft,Ap),e(Ap,rP),e(Ft,iP),e(Ft,Ym),e(Ym,lP),e(Ft,pP),e(B,cP),e(B,pr),e(pr,dP),e(pr,cr),e(cr,mP),e(pr,hP),e(B,fP),e(B,un),v(dr,un,null),e(un,uP),e(un,Km),e(Km,gP),h(t,K_,m),h(t,Lt,m),e(Lt,gn),e(gn,Xm),v(mr,Xm,null),e(Lt,_P),e(Lt,Jm),e(Jm,bP),h(t,X_,m),h(t,Z,m),v(hr,Z,null),e(Z,vP),e(Z,Nt),e(Nt,wP),e(Nt,eh),e(eh,xP),e(Nt,kP),e(Nt,th),e(th,PP),e(Nt,yP),e(Z,TP),v(_n,Z,null),e(Z,$P),e(Z,Cp),e(Cp,jP),e(Cp,Dp),e(Dp,EP),e(Z,qP),e(Z,Ot),e(Ot,AP),e(Ot,zp),e(zp,CP),e(Ot,DP),e(Ot,sh),e(sh,zP),e(Ot,IP),e(Z,SP),e(Z,fr),e(fr,MP),e(fr,ur),e(ur,FP),e(fr,LP),e(Z,NP),e(Z,bn),v(gr,bn,null),e(bn,OP),e(bn,nh),e(nh,UP),h(t,J_,m),h(t,Ut,m),e(Ut,vn),e(vn,ah),v(_r,ah,null),e(Ut,GP),e(Ut,oh),e(oh,RP),h(t,eb,m),h(t,Ip,m),e(Ip,VP),h(t,tb,m),h(t,Gt,m),e(Gt,wn),e(wn,rh),v(br,rh,null),e(Gt,QP),e(Gt,ih),e(ih,HP),h(t,sb,m),h(t,Y,m),v(vr,Y,null),e(Y,WP),e(Y,Be),e(Be,BP),e(Be,Sp),e(Sp,ZP),e(Be,YP),e(Be,Mp),e(Mp,KP),e(Be,XP),e(Be,lh),e(lh,JP),e(Be,ey),e(Y,ty),v(xn,Y,null),e(Y,sy),e(Y,kn),v(wr,kn,null),e(kn,ny),e(kn,xr),e(xr,ay),e(xr,ph),e(ph,oy),e(xr,ry),e(Y,iy),e(Y,Pn),v(kr,Pn,null),e(Pn,ly),e(Pn,ch),e(ch,py),e(Y,cy),e(Y,st),v(Pr,st,null),e(st,dy),e(st,dh),e(dh,my),e(st,hy),e(st,Me),e(Me,fy),e(Me,mh),e(mh,uy),e(Me,gy),e(Me,hh),e(hh,_y),e(Me,by),e(Me,fh),e(fh,vy),e(Me,wy),e(Me,uh),e(uh,xy),e(Me,ky),e(Y,Py),e(Y,yn),v(yr,yn,null),e(yn,yy),e(yn,Ze),e(Ze,Ty),e(Ze,gh),e(gh,$y),e(Ze,jy),e(Ze,_h),e(_h,Ey),e(Ze,qy),e(Ze,bh),e(bh,Ay),e(Ze,Cy),h(t,nb,m),h(t,K,m),v(Tr,K,null),e(K,Dy),e(K,vh),e(vh,zy),e(K,Iy),v(Tn,K,null),e(K,Sy),e(K,Fp),e(Fp,My),e(Fp,Lp),e(Lp,Fy),e(K,Ly),e(K,Rt),e(Rt,Ny),e(Rt,Np),e(Np,Oy),e(Rt,Uy),e(Rt,wh),e(wh,Gy),e(Rt,Ry),e(K,Vy),e(K,Fe),e(Fe,Qy),e(Fe,xh),e(xh,Hy),e(Fe,Wy),e(Fe,kh),e(kh,By),e(Fe,Zy),e(Fe,Ph),e(Ph,Yy),e(Fe,Ky),e(Fe,$r),e($r,Xy),e(Fe,Jy),e(K,eT),e(K,$n),v(jr,$n,null),e($n,tT),e($n,yh),e(yh,sT),h(t,ab,m),h(t,Vt,m),e(Vt,jn),e(jn,Th),v(Er,Th,null),e(Vt,nT),e(Vt,$h),e($h,aT),h(t,ob,m),h(t,N,m),v(qr,N,null),e(N,oT),e(N,Qt),e(Qt,rT),e(Qt,jh),e(jh,iT),e(Qt,lT),e(Qt,Op),e(Op,pT),e(Qt,cT),e(N,dT),v(En,N,null),e(N,mT),e(N,Up),e(Up,hT),e(Up,Gp),e(Gp,fT),e(N,uT),e(N,Ht),e(Ht,gT),e(Ht,Rp),e(Rp,_T),e(Ht,bT),e(Ht,Eh),e(Eh,vT),e(Ht,wT),e(N,xT),e(N,Ar),e(Ar,kT),e(Ar,Cr),e(Cr,PT),e(Ar,yT),e(N,TT),v(qn,N,null),e(N,$T),e(N,An),v(Dr,An,null),e(An,jT),e(An,qh),e(qh,ET),h(t,rb,m),h(t,Wt,m),e(Wt,Cn),e(Cn,Ah),v(zr,Ah,null),e(Wt,qT),e(Wt,Ch),e(Ch,AT),h(t,ib,m),h(t,S,m),v(Ir,S,null),e(S,CT),e(S,Bt),e(Bt,DT),e(Bt,Dh),e(Dh,zT),e(Bt,IT),e(Bt,Vp),e(Vp,ST),e(Bt,MT),e(S,FT),v(Dn,S,null),e(S,LT),e(S,Qp),e(Qp,NT),e(Qp,Hp),e(Hp,OT),e(S,UT),e(S,Zt),e(Zt,GT),e(Zt,Wp),e(Wp,RT),e(Zt,VT),e(Zt,zh),e(zh,QT),e(Zt,HT),e(S,WT),e(S,Sr),e(Sr,BT),e(Sr,Mr),e(Mr,ZT),e(Sr,YT),e(S,KT),e(S,nt),v(Fr,nt,null),e(nt,XT),e(nt,Ih),e(Ih,JT),e(nt,e$),e(nt,Sh),e(Sh,t$),e(S,s$),e(S,zn),v(Lr,zn,null),e(zn,n$),e(zn,Mh),e(Mh,a$),e(S,o$),e(S,In),v(Nr,In,null),e(In,r$),e(In,Fh),e(Fh,i$),e(S,l$),e(S,Sn),v(Or,Sn,null),e(Sn,p$),e(Sn,Lh),e(Lh,c$),h(t,lb,m),h(t,Mn,m),e(Mn,d$),e(Mn,Bp),e(Bp,m$),e(Mn,h$),h(t,pb,m),h(t,Yt,m),e(Yt,Fn),e(Fn,Nh),v(Ur,Nh,null),e(Yt,f$),e(Yt,Oh),e(Oh,u$),h(t,cb,m),h(t,M,m),v(Gr,M,null),e(M,g$),e(M,Kt),e(Kt,_$),e(Kt,Uh),e(Uh,b$),e(Kt,v$),e(Kt,Zp),e(Zp,w$),e(Kt,x$),e(M,k$),v(Ln,M,null),e(M,P$),e(M,Yp),e(Yp,y$),e(Yp,Kp),e(Kp,T$),e(M,$$),e(M,Xt),e(Xt,j$),e(Xt,Xp),e(Xp,E$),e(Xt,q$),e(Xt,Gh),e(Gh,A$),e(Xt,C$),e(M,D$),e(M,Rr),e(Rr,z$),e(Rr,Vr),e(Vr,I$),e(Rr,S$),e(M,M$),e(M,Nn),v(Qr,Nn,null),e(Nn,F$),e(Nn,Rh),e(Rh,L$),e(M,N$),e(M,at),v(Hr,at,null),e(at,O$),e(at,Jt),e(Jt,U$),e(Jt,Vh),e(Vh,G$),e(Jt,R$),e(Jt,Qh),e(Qh,V$),e(Jt,Q$),e(at,H$),e(at,Hh),e(Hh,W$),e(M,B$),e(M,On),v(Wr,On,null),e(On,Z$),e(On,Wh),e(Wh,Y$),h(t,db,m),h(t,es,m),e(es,Un),e(Un,Bh),v(Br,Bh,null),e(es,K$),e(es,Zh),e(Zh,X$),h(t,mb,m),h(t,pe,m),v(Zr,pe,null),e(pe,J$),e(pe,Yh),e(Yh,e4),e(pe,t4),e(pe,ts),e(ts,s4),e(ts,Jp),e(Jp,n4),e(ts,a4),e(ts,Kh),e(Kh,o4),e(ts,r4),e(pe,i4),e(pe,G),e(G,l4),e(G,Xh),e(Xh,p4),e(G,c4),e(G,Jh),e(Jh,d4),e(G,m4),e(G,ef),e(ef,h4),e(G,f4),e(G,tf),e(tf,u4),e(G,g4),e(G,sf),e(sf,_4),e(G,b4),e(G,nf),e(nf,v4),e(G,w4),e(G,Yr),e(Yr,x4),e(G,k4),e(G,Kr),e(Kr,P4),e(pe,y4),v(Gn,pe,null),e(pe,T4),e(pe,Rn),v(Xr,Rn,null),e(Rn,$4),e(Rn,af),e(af,j4),h(t,hb,m),h(t,ss,m),e(ss,Vn),e(Vn,of),v(Jr,of,null),e(ss,E4),e(ss,rf),e(rf,q4),h(t,fb,m),h(t,X,m),v(ei,X,null),e(X,A4),e(X,ti),e(ti,C4),e(ti,lf),e(lf,D4),e(ti,z4),e(X,I4),v(Qn,X,null),e(X,S4),e(X,ec),e(ec,M4),e(ec,tc),e(tc,F4),e(X,L4),e(X,ns),e(ns,N4),e(ns,sc),e(sc,O4),e(ns,U4),e(ns,pf),e(pf,G4),e(ns,R4),e(X,V4),e(X,si),e(si,Q4),e(si,ni),e(ni,H4),e(si,W4),e(X,B4),e(X,ae),v(ai,ae,null),e(ae,Z4),e(ae,cf),e(cf,Y4),e(ae,K4),e(ae,ce),e(ce,df),e(df,mf),e(mf,X4),e(ce,J4),e(ce,hf),e(hf,ff),e(ff,e7),e(ce,t7),e(ce,uf),e(uf,gf),e(gf,s7),e(ce,n7),e(ce,_f),e(_f,bf),e(bf,a7),e(ce,o7),e(ce,vf),e(vf,wf),e(wf,r7),e(ce,i7),e(ce,xf),e(xf,kf),e(kf,l7),e(ce,p7),e(ce,Pf),e(Pf,yf),e(yf,c7),e(ae,d7),e(ae,oi),e(oi,m7),e(oi,Tf),e(Tf,h7),e(oi,f7),e(ae,u7),v(Hn,ae,null),e(ae,g7),e(ae,$f),e($f,_7),e(ae,b7),v(Wn,ae,null),h(t,ub,m),h(t,as,m),e(as,Bn),e(Bn,jf),v(ri,jf,null),e(as,v7),e(as,Ef),e(Ef,w7),h(t,gb,m),h(t,O,m),v(ii,O,null),e(O,x7),e(O,os),e(os,k7),e(os,qf),e(qf,P7),e(os,y7),e(os,nc),e(nc,T7),e(os,$7),e(O,j7),v(Zn,O,null),e(O,E7),e(O,ac),e(ac,q7),e(ac,oc),e(oc,A7),e(O,C7),e(O,rs),e(rs,D7),e(rs,rc),e(rc,z7),e(rs,I7),e(rs,Af),e(Af,S7),e(rs,M7),e(O,F7),e(O,li),e(li,L7),e(li,Cf),e(Cf,N7),e(li,O7),e(O,U7),e(O,pi),e(pi,G7),e(pi,ci),e(ci,R7),e(pi,V7),e(O,Q7),e(O,Yn),v(di,Yn,null),e(Yn,H7),e(Yn,Df),e(Df,W7),h(t,_b,m),h(t,is,m),e(is,Kn),e(Kn,zf),v(mi,zf,null),e(is,B7),e(is,If),e(If,Z7),h(t,bb,m),h(t,J,m),v(hi,J,null),e(J,Y7),e(J,fi),e(fi,K7),e(fi,Sf),e(Sf,X7),e(fi,J7),e(J,ej),v(Xn,J,null),e(J,tj),e(J,ic),e(ic,sj),e(ic,lc),e(lc,nj),e(J,aj),e(J,ls),e(ls,oj),e(ls,pc),e(pc,rj),e(ls,ij),e(ls,Mf),e(Mf,lj),e(ls,pj),e(J,cj),e(J,ui),e(ui,dj),e(ui,gi),e(gi,mj),e(ui,hj),e(J,fj),e(J,Jn),v(_i,Jn,null),e(Jn,uj),e(Jn,Ff),e(Ff,gj),h(t,vb,m),h(t,ps,m),e(ps,ea),e(ea,Lf),v(bi,Lf,null),e(ps,_j),e(ps,Nf),e(Nf,bj),h(t,wb,m),h(t,F,m),v(vi,F,null),e(F,vj),e(F,Of),e(Of,wj),e(F,xj),v(ta,F,null),e(F,kj),e(F,cc),e(cc,Pj),e(cc,dc),e(dc,yj),e(F,Tj),e(F,cs),e(cs,$j),e(cs,mc),e(mc,jj),e(cs,Ej),e(cs,Uf),e(Uf,qj),e(cs,Aj),e(F,Cj),e(F,sa),e(sa,Dj),e(sa,wi),e(wi,zj),e(sa,Ij),e(sa,xi),e(xi,Sj),e(F,Mj),v(na,F,null),e(F,Fj),e(F,aa),v(ki,aa,null),e(aa,Lj),e(aa,Gf),e(Gf,Nj),e(F,Oj),e(F,oa),v(Pi,oa,null),e(oa,Uj),e(oa,Rf),e(Rf,Gj),h(t,xb,m),h(t,ds,m),e(ds,ra),e(ra,Vf),v(yi,Vf,null),e(ds,Rj),e(ds,Qf),e(Qf,Vj),h(t,kb,m),h(t,I,m),v(Ti,I,null),e(I,Qj),e(I,ms),e(ms,Hj),e(ms,Hf),e(Hf,Wj),e(ms,Bj),e(ms,hc),e(hc,Zj),e(ms,Yj),e(I,Kj),v(ia,I,null),e(I,Xj),e(I,fc),e(fc,Jj),e(fc,uc),e(uc,e6),e(I,t6),e(I,hs),e(hs,s6),e(hs,gc),e(gc,n6),e(hs,a6),e(hs,Wf),e(Wf,o6),e(hs,r6),e(I,i6),e(I,$i),e($i,l6),e($i,ji),e(ji,p6),e($i,c6),e(I,d6),e(I,la),v(Ei,la,null),e(la,m6),e(la,Bf),e(Bf,h6),e(I,f6),e(I,ot),v(qi,ot,null),e(ot,u6),e(ot,Zf),e(Zf,g6),e(ot,_6),e(ot,Yf),e(Yf,b6),e(I,v6),e(I,pa),v(Ai,pa,null),e(pa,w6),e(pa,Kf),e(Kf,x6),e(I,k6),e(I,ca),v(Ci,ca,null),e(ca,P6),e(ca,Xf),e(Xf,y6),e(I,T6),e(I,da),v(Di,da,null),e(da,$6),e(da,Jf),e(Jf,j6),h(t,Pb,m),h(t,fs,m),e(fs,ma),e(ma,eu),v(zi,eu,null),e(fs,E6),e(fs,tu),e(tu,q6),h(t,yb,m),h(t,de,m),v(Ii,de,null),e(de,A6),e(de,su),e(su,C6),e(de,D6),e(de,us),e(us,z6),e(us,_c),e(_c,I6),e(us,S6),e(us,nu),e(nu,M6),e(us,F6),e(de,L6),e(de,ha),e(ha,N6),e(ha,Si),e(Si,O6),e(ha,U6),e(ha,Mi),e(Mi,G6),e(de,R6),v(fa,de,null),e(de,V6),e(de,ua),v(Fi,ua,null),e(ua,Q6),e(ua,au),e(au,H6),h(t,Tb,m),h(t,gs,m),e(gs,ga),e(ga,ou),v(Li,ou,null),e(gs,W6),e(gs,ru),e(ru,B6),h(t,$b,m),h(t,U,m),v(Ni,U,null),e(U,Z6),e(U,Ye),e(Ye,Y6),e(Ye,iu),e(iu,K6),e(Ye,X6),e(Ye,lu),e(lu,J6),e(Ye,eE),e(Ye,pu),e(pu,tE),e(Ye,sE),e(U,nE),e(U,Ke),e(Ke,aE),e(Ke,cu),e(cu,oE),e(Ke,rE),e(Ke,du),e(du,iE),e(Ke,lE),e(Ke,mu),e(mu,pE),e(Ke,cE),e(U,dE),v(_a,U,null),e(U,mE),e(U,bc),e(bc,hE),e(bc,vc),e(vc,fE),e(U,uE),e(U,_s),e(_s,gE),e(_s,wc),e(wc,_E),e(_s,bE),e(_s,hu),e(hu,vE),e(_s,wE),e(U,xE),e(U,Oi),e(Oi,kE),e(Oi,Ui),e(Ui,PE),e(Oi,yE),e(U,TE),e(U,ba),v(Gi,ba,null),e(ba,$E),e(ba,Ri),e(Ri,jE),e(Ri,xc),e(xc,EE),e(Ri,qE),h(t,jb,m),h(t,bs,m),e(bs,va),e(va,fu),v(Vi,fu,null),e(bs,AE),e(bs,uu),e(uu,CE),h(t,Eb,m),h(t,kc,m),e(kc,DE),h(t,qb,m),h(t,vs,m),e(vs,wa),e(wa,gu),v(Qi,gu,null),e(vs,zE),e(vs,_u),e(_u,IE),h(t,Ab,m),h(t,ee,m),v(Hi,ee,null),e(ee,SE),e(ee,Wi),e(Wi,ME),e(Wi,bu),e(bu,FE),e(Wi,LE),e(ee,NE),v(xa,ee,null),e(ee,OE),e(ee,Pc),e(Pc,UE),e(Pc,yc),e(yc,GE),e(ee,RE),e(ee,ws),e(ws,VE),e(ws,Tc),e(Tc,QE),e(ws,HE),e(ws,vu),e(vu,WE),e(ws,BE),e(ee,ZE),e(ee,Bi),e(Bi,YE),e(Bi,Zi),e(Zi,KE),e(Bi,XE),e(ee,JE),e(ee,Ue),v(Yi,Ue,null),e(Ue,eq),e(Ue,Ki),e(Ki,tq),e(Ki,wu),e(wu,sq),e(Ki,nq),e(Ue,aq),e(Ue,xu),e(xu,oq),e(Ue,rq),e(Ue,Xe),e(Xe,ku),e(ku,Pu),e(Pu,iq),e(Xe,lq),e(Xe,yu),e(yu,Tu),e(Tu,pq),e(Xe,cq),e(Xe,$u),e($u,ju),e(ju,dq),e(Xe,mq),e(Xe,Eu),e(Eu,qu),e(qu,hq),h(t,Cb,m),h(t,xs,m),e(xs,ka),e(ka,Au),v(Xi,Au,null),e(xs,fq),e(xs,Cu),e(Cu,uq),h(t,Db,m),h(t,te,m),v(Ji,te,null),e(te,gq),e(te,Du),e(Du,_q),e(te,bq),v(Pa,te,null),e(te,vq),e(te,$c),e($c,wq),e($c,jc),e(jc,xq),e(te,kq),e(te,ks),e(ks,Pq),e(ks,Ec),e(Ec,yq),e(ks,Tq),e(ks,zu),e(zu,$q),e(ks,jq),e(te,Eq),e(te,el),e(el,qq),e(el,tl),e(tl,Aq),e(el,Cq),e(te,Dq),e(te,ya),v(sl,ya,null),e(ya,zq),e(ya,Iu),e(Iu,Iq),h(t,zb,m),h(t,Ps,m),e(Ps,Ta),e(Ta,Su),v(nl,Su,null),e(Ps,Sq),e(Ps,Mu),e(Mu,Mq),h(t,Ib,m),h(t,se,m),v(al,se,null),e(se,Fq),e(se,ol),e(ol,Lq),e(ol,Fu),e(Fu,Nq),e(ol,Oq),e(se,Uq),v($a,se,null),e(se,Gq),e(se,qc),e(qc,Rq),e(qc,Ac),e(Ac,Vq),e(se,Qq),e(se,Lu),e(Lu,Hq),e(se,Wq),e(se,rl),e(rl,Bq),e(rl,il),e(il,Zq),e(rl,Yq),e(se,Kq),e(se,ja),v(ll,ja,null),e(ja,Xq),e(ja,Nu),e(Nu,Jq),h(t,Sb,m),h(t,ys,m),e(ys,Ea),e(Ea,Ou),v(pl,Ou,null),e(ys,e3),e(ys,Uu),e(Uu,t3),h(t,Mb,m),h(t,ne,m),v(cl,ne,null),e(ne,s3),e(ne,dl),e(dl,n3),e(dl,Gu),e(Gu,a3),e(dl,o3),e(ne,r3),v(qa,ne,null),e(ne,i3),e(ne,Cc),e(Cc,l3),e(Cc,Dc),e(Dc,p3),e(ne,c3),e(ne,Ts),e(Ts,d3),e(Ts,zc),e(zc,m3),e(Ts,h3),e(Ts,Ru),e(Ru,f3),e(Ts,u3),e(ne,g3),e(ne,ml),e(ml,_3),e(ml,hl),e(hl,b3),e(ml,v3),e(ne,w3),e(ne,rt),v(fl,rt,null),e(rt,x3),e(rt,Vu),e(Vu,k3),e(rt,P3),e(rt,Je),e(Je,Qu),e(Qu,Hu),e(Hu,y3),e(Je,T3),e(Je,Wu),e(Wu,Bu),e(Bu,$3),e(Je,j3),e(Je,Zu),e(Zu,Yu),e(Yu,E3),e(Je,q3),e(Je,Ku),e(Ku,Xu),e(Xu,A3),h(t,Fb,m),h(t,$s,m),e($s,Aa),e(Aa,Ju),v(ul,Ju,null),e($s,C3),e($s,Ic),e(Ic,D3),e(Ic,eg),e(eg,z3),h(t,Lb,m),h(t,A,m),v(gl,A,null),e(A,I3),e(A,tg),e(tg,S3),e(A,M3),e(A,sg),e(sg,F3),e(A,L3),e(A,ng),e(ng,N3),e(A,O3),e(A,ag),e(ag,U3),e(A,G3),e(A,Le),e(Le,R3),e(Le,Sc),e(Sc,V3),e(Le,Q3),e(Le,og),e(og,H3),e(Le,W3),e(Le,rg),e(rg,B3),e(Le,Z3),e(Le,ig),e(ig,Y3),e(Le,K3),e(A,X3),e(A,Ca),v(_l,Ca,null),e(Ca,J3),e(Ca,lg),e(lg,e5),e(A,t5),e(A,it),v(bl,it,null),e(it,s5),e(it,pg),e(pg,n5),e(it,a5),v(Da,it,null),e(A,o5),e(A,za),v(vl,za,null),e(za,r5),e(za,cg),e(cg,i5),e(A,l5),e(A,Ia),v(wl,Ia,null),e(Ia,p5),e(Ia,xl),e(xl,c5),e(xl,dg),e(dg,d5),e(xl,m5),e(A,h5),e(A,Sa),v(kl,Sa,null),e(Sa,f5),e(Sa,Pl),e(Pl,u5),e(Pl,mg),e(mg,g5),e(Pl,_5),e(A,b5),e(A,Ma),v(yl,Ma,null),e(Ma,v5),e(Ma,js),e(js,w5),e(js,hg),e(hg,x5),e(js,k5),e(js,fg),e(fg,P5),e(js,y5),e(A,T5),e(A,Fa),v(Tl,Fa,null),e(Fa,$5),e(Fa,ug),e(ug,j5),e(A,E5),e(A,La),v($l,La,null),e(La,q5),e(La,jl),e(jl,A5),e(jl,gg),e(gg,C5),e(jl,D5),Nb=!0},p(t,[m]){const El={};m&2&&(El.$$scope={dirty:m,ctx:t}),Ss.$set(El);const _g={};m&2&&(_g.$$scope={dirty:m,ctx:t}),Fs.$set(_g);const bg={};m&2&&(bg.$$scope={dirty:m,ctx:t}),Hs.$set(bg);const vg={};m&2&&(vg.$$scope={dirty:m,ctx:t}),Zs.$set(vg);const ql={};m&2&&(ql.$$scope={dirty:m,ctx:t}),Js.$set(ql);const wg={};m&2&&(wg.$$scope={dirty:m,ctx:t}),sn.$set(wg);const xg={};m&2&&(xg.$$scope={dirty:m,ctx:t}),on.$set(xg);const Al={};m&2&&(Al.$$scope={dirty:m,ctx:t}),pn.$set(Al);const Cl={};m&2&&(Cl.$$scope={dirty:m,ctx:t}),fn.$set(Cl);const kg={};m&2&&(kg.$$scope={dirty:m,ctx:t}),_n.$set(kg);const Ne={};m&2&&(Ne.$$scope={dirty:m,ctx:t}),xn.$set(Ne);const Pg={};m&2&&(Pg.$$scope={dirty:m,ctx:t}),Tn.$set(Pg);const yg={};m&2&&(yg.$$scope={dirty:m,ctx:t}),En.$set(yg);const Tg={};m&2&&(Tg.$$scope={dirty:m,ctx:t}),qn.$set(Tg);const $g={};m&2&&($g.$$scope={dirty:m,ctx:t}),Dn.$set($g);const Dl={};m&2&&(Dl.$$scope={dirty:m,ctx:t}),Ln.$set(Dl);const jg={};m&2&&(jg.$$scope={dirty:m,ctx:t}),Gn.$set(jg);const Eg={};m&2&&(Eg.$$scope={dirty:m,ctx:t}),Qn.$set(Eg);const qg={};m&2&&(qg.$$scope={dirty:m,ctx:t}),Hn.$set(qg);const zl={};m&2&&(zl.$$scope={dirty:m,ctx:t}),Wn.$set(zl);const Ag={};m&2&&(Ag.$$scope={dirty:m,ctx:t}),Zn.$set(Ag);const Cg={};m&2&&(Cg.$$scope={dirty:m,ctx:t}),Xn.$set(Cg);const Il={};m&2&&(Il.$$scope={dirty:m,ctx:t}),ta.$set(Il);const Dg={};m&2&&(Dg.$$scope={dirty:m,ctx:t}),na.$set(Dg);const Sl={};m&2&&(Sl.$$scope={dirty:m,ctx:t}),ia.$set(Sl);const zg={};m&2&&(zg.$$scope={dirty:m,ctx:t}),fa.$set(zg);const Ml={};m&2&&(Ml.$$scope={dirty:m,ctx:t}),_a.$set(Ml);const Ig={};m&2&&(Ig.$$scope={dirty:m,ctx:t}),xa.$set(Ig);const Sg={};m&2&&(Sg.$$scope={dirty:m,ctx:t}),Pa.$set(Sg);const Oe={};m&2&&(Oe.$$scope={dirty:m,ctx:t}),$a.$set(Oe);const Fl={};m&2&&(Fl.$$scope={dirty:m,ctx:t}),qa.$set(Fl);const Mg={};m&2&&(Mg.$$scope={dirty:m,ctx:t}),Da.$set(Mg)},i(t){Nb||(w(l.$$.fragment,t),w(Wa.$$.fragment,t),w(Ba.$$.fragment,t),w(Ya.$$.fragment,t),w(Ka.$$.fragment,t),w(Xa.$$.fragment,t),w(Ja.$$.fragment,t),w(eo.$$.fragment,t),w(Ss.$$.fragment,t),w(ao.$$.fragment,t),w(oo.$$.fragment,t),w(Fs.$$.fragment,t),w(ro.$$.fragment,t),w(io.$$.fragment,t),w(lo.$$.fragment,t),w(po.$$.fragment,t),w(mo.$$.fragment,t),w(ho.$$.fragment,t),w(fo.$$.fragment,t),w(uo.$$.fragment,t),w(go.$$.fragment,t),w(_o.$$.fragment,t),w(bo.$$.fragment,t),w(vo.$$.fragment,t),w(wo.$$.fragment,t),w(Hs.$$.fragment,t),w(yo.$$.fragment,t),w($o.$$.fragment,t),w(jo.$$.fragment,t),w(Zs.$$.fragment,t),w(Eo.$$.fragment,t),w(Ao.$$.fragment,t),w(Co.$$.fragment,t),w(Do.$$.fragment,t),w(Js.$$.fragment,t),w(Mo.$$.fragment,t),w(Fo.$$.fragment,t),w(Lo.$$.fragment,t),w(sn.$$.fragment,t),w(Go.$$.fragment,t),w(Ro.$$.fragment,t),w(Vo.$$.fragment,t),w(on.$$.fragment,t),w(Bo.$$.fragment,t),w(Zo.$$.fragment,t),w(Yo.$$.fragment,t),w(pn.$$.fragment,t),w(er.$$.fragment,t),w(tr.$$.fragment,t),w(sr.$$.fragment,t),w(rr.$$.fragment,t),w(ir.$$.fragment,t),w(lr.$$.fragment,t),w(fn.$$.fragment,t),w(dr.$$.fragment,t),w(mr.$$.fragment,t),w(hr.$$.fragment,t),w(_n.$$.fragment,t),w(gr.$$.fragment,t),w(_r.$$.fragment,t),w(br.$$.fragment,t),w(vr.$$.fragment,t),w(xn.$$.fragment,t),w(wr.$$.fragment,t),w(kr.$$.fragment,t),w(Pr.$$.fragment,t),w(yr.$$.fragment,t),w(Tr.$$.fragment,t),w(Tn.$$.fragment,t),w(jr.$$.fragment,t),w(Er.$$.fragment,t),w(qr.$$.fragment,t),w(En.$$.fragment,t),w(qn.$$.fragment,t),w(Dr.$$.fragment,t),w(zr.$$.fragment,t),w(Ir.$$.fragment,t),w(Dn.$$.fragment,t),w(Fr.$$.fragment,t),w(Lr.$$.fragment,t),w(Nr.$$.fragment,t),w(Or.$$.fragment,t),w(Ur.$$.fragment,t),w(Gr.$$.fragment,t),w(Ln.$$.fragment,t),w(Qr.$$.fragment,t),w(Hr.$$.fragment,t),w(Wr.$$.fragment,t),w(Br.$$.fragment,t),w(Zr.$$.fragment,t),w(Gn.$$.fragment,t),w(Xr.$$.fragment,t),w(Jr.$$.fragment,t),w(ei.$$.fragment,t),w(Qn.$$.fragment,t),w(ai.$$.fragment,t),w(Hn.$$.fragment,t),w(Wn.$$.fragment,t),w(ri.$$.fragment,t),w(ii.$$.fragment,t),w(Zn.$$.fragment,t),w(di.$$.fragment,t),w(mi.$$.fragment,t),w(hi.$$.fragment,t),w(Xn.$$.fragment,t),w(_i.$$.fragment,t),w(bi.$$.fragment,t),w(vi.$$.fragment,t),w(ta.$$.fragment,t),w(na.$$.fragment,t),w(ki.$$.fragment,t),w(Pi.$$.fragment,t),w(yi.$$.fragment,t),w(Ti.$$.fragment,t),w(ia.$$.fragment,t),w(Ei.$$.fragment,t),w(qi.$$.fragment,t),w(Ai.$$.fragment,t),w(Ci.$$.fragment,t),w(Di.$$.fragment,t),w(zi.$$.fragment,t),w(Ii.$$.fragment,t),w(fa.$$.fragment,t),w(Fi.$$.fragment,t),w(Li.$$.fragment,t),w(Ni.$$.fragment,t),w(_a.$$.fragment,t),w(Gi.$$.fragment,t),w(Vi.$$.fragment,t),w(Qi.$$.fragment,t),w(Hi.$$.fragment,t),w(xa.$$.fragment,t),w(Yi.$$.fragment,t),w(Xi.$$.fragment,t),w(Ji.$$.fragment,t),w(Pa.$$.fragment,t),w(sl.$$.fragment,t),w(nl.$$.fragment,t),w(al.$$.fragment,t),w($a.$$.fragment,t),w(ll.$$.fragment,t),w(pl.$$.fragment,t),w(cl.$$.fragment,t),w(qa.$$.fragment,t),w(fl.$$.fragment,t),w(ul.$$.fragment,t),w(gl.$$.fragment,t),w(_l.$$.fragment,t),w(bl.$$.fragment,t),w(Da.$$.fragment,t),w(vl.$$.fragment,t),w(wl.$$.fragment,t),w(kl.$$.fragment,t),w(yl.$$.fragment,t),w(Tl.$$.fragment,t),w($l.$$.fragment,t),Nb=!0)},o(t){x(l.$$.fragment,t),x(Wa.$$.fragment,t),x(Ba.$$.fragment,t),x(Ya.$$.fragment,t),x(Ka.$$.fragment,t),x(Xa.$$.fragment,t),x(Ja.$$.fragment,t),x(eo.$$.fragment,t),x(Ss.$$.fragment,t),x(ao.$$.fragment,t),x(oo.$$.fragment,t),x(Fs.$$.fragment,t),x(ro.$$.fragment,t),x(io.$$.fragment,t),x(lo.$$.fragment,t),x(po.$$.fragment,t),x(mo.$$.fragment,t),x(ho.$$.fragment,t),x(fo.$$.fragment,t),x(uo.$$.fragment,t),x(go.$$.fragment,t),x(_o.$$.fragment,t),x(bo.$$.fragment,t),x(vo.$$.fragment,t),x(wo.$$.fragment,t),x(Hs.$$.fragment,t),x(yo.$$.fragment,t),x($o.$$.fragment,t),x(jo.$$.fragment,t),x(Zs.$$.fragment,t),x(Eo.$$.fragment,t),x(Ao.$$.fragment,t),x(Co.$$.fragment,t),x(Do.$$.fragment,t),x(Js.$$.fragment,t),x(Mo.$$.fragment,t),x(Fo.$$.fragment,t),x(Lo.$$.fragment,t),x(sn.$$.fragment,t),x(Go.$$.fragment,t),x(Ro.$$.fragment,t),x(Vo.$$.fragment,t),x(on.$$.fragment,t),x(Bo.$$.fragment,t),x(Zo.$$.fragment,t),x(Yo.$$.fragment,t),x(pn.$$.fragment,t),x(er.$$.fragment,t),x(tr.$$.fragment,t),x(sr.$$.fragment,t),x(rr.$$.fragment,t),x(ir.$$.fragment,t),x(lr.$$.fragment,t),x(fn.$$.fragment,t),x(dr.$$.fragment,t),x(mr.$$.fragment,t),x(hr.$$.fragment,t),x(_n.$$.fragment,t),x(gr.$$.fragment,t),x(_r.$$.fragment,t),x(br.$$.fragment,t),x(vr.$$.fragment,t),x(xn.$$.fragment,t),x(wr.$$.fragment,t),x(kr.$$.fragment,t),x(Pr.$$.fragment,t),x(yr.$$.fragment,t),x(Tr.$$.fragment,t),x(Tn.$$.fragment,t),x(jr.$$.fragment,t),x(Er.$$.fragment,t),x(qr.$$.fragment,t),x(En.$$.fragment,t),x(qn.$$.fragment,t),x(Dr.$$.fragment,t),x(zr.$$.fragment,t),x(Ir.$$.fragment,t),x(Dn.$$.fragment,t),x(Fr.$$.fragment,t),x(Lr.$$.fragment,t),x(Nr.$$.fragment,t),x(Or.$$.fragment,t),x(Ur.$$.fragment,t),x(Gr.$$.fragment,t),x(Ln.$$.fragment,t),x(Qr.$$.fragment,t),x(Hr.$$.fragment,t),x(Wr.$$.fragment,t),x(Br.$$.fragment,t),x(Zr.$$.fragment,t),x(Gn.$$.fragment,t),x(Xr.$$.fragment,t),x(Jr.$$.fragment,t),x(ei.$$.fragment,t),x(Qn.$$.fragment,t),x(ai.$$.fragment,t),x(Hn.$$.fragment,t),x(Wn.$$.fragment,t),x(ri.$$.fragment,t),x(ii.$$.fragment,t),x(Zn.$$.fragment,t),x(di.$$.fragment,t),x(mi.$$.fragment,t),x(hi.$$.fragment,t),x(Xn.$$.fragment,t),x(_i.$$.fragment,t),x(bi.$$.fragment,t),x(vi.$$.fragment,t),x(ta.$$.fragment,t),x(na.$$.fragment,t),x(ki.$$.fragment,t),x(Pi.$$.fragment,t),x(yi.$$.fragment,t),x(Ti.$$.fragment,t),x(ia.$$.fragment,t),x(Ei.$$.fragment,t),x(qi.$$.fragment,t),x(Ai.$$.fragment,t),x(Ci.$$.fragment,t),x(Di.$$.fragment,t),x(zi.$$.fragment,t),x(Ii.$$.fragment,t),x(fa.$$.fragment,t),x(Fi.$$.fragment,t),x(Li.$$.fragment,t),x(Ni.$$.fragment,t),x(_a.$$.fragment,t),x(Gi.$$.fragment,t),x(Vi.$$.fragment,t),x(Qi.$$.fragment,t),x(Hi.$$.fragment,t),x(xa.$$.fragment,t),x(Yi.$$.fragment,t),x(Xi.$$.fragment,t),x(Ji.$$.fragment,t),x(Pa.$$.fragment,t),x(sl.$$.fragment,t),x(nl.$$.fragment,t),x(al.$$.fragment,t),x($a.$$.fragment,t),x(ll.$$.fragment,t),x(pl.$$.fragment,t),x(cl.$$.fragment,t),x(qa.$$.fragment,t),x(fl.$$.fragment,t),x(ul.$$.fragment,t),x(gl.$$.fragment,t),x(_l.$$.fragment,t),x(bl.$$.fragment,t),x(Da.$$.fragment,t),x(vl.$$.fragment,t),x(wl.$$.fragment,t),x(kl.$$.fragment,t),x(yl.$$.fragment,t),x(Tl.$$.fragment,t),x($l.$$.fragment,t),Nb=!1},d(t){s(u),t&&s(T),t&&s(P),k(l),t&&s(Ng),t&&s(Es),t&&s(Og),t&&s(Ol),t&&s(Ug),t&&s(qs),t&&s(Gg),t&&s(ht),k(Wa),t&&s(Rg),t&&s(Cs),t&&s(Vg),t&&s(Hl),t&&s(Qg),k(Ba,t),t&&s(Hg),t&&s(Ds),t&&s(Wg),k(Ya,t),t&&s(Bg),t&&s(zs),t&&s(Zg),k(Ka,t),t&&s(Yg),t&&s(Is),t&&s(Kg),k(Xa,t),t&&s(Xg),t&&s(Wl),t&&s(Jg),k(Ja,t),t&&s(e_),t&&s(ge),k(eo),k(Ss),t&&s(t_),t&&s(ut),k(ao),t&&s(s_),t&&s(et),t&&s(n_),k(oo,t),t&&s(a_),k(Fs,t),t&&s(o_),k(ro,t),t&&s(r_),k(io,t),t&&s(i_),t&&s(Kl),t&&s(l_),k(lo,t),t&&s(p_),t&&s(Ls),t&&s(c_),k(po,t),t&&s(d_),t&&s(Xl),t&&s(m_),t&&s(Jl),t&&s(h_),t&&s(be),t&&s(f_),t&&s(_t),k(mo),t&&s(u_),t&&s(We),t&&s(g_),t&&s(tt),t&&s(__),k(ho,t),t&&s(b_),t&&s(ep),t&&s(v_),k(fo,t),t&&s(w_),t&&s(tp),t&&s(x_),t&&s(Os),t&&s(k_),t&&s(bt),k(uo),t&&s(P_),t&&s(sp),t&&s(y_),t&&s(Gs),t&&s(T_),t&&s(np),t&&s($_),t&&s(ap),t&&s(j_),k(go,t),t&&s(E_),t&&s(op),t&&s(q_),t&&s(vt),k(_o),t&&s(A_),t&&s(rp),t&&s(C_),t&&s(wt),k(bo),t&&s(D_),t&&s(lp),t&&s(z_),t&&s(xt),k(vo),t&&s(I_),t&&s(V),k(wo),k(Hs),k(yo),t&&s(S_),t&&s(Pt),k($o),t&&s(M_),t&&s(ie),k(jo),k(Zs),k(Eo),t&&s(F_),t&&s(yt),k(Ao),t&&s(L_),t&&s(gp),t&&s(N_),t&&s(Tt),k(Co),t&&s(O_),t&&s(Q),k(Do),k(Js),k(Mo),t&&s(U_),t&&s(jt),k(Fo),t&&s(G_),t&&s(H),k(Lo),k(sn),k(Go),t&&s(R_),t&&s(qt),k(Ro),t&&s(V_),t&&s(le),k(Vo),k(on),k(Bo),t&&s(Q_),t&&s(Ct),k(Zo),t&&s(H_),t&&s(W),k(Yo),k(pn),k(er),t&&s(W_),t&&s(zt),k(tr),t&&s(B_),t&&s(_e),k(sr),k(rr),t&&s(Z_),t&&s(St),k(ir),t&&s(Y_),t&&s(B),k(lr),k(fn),k(dr),t&&s(K_),t&&s(Lt),k(mr),t&&s(X_),t&&s(Z),k(hr),k(_n),k(gr),t&&s(J_),t&&s(Ut),k(_r),t&&s(eb),t&&s(Ip),t&&s(tb),t&&s(Gt),k(br),t&&s(sb),t&&s(Y),k(vr),k(xn),k(wr),k(kr),k(Pr),k(yr),t&&s(nb),t&&s(K),k(Tr),k(Tn),k(jr),t&&s(ab),t&&s(Vt),k(Er),t&&s(ob),t&&s(N),k(qr),k(En),k(qn),k(Dr),t&&s(rb),t&&s(Wt),k(zr),t&&s(ib),t&&s(S),k(Ir),k(Dn),k(Fr),k(Lr),k(Nr),k(Or),t&&s(lb),t&&s(Mn),t&&s(pb),t&&s(Yt),k(Ur),t&&s(cb),t&&s(M),k(Gr),k(Ln),k(Qr),k(Hr),k(Wr),t&&s(db),t&&s(es),k(Br),t&&s(mb),t&&s(pe),k(Zr),k(Gn),k(Xr),t&&s(hb),t&&s(ss),k(Jr),t&&s(fb),t&&s(X),k(ei),k(Qn),k(ai),k(Hn),k(Wn),t&&s(ub),t&&s(as),k(ri),t&&s(gb),t&&s(O),k(ii),k(Zn),k(di),t&&s(_b),t&&s(is),k(mi),t&&s(bb),t&&s(J),k(hi),k(Xn),k(_i),t&&s(vb),t&&s(ps),k(bi),t&&s(wb),t&&s(F),k(vi),k(ta),k(na),k(ki),k(Pi),t&&s(xb),t&&s(ds),k(yi),t&&s(kb),t&&s(I),k(Ti),k(ia),k(Ei),k(qi),k(Ai),k(Ci),k(Di),t&&s(Pb),t&&s(fs),k(zi),t&&s(yb),t&&s(de),k(Ii),k(fa),k(Fi),t&&s(Tb),t&&s(gs),k(Li),t&&s($b),t&&s(U),k(Ni),k(_a),k(Gi),t&&s(jb),t&&s(bs),k(Vi),t&&s(Eb),t&&s(kc),t&&s(qb),t&&s(vs),k(Qi),t&&s(Ab),t&&s(ee),k(Hi),k(xa),k(Yi),t&&s(Cb),t&&s(xs),k(Xi),t&&s(Db),t&&s(te),k(Ji),k(Pa),k(sl),t&&s(zb),t&&s(Ps),k(nl),t&&s(Ib),t&&s(se),k(al),k($a),k(ll),t&&s(Sb),t&&s(ys),k(pl),t&&s(Mb),t&&s(ne),k(cl),k(qa),k(fl),t&&s(Fb),t&&s($s),k(ul),t&&s(Lb),t&&s(A),k(gl),k(_l),k(bl),k(Da),k(vl),k(wl),k(kl),k(yl),k(Tl),k($l)}}}const JS={local:"pipelines",sections:[{local:"transformers.pipeline",title:"The pipeline abstraction"},{local:"pipeline-batching",title:"Pipeline batching"},{local:"pipeline-chunk-batching",title:"Pipeline chunk batching"},{local:"pipeline-custom-code",title:"Pipeline custom code"},{local:"implementing-a-pipeline",title:"Implementing a pipeline"},{local:"audio",sections:[{local:"transformers.AudioClassificationPipeline",title:"AudioClassificationPipeline"},{local:"transformers.AutomaticSpeechRecognitionPipeline",title:"AutomaticSpeechRecognitionPipeline"}],title:"Audio"},{local:"computer-vision",sections:[{local:"transformers.DepthEstimationPipeline",title:"DepthEstimationPipeline"},{local:"transformers.ImageClassificationPipeline",title:"ImageClassificationPipeline"},{local:"transformers.ImageSegmentationPipeline",title:"ImageSegmentationPipeline"},{local:"transformers.ObjectDetectionPipeline",title:"ObjectDetectionPipeline"},{local:"transformers.VideoClassificationPipeline",title:"VideoClassificationPipeline"},{local:"transformers.ZeroShotImageClassificationPipeline",title:"ZeroShotImageClassificationPipeline"},{local:"transformers.ZeroShotObjectDetectionPipeline",title:"ZeroShotObjectDetectionPipeline"}],title:"Computer vision"},{local:"natural-language-processing",sections:[{local:"transformers.Conversation",title:"ConversationalPipeline"},{local:"transformers.FillMaskPipeline",title:"FillMaskPipeline"},{local:"transformers.TokenClassificationPipeline",title:"NerPipeline"},{local:"transformers.QuestionAnsweringPipeline",title:"QuestionAnsweringPipeline"},{local:"transformers.SummarizationPipeline",title:"SummarizationPipeline"},{local:"transformers.TableQuestionAnsweringPipeline",title:"TableQuestionAnsweringPipeline"},{local:"transformers.TextClassificationPipeline",title:"TextClassificationPipeline"},{local:"transformers.TextGenerationPipeline",title:"TextGenerationPipeline"},{local:"transformers.Text2TextGenerationPipeline",title:"Text2TextGenerationPipeline"},{local:"transformers.TokenClassificationPipeline",title:"TokenClassificationPipeline"},{local:"transformers.TranslationPipeline",title:"TranslationPipeline"},{local:"transformers.ZeroShotClassificationPipeline",title:"ZeroShotClassificationPipeline"}],title:"Natural Language Processing"},{local:"multimodal",sections:[{local:"transformers.DocumentQuestionAnsweringPipeline",title:"DocumentQuestionAnsweringPipeline"},{local:"transformers.FeatureExtractionPipeline",title:"FeatureExtractionPipeline"},{local:"transformers.ImageToTextPipeline",title:"ImageToTextPipeline"},{local:"transformers.VisualQuestionAnsweringPipeline",title:"VisualQuestionAnsweringPipeline"}],title:"Multimodal"},{local:"transformers.Pipeline",title:"Parent class: `Pipeline`"}],title:"Pipelines"};function eM(j){return vS(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class iM extends uS{constructor(u){super();gS(this,u,eM,XS,_S,{})}}export{iM as default,JS as metadata};
